(function (deckyFrontendLib, React) {
  'use strict';

  function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

  var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

  var DefaultContext = {
    color: undefined,
    size: undefined,
    className: undefined,
    style: undefined,
    attr: undefined
  };
  var IconContext = React__default["default"].createContext && React__default["default"].createContext(DefaultContext);

  var __assign$1 = window && window.__assign || function () {
    __assign$1 = Object.assign || function (t) {
      for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
      return t;
    };
    return __assign$1.apply(this, arguments);
  };
  var __rest = window && window.__rest || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
      if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
    }
    return t;
  };
  function Tree2Element(tree) {
    return tree && tree.map(function (node, i) {
      return React__default["default"].createElement(node.tag, __assign$1({
        key: i
      }, node.attr), Tree2Element(node.child));
    });
  }
  function GenIcon(data) {
    // eslint-disable-next-line react/display-name
    return function (props) {
      return React__default["default"].createElement(IconBase, __assign$1({
        attr: __assign$1({}, data.attr)
      }, props), Tree2Element(data.child));
    };
  }
  function IconBase(props) {
    var elem = function (conf) {
      var attr = props.attr,
        size = props.size,
        title = props.title,
        svgProps = __rest(props, ["attr", "size", "title"]);
      var computedSize = size || conf.size || "1em";
      var className;
      if (conf.className) className = conf.className;
      if (props.className) className = (className ? className + " " : "") + props.className;
      return React__default["default"].createElement("svg", __assign$1({
        stroke: "currentColor",
        fill: "currentColor",
        strokeWidth: "0"
      }, conf.attr, attr, svgProps, {
        className: className,
        style: __assign$1(__assign$1({
          color: props.color || conf.color
        }, conf.style), props.style),
        height: computedSize,
        width: computedSize,
        xmlns: "http://www.w3.org/2000/svg"
      }), title && React__default["default"].createElement("title", null, title), props.children);
    };
    return IconContext !== undefined ? React__default["default"].createElement(IconContext.Consumer, null, function (conf) {
      return elem(conf);
    }) : elem(DefaultContext);
  }

  // THIS FILE IS AUTO GENERATED
  function FaBorderStyle (props) {
    return GenIcon({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M240 416h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm-96 0h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm192 0h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm96-192h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0 96h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0 96h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-288h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-96H32A32 32 0 0 0 0 64v400a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V96h368a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16z"}}]})(props);
  }

  const SlowSliderField = (slider) => {
      const [changeValue, setChangeValue] = React.useState(slider.value);
      const isChanging = React.useRef(false);
      React.useEffect(() => {
          const timeout = setTimeout(() => {
              if (changeValue === slider.value && isChanging.current) {
                  slider.onChangeEnd?.call(slider, slider.value);
                  isChanging.current = false;
              }
          }, 500);
          return () => clearTimeout(timeout);
      }, [changeValue, slider.onChangeEnd, slider.value]);
      const handleChange = (value) => {
          let tpvalue = value;
          if (slider.changeMax !== undefined) {
              tpvalue = Math.min(tpvalue, slider.changeMax);
          }
          if (slider.changeMin !== undefined) {
              tpvalue = Math.max(tpvalue, slider.changeMin);
          }
          isChanging.current = true;
          slider.onChange?.call(slider, tpvalue);
          slider.value = tpvalue;
          setChangeValue(tpvalue);
      };
      return (window.SP_REACT.createElement(deckyFrontendLib.SliderField, { ...slider, value: slider.value, onChange: handleChange }));
  };

  var cs$1 = {
  	
  };

  var cs$2 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': cs$1
  });

  var de = {
  	
  };

  var de$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': de
  });

  var el = {
  	
  };

  var el$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': el
  });

  var es = {
  	
  };

  var es$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': es
  });

  var es419 = {
  	
  };

  var es419$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': es419
  });

  var fr = {
  	
  };

  var fr$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': fr
  });

  var it = {
  	
  };

  var it$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': it
  });

  var MANGOINDEX_LABEL$4 = "現在のパフォーマンスインターフェースレベル";
  var MANGOINDEX_LABEL_CLOSE$4 = "閉じる";
  var RESET_PARAM_DEFAULT$4 = "すべてのパラメータ設定をリセットする";
  var PARAM_MANUALLY_SORT_TITLE$4 = "パラメータの手動ソート";
  var LEGACY_LAYOUT_LABEL$4 = "従来のレイアウト";
  var LEGACY_LAYOUT_DESCRIPTION$4 = "従来のパラメータレイアウトと順序を使用する";
  var HORIZONTAL_LABEL$4 = "水平表示";
  var HORIZONTAL_DESCRIPTION$4 = "Mangohudを横方向に表示する";
  var TABLE_COLUMNS_LABEL$4 = "表の列数";
  var TABLE_COLUMNS_DESCRIPTION$4 = "1行あたりに表示される要素の数を設定する";
  var WIDTH_LABLE$4 = "幅";
  var WIDTH_DESCRIPTION$4 = "カスタムHUD幅(ピクセル単位)を設定する";
  var POSITION_LABEL$4 = "位置";
  var POSITION_DESCRIPTION$4 = "HUDの位置";
  var HUD_NO_MARGIN_LABEL$4 = "余白を削除する";
  var HUD_NO_MARGIN_DESCRIPTION$4 = "MangoHud周囲の余白を削除する";
  var OFFSET_X_LABEL$4 = "HUD位置オフセットX";
  var OFFSET_Y_LABEL$4 = "HUD位置オフセットY";
  var FPS_ONLY_LABEL$4 = "FPSのみ表示";
  var NO_DISPLAY_LABEL$4 = "HUDを非表示にする";
  var ALPHA_LABEL$4 = "不透明度";
  var ALPHA_DESCRIPTION$4 = "すべてのテキストとフレームタイムグラフィックスの不透明度を設定する";
  var BACKGROUND_ALPHA_LABEL$4 = "背景の透明度";
  var BACKGROUND_ALPHA_DESCRIPTION$4 = "背景の不透明度を設定する";
  var FONT_SCALE_LABEL$4 = "フォントのスケール";
  var FULL_LABEL$4 = "すべて有効";
  var FULL_DESCRIPTION$4 = "ほとんどの切り替え可能なパラメータを有効にする";
  var CUSTOM_TEXT_CENTER_LABEL$4 = "カスタムテキストの中央揃え";
  var CUSTOM_TEXT_CENTER_DESCRIPTION$4 = "中央揃えのカスタムテキストを表示し、タイトルに適用する";
  var CUSTOM_TEXT_LABEL$4 = "カスタムテキスト";
  var CUSTOM_TEXT_DESCRIPTION$4 = "カスタムテキストを表示する";
  var TIME_LABEL$4 = "時間";
  var TIME_DESCRIPTION$4 = "現地時間を表示する";
  var VERSION_LABEL$4 = "バージョン";
  var VERSION_DESCRIPTION$4 = "現在のMangoHudバージョンを表示する";
  var CPU_STATS_LABEL$4 = "CPU";
  var CPU_TEXT_LABEL$4 = "CPUテキスト";
  var CPU_TEXT_DESCRIPTION$4 = "CPUテキストを上書きする";
  var CPU_LOAD_CHANGE_LABEL$4 = "CPU負荷変化";
  var CPU_LOAD_CHANGE_DESCRIPTION$4 = "負荷に応じてCPU負荷の色を変更する";
  var CORE_LOAD_LABEL$4 = "コア負荷";
  var CORE_LOAD_DESCRIPTION$4 = "各コアの負荷と周波数を表示する";
  var CORE_LOAD_CHANGE_LABEL$4 = "コア負荷変化";
  var CORE_LOAD_CHANGE_DESCRIPTION$4 = "CPUコア負荷の色を変更する";
  var CPU_MHZ_LABEL$4 = "CPU周波数";
  var CPU_MHZ_DESCRIPTION$4 = "現在のCPU周波数(MHz)を表示する";
  var CPU_POWER_LABEL$4 = "CPU電力";
  var CPU_POWER_DESCRIPTION$4 = "CPUの消費電力を表示する";
  var CPU_TEMP_LABEL$4 = "CPU温度";
  var CPU_TEMP_DESCRIPTION$4 = "現在のCPU温度を表示する";
  var GPU_STATS_LABEL$4 = "GPU";
  var GPU_TEXT_LABEL$4 = "GPUテキスト";
  var GPU_TEXT_DESCRIPTION$4 = "GPUテキストを上書きする";
  var GPU_LOAD_CHANGE_LABEL$4 = "GPU負荷変化";
  var GPU_LOAD_CHANGE_DESCRIPTION$4 = "負荷に応じてGPU負荷の色を変更する";
  var GPU_CORE_CLOCK_LABEL$4 = "GPUコアクロック";
  var GPU_CORE_CLOCK_DESCRIPTION$4 = "GPUコアクロックを表示する";
  var GPU_POWER_LABEL$4 = "GPU電力";
  var GPU_POWER_DESCRIPTION$4 = "GPUの消費電力を表示する";
  var GPU_TEMP_LABEL$4 = "GPU温度";
  var GPU_TEMP_DESCRIPTION$4 = "現在のGPU温度を表示する";
  var VRAM_LABEL$4 = "VRAM";
  var VRAM_DESCRIPTION$4 = "システムVRAMの使用状況を表示する";
  var RAM_LABEL$4 = "RAM";
  var RAM_DESCRIPTION$4 = "システムRAMの使用状況を表示する";
  var SWAP_LABEL$4 = "スワップ";
  var SWAP_DESCRIPTION$4 = "システムRAMの使用状況の横にスワップ使用状況を表示する";
  var BATTERY_LABEL$4 = "バッテリー";
  var BATTERY_DESCRIPTION$4 = "現在のバッテリー残量と消費量を表示する";
  var BATTERY_ICON_LABEL$4 = "バッテリーアイコン";
  var BATTERY_ICON_DESCRIPTION$4 = "バッテリー残量のパーセンテージを表示するアイコンを表示する";
  var FAN_LABEL$4 = "ファン";
  var FAN_DESCRIPTION$4 = "現在のファン速度を表示する";
  var FSR_LABEL$4 = "FSR";
  var FSR_DESCRIPTION$4 = "現在のFSRの状態を表示する";
  var FPS_LABEL$4 = "フレームレート";
  var FPS_DESCRIPTION$4 = "現在のフレームレートを表示する";
  var FPS_COLOR_CHANGE_LABEL$4 = "FPS色の変化";
  var FPS_COLOR_CHANGE_DESCRIPTION$4 = "フレームレートテキストの色がフレームレートに従って変化する";
  var FRAME_TIMING_LABEL$4 = "フレームタイミング";
  var FRAME_TIMING_DESCRIPTION$4 = "生成されたフレームタイミンググラフを表示する";
  var FRAME_COUNT_LABEL$4 = "フレームカウント";
  var FRAME_COUNT_DESCRIPTION$4 = "フレーム数を表示する";
  var FRAME_TIME_LABEL$4 = "フレーム時間";
  var FRAME_TIME_DESCRIPTION$4 = "FPSテキストの横にフレーム時間を表示する";
  var TIME_FORMAT_LABEL$4 = "時間フォーマット";
  var TIME_FORMAT_DESCRIPTION$4 = "時間の表示形式を上書きする";
  var TIME_FORMAT_INPUT_TITLE$4 = "時間フォーマット";
  var TIME_FORMAT_INPUT_DESCRIPTION1$4 = "年: %Y           月: %m           日: %d";
  var TIME_FORMAT_INPUT_DESCRIPTION2$4 = "時: %H           分: %M           秒: %S";
  var TIME_FORMAT_INPUT_DESCRIPTION3$4 = "午前/午後: %p          タイムゾーン: %Z           タイムスタンプ: %s";
  var TIME_FORMAT_INPUT_DESCRIPTION4$4 = "曜日: %A/%a(Sunday/Sun)    月名: %B/%b(January/Jan)";
  var RESORT_SELECT_DESCRIPTION$4 = "手動並べ替え";
  var RESORT_END_DESCRIPTION$4 = "並べ替え終了";
  var RESORT_MOVEUP_DESCRIPTION$4 = "上に移動";
  var RESORT_MOVEDOWN_DESCRIPTION$4 = "下に移動";
  var DEBUG_LABEL$4 = "アプリ";
  var DEBUG_DESCRIPTION$4 = "gamescopeアプリケーションのフレーム時間と遅延のグラフを表示する";
  var PRESET_LABEL$4 = "プリセットの設定を使用する";
  var PRESET_DESCRIPTION$4 = "Steamの設定: 0(ノーハド), 1(FPSのみ), 2(水平), 3(拡張), 4(詳細)。カスタムの設定は~/.config/MangoHud/presets.confで定義できます";
  var GPU_MEM_LABEL$4 = "GPUメモリ周波数";
  var GPU_MEM_DESCRIPTION$4 = "GPUのメモリ周波数を表示する";
  var ARCH_LABEL$4 = "Arch";
  var ARCH_DESCRIPTION$4 = "アプリケーションが32ビットか64ビットかを表示する";
  var ENGINE_VERSION_LABEL$4 = "エンジンのバージョン";
  var ENGINE_VERSION_DESCRIPTION$4 = "OpenGLまたはVulkanおよびVulkanベースのレンダリングエンジンのバージョンを表示する";
  var GAMEMODE_LABEL$4 = "ゲームモード";
  var GAMEMODE_DESCRIPTION$4 = "ゲームモードが有効かどうかを表示する";
  var VKBASALT_LABEL$4 = "vkBasalt";
  var VKBASALT_DESCRIPTION$4 = "vkBasaltが有効かどうかを表示する";
  var SHOW_FPS_LIMIT_LABEL$4 = "フレームレート制限";
  var SHOW_FPS_LIMIT_DESCRIPTION$4 = "現在のフレームレート制限の情報を表示する";
  var RESOLUTION_LABEL$4 = "解像度";
  var RESOLUTION_DESCRIPTION$4 = "現在の解像度を表示する";
  var IO_WRITE_LABEL$4 = "IO書き込み";
  var IO_WRITE_DESCRIPTION$4 = "キャッシュされていないIOの書き込み速度をMiB/sで表示する";
  var IO_READ_LABEL$4 = "IO読み取り";
  var IO_READ_DESCRIPTION$4 = "キャッシュされていないIOの読み取り速度をMiB/sで表示する";
  var FPS_LIMIT_LABEL$4 = "フレームレート制限の大きさ";
  var FPS_LIMIT_DESCRIPTION$4 = "アプリケーションのフレームレートを制限します。0は制限なしを意味します";
  var FPS_LIMIT_METHOD_LABEL$4 = "FPS制限の方法";
  var FPS_LIMIT_METHOD_DESCRIPTION$4 = "FPS制限器がフレームを表示する前または後に待つかどうかを選択します。最小の遅延のためには'late'を選択します(デフォルト)。よりスムーズなフレームタイミングを得るには'early'を選択します";
  var PROCMEM_LABEL$4 = "プロセスメモリ";
  var PROCMEM_DESCRIPTION$4 = "プロセスのメモリ使用状況を表示する：Resident、Shared、および/またはVirtual";
  var PROCMEM_SHARED_LABEL$4 = "プロセスの共有メモリ";
  var PROCMEM_SHARED_DESCRIPTION$4 = "プロセスの共有メモリの使用状況を表示する";
  var PROCMEM_VIRT_LABEL$4 = "プロセスの仮想メモリ";
  var PROCMEM_VIRT_DESCRIPTION$4 = "プロセスの仮想メモリの使用状況を表示する";
  var HIDE_FSR_SHARPNESS_LABEL$4 = "FSRの鮮明度を非表示";
  var HIDE_FSR_SHARPNESS_DESCRIPTION$4 = "FSRの鮮明度情報を非表示にする";
  var BATTERY_WATT_LABEL$4 = "バッテリー消費量";
  var BATTERY_WATT_DESCRIPTION$4 = "現在のバッテリー消費量を表示する";
  var BATTERY_TIME_LABEL$4 = "バッテリー残り時間";
  var BATTERY_TIME_DESCRIPTION$4 = "バッテリーの消耗が完了するまでの残り時間を表示する";
  var HISTOGRAM_LABEL$4 = "ヒストグラム";
  var HISTOGRAM_DESCRIPTION$4 = "FPSチャートをヒストグラムに変更する";
  var OFFSET_X_DESCRIPTION$4 = "HUDをxピクセル右にオフセットする";
  var OFFSET_Y_DESCRIPTION$4 = "HUDをyピクセル下にオフセットする";
  var FPS_ONLY_DESCRIPTION$4 = "FPSのみ表示";
  var NO_DISPLAY_DESCRIPTION$4 = "何も表示しない";
  var GRAPHS_CPU_LOAD_LABEL$4 = "CPU使用率チャート";
  var GRAPHS_CPU_LOAD_DESCRIPTION$4 = "CPU使用率チャートを表示する";
  var GRAPHS_CPU_TEMP_LABEL$4 = "CPU温度チャート";
  var GRAPHS_CPU_TEMP_DESCRIPTION$4 = "CPU温度チャートを表示する";
  var GRAPHS_GPU_LOAD_LABEL$4 = "GPU使用率チャート";
  var GRAPHS_GPU_LOAD_DESCRIPTION$4 = "GPU使用率チャートを表示する";
  var GRAPHS_GPU_CORE_CLOCK_LABEL$4 = "GPUコアクロックチャート";
  var GRAPHS_GPU_CORE_CLOCK_DESCRIPTION$4 = "GPUコアクロックチャートを表示する";
  var GRAPHS_GPU_TEMP_LABEL$4 = "GPU温度チャート";
  var GRAPHS_GPU_TEMP_DESCRIPTION$4 = "GPU温度チャートを表示する";
  var GRAPHS_RAM_LABEL$4 = "メモリ使用チャート";
  var GRAPHS_RAM_DESCRIPTION$4 = "メモリ使用チャートを表示する";
  var GRAPHS_VRAM_LABEL$4 = "VRAM使用チャート";
  var GRAPHS_VRAM_DESCRIPTION$4 = "VRAM使用チャートを表示する";
  var GRAPHS_GPU_MEM_CLOCK_LABEL$4 = "GPUメモリクロックチャート";
  var GRAPHS_GPU_MEM_CLOCK_DESCRIPTION$4 = "GPUメモリクロックチャートを表示する";
  var TEXT_OUTLINE_THICKNESS_LABEL$4 = "フォントアウトラインの太さ";
  var BACKGROUND_COLOR_LABEL$4 = "背景色";
  var BACKGROUND_COLOR_DESCRIPTION$4 = "HUDの背景色を設定します";
  var TEXT_COLOR_LABEL$4 = "テキストの色";
  var TEXT_COLOR_DESCRIPTION$4 = "データテキストの色を設定します";
  var CPU_COLOR_LABEL$4 = "CPUタイトルの色";
  var CPU_COLOR_DESCRIPTION$4 = "CPUタイトルテキストの色を設定します";
  var GPU_COLOR_LABEL$4 = "GPUタイトルの色";
  var GPU_COLOR_DESCRIPTION$4 = "GPUタイトルテキストの色を設定します";
  var RAM_COLOR_LABEL$4 = "メモリタイトルの色";
  var RAM_COLOR_DESCRIPTION$4 = "メモリタイトルテキストの色を設定します";
  var VRAM_COLOR_LABEL$4 = "VRAMタイトルの色";
  var VRAM_COLOR_DESCRIPTION$4 = "VRAMタイトルテキストの色を設定します";
  var BATTERY_COLOR_LABEL$4 = "バッテリータイトルの色";
  var BATTERY_COLOR_DESCRIPTION$4 = "バッテリータイトルテキストの色を設定します";
  var ENGINE_COLOR_LABEL$4 = "エンジンタイトルの色";
  var ENGINE_COLOR_DESCRIPTION$4 = "エンジンタイトルテキストの色を設定します";
  var IO_COLOR_LABEL$4 = "IOタイトルの色";
  var IO_COLOR_DESCRIPTION$4 = "IOタイトルテキストの色を設定します";
  var TEXT_OUTLINE_THICKNESS_DESCRIPTION$4 = "全体のテキストのアウトラインの太さを設定します";
  var TEXT_OUTLINE_COLOR_LABEL$4 = "テキストアウトラインの色";
  var TEXT_OUTLINE_COLOR_DESCRIPTION$4 = "全体のテキストアウトラインの色を設定します";
  var FRAMETIME_COLOR_LABEL$4 = "チャート描画の色";
  var FRAMETIME_COLOR_DESCRIPTION$4 = "チャート内で描画される線の色を設定します";
  var ja = {
  	MANGOINDEX_LABEL: MANGOINDEX_LABEL$4,
  	MANGOINDEX_LABEL_CLOSE: MANGOINDEX_LABEL_CLOSE$4,
  	RESET_PARAM_DEFAULT: RESET_PARAM_DEFAULT$4,
  	PARAM_MANUALLY_SORT_TITLE: PARAM_MANUALLY_SORT_TITLE$4,
  	LEGACY_LAYOUT_LABEL: LEGACY_LAYOUT_LABEL$4,
  	LEGACY_LAYOUT_DESCRIPTION: LEGACY_LAYOUT_DESCRIPTION$4,
  	HORIZONTAL_LABEL: HORIZONTAL_LABEL$4,
  	HORIZONTAL_DESCRIPTION: HORIZONTAL_DESCRIPTION$4,
  	TABLE_COLUMNS_LABEL: TABLE_COLUMNS_LABEL$4,
  	TABLE_COLUMNS_DESCRIPTION: TABLE_COLUMNS_DESCRIPTION$4,
  	WIDTH_LABLE: WIDTH_LABLE$4,
  	WIDTH_DESCRIPTION: WIDTH_DESCRIPTION$4,
  	POSITION_LABEL: POSITION_LABEL$4,
  	POSITION_DESCRIPTION: POSITION_DESCRIPTION$4,
  	HUD_NO_MARGIN_LABEL: HUD_NO_MARGIN_LABEL$4,
  	HUD_NO_MARGIN_DESCRIPTION: HUD_NO_MARGIN_DESCRIPTION$4,
  	OFFSET_X_LABEL: OFFSET_X_LABEL$4,
  	OFFSET_Y_LABEL: OFFSET_Y_LABEL$4,
  	FPS_ONLY_LABEL: FPS_ONLY_LABEL$4,
  	NO_DISPLAY_LABEL: NO_DISPLAY_LABEL$4,
  	ALPHA_LABEL: ALPHA_LABEL$4,
  	ALPHA_DESCRIPTION: ALPHA_DESCRIPTION$4,
  	BACKGROUND_ALPHA_LABEL: BACKGROUND_ALPHA_LABEL$4,
  	BACKGROUND_ALPHA_DESCRIPTION: BACKGROUND_ALPHA_DESCRIPTION$4,
  	FONT_SCALE_LABEL: FONT_SCALE_LABEL$4,
  	FULL_LABEL: FULL_LABEL$4,
  	FULL_DESCRIPTION: FULL_DESCRIPTION$4,
  	CUSTOM_TEXT_CENTER_LABEL: CUSTOM_TEXT_CENTER_LABEL$4,
  	CUSTOM_TEXT_CENTER_DESCRIPTION: CUSTOM_TEXT_CENTER_DESCRIPTION$4,
  	CUSTOM_TEXT_LABEL: CUSTOM_TEXT_LABEL$4,
  	CUSTOM_TEXT_DESCRIPTION: CUSTOM_TEXT_DESCRIPTION$4,
  	TIME_LABEL: TIME_LABEL$4,
  	TIME_DESCRIPTION: TIME_DESCRIPTION$4,
  	VERSION_LABEL: VERSION_LABEL$4,
  	VERSION_DESCRIPTION: VERSION_DESCRIPTION$4,
  	CPU_STATS_LABEL: CPU_STATS_LABEL$4,
  	CPU_TEXT_LABEL: CPU_TEXT_LABEL$4,
  	CPU_TEXT_DESCRIPTION: CPU_TEXT_DESCRIPTION$4,
  	CPU_LOAD_CHANGE_LABEL: CPU_LOAD_CHANGE_LABEL$4,
  	CPU_LOAD_CHANGE_DESCRIPTION: CPU_LOAD_CHANGE_DESCRIPTION$4,
  	CORE_LOAD_LABEL: CORE_LOAD_LABEL$4,
  	CORE_LOAD_DESCRIPTION: CORE_LOAD_DESCRIPTION$4,
  	CORE_LOAD_CHANGE_LABEL: CORE_LOAD_CHANGE_LABEL$4,
  	CORE_LOAD_CHANGE_DESCRIPTION: CORE_LOAD_CHANGE_DESCRIPTION$4,
  	CPU_MHZ_LABEL: CPU_MHZ_LABEL$4,
  	CPU_MHZ_DESCRIPTION: CPU_MHZ_DESCRIPTION$4,
  	CPU_POWER_LABEL: CPU_POWER_LABEL$4,
  	CPU_POWER_DESCRIPTION: CPU_POWER_DESCRIPTION$4,
  	CPU_TEMP_LABEL: CPU_TEMP_LABEL$4,
  	CPU_TEMP_DESCRIPTION: CPU_TEMP_DESCRIPTION$4,
  	GPU_STATS_LABEL: GPU_STATS_LABEL$4,
  	GPU_TEXT_LABEL: GPU_TEXT_LABEL$4,
  	GPU_TEXT_DESCRIPTION: GPU_TEXT_DESCRIPTION$4,
  	GPU_LOAD_CHANGE_LABEL: GPU_LOAD_CHANGE_LABEL$4,
  	GPU_LOAD_CHANGE_DESCRIPTION: GPU_LOAD_CHANGE_DESCRIPTION$4,
  	GPU_CORE_CLOCK_LABEL: GPU_CORE_CLOCK_LABEL$4,
  	GPU_CORE_CLOCK_DESCRIPTION: GPU_CORE_CLOCK_DESCRIPTION$4,
  	GPU_POWER_LABEL: GPU_POWER_LABEL$4,
  	GPU_POWER_DESCRIPTION: GPU_POWER_DESCRIPTION$4,
  	GPU_TEMP_LABEL: GPU_TEMP_LABEL$4,
  	GPU_TEMP_DESCRIPTION: GPU_TEMP_DESCRIPTION$4,
  	VRAM_LABEL: VRAM_LABEL$4,
  	VRAM_DESCRIPTION: VRAM_DESCRIPTION$4,
  	RAM_LABEL: RAM_LABEL$4,
  	RAM_DESCRIPTION: RAM_DESCRIPTION$4,
  	SWAP_LABEL: SWAP_LABEL$4,
  	SWAP_DESCRIPTION: SWAP_DESCRIPTION$4,
  	BATTERY_LABEL: BATTERY_LABEL$4,
  	BATTERY_DESCRIPTION: BATTERY_DESCRIPTION$4,
  	BATTERY_ICON_LABEL: BATTERY_ICON_LABEL$4,
  	BATTERY_ICON_DESCRIPTION: BATTERY_ICON_DESCRIPTION$4,
  	FAN_LABEL: FAN_LABEL$4,
  	FAN_DESCRIPTION: FAN_DESCRIPTION$4,
  	FSR_LABEL: FSR_LABEL$4,
  	FSR_DESCRIPTION: FSR_DESCRIPTION$4,
  	FPS_LABEL: FPS_LABEL$4,
  	FPS_DESCRIPTION: FPS_DESCRIPTION$4,
  	FPS_COLOR_CHANGE_LABEL: FPS_COLOR_CHANGE_LABEL$4,
  	FPS_COLOR_CHANGE_DESCRIPTION: FPS_COLOR_CHANGE_DESCRIPTION$4,
  	FRAME_TIMING_LABEL: FRAME_TIMING_LABEL$4,
  	FRAME_TIMING_DESCRIPTION: FRAME_TIMING_DESCRIPTION$4,
  	FRAME_COUNT_LABEL: FRAME_COUNT_LABEL$4,
  	FRAME_COUNT_DESCRIPTION: FRAME_COUNT_DESCRIPTION$4,
  	FRAME_TIME_LABEL: FRAME_TIME_LABEL$4,
  	FRAME_TIME_DESCRIPTION: FRAME_TIME_DESCRIPTION$4,
  	TIME_FORMAT_LABEL: TIME_FORMAT_LABEL$4,
  	TIME_FORMAT_DESCRIPTION: TIME_FORMAT_DESCRIPTION$4,
  	TIME_FORMAT_INPUT_TITLE: TIME_FORMAT_INPUT_TITLE$4,
  	TIME_FORMAT_INPUT_DESCRIPTION1: TIME_FORMAT_INPUT_DESCRIPTION1$4,
  	TIME_FORMAT_INPUT_DESCRIPTION2: TIME_FORMAT_INPUT_DESCRIPTION2$4,
  	TIME_FORMAT_INPUT_DESCRIPTION3: TIME_FORMAT_INPUT_DESCRIPTION3$4,
  	TIME_FORMAT_INPUT_DESCRIPTION4: TIME_FORMAT_INPUT_DESCRIPTION4$4,
  	RESORT_SELECT_DESCRIPTION: RESORT_SELECT_DESCRIPTION$4,
  	RESORT_END_DESCRIPTION: RESORT_END_DESCRIPTION$4,
  	RESORT_MOVEUP_DESCRIPTION: RESORT_MOVEUP_DESCRIPTION$4,
  	RESORT_MOVEDOWN_DESCRIPTION: RESORT_MOVEDOWN_DESCRIPTION$4,
  	DEBUG_LABEL: DEBUG_LABEL$4,
  	DEBUG_DESCRIPTION: DEBUG_DESCRIPTION$4,
  	PRESET_LABEL: PRESET_LABEL$4,
  	PRESET_DESCRIPTION: PRESET_DESCRIPTION$4,
  	GPU_MEM_LABEL: GPU_MEM_LABEL$4,
  	GPU_MEM_DESCRIPTION: GPU_MEM_DESCRIPTION$4,
  	ARCH_LABEL: ARCH_LABEL$4,
  	ARCH_DESCRIPTION: ARCH_DESCRIPTION$4,
  	ENGINE_VERSION_LABEL: ENGINE_VERSION_LABEL$4,
  	ENGINE_VERSION_DESCRIPTION: ENGINE_VERSION_DESCRIPTION$4,
  	GAMEMODE_LABEL: GAMEMODE_LABEL$4,
  	GAMEMODE_DESCRIPTION: GAMEMODE_DESCRIPTION$4,
  	VKBASALT_LABEL: VKBASALT_LABEL$4,
  	VKBASALT_DESCRIPTION: VKBASALT_DESCRIPTION$4,
  	SHOW_FPS_LIMIT_LABEL: SHOW_FPS_LIMIT_LABEL$4,
  	SHOW_FPS_LIMIT_DESCRIPTION: SHOW_FPS_LIMIT_DESCRIPTION$4,
  	RESOLUTION_LABEL: RESOLUTION_LABEL$4,
  	RESOLUTION_DESCRIPTION: RESOLUTION_DESCRIPTION$4,
  	IO_WRITE_LABEL: IO_WRITE_LABEL$4,
  	IO_WRITE_DESCRIPTION: IO_WRITE_DESCRIPTION$4,
  	IO_READ_LABEL: IO_READ_LABEL$4,
  	IO_READ_DESCRIPTION: IO_READ_DESCRIPTION$4,
  	FPS_LIMIT_LABEL: FPS_LIMIT_LABEL$4,
  	FPS_LIMIT_DESCRIPTION: FPS_LIMIT_DESCRIPTION$4,
  	FPS_LIMIT_METHOD_LABEL: FPS_LIMIT_METHOD_LABEL$4,
  	FPS_LIMIT_METHOD_DESCRIPTION: FPS_LIMIT_METHOD_DESCRIPTION$4,
  	PROCMEM_LABEL: PROCMEM_LABEL$4,
  	PROCMEM_DESCRIPTION: PROCMEM_DESCRIPTION$4,
  	PROCMEM_SHARED_LABEL: PROCMEM_SHARED_LABEL$4,
  	PROCMEM_SHARED_DESCRIPTION: PROCMEM_SHARED_DESCRIPTION$4,
  	PROCMEM_VIRT_LABEL: PROCMEM_VIRT_LABEL$4,
  	PROCMEM_VIRT_DESCRIPTION: PROCMEM_VIRT_DESCRIPTION$4,
  	HIDE_FSR_SHARPNESS_LABEL: HIDE_FSR_SHARPNESS_LABEL$4,
  	HIDE_FSR_SHARPNESS_DESCRIPTION: HIDE_FSR_SHARPNESS_DESCRIPTION$4,
  	BATTERY_WATT_LABEL: BATTERY_WATT_LABEL$4,
  	BATTERY_WATT_DESCRIPTION: BATTERY_WATT_DESCRIPTION$4,
  	BATTERY_TIME_LABEL: BATTERY_TIME_LABEL$4,
  	BATTERY_TIME_DESCRIPTION: BATTERY_TIME_DESCRIPTION$4,
  	HISTOGRAM_LABEL: HISTOGRAM_LABEL$4,
  	HISTOGRAM_DESCRIPTION: HISTOGRAM_DESCRIPTION$4,
  	OFFSET_X_DESCRIPTION: OFFSET_X_DESCRIPTION$4,
  	OFFSET_Y_DESCRIPTION: OFFSET_Y_DESCRIPTION$4,
  	FPS_ONLY_DESCRIPTION: FPS_ONLY_DESCRIPTION$4,
  	NO_DISPLAY_DESCRIPTION: NO_DISPLAY_DESCRIPTION$4,
  	GRAPHS_CPU_LOAD_LABEL: GRAPHS_CPU_LOAD_LABEL$4,
  	GRAPHS_CPU_LOAD_DESCRIPTION: GRAPHS_CPU_LOAD_DESCRIPTION$4,
  	GRAPHS_CPU_TEMP_LABEL: GRAPHS_CPU_TEMP_LABEL$4,
  	GRAPHS_CPU_TEMP_DESCRIPTION: GRAPHS_CPU_TEMP_DESCRIPTION$4,
  	GRAPHS_GPU_LOAD_LABEL: GRAPHS_GPU_LOAD_LABEL$4,
  	GRAPHS_GPU_LOAD_DESCRIPTION: GRAPHS_GPU_LOAD_DESCRIPTION$4,
  	GRAPHS_GPU_CORE_CLOCK_LABEL: GRAPHS_GPU_CORE_CLOCK_LABEL$4,
  	GRAPHS_GPU_CORE_CLOCK_DESCRIPTION: GRAPHS_GPU_CORE_CLOCK_DESCRIPTION$4,
  	GRAPHS_GPU_TEMP_LABEL: GRAPHS_GPU_TEMP_LABEL$4,
  	GRAPHS_GPU_TEMP_DESCRIPTION: GRAPHS_GPU_TEMP_DESCRIPTION$4,
  	GRAPHS_RAM_LABEL: GRAPHS_RAM_LABEL$4,
  	GRAPHS_RAM_DESCRIPTION: GRAPHS_RAM_DESCRIPTION$4,
  	GRAPHS_VRAM_LABEL: GRAPHS_VRAM_LABEL$4,
  	GRAPHS_VRAM_DESCRIPTION: GRAPHS_VRAM_DESCRIPTION$4,
  	GRAPHS_GPU_MEM_CLOCK_LABEL: GRAPHS_GPU_MEM_CLOCK_LABEL$4,
  	GRAPHS_GPU_MEM_CLOCK_DESCRIPTION: GRAPHS_GPU_MEM_CLOCK_DESCRIPTION$4,
  	TEXT_OUTLINE_THICKNESS_LABEL: TEXT_OUTLINE_THICKNESS_LABEL$4,
  	BACKGROUND_COLOR_LABEL: BACKGROUND_COLOR_LABEL$4,
  	BACKGROUND_COLOR_DESCRIPTION: BACKGROUND_COLOR_DESCRIPTION$4,
  	TEXT_COLOR_LABEL: TEXT_COLOR_LABEL$4,
  	TEXT_COLOR_DESCRIPTION: TEXT_COLOR_DESCRIPTION$4,
  	CPU_COLOR_LABEL: CPU_COLOR_LABEL$4,
  	CPU_COLOR_DESCRIPTION: CPU_COLOR_DESCRIPTION$4,
  	GPU_COLOR_LABEL: GPU_COLOR_LABEL$4,
  	GPU_COLOR_DESCRIPTION: GPU_COLOR_DESCRIPTION$4,
  	RAM_COLOR_LABEL: RAM_COLOR_LABEL$4,
  	RAM_COLOR_DESCRIPTION: RAM_COLOR_DESCRIPTION$4,
  	VRAM_COLOR_LABEL: VRAM_COLOR_LABEL$4,
  	VRAM_COLOR_DESCRIPTION: VRAM_COLOR_DESCRIPTION$4,
  	BATTERY_COLOR_LABEL: BATTERY_COLOR_LABEL$4,
  	BATTERY_COLOR_DESCRIPTION: BATTERY_COLOR_DESCRIPTION$4,
  	ENGINE_COLOR_LABEL: ENGINE_COLOR_LABEL$4,
  	ENGINE_COLOR_DESCRIPTION: ENGINE_COLOR_DESCRIPTION$4,
  	IO_COLOR_LABEL: IO_COLOR_LABEL$4,
  	IO_COLOR_DESCRIPTION: IO_COLOR_DESCRIPTION$4,
  	TEXT_OUTLINE_THICKNESS_DESCRIPTION: TEXT_OUTLINE_THICKNESS_DESCRIPTION$4,
  	TEXT_OUTLINE_COLOR_LABEL: TEXT_OUTLINE_COLOR_LABEL$4,
  	TEXT_OUTLINE_COLOR_DESCRIPTION: TEXT_OUTLINE_COLOR_DESCRIPTION$4,
  	FRAMETIME_COLOR_LABEL: FRAMETIME_COLOR_LABEL$4,
  	FRAMETIME_COLOR_DESCRIPTION: FRAMETIME_COLOR_DESCRIPTION$4
  };

  var ja$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    MANGOINDEX_LABEL: MANGOINDEX_LABEL$4,
    MANGOINDEX_LABEL_CLOSE: MANGOINDEX_LABEL_CLOSE$4,
    RESET_PARAM_DEFAULT: RESET_PARAM_DEFAULT$4,
    PARAM_MANUALLY_SORT_TITLE: PARAM_MANUALLY_SORT_TITLE$4,
    LEGACY_LAYOUT_LABEL: LEGACY_LAYOUT_LABEL$4,
    LEGACY_LAYOUT_DESCRIPTION: LEGACY_LAYOUT_DESCRIPTION$4,
    HORIZONTAL_LABEL: HORIZONTAL_LABEL$4,
    HORIZONTAL_DESCRIPTION: HORIZONTAL_DESCRIPTION$4,
    TABLE_COLUMNS_LABEL: TABLE_COLUMNS_LABEL$4,
    TABLE_COLUMNS_DESCRIPTION: TABLE_COLUMNS_DESCRIPTION$4,
    WIDTH_LABLE: WIDTH_LABLE$4,
    WIDTH_DESCRIPTION: WIDTH_DESCRIPTION$4,
    POSITION_LABEL: POSITION_LABEL$4,
    POSITION_DESCRIPTION: POSITION_DESCRIPTION$4,
    HUD_NO_MARGIN_LABEL: HUD_NO_MARGIN_LABEL$4,
    HUD_NO_MARGIN_DESCRIPTION: HUD_NO_MARGIN_DESCRIPTION$4,
    OFFSET_X_LABEL: OFFSET_X_LABEL$4,
    OFFSET_Y_LABEL: OFFSET_Y_LABEL$4,
    FPS_ONLY_LABEL: FPS_ONLY_LABEL$4,
    NO_DISPLAY_LABEL: NO_DISPLAY_LABEL$4,
    ALPHA_LABEL: ALPHA_LABEL$4,
    ALPHA_DESCRIPTION: ALPHA_DESCRIPTION$4,
    BACKGROUND_ALPHA_LABEL: BACKGROUND_ALPHA_LABEL$4,
    BACKGROUND_ALPHA_DESCRIPTION: BACKGROUND_ALPHA_DESCRIPTION$4,
    FONT_SCALE_LABEL: FONT_SCALE_LABEL$4,
    FULL_LABEL: FULL_LABEL$4,
    FULL_DESCRIPTION: FULL_DESCRIPTION$4,
    CUSTOM_TEXT_CENTER_LABEL: CUSTOM_TEXT_CENTER_LABEL$4,
    CUSTOM_TEXT_CENTER_DESCRIPTION: CUSTOM_TEXT_CENTER_DESCRIPTION$4,
    CUSTOM_TEXT_LABEL: CUSTOM_TEXT_LABEL$4,
    CUSTOM_TEXT_DESCRIPTION: CUSTOM_TEXT_DESCRIPTION$4,
    TIME_LABEL: TIME_LABEL$4,
    TIME_DESCRIPTION: TIME_DESCRIPTION$4,
    VERSION_LABEL: VERSION_LABEL$4,
    VERSION_DESCRIPTION: VERSION_DESCRIPTION$4,
    CPU_STATS_LABEL: CPU_STATS_LABEL$4,
    CPU_TEXT_LABEL: CPU_TEXT_LABEL$4,
    CPU_TEXT_DESCRIPTION: CPU_TEXT_DESCRIPTION$4,
    CPU_LOAD_CHANGE_LABEL: CPU_LOAD_CHANGE_LABEL$4,
    CPU_LOAD_CHANGE_DESCRIPTION: CPU_LOAD_CHANGE_DESCRIPTION$4,
    CORE_LOAD_LABEL: CORE_LOAD_LABEL$4,
    CORE_LOAD_DESCRIPTION: CORE_LOAD_DESCRIPTION$4,
    CORE_LOAD_CHANGE_LABEL: CORE_LOAD_CHANGE_LABEL$4,
    CORE_LOAD_CHANGE_DESCRIPTION: CORE_LOAD_CHANGE_DESCRIPTION$4,
    CPU_MHZ_LABEL: CPU_MHZ_LABEL$4,
    CPU_MHZ_DESCRIPTION: CPU_MHZ_DESCRIPTION$4,
    CPU_POWER_LABEL: CPU_POWER_LABEL$4,
    CPU_POWER_DESCRIPTION: CPU_POWER_DESCRIPTION$4,
    CPU_TEMP_LABEL: CPU_TEMP_LABEL$4,
    CPU_TEMP_DESCRIPTION: CPU_TEMP_DESCRIPTION$4,
    GPU_STATS_LABEL: GPU_STATS_LABEL$4,
    GPU_TEXT_LABEL: GPU_TEXT_LABEL$4,
    GPU_TEXT_DESCRIPTION: GPU_TEXT_DESCRIPTION$4,
    GPU_LOAD_CHANGE_LABEL: GPU_LOAD_CHANGE_LABEL$4,
    GPU_LOAD_CHANGE_DESCRIPTION: GPU_LOAD_CHANGE_DESCRIPTION$4,
    GPU_CORE_CLOCK_LABEL: GPU_CORE_CLOCK_LABEL$4,
    GPU_CORE_CLOCK_DESCRIPTION: GPU_CORE_CLOCK_DESCRIPTION$4,
    GPU_POWER_LABEL: GPU_POWER_LABEL$4,
    GPU_POWER_DESCRIPTION: GPU_POWER_DESCRIPTION$4,
    GPU_TEMP_LABEL: GPU_TEMP_LABEL$4,
    GPU_TEMP_DESCRIPTION: GPU_TEMP_DESCRIPTION$4,
    VRAM_LABEL: VRAM_LABEL$4,
    VRAM_DESCRIPTION: VRAM_DESCRIPTION$4,
    RAM_LABEL: RAM_LABEL$4,
    RAM_DESCRIPTION: RAM_DESCRIPTION$4,
    SWAP_LABEL: SWAP_LABEL$4,
    SWAP_DESCRIPTION: SWAP_DESCRIPTION$4,
    BATTERY_LABEL: BATTERY_LABEL$4,
    BATTERY_DESCRIPTION: BATTERY_DESCRIPTION$4,
    BATTERY_ICON_LABEL: BATTERY_ICON_LABEL$4,
    BATTERY_ICON_DESCRIPTION: BATTERY_ICON_DESCRIPTION$4,
    FAN_LABEL: FAN_LABEL$4,
    FAN_DESCRIPTION: FAN_DESCRIPTION$4,
    FSR_LABEL: FSR_LABEL$4,
    FSR_DESCRIPTION: FSR_DESCRIPTION$4,
    FPS_LABEL: FPS_LABEL$4,
    FPS_DESCRIPTION: FPS_DESCRIPTION$4,
    FPS_COLOR_CHANGE_LABEL: FPS_COLOR_CHANGE_LABEL$4,
    FPS_COLOR_CHANGE_DESCRIPTION: FPS_COLOR_CHANGE_DESCRIPTION$4,
    FRAME_TIMING_LABEL: FRAME_TIMING_LABEL$4,
    FRAME_TIMING_DESCRIPTION: FRAME_TIMING_DESCRIPTION$4,
    FRAME_COUNT_LABEL: FRAME_COUNT_LABEL$4,
    FRAME_COUNT_DESCRIPTION: FRAME_COUNT_DESCRIPTION$4,
    FRAME_TIME_LABEL: FRAME_TIME_LABEL$4,
    FRAME_TIME_DESCRIPTION: FRAME_TIME_DESCRIPTION$4,
    TIME_FORMAT_LABEL: TIME_FORMAT_LABEL$4,
    TIME_FORMAT_DESCRIPTION: TIME_FORMAT_DESCRIPTION$4,
    TIME_FORMAT_INPUT_TITLE: TIME_FORMAT_INPUT_TITLE$4,
    TIME_FORMAT_INPUT_DESCRIPTION1: TIME_FORMAT_INPUT_DESCRIPTION1$4,
    TIME_FORMAT_INPUT_DESCRIPTION2: TIME_FORMAT_INPUT_DESCRIPTION2$4,
    TIME_FORMAT_INPUT_DESCRIPTION3: TIME_FORMAT_INPUT_DESCRIPTION3$4,
    TIME_FORMAT_INPUT_DESCRIPTION4: TIME_FORMAT_INPUT_DESCRIPTION4$4,
    RESORT_SELECT_DESCRIPTION: RESORT_SELECT_DESCRIPTION$4,
    RESORT_END_DESCRIPTION: RESORT_END_DESCRIPTION$4,
    RESORT_MOVEUP_DESCRIPTION: RESORT_MOVEUP_DESCRIPTION$4,
    RESORT_MOVEDOWN_DESCRIPTION: RESORT_MOVEDOWN_DESCRIPTION$4,
    DEBUG_LABEL: DEBUG_LABEL$4,
    DEBUG_DESCRIPTION: DEBUG_DESCRIPTION$4,
    PRESET_LABEL: PRESET_LABEL$4,
    PRESET_DESCRIPTION: PRESET_DESCRIPTION$4,
    GPU_MEM_LABEL: GPU_MEM_LABEL$4,
    GPU_MEM_DESCRIPTION: GPU_MEM_DESCRIPTION$4,
    ARCH_LABEL: ARCH_LABEL$4,
    ARCH_DESCRIPTION: ARCH_DESCRIPTION$4,
    ENGINE_VERSION_LABEL: ENGINE_VERSION_LABEL$4,
    ENGINE_VERSION_DESCRIPTION: ENGINE_VERSION_DESCRIPTION$4,
    GAMEMODE_LABEL: GAMEMODE_LABEL$4,
    GAMEMODE_DESCRIPTION: GAMEMODE_DESCRIPTION$4,
    VKBASALT_LABEL: VKBASALT_LABEL$4,
    VKBASALT_DESCRIPTION: VKBASALT_DESCRIPTION$4,
    SHOW_FPS_LIMIT_LABEL: SHOW_FPS_LIMIT_LABEL$4,
    SHOW_FPS_LIMIT_DESCRIPTION: SHOW_FPS_LIMIT_DESCRIPTION$4,
    RESOLUTION_LABEL: RESOLUTION_LABEL$4,
    RESOLUTION_DESCRIPTION: RESOLUTION_DESCRIPTION$4,
    IO_WRITE_LABEL: IO_WRITE_LABEL$4,
    IO_WRITE_DESCRIPTION: IO_WRITE_DESCRIPTION$4,
    IO_READ_LABEL: IO_READ_LABEL$4,
    IO_READ_DESCRIPTION: IO_READ_DESCRIPTION$4,
    FPS_LIMIT_LABEL: FPS_LIMIT_LABEL$4,
    FPS_LIMIT_DESCRIPTION: FPS_LIMIT_DESCRIPTION$4,
    FPS_LIMIT_METHOD_LABEL: FPS_LIMIT_METHOD_LABEL$4,
    FPS_LIMIT_METHOD_DESCRIPTION: FPS_LIMIT_METHOD_DESCRIPTION$4,
    PROCMEM_LABEL: PROCMEM_LABEL$4,
    PROCMEM_DESCRIPTION: PROCMEM_DESCRIPTION$4,
    PROCMEM_SHARED_LABEL: PROCMEM_SHARED_LABEL$4,
    PROCMEM_SHARED_DESCRIPTION: PROCMEM_SHARED_DESCRIPTION$4,
    PROCMEM_VIRT_LABEL: PROCMEM_VIRT_LABEL$4,
    PROCMEM_VIRT_DESCRIPTION: PROCMEM_VIRT_DESCRIPTION$4,
    HIDE_FSR_SHARPNESS_LABEL: HIDE_FSR_SHARPNESS_LABEL$4,
    HIDE_FSR_SHARPNESS_DESCRIPTION: HIDE_FSR_SHARPNESS_DESCRIPTION$4,
    BATTERY_WATT_LABEL: BATTERY_WATT_LABEL$4,
    BATTERY_WATT_DESCRIPTION: BATTERY_WATT_DESCRIPTION$4,
    BATTERY_TIME_LABEL: BATTERY_TIME_LABEL$4,
    BATTERY_TIME_DESCRIPTION: BATTERY_TIME_DESCRIPTION$4,
    HISTOGRAM_LABEL: HISTOGRAM_LABEL$4,
    HISTOGRAM_DESCRIPTION: HISTOGRAM_DESCRIPTION$4,
    OFFSET_X_DESCRIPTION: OFFSET_X_DESCRIPTION$4,
    OFFSET_Y_DESCRIPTION: OFFSET_Y_DESCRIPTION$4,
    FPS_ONLY_DESCRIPTION: FPS_ONLY_DESCRIPTION$4,
    NO_DISPLAY_DESCRIPTION: NO_DISPLAY_DESCRIPTION$4,
    GRAPHS_CPU_LOAD_LABEL: GRAPHS_CPU_LOAD_LABEL$4,
    GRAPHS_CPU_LOAD_DESCRIPTION: GRAPHS_CPU_LOAD_DESCRIPTION$4,
    GRAPHS_CPU_TEMP_LABEL: GRAPHS_CPU_TEMP_LABEL$4,
    GRAPHS_CPU_TEMP_DESCRIPTION: GRAPHS_CPU_TEMP_DESCRIPTION$4,
    GRAPHS_GPU_LOAD_LABEL: GRAPHS_GPU_LOAD_LABEL$4,
    GRAPHS_GPU_LOAD_DESCRIPTION: GRAPHS_GPU_LOAD_DESCRIPTION$4,
    GRAPHS_GPU_CORE_CLOCK_LABEL: GRAPHS_GPU_CORE_CLOCK_LABEL$4,
    GRAPHS_GPU_CORE_CLOCK_DESCRIPTION: GRAPHS_GPU_CORE_CLOCK_DESCRIPTION$4,
    GRAPHS_GPU_TEMP_LABEL: GRAPHS_GPU_TEMP_LABEL$4,
    GRAPHS_GPU_TEMP_DESCRIPTION: GRAPHS_GPU_TEMP_DESCRIPTION$4,
    GRAPHS_RAM_LABEL: GRAPHS_RAM_LABEL$4,
    GRAPHS_RAM_DESCRIPTION: GRAPHS_RAM_DESCRIPTION$4,
    GRAPHS_VRAM_LABEL: GRAPHS_VRAM_LABEL$4,
    GRAPHS_VRAM_DESCRIPTION: GRAPHS_VRAM_DESCRIPTION$4,
    GRAPHS_GPU_MEM_CLOCK_LABEL: GRAPHS_GPU_MEM_CLOCK_LABEL$4,
    GRAPHS_GPU_MEM_CLOCK_DESCRIPTION: GRAPHS_GPU_MEM_CLOCK_DESCRIPTION$4,
    TEXT_OUTLINE_THICKNESS_LABEL: TEXT_OUTLINE_THICKNESS_LABEL$4,
    BACKGROUND_COLOR_LABEL: BACKGROUND_COLOR_LABEL$4,
    BACKGROUND_COLOR_DESCRIPTION: BACKGROUND_COLOR_DESCRIPTION$4,
    TEXT_COLOR_LABEL: TEXT_COLOR_LABEL$4,
    TEXT_COLOR_DESCRIPTION: TEXT_COLOR_DESCRIPTION$4,
    CPU_COLOR_LABEL: CPU_COLOR_LABEL$4,
    CPU_COLOR_DESCRIPTION: CPU_COLOR_DESCRIPTION$4,
    GPU_COLOR_LABEL: GPU_COLOR_LABEL$4,
    GPU_COLOR_DESCRIPTION: GPU_COLOR_DESCRIPTION$4,
    RAM_COLOR_LABEL: RAM_COLOR_LABEL$4,
    RAM_COLOR_DESCRIPTION: RAM_COLOR_DESCRIPTION$4,
    VRAM_COLOR_LABEL: VRAM_COLOR_LABEL$4,
    VRAM_COLOR_DESCRIPTION: VRAM_COLOR_DESCRIPTION$4,
    BATTERY_COLOR_LABEL: BATTERY_COLOR_LABEL$4,
    BATTERY_COLOR_DESCRIPTION: BATTERY_COLOR_DESCRIPTION$4,
    ENGINE_COLOR_LABEL: ENGINE_COLOR_LABEL$4,
    ENGINE_COLOR_DESCRIPTION: ENGINE_COLOR_DESCRIPTION$4,
    IO_COLOR_LABEL: IO_COLOR_LABEL$4,
    IO_COLOR_DESCRIPTION: IO_COLOR_DESCRIPTION$4,
    TEXT_OUTLINE_THICKNESS_DESCRIPTION: TEXT_OUTLINE_THICKNESS_DESCRIPTION$4,
    TEXT_OUTLINE_COLOR_LABEL: TEXT_OUTLINE_COLOR_LABEL$4,
    TEXT_OUTLINE_COLOR_DESCRIPTION: TEXT_OUTLINE_COLOR_DESCRIPTION$4,
    FRAMETIME_COLOR_LABEL: FRAMETIME_COLOR_LABEL$4,
    FRAMETIME_COLOR_DESCRIPTION: FRAMETIME_COLOR_DESCRIPTION$4,
    'default': ja
  });

  var MANGOINDEX_LABEL$3 = "현재 성능 인터페이스 수준";
  var MANGOINDEX_LABEL_CLOSE$3 = "닫기";
  var RESET_PARAM_DEFAULT$3 = "모든 매개변수 구성을 재설정합니다.";
  var PARAM_MANUALLY_SORT_TITLE$3 = "매개변수 수동 정렬";
  var LEGACY_LAYOUT_LABEL$3 = "전통적인 레이아웃";
  var LEGACY_LAYOUT_DESCRIPTION$3 = "전통적인 매개변수 레이아웃과 매개변수 순서 사용";
  var HORIZONTAL_LABEL$3 = "수평 디스플레이";
  var HORIZONTAL_DESCRIPTION$3 = "Mangohud를 가로 위치로 표시합니다.";
  var TABLE_COLUMNS_LABEL$3 = "표 열 수";
  var TABLE_COLUMNS_DESCRIPTION$3 = "각 행에 표시되는 항목 수를 설정합니다.";
  var WIDTH_LABLE$3 = "폭";
  var WIDTH_DESCRIPTION$3 = "HUD 너비를 사용자 정의합니다(픽셀 단위).";
  var POSITION_LABEL$3 = "위치";
  var POSITION_DESCRIPTION$3 = "HUD 위치";
  var HUD_NO_MARGIN_LABEL$3 = "여백 제거";
  var HUD_NO_MARGIN_DESCRIPTION$3 = "MangoHud 주변 여백 제거";
  var OFFSET_X_LABEL$3 = "HUD 위치 오프셋 X";
  var OFFSET_Y_LABEL$3 = "HUD 위치 오프셋 Y";
  var FPS_ONLY_LABEL$3 = "FPS만 표시";
  var NO_DISPLAY_LABEL$3 = "HUD 숨기기";
  var ALPHA_LABEL$3 = "불투명도";
  var ALPHA_DESCRIPTION$3 = "모든 텍스트 및 프레임 시간 그래픽의 불투명도를 설정합니다.";
  var BACKGROUND_ALPHA_LABEL$3 = "배경 불투명도";
  var BACKGROUND_ALPHA_DESCRIPTION$3 = "배경의 불투명도 설정";
  var FONT_SCALE_LABEL$3 = "글꼴 확대/축소";
  var FULL_LABEL$3 = "전체 활성화";
  var FULL_DESCRIPTION$3 = "대부분의 전환 가능한 매개변수를 사용합니다.";
  var CUSTOM_TEXT_CENTER_LABEL$3 = "맞춤형 중앙 정렬";
  var CUSTOM_TEXT_CENTER_DESCRIPTION$3 = "가운데 정렬된 맞춤형 텍스트를 표시하며 제목에 적합합니다.";
  var CUSTOM_TEXT_LABEL$3 = "맞춤형 텍스트";
  var CUSTOM_TEXT_DESCRIPTION$3 = "맞춤형 텍스트를 표시합니다.";
  var TIME_LABEL$3 = "시간";
  var TIME_DESCRIPTION$3 = "로컬 시간을 표시합니다.";
  var VERSION_LABEL$3 = "버전";
  var VERSION_DESCRIPTION$3 = "현재 MangoHud 버전을 나타냅니다.";
  var CPU_STATS_LABEL$3 = "CPU";
  var CPU_TEXT_LABEL$3 = "CPU 텍스트";
  var CPU_TEXT_DESCRIPTION$3 = "CPU 텍스트 덮어쓰기";
  var CPU_LOAD_CHANGE_LABEL$3 = "CPU 로드 변경";
  var CPU_LOAD_CHANGE_DESCRIPTION$3 = "로드에 따라 CPU 로드 색상 변경";
  var CORE_LOAD_LABEL$3 = "코어 로드";
  var CORE_LOAD_DESCRIPTION$3 = "각 코어의 로드 및 주파수를 표시합니다.";
  var CORE_LOAD_CHANGE_LABEL$3 = "코어 로드 변경";
  var CORE_LOAD_CHANGE_DESCRIPTION$3 = "CPU 코어 로드 색상 변경";
  var CPU_MHZ_LABEL$3 = "CPU 클럭";
  var CPU_MHZ_DESCRIPTION$3 = "CPU 현재 클럭(MHz)을 표시합니다.";
  var CPU_POWER_LABEL$3 = "CPU 전력";
  var CPU_POWER_DESCRIPTION$3 = "CPU 전력 소비를 표시합니다.";
  var CPU_TEMP_LABEL$3 = "CPU 온도";
  var CPU_TEMP_DESCRIPTION$3 = "현재 CPU 온도를 표시합니다.";
  var GPU_STATS_LABEL$3 = "GPU";
  var GPU_TEXT_LABEL$3 = "GPU 텍스트";
  var GPU_TEXT_DESCRIPTION$3 = "덮어쓰기 GPU 텍스트";
  var GPU_LOAD_CHANGE_LABEL$3 = "GPU 로드 변경";
  var GPU_LOAD_CHANGE_DESCRIPTION$3 = "로드에 따라 GPU 로드 색상 변경";
  var GPU_CORE_CLOCK_LABEL$3 = "GPU 코어 클럭";
  var GPU_CORE_CLOCK_DESCRIPTION$3 = "GPU 코어 클록을 표시합니다.";
  var GPU_POWER_LABEL$3 = "GPU 전력";
  var GPU_POWER_DESCRIPTION$3 = "GPU 전력 소비를 표시합니다.";
  var GPU_TEMP_LABEL$3 = "GPU 온도";
  var GPU_TEMP_DESCRIPTION$3 = "현재 GPU 온도를 표시합니다.";
  var VRAM_LABEL$3 = "비디오 메모리";
  var VRAM_DESCRIPTION$3 = "시스템 VRAM 사용 현황을 나타냅니다.";
  var RAM_LABEL$3 = "메모리";
  var RAM_DESCRIPTION$3 = "시스템 RAM 사용 현황을 나타냅니다.";
  var SWAP_LABEL$3 = "스왑 공간";
  var SWAP_DESCRIPTION$3 = "시스템 RAM 사용 현황 옆에 스왑 공간 사용 현황을 표시합니다.";
  var BATTERY_LABEL$3 = "배터리";
  var BATTERY_DESCRIPTION$3 = "현재 배터리 백분율과 배터리 소비를 나타냅니다.";
  var BATTERY_ICON_LABEL$3 = "배터리 아이콘";
  var BATTERY_ICON_DESCRIPTION$3 = "배터리 백분율 아이콘을 표시합니다.";
  var FAN_LABEL$3 = "팬";
  var FAN_DESCRIPTION$3 = "현재 팬 속도를 표시합니다.";
  var FSR_LABEL$3 = "FSR";
  var FSR_DESCRIPTION$3 = "현재 FSR 상태를 표시합니다.";
  var FPS_LABEL$3 = "프레임 수";
  var FPS_DESCRIPTION$3 = "현재 프레임 속도를 표시합니다.";
  var FPS_COLOR_CHANGE_LABEL$3 = "FPS 색상 변경";
  var FPS_COLOR_CHANGE_DESCRIPTION$3 = "프레임 속도에 따라 FPS 텍스트 색상이 변경됩니다.";
  var FRAME_TIMING_LABEL$3 = "프레임 타이밍 그래프";
  var FRAME_TIMING_DESCRIPTION$3 = "생성된 프레임 타이밍 그래프를 표시합니다.";
  var FRAME_COUNT_LABEL$3 = "프레임 카운트";
  var FRAME_COUNT_DESCRIPTION$3 = "프레임 카운트를 표시합니다.";
  var FRAME_TIME_LABEL$3 = "프레임 시간";
  var FRAME_TIME_DESCRIPTION$3 = "FPS 텍스트 옆에 프레임 시간을 표시합니다.";
  var TIME_FORMAT_LABEL$3 = "시간 포맷";
  var TIME_FORMAT_DESCRIPTION$3 = "시간 표시 형식을 덮어씁니다.";
  var TIME_FORMAT_INPUT_TITLE$3 = "시간 포맷";
  var TIME_FORMAT_INPUT_DESCRIPTION1$3 = "연도: %Y           월: %m           일: %d ";
  var TIME_FORMAT_INPUT_DESCRIPTION2$3 = "시: %H              분: %M            초: %S";
  var TIME_FORMAT_INPUT_DESCRIPTION3$3 = "오전/오후: %p          시간대: %Z       타임스탬프: %s";
  var TIME_FORMAT_INPUT_DESCRIPTION4$3 = "요일: %A/%a(Sunday/Sun)   월 이름: %B/%b(January/Jan)";
  var RESORT_SELECT_DESCRIPTION$3 = "수동 정렬";
  var RESORT_END_DESCRIPTION$3 = "정렬 종료";
  var RESORT_MOVEUP_DESCRIPTION$3 = "위로 이동";
  var RESORT_MOVEDOWN_DESCRIPTION$3 = "아래로 이동";
  var DEBUG_LABEL$3 = "App";
  var DEBUG_DESCRIPTION$3 = "gamescope 애플리케이션의 프레임 시간과 지연의 차트를 표시합니다";
  var PRESET_LABEL$3 = "프리셋 설정 사용";
  var PRESET_DESCRIPTION$3 = "Steam 프리셋: 0 (Hud 없음), 1 (FPS만), 2 (수평), 3 (확장), 4 (자세히). 사용자 정의 프리셋은 ~/.config/MangoHud/presets.conf에서 정의할 수 있습니다";
  var GPU_MEM_LABEL$3 = "GPU 메모리 주파수";
  var GPU_MEM_DESCRIPTION$3 = "GPU 메모리 주파수를 표시합니다";
  var ARCH_LABEL$3 = "Arch";
  var ARCH_DESCRIPTION$3 = "애플리케이션이 32비트인지 64비트인지를 표시합니다";
  var ENGINE_VERSION_LABEL$3 = "엔진 버전";
  var ENGINE_VERSION_DESCRIPTION$3 = "OpenGL 또는 Vulkan 및 Vulkan 기반 렌더링 엔진의 버전을 표시합니다";
  var GAMEMODE_LABEL$3 = "게임 모드";
  var GAMEMODE_DESCRIPTION$3 = "게임 모드가 활성화되었는지 여부를 표시합니다";
  var VKBASALT_LABEL$3 = "vkBasalt";
  var VKBASALT_DESCRIPTION$3 = "vkBasalt가 활성화되었는지 여부를 표시합니다";
  var SHOW_FPS_LIMIT_LABEL$3 = "프레임 제한";
  var SHOW_FPS_LIMIT_DESCRIPTION$3 = "현재 프레임 제한 정보를 표시합니다";
  var RESOLUTION_LABEL$3 = "해상도";
  var RESOLUTION_DESCRIPTION$3 = "현재 해상도를 표시합니다";
  var IO_WRITE_LABEL$3 = "IO 쓰기";
  var IO_WRITE_DESCRIPTION$3 = "캐시되지 않은 IO 쓰기 속도를 MiB/s 단위로 표시합니다";
  var IO_READ_LABEL$3 = "IO 읽기";
  var IO_READ_DESCRIPTION$3 = "캐시되지 않은 IO 읽기 속도를 MiB/s 단위로 표시합니다";
  var FPS_LIMIT_LABEL$3 = "프레임 제한 크기";
  var FPS_LIMIT_DESCRIPTION$3 = "애플리케이션의 프레임 속도를 제한합니다. 0은 제한 없음을 의미합니다";
  var FPS_LIMIT_METHOD_LABEL$3 = "프레임 제한 방식";
  var FPS_LIMIT_METHOD_DESCRIPTION$3 = "프레임 제한기가 프레임 표시 전이나 후에 대기해야 하는지 선택합니다. 최소 지연을 위해 'late'를 선택하십시오 (기본값) 또는 부드러운 프레임 타이밍을 위해 'early'를 선택하십시오";
  var PROCMEM_LABEL$3 = "프로세스 메모리";
  var PROCMEM_DESCRIPTION$3 = "프로세스의 메모리 사용량을 표시합니다: Resident, Shared, 및/또는 Virtual";
  var PROCMEM_SHARED_LABEL$3 = "프로세스 공유 메모리";
  var PROCMEM_SHARED_DESCRIPTION$3 = "프로세스의 공유 메모리 사용량을 표시합니다";
  var PROCMEM_VIRT_LABEL$3 = "프로세스 가상 메모리";
  var PROCMEM_VIRT_DESCRIPTION$3 = "프로세스의 가상 메모리 사용량을 표시합니다";
  var HIDE_FSR_SHARPNESS_LABEL$3 = "FSR 선명도 숨기기";
  var HIDE_FSR_SHARPNESS_DESCRIPTION$3 = "FSR 선명도 정보를 숨깁니다";
  var BATTERY_WATT_LABEL$3 = "배터리 소모량";
  var BATTERY_WATT_DESCRIPTION$3 = "현재 배터리 소모량을 표시합니다";
  var BATTERY_TIME_LABEL$3 = "배터리 남은 시간";
  var BATTERY_TIME_DESCRIPTION$3 = "배터리 소모가 완료될 때까지 남은 시간을 표시합니다";
  var HISTOGRAM_LABEL$3 = "히스토그램";
  var HISTOGRAM_DESCRIPTION$3 = "FPS 차트를 히스토그램으로 변경";
  var OFFSET_X_DESCRIPTION$3 = "HUD를 오른쪽으로 x 픽셀만큼 이동";
  var OFFSET_Y_DESCRIPTION$3 = "HUD를 아래로 y 픽셀만큼 이동";
  var FPS_ONLY_DESCRIPTION$3 = "FPS만 표시";
  var NO_DISPLAY_DESCRIPTION$3 = "내용을 표시하지 않음";
  var GRAPHS_CPU_LOAD_LABEL$3 = "CPU 사용 그래프";
  var GRAPHS_CPU_LOAD_DESCRIPTION$3 = "CPU 사용률 차트 표시";
  var GRAPHS_CPU_TEMP_LABEL$3 = "CPU 온도 그래프";
  var GRAPHS_CPU_TEMP_DESCRIPTION$3 = "CPU 온도 차트 표시";
  var GRAPHS_GPU_LOAD_LABEL$3 = "GPU 사용 그래프";
  var GRAPHS_GPU_LOAD_DESCRIPTION$3 = "GPU 사용률 차트 표시";
  var GRAPHS_GPU_CORE_CLOCK_LABEL$3 = "GPU 코어 클럭 그래프";
  var GRAPHS_GPU_CORE_CLOCK_DESCRIPTION$3 = "GPU 코어 클럭 차트 표시";
  var GRAPHS_GPU_TEMP_LABEL$3 = "GPU 온도 그래프";
  var GRAPHS_GPU_TEMP_DESCRIPTION$3 = "GPU 온도 차트 표시";
  var GRAPHS_RAM_LABEL$3 = "메모리 사용 그래프";
  var GRAPHS_RAM_DESCRIPTION$3 = "메모리 사용 차트 표시";
  var GRAPHS_VRAM_LABEL$3 = "VRAM 사용 그래프";
  var GRAPHS_VRAM_DESCRIPTION$3 = "VRAM 사용 차트 표시";
  var GRAPHS_GPU_MEM_CLOCK_LABEL$3 = "GPU 메모리 클럭 그래프";
  var GRAPHS_GPU_MEM_CLOCK_DESCRIPTION$3 = "GPU 메모리 클럭 차트 표시";
  var TEXT_OUTLINE_THICKNESS_LABEL$3 = "글꼴 윤곽 두께";
  var BACKGROUND_COLOR_LABEL$3 = "배경 색상";
  var BACKGROUND_COLOR_DESCRIPTION$3 = "HUD의 배경 색상 설정";
  var TEXT_COLOR_LABEL$3 = "텍스트 색상";
  var TEXT_COLOR_DESCRIPTION$3 = "데이터 텍스트의 색상 설정";
  var CPU_COLOR_LABEL$3 = "CPU 제목 색상";
  var CPU_COLOR_DESCRIPTION$3 = "CPU 제목 텍스트의 색상 설정";
  var GPU_COLOR_LABEL$3 = "GPU 제목 색상";
  var GPU_COLOR_DESCRIPTION$3 = "GPU 제목 텍스트의 색상 설정";
  var RAM_COLOR_LABEL$3 = "메모리 제목 색상";
  var RAM_COLOR_DESCRIPTION$3 = "메모리 제목 텍스트의 색상 설정";
  var VRAM_COLOR_LABEL$3 = "VRAM 제목 색상";
  var VRAM_COLOR_DESCRIPTION$3 = "VRAM 제목 텍스트의 색상 설정";
  var BATTERY_COLOR_LABEL$3 = "배터리 제목 색상";
  var BATTERY_COLOR_DESCRIPTION$3 = "배터리 제목 텍스트의 색상 설정";
  var ENGINE_COLOR_LABEL$3 = "Engine 제목 색상";
  var ENGINE_COLOR_DESCRIPTION$3 = "Engine 제목 텍스트의 색상 설정";
  var IO_COLOR_LABEL$3 = "IO 제목 색상";
  var IO_COLOR_DESCRIPTION$3 = "IO 제목 텍스트의 색상 설정";
  var TEXT_OUTLINE_THICKNESS_DESCRIPTION$3 = "전체 텍스트 윤곽의 두께 설정";
  var TEXT_OUTLINE_COLOR_LABEL$3 = "글꼴 윤곽 색상";
  var TEXT_OUTLINE_COLOR_DESCRIPTION$3 = "전체 글꼴 윤곽의 색상 설정";
  var FRAMETIME_COLOR_LABEL$3 = "차트 그리기 색상";
  var FRAMETIME_COLOR_DESCRIPTION$3 = "차트에 그려지는 선의 색상 설정";
  var ko = {
  	MANGOINDEX_LABEL: MANGOINDEX_LABEL$3,
  	MANGOINDEX_LABEL_CLOSE: MANGOINDEX_LABEL_CLOSE$3,
  	RESET_PARAM_DEFAULT: RESET_PARAM_DEFAULT$3,
  	PARAM_MANUALLY_SORT_TITLE: PARAM_MANUALLY_SORT_TITLE$3,
  	LEGACY_LAYOUT_LABEL: LEGACY_LAYOUT_LABEL$3,
  	LEGACY_LAYOUT_DESCRIPTION: LEGACY_LAYOUT_DESCRIPTION$3,
  	HORIZONTAL_LABEL: HORIZONTAL_LABEL$3,
  	HORIZONTAL_DESCRIPTION: HORIZONTAL_DESCRIPTION$3,
  	TABLE_COLUMNS_LABEL: TABLE_COLUMNS_LABEL$3,
  	TABLE_COLUMNS_DESCRIPTION: TABLE_COLUMNS_DESCRIPTION$3,
  	WIDTH_LABLE: WIDTH_LABLE$3,
  	WIDTH_DESCRIPTION: WIDTH_DESCRIPTION$3,
  	POSITION_LABEL: POSITION_LABEL$3,
  	POSITION_DESCRIPTION: POSITION_DESCRIPTION$3,
  	HUD_NO_MARGIN_LABEL: HUD_NO_MARGIN_LABEL$3,
  	HUD_NO_MARGIN_DESCRIPTION: HUD_NO_MARGIN_DESCRIPTION$3,
  	OFFSET_X_LABEL: OFFSET_X_LABEL$3,
  	OFFSET_Y_LABEL: OFFSET_Y_LABEL$3,
  	FPS_ONLY_LABEL: FPS_ONLY_LABEL$3,
  	NO_DISPLAY_LABEL: NO_DISPLAY_LABEL$3,
  	ALPHA_LABEL: ALPHA_LABEL$3,
  	ALPHA_DESCRIPTION: ALPHA_DESCRIPTION$3,
  	BACKGROUND_ALPHA_LABEL: BACKGROUND_ALPHA_LABEL$3,
  	BACKGROUND_ALPHA_DESCRIPTION: BACKGROUND_ALPHA_DESCRIPTION$3,
  	FONT_SCALE_LABEL: FONT_SCALE_LABEL$3,
  	FULL_LABEL: FULL_LABEL$3,
  	FULL_DESCRIPTION: FULL_DESCRIPTION$3,
  	CUSTOM_TEXT_CENTER_LABEL: CUSTOM_TEXT_CENTER_LABEL$3,
  	CUSTOM_TEXT_CENTER_DESCRIPTION: CUSTOM_TEXT_CENTER_DESCRIPTION$3,
  	CUSTOM_TEXT_LABEL: CUSTOM_TEXT_LABEL$3,
  	CUSTOM_TEXT_DESCRIPTION: CUSTOM_TEXT_DESCRIPTION$3,
  	TIME_LABEL: TIME_LABEL$3,
  	TIME_DESCRIPTION: TIME_DESCRIPTION$3,
  	VERSION_LABEL: VERSION_LABEL$3,
  	VERSION_DESCRIPTION: VERSION_DESCRIPTION$3,
  	CPU_STATS_LABEL: CPU_STATS_LABEL$3,
  	CPU_TEXT_LABEL: CPU_TEXT_LABEL$3,
  	CPU_TEXT_DESCRIPTION: CPU_TEXT_DESCRIPTION$3,
  	CPU_LOAD_CHANGE_LABEL: CPU_LOAD_CHANGE_LABEL$3,
  	CPU_LOAD_CHANGE_DESCRIPTION: CPU_LOAD_CHANGE_DESCRIPTION$3,
  	CORE_LOAD_LABEL: CORE_LOAD_LABEL$3,
  	CORE_LOAD_DESCRIPTION: CORE_LOAD_DESCRIPTION$3,
  	CORE_LOAD_CHANGE_LABEL: CORE_LOAD_CHANGE_LABEL$3,
  	CORE_LOAD_CHANGE_DESCRIPTION: CORE_LOAD_CHANGE_DESCRIPTION$3,
  	CPU_MHZ_LABEL: CPU_MHZ_LABEL$3,
  	CPU_MHZ_DESCRIPTION: CPU_MHZ_DESCRIPTION$3,
  	CPU_POWER_LABEL: CPU_POWER_LABEL$3,
  	CPU_POWER_DESCRIPTION: CPU_POWER_DESCRIPTION$3,
  	CPU_TEMP_LABEL: CPU_TEMP_LABEL$3,
  	CPU_TEMP_DESCRIPTION: CPU_TEMP_DESCRIPTION$3,
  	GPU_STATS_LABEL: GPU_STATS_LABEL$3,
  	GPU_TEXT_LABEL: GPU_TEXT_LABEL$3,
  	GPU_TEXT_DESCRIPTION: GPU_TEXT_DESCRIPTION$3,
  	GPU_LOAD_CHANGE_LABEL: GPU_LOAD_CHANGE_LABEL$3,
  	GPU_LOAD_CHANGE_DESCRIPTION: GPU_LOAD_CHANGE_DESCRIPTION$3,
  	GPU_CORE_CLOCK_LABEL: GPU_CORE_CLOCK_LABEL$3,
  	GPU_CORE_CLOCK_DESCRIPTION: GPU_CORE_CLOCK_DESCRIPTION$3,
  	GPU_POWER_LABEL: GPU_POWER_LABEL$3,
  	GPU_POWER_DESCRIPTION: GPU_POWER_DESCRIPTION$3,
  	GPU_TEMP_LABEL: GPU_TEMP_LABEL$3,
  	GPU_TEMP_DESCRIPTION: GPU_TEMP_DESCRIPTION$3,
  	VRAM_LABEL: VRAM_LABEL$3,
  	VRAM_DESCRIPTION: VRAM_DESCRIPTION$3,
  	RAM_LABEL: RAM_LABEL$3,
  	RAM_DESCRIPTION: RAM_DESCRIPTION$3,
  	SWAP_LABEL: SWAP_LABEL$3,
  	SWAP_DESCRIPTION: SWAP_DESCRIPTION$3,
  	BATTERY_LABEL: BATTERY_LABEL$3,
  	BATTERY_DESCRIPTION: BATTERY_DESCRIPTION$3,
  	BATTERY_ICON_LABEL: BATTERY_ICON_LABEL$3,
  	BATTERY_ICON_DESCRIPTION: BATTERY_ICON_DESCRIPTION$3,
  	FAN_LABEL: FAN_LABEL$3,
  	FAN_DESCRIPTION: FAN_DESCRIPTION$3,
  	FSR_LABEL: FSR_LABEL$3,
  	FSR_DESCRIPTION: FSR_DESCRIPTION$3,
  	FPS_LABEL: FPS_LABEL$3,
  	FPS_DESCRIPTION: FPS_DESCRIPTION$3,
  	FPS_COLOR_CHANGE_LABEL: FPS_COLOR_CHANGE_LABEL$3,
  	FPS_COLOR_CHANGE_DESCRIPTION: FPS_COLOR_CHANGE_DESCRIPTION$3,
  	FRAME_TIMING_LABEL: FRAME_TIMING_LABEL$3,
  	FRAME_TIMING_DESCRIPTION: FRAME_TIMING_DESCRIPTION$3,
  	FRAME_COUNT_LABEL: FRAME_COUNT_LABEL$3,
  	FRAME_COUNT_DESCRIPTION: FRAME_COUNT_DESCRIPTION$3,
  	FRAME_TIME_LABEL: FRAME_TIME_LABEL$3,
  	FRAME_TIME_DESCRIPTION: FRAME_TIME_DESCRIPTION$3,
  	TIME_FORMAT_LABEL: TIME_FORMAT_LABEL$3,
  	TIME_FORMAT_DESCRIPTION: TIME_FORMAT_DESCRIPTION$3,
  	TIME_FORMAT_INPUT_TITLE: TIME_FORMAT_INPUT_TITLE$3,
  	TIME_FORMAT_INPUT_DESCRIPTION1: TIME_FORMAT_INPUT_DESCRIPTION1$3,
  	TIME_FORMAT_INPUT_DESCRIPTION2: TIME_FORMAT_INPUT_DESCRIPTION2$3,
  	TIME_FORMAT_INPUT_DESCRIPTION3: TIME_FORMAT_INPUT_DESCRIPTION3$3,
  	TIME_FORMAT_INPUT_DESCRIPTION4: TIME_FORMAT_INPUT_DESCRIPTION4$3,
  	RESORT_SELECT_DESCRIPTION: RESORT_SELECT_DESCRIPTION$3,
  	RESORT_END_DESCRIPTION: RESORT_END_DESCRIPTION$3,
  	RESORT_MOVEUP_DESCRIPTION: RESORT_MOVEUP_DESCRIPTION$3,
  	RESORT_MOVEDOWN_DESCRIPTION: RESORT_MOVEDOWN_DESCRIPTION$3,
  	DEBUG_LABEL: DEBUG_LABEL$3,
  	DEBUG_DESCRIPTION: DEBUG_DESCRIPTION$3,
  	PRESET_LABEL: PRESET_LABEL$3,
  	PRESET_DESCRIPTION: PRESET_DESCRIPTION$3,
  	GPU_MEM_LABEL: GPU_MEM_LABEL$3,
  	GPU_MEM_DESCRIPTION: GPU_MEM_DESCRIPTION$3,
  	ARCH_LABEL: ARCH_LABEL$3,
  	ARCH_DESCRIPTION: ARCH_DESCRIPTION$3,
  	ENGINE_VERSION_LABEL: ENGINE_VERSION_LABEL$3,
  	ENGINE_VERSION_DESCRIPTION: ENGINE_VERSION_DESCRIPTION$3,
  	GAMEMODE_LABEL: GAMEMODE_LABEL$3,
  	GAMEMODE_DESCRIPTION: GAMEMODE_DESCRIPTION$3,
  	VKBASALT_LABEL: VKBASALT_LABEL$3,
  	VKBASALT_DESCRIPTION: VKBASALT_DESCRIPTION$3,
  	SHOW_FPS_LIMIT_LABEL: SHOW_FPS_LIMIT_LABEL$3,
  	SHOW_FPS_LIMIT_DESCRIPTION: SHOW_FPS_LIMIT_DESCRIPTION$3,
  	RESOLUTION_LABEL: RESOLUTION_LABEL$3,
  	RESOLUTION_DESCRIPTION: RESOLUTION_DESCRIPTION$3,
  	IO_WRITE_LABEL: IO_WRITE_LABEL$3,
  	IO_WRITE_DESCRIPTION: IO_WRITE_DESCRIPTION$3,
  	IO_READ_LABEL: IO_READ_LABEL$3,
  	IO_READ_DESCRIPTION: IO_READ_DESCRIPTION$3,
  	FPS_LIMIT_LABEL: FPS_LIMIT_LABEL$3,
  	FPS_LIMIT_DESCRIPTION: FPS_LIMIT_DESCRIPTION$3,
  	FPS_LIMIT_METHOD_LABEL: FPS_LIMIT_METHOD_LABEL$3,
  	FPS_LIMIT_METHOD_DESCRIPTION: FPS_LIMIT_METHOD_DESCRIPTION$3,
  	PROCMEM_LABEL: PROCMEM_LABEL$3,
  	PROCMEM_DESCRIPTION: PROCMEM_DESCRIPTION$3,
  	PROCMEM_SHARED_LABEL: PROCMEM_SHARED_LABEL$3,
  	PROCMEM_SHARED_DESCRIPTION: PROCMEM_SHARED_DESCRIPTION$3,
  	PROCMEM_VIRT_LABEL: PROCMEM_VIRT_LABEL$3,
  	PROCMEM_VIRT_DESCRIPTION: PROCMEM_VIRT_DESCRIPTION$3,
  	HIDE_FSR_SHARPNESS_LABEL: HIDE_FSR_SHARPNESS_LABEL$3,
  	HIDE_FSR_SHARPNESS_DESCRIPTION: HIDE_FSR_SHARPNESS_DESCRIPTION$3,
  	BATTERY_WATT_LABEL: BATTERY_WATT_LABEL$3,
  	BATTERY_WATT_DESCRIPTION: BATTERY_WATT_DESCRIPTION$3,
  	BATTERY_TIME_LABEL: BATTERY_TIME_LABEL$3,
  	BATTERY_TIME_DESCRIPTION: BATTERY_TIME_DESCRIPTION$3,
  	HISTOGRAM_LABEL: HISTOGRAM_LABEL$3,
  	HISTOGRAM_DESCRIPTION: HISTOGRAM_DESCRIPTION$3,
  	OFFSET_X_DESCRIPTION: OFFSET_X_DESCRIPTION$3,
  	OFFSET_Y_DESCRIPTION: OFFSET_Y_DESCRIPTION$3,
  	FPS_ONLY_DESCRIPTION: FPS_ONLY_DESCRIPTION$3,
  	NO_DISPLAY_DESCRIPTION: NO_DISPLAY_DESCRIPTION$3,
  	GRAPHS_CPU_LOAD_LABEL: GRAPHS_CPU_LOAD_LABEL$3,
  	GRAPHS_CPU_LOAD_DESCRIPTION: GRAPHS_CPU_LOAD_DESCRIPTION$3,
  	GRAPHS_CPU_TEMP_LABEL: GRAPHS_CPU_TEMP_LABEL$3,
  	GRAPHS_CPU_TEMP_DESCRIPTION: GRAPHS_CPU_TEMP_DESCRIPTION$3,
  	GRAPHS_GPU_LOAD_LABEL: GRAPHS_GPU_LOAD_LABEL$3,
  	GRAPHS_GPU_LOAD_DESCRIPTION: GRAPHS_GPU_LOAD_DESCRIPTION$3,
  	GRAPHS_GPU_CORE_CLOCK_LABEL: GRAPHS_GPU_CORE_CLOCK_LABEL$3,
  	GRAPHS_GPU_CORE_CLOCK_DESCRIPTION: GRAPHS_GPU_CORE_CLOCK_DESCRIPTION$3,
  	GRAPHS_GPU_TEMP_LABEL: GRAPHS_GPU_TEMP_LABEL$3,
  	GRAPHS_GPU_TEMP_DESCRIPTION: GRAPHS_GPU_TEMP_DESCRIPTION$3,
  	GRAPHS_RAM_LABEL: GRAPHS_RAM_LABEL$3,
  	GRAPHS_RAM_DESCRIPTION: GRAPHS_RAM_DESCRIPTION$3,
  	GRAPHS_VRAM_LABEL: GRAPHS_VRAM_LABEL$3,
  	GRAPHS_VRAM_DESCRIPTION: GRAPHS_VRAM_DESCRIPTION$3,
  	GRAPHS_GPU_MEM_CLOCK_LABEL: GRAPHS_GPU_MEM_CLOCK_LABEL$3,
  	GRAPHS_GPU_MEM_CLOCK_DESCRIPTION: GRAPHS_GPU_MEM_CLOCK_DESCRIPTION$3,
  	TEXT_OUTLINE_THICKNESS_LABEL: TEXT_OUTLINE_THICKNESS_LABEL$3,
  	BACKGROUND_COLOR_LABEL: BACKGROUND_COLOR_LABEL$3,
  	BACKGROUND_COLOR_DESCRIPTION: BACKGROUND_COLOR_DESCRIPTION$3,
  	TEXT_COLOR_LABEL: TEXT_COLOR_LABEL$3,
  	TEXT_COLOR_DESCRIPTION: TEXT_COLOR_DESCRIPTION$3,
  	CPU_COLOR_LABEL: CPU_COLOR_LABEL$3,
  	CPU_COLOR_DESCRIPTION: CPU_COLOR_DESCRIPTION$3,
  	GPU_COLOR_LABEL: GPU_COLOR_LABEL$3,
  	GPU_COLOR_DESCRIPTION: GPU_COLOR_DESCRIPTION$3,
  	RAM_COLOR_LABEL: RAM_COLOR_LABEL$3,
  	RAM_COLOR_DESCRIPTION: RAM_COLOR_DESCRIPTION$3,
  	VRAM_COLOR_LABEL: VRAM_COLOR_LABEL$3,
  	VRAM_COLOR_DESCRIPTION: VRAM_COLOR_DESCRIPTION$3,
  	BATTERY_COLOR_LABEL: BATTERY_COLOR_LABEL$3,
  	BATTERY_COLOR_DESCRIPTION: BATTERY_COLOR_DESCRIPTION$3,
  	ENGINE_COLOR_LABEL: ENGINE_COLOR_LABEL$3,
  	ENGINE_COLOR_DESCRIPTION: ENGINE_COLOR_DESCRIPTION$3,
  	IO_COLOR_LABEL: IO_COLOR_LABEL$3,
  	IO_COLOR_DESCRIPTION: IO_COLOR_DESCRIPTION$3,
  	TEXT_OUTLINE_THICKNESS_DESCRIPTION: TEXT_OUTLINE_THICKNESS_DESCRIPTION$3,
  	TEXT_OUTLINE_COLOR_LABEL: TEXT_OUTLINE_COLOR_LABEL$3,
  	TEXT_OUTLINE_COLOR_DESCRIPTION: TEXT_OUTLINE_COLOR_DESCRIPTION$3,
  	FRAMETIME_COLOR_LABEL: FRAMETIME_COLOR_LABEL$3,
  	FRAMETIME_COLOR_DESCRIPTION: FRAMETIME_COLOR_DESCRIPTION$3
  };

  var ko$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    MANGOINDEX_LABEL: MANGOINDEX_LABEL$3,
    MANGOINDEX_LABEL_CLOSE: MANGOINDEX_LABEL_CLOSE$3,
    RESET_PARAM_DEFAULT: RESET_PARAM_DEFAULT$3,
    PARAM_MANUALLY_SORT_TITLE: PARAM_MANUALLY_SORT_TITLE$3,
    LEGACY_LAYOUT_LABEL: LEGACY_LAYOUT_LABEL$3,
    LEGACY_LAYOUT_DESCRIPTION: LEGACY_LAYOUT_DESCRIPTION$3,
    HORIZONTAL_LABEL: HORIZONTAL_LABEL$3,
    HORIZONTAL_DESCRIPTION: HORIZONTAL_DESCRIPTION$3,
    TABLE_COLUMNS_LABEL: TABLE_COLUMNS_LABEL$3,
    TABLE_COLUMNS_DESCRIPTION: TABLE_COLUMNS_DESCRIPTION$3,
    WIDTH_LABLE: WIDTH_LABLE$3,
    WIDTH_DESCRIPTION: WIDTH_DESCRIPTION$3,
    POSITION_LABEL: POSITION_LABEL$3,
    POSITION_DESCRIPTION: POSITION_DESCRIPTION$3,
    HUD_NO_MARGIN_LABEL: HUD_NO_MARGIN_LABEL$3,
    HUD_NO_MARGIN_DESCRIPTION: HUD_NO_MARGIN_DESCRIPTION$3,
    OFFSET_X_LABEL: OFFSET_X_LABEL$3,
    OFFSET_Y_LABEL: OFFSET_Y_LABEL$3,
    FPS_ONLY_LABEL: FPS_ONLY_LABEL$3,
    NO_DISPLAY_LABEL: NO_DISPLAY_LABEL$3,
    ALPHA_LABEL: ALPHA_LABEL$3,
    ALPHA_DESCRIPTION: ALPHA_DESCRIPTION$3,
    BACKGROUND_ALPHA_LABEL: BACKGROUND_ALPHA_LABEL$3,
    BACKGROUND_ALPHA_DESCRIPTION: BACKGROUND_ALPHA_DESCRIPTION$3,
    FONT_SCALE_LABEL: FONT_SCALE_LABEL$3,
    FULL_LABEL: FULL_LABEL$3,
    FULL_DESCRIPTION: FULL_DESCRIPTION$3,
    CUSTOM_TEXT_CENTER_LABEL: CUSTOM_TEXT_CENTER_LABEL$3,
    CUSTOM_TEXT_CENTER_DESCRIPTION: CUSTOM_TEXT_CENTER_DESCRIPTION$3,
    CUSTOM_TEXT_LABEL: CUSTOM_TEXT_LABEL$3,
    CUSTOM_TEXT_DESCRIPTION: CUSTOM_TEXT_DESCRIPTION$3,
    TIME_LABEL: TIME_LABEL$3,
    TIME_DESCRIPTION: TIME_DESCRIPTION$3,
    VERSION_LABEL: VERSION_LABEL$3,
    VERSION_DESCRIPTION: VERSION_DESCRIPTION$3,
    CPU_STATS_LABEL: CPU_STATS_LABEL$3,
    CPU_TEXT_LABEL: CPU_TEXT_LABEL$3,
    CPU_TEXT_DESCRIPTION: CPU_TEXT_DESCRIPTION$3,
    CPU_LOAD_CHANGE_LABEL: CPU_LOAD_CHANGE_LABEL$3,
    CPU_LOAD_CHANGE_DESCRIPTION: CPU_LOAD_CHANGE_DESCRIPTION$3,
    CORE_LOAD_LABEL: CORE_LOAD_LABEL$3,
    CORE_LOAD_DESCRIPTION: CORE_LOAD_DESCRIPTION$3,
    CORE_LOAD_CHANGE_LABEL: CORE_LOAD_CHANGE_LABEL$3,
    CORE_LOAD_CHANGE_DESCRIPTION: CORE_LOAD_CHANGE_DESCRIPTION$3,
    CPU_MHZ_LABEL: CPU_MHZ_LABEL$3,
    CPU_MHZ_DESCRIPTION: CPU_MHZ_DESCRIPTION$3,
    CPU_POWER_LABEL: CPU_POWER_LABEL$3,
    CPU_POWER_DESCRIPTION: CPU_POWER_DESCRIPTION$3,
    CPU_TEMP_LABEL: CPU_TEMP_LABEL$3,
    CPU_TEMP_DESCRIPTION: CPU_TEMP_DESCRIPTION$3,
    GPU_STATS_LABEL: GPU_STATS_LABEL$3,
    GPU_TEXT_LABEL: GPU_TEXT_LABEL$3,
    GPU_TEXT_DESCRIPTION: GPU_TEXT_DESCRIPTION$3,
    GPU_LOAD_CHANGE_LABEL: GPU_LOAD_CHANGE_LABEL$3,
    GPU_LOAD_CHANGE_DESCRIPTION: GPU_LOAD_CHANGE_DESCRIPTION$3,
    GPU_CORE_CLOCK_LABEL: GPU_CORE_CLOCK_LABEL$3,
    GPU_CORE_CLOCK_DESCRIPTION: GPU_CORE_CLOCK_DESCRIPTION$3,
    GPU_POWER_LABEL: GPU_POWER_LABEL$3,
    GPU_POWER_DESCRIPTION: GPU_POWER_DESCRIPTION$3,
    GPU_TEMP_LABEL: GPU_TEMP_LABEL$3,
    GPU_TEMP_DESCRIPTION: GPU_TEMP_DESCRIPTION$3,
    VRAM_LABEL: VRAM_LABEL$3,
    VRAM_DESCRIPTION: VRAM_DESCRIPTION$3,
    RAM_LABEL: RAM_LABEL$3,
    RAM_DESCRIPTION: RAM_DESCRIPTION$3,
    SWAP_LABEL: SWAP_LABEL$3,
    SWAP_DESCRIPTION: SWAP_DESCRIPTION$3,
    BATTERY_LABEL: BATTERY_LABEL$3,
    BATTERY_DESCRIPTION: BATTERY_DESCRIPTION$3,
    BATTERY_ICON_LABEL: BATTERY_ICON_LABEL$3,
    BATTERY_ICON_DESCRIPTION: BATTERY_ICON_DESCRIPTION$3,
    FAN_LABEL: FAN_LABEL$3,
    FAN_DESCRIPTION: FAN_DESCRIPTION$3,
    FSR_LABEL: FSR_LABEL$3,
    FSR_DESCRIPTION: FSR_DESCRIPTION$3,
    FPS_LABEL: FPS_LABEL$3,
    FPS_DESCRIPTION: FPS_DESCRIPTION$3,
    FPS_COLOR_CHANGE_LABEL: FPS_COLOR_CHANGE_LABEL$3,
    FPS_COLOR_CHANGE_DESCRIPTION: FPS_COLOR_CHANGE_DESCRIPTION$3,
    FRAME_TIMING_LABEL: FRAME_TIMING_LABEL$3,
    FRAME_TIMING_DESCRIPTION: FRAME_TIMING_DESCRIPTION$3,
    FRAME_COUNT_LABEL: FRAME_COUNT_LABEL$3,
    FRAME_COUNT_DESCRIPTION: FRAME_COUNT_DESCRIPTION$3,
    FRAME_TIME_LABEL: FRAME_TIME_LABEL$3,
    FRAME_TIME_DESCRIPTION: FRAME_TIME_DESCRIPTION$3,
    TIME_FORMAT_LABEL: TIME_FORMAT_LABEL$3,
    TIME_FORMAT_DESCRIPTION: TIME_FORMAT_DESCRIPTION$3,
    TIME_FORMAT_INPUT_TITLE: TIME_FORMAT_INPUT_TITLE$3,
    TIME_FORMAT_INPUT_DESCRIPTION1: TIME_FORMAT_INPUT_DESCRIPTION1$3,
    TIME_FORMAT_INPUT_DESCRIPTION2: TIME_FORMAT_INPUT_DESCRIPTION2$3,
    TIME_FORMAT_INPUT_DESCRIPTION3: TIME_FORMAT_INPUT_DESCRIPTION3$3,
    TIME_FORMAT_INPUT_DESCRIPTION4: TIME_FORMAT_INPUT_DESCRIPTION4$3,
    RESORT_SELECT_DESCRIPTION: RESORT_SELECT_DESCRIPTION$3,
    RESORT_END_DESCRIPTION: RESORT_END_DESCRIPTION$3,
    RESORT_MOVEUP_DESCRIPTION: RESORT_MOVEUP_DESCRIPTION$3,
    RESORT_MOVEDOWN_DESCRIPTION: RESORT_MOVEDOWN_DESCRIPTION$3,
    DEBUG_LABEL: DEBUG_LABEL$3,
    DEBUG_DESCRIPTION: DEBUG_DESCRIPTION$3,
    PRESET_LABEL: PRESET_LABEL$3,
    PRESET_DESCRIPTION: PRESET_DESCRIPTION$3,
    GPU_MEM_LABEL: GPU_MEM_LABEL$3,
    GPU_MEM_DESCRIPTION: GPU_MEM_DESCRIPTION$3,
    ARCH_LABEL: ARCH_LABEL$3,
    ARCH_DESCRIPTION: ARCH_DESCRIPTION$3,
    ENGINE_VERSION_LABEL: ENGINE_VERSION_LABEL$3,
    ENGINE_VERSION_DESCRIPTION: ENGINE_VERSION_DESCRIPTION$3,
    GAMEMODE_LABEL: GAMEMODE_LABEL$3,
    GAMEMODE_DESCRIPTION: GAMEMODE_DESCRIPTION$3,
    VKBASALT_LABEL: VKBASALT_LABEL$3,
    VKBASALT_DESCRIPTION: VKBASALT_DESCRIPTION$3,
    SHOW_FPS_LIMIT_LABEL: SHOW_FPS_LIMIT_LABEL$3,
    SHOW_FPS_LIMIT_DESCRIPTION: SHOW_FPS_LIMIT_DESCRIPTION$3,
    RESOLUTION_LABEL: RESOLUTION_LABEL$3,
    RESOLUTION_DESCRIPTION: RESOLUTION_DESCRIPTION$3,
    IO_WRITE_LABEL: IO_WRITE_LABEL$3,
    IO_WRITE_DESCRIPTION: IO_WRITE_DESCRIPTION$3,
    IO_READ_LABEL: IO_READ_LABEL$3,
    IO_READ_DESCRIPTION: IO_READ_DESCRIPTION$3,
    FPS_LIMIT_LABEL: FPS_LIMIT_LABEL$3,
    FPS_LIMIT_DESCRIPTION: FPS_LIMIT_DESCRIPTION$3,
    FPS_LIMIT_METHOD_LABEL: FPS_LIMIT_METHOD_LABEL$3,
    FPS_LIMIT_METHOD_DESCRIPTION: FPS_LIMIT_METHOD_DESCRIPTION$3,
    PROCMEM_LABEL: PROCMEM_LABEL$3,
    PROCMEM_DESCRIPTION: PROCMEM_DESCRIPTION$3,
    PROCMEM_SHARED_LABEL: PROCMEM_SHARED_LABEL$3,
    PROCMEM_SHARED_DESCRIPTION: PROCMEM_SHARED_DESCRIPTION$3,
    PROCMEM_VIRT_LABEL: PROCMEM_VIRT_LABEL$3,
    PROCMEM_VIRT_DESCRIPTION: PROCMEM_VIRT_DESCRIPTION$3,
    HIDE_FSR_SHARPNESS_LABEL: HIDE_FSR_SHARPNESS_LABEL$3,
    HIDE_FSR_SHARPNESS_DESCRIPTION: HIDE_FSR_SHARPNESS_DESCRIPTION$3,
    BATTERY_WATT_LABEL: BATTERY_WATT_LABEL$3,
    BATTERY_WATT_DESCRIPTION: BATTERY_WATT_DESCRIPTION$3,
    BATTERY_TIME_LABEL: BATTERY_TIME_LABEL$3,
    BATTERY_TIME_DESCRIPTION: BATTERY_TIME_DESCRIPTION$3,
    HISTOGRAM_LABEL: HISTOGRAM_LABEL$3,
    HISTOGRAM_DESCRIPTION: HISTOGRAM_DESCRIPTION$3,
    OFFSET_X_DESCRIPTION: OFFSET_X_DESCRIPTION$3,
    OFFSET_Y_DESCRIPTION: OFFSET_Y_DESCRIPTION$3,
    FPS_ONLY_DESCRIPTION: FPS_ONLY_DESCRIPTION$3,
    NO_DISPLAY_DESCRIPTION: NO_DISPLAY_DESCRIPTION$3,
    GRAPHS_CPU_LOAD_LABEL: GRAPHS_CPU_LOAD_LABEL$3,
    GRAPHS_CPU_LOAD_DESCRIPTION: GRAPHS_CPU_LOAD_DESCRIPTION$3,
    GRAPHS_CPU_TEMP_LABEL: GRAPHS_CPU_TEMP_LABEL$3,
    GRAPHS_CPU_TEMP_DESCRIPTION: GRAPHS_CPU_TEMP_DESCRIPTION$3,
    GRAPHS_GPU_LOAD_LABEL: GRAPHS_GPU_LOAD_LABEL$3,
    GRAPHS_GPU_LOAD_DESCRIPTION: GRAPHS_GPU_LOAD_DESCRIPTION$3,
    GRAPHS_GPU_CORE_CLOCK_LABEL: GRAPHS_GPU_CORE_CLOCK_LABEL$3,
    GRAPHS_GPU_CORE_CLOCK_DESCRIPTION: GRAPHS_GPU_CORE_CLOCK_DESCRIPTION$3,
    GRAPHS_GPU_TEMP_LABEL: GRAPHS_GPU_TEMP_LABEL$3,
    GRAPHS_GPU_TEMP_DESCRIPTION: GRAPHS_GPU_TEMP_DESCRIPTION$3,
    GRAPHS_RAM_LABEL: GRAPHS_RAM_LABEL$3,
    GRAPHS_RAM_DESCRIPTION: GRAPHS_RAM_DESCRIPTION$3,
    GRAPHS_VRAM_LABEL: GRAPHS_VRAM_LABEL$3,
    GRAPHS_VRAM_DESCRIPTION: GRAPHS_VRAM_DESCRIPTION$3,
    GRAPHS_GPU_MEM_CLOCK_LABEL: GRAPHS_GPU_MEM_CLOCK_LABEL$3,
    GRAPHS_GPU_MEM_CLOCK_DESCRIPTION: GRAPHS_GPU_MEM_CLOCK_DESCRIPTION$3,
    TEXT_OUTLINE_THICKNESS_LABEL: TEXT_OUTLINE_THICKNESS_LABEL$3,
    BACKGROUND_COLOR_LABEL: BACKGROUND_COLOR_LABEL$3,
    BACKGROUND_COLOR_DESCRIPTION: BACKGROUND_COLOR_DESCRIPTION$3,
    TEXT_COLOR_LABEL: TEXT_COLOR_LABEL$3,
    TEXT_COLOR_DESCRIPTION: TEXT_COLOR_DESCRIPTION$3,
    CPU_COLOR_LABEL: CPU_COLOR_LABEL$3,
    CPU_COLOR_DESCRIPTION: CPU_COLOR_DESCRIPTION$3,
    GPU_COLOR_LABEL: GPU_COLOR_LABEL$3,
    GPU_COLOR_DESCRIPTION: GPU_COLOR_DESCRIPTION$3,
    RAM_COLOR_LABEL: RAM_COLOR_LABEL$3,
    RAM_COLOR_DESCRIPTION: RAM_COLOR_DESCRIPTION$3,
    VRAM_COLOR_LABEL: VRAM_COLOR_LABEL$3,
    VRAM_COLOR_DESCRIPTION: VRAM_COLOR_DESCRIPTION$3,
    BATTERY_COLOR_LABEL: BATTERY_COLOR_LABEL$3,
    BATTERY_COLOR_DESCRIPTION: BATTERY_COLOR_DESCRIPTION$3,
    ENGINE_COLOR_LABEL: ENGINE_COLOR_LABEL$3,
    ENGINE_COLOR_DESCRIPTION: ENGINE_COLOR_DESCRIPTION$3,
    IO_COLOR_LABEL: IO_COLOR_LABEL$3,
    IO_COLOR_DESCRIPTION: IO_COLOR_DESCRIPTION$3,
    TEXT_OUTLINE_THICKNESS_DESCRIPTION: TEXT_OUTLINE_THICKNESS_DESCRIPTION$3,
    TEXT_OUTLINE_COLOR_LABEL: TEXT_OUTLINE_COLOR_LABEL$3,
    TEXT_OUTLINE_COLOR_DESCRIPTION: TEXT_OUTLINE_COLOR_DESCRIPTION$3,
    FRAMETIME_COLOR_LABEL: FRAMETIME_COLOR_LABEL$3,
    FRAMETIME_COLOR_DESCRIPTION: FRAMETIME_COLOR_DESCRIPTION$3,
    'default': ko
  });

  var nl = {
  	
  };

  var nl$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': nl
  });

  var pl = {
  	
  };

  var pl$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': pl
  });

  var pt = {
  	
  };

  var pt$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': pt
  });

  var ptBr = {
  	
  };

  var ptBr$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': ptBr
  });

  var ro = {
  	
  };

  var ro$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': ro
  });

  var ru = {
  	
  };

  var ru$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': ru
  });

  var sv = {
  	
  };

  var sv$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': sv
  });

  var tr = {
  	
  };

  var tr$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': tr
  });

  var uk = {
  	
  };

  var uk$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    'default': uk
  });

  var MANGOINDEX_LABEL$2 = "性能界面等级";
  var MANGOINDEX_LABEL_CLOSE$2 = "关闭";
  var RESET_PARAM_DEFAULT$2 = "重置为默认设置";
  var PARAM_MANUALLY_SORT_TITLE$2 = "参数手动排序";
  var LEGACY_LAYOUT_LABEL$2 = "传统布局";
  var LEGACY_LAYOUT_DESCRIPTION$2 = "使用传统的参数布局和参数顺序";
  var HORIZONTAL_LABEL$2 = "水平显示";
  var HORIZONTAL_DESCRIPTION$2 = "将Mangohud显示为横向位置";
  var TABLE_COLUMNS_LABEL$2 = "表格列数";
  var TABLE_COLUMNS_DESCRIPTION$2 = "设置每行显示的元素个数";
  var WIDTH_LABLE$2 = "宽度";
  var WIDTH_DESCRIPTION$2 = "自定义HUD宽度(以像素为单位)";
  var POSITION_LABEL$2 = "位置";
  var POSITION_DESCRIPTION$2 = "HUD的位置";
  var HUD_NO_MARGIN_LABEL$2 = "移除边距";
  var HUD_NO_MARGIN_DESCRIPTION$2 = "移除MangoHud周围的边距";
  var OFFSET_X_LABEL$2 = "HUD位置偏移X";
  var OFFSET_Y_LABEL$2 = "HUD位置偏移Y";
  var FPS_ONLY_LABEL$2 = "仅显示FPS";
  var NO_DISPLAY_LABEL$2 = "隐藏HUD";
  var ALPHA_LABEL$2 = "透明度";
  var ALPHA_DESCRIPTION$2 = "设置所有文本和帧时间图形的不透明度";
  var BACKGROUND_ALPHA_LABEL$2 = "背景透明度";
  var BACKGROUND_ALPHA_DESCRIPTION$2 = "设置背景的不透明度";
  var FONT_SCALE_LABEL$2 = "字体缩放";
  var FULL_LABEL$2 = "全部开启";
  var FULL_DESCRIPTION$2 = "启用大多数可切换参数";
  var CUSTOM_TEXT_CENTER_LABEL$2 = "自定义文本居中";
  var CUSTOM_TEXT_CENTER_DESCRIPTION$2 = "显示居中的自定义文本,适用于标题";
  var CUSTOM_TEXT_LABEL$2 = "自定义文本";
  var CUSTOM_TEXT_DESCRIPTION$2 = "显示自定义文本";
  var TIME_LABEL$2 = "时间";
  var TIME_DESCRIPTION$2 = "显示本地时间";
  var VERSION_LABEL$2 = "版本";
  var VERSION_DESCRIPTION$2 = "显示当前MangoHud版本";
  var CPU_STATS_LABEL$2 = "CPU";
  var CPU_TEXT_LABEL$2 = "CPU文本";
  var CPU_TEXT_DESCRIPTION$2 = "覆盖CPU文本";
  var CPU_LOAD_CHANGE_LABEL$2 = "CPU负载变化";
  var CPU_LOAD_CHANGE_DESCRIPTION$2 = "根据负载改变CPU负载的颜色";
  var CORE_LOAD_LABEL$2 = "核心负载";
  var CORE_LOAD_DESCRIPTION$2 = "显示每个核心的负载和频率";
  var CORE_LOAD_CHANGE_LABEL$2 = "核心负载变化";
  var CORE_LOAD_CHANGE_DESCRIPTION$2 = "更改CPU核心负载的颜色";
  var CPU_MHZ_LABEL$2 = "CPU频率";
  var CPU_MHZ_DESCRIPTION$2 = "显示CPU当前的频率(MHz)";
  var CPU_POWER_LABEL$2 = "CPU功率";
  var CPU_POWER_DESCRIPTION$2 = "显示CPU的功率消耗";
  var CPU_TEMP_LABEL$2 = "CPU温度";
  var CPU_TEMP_DESCRIPTION$2 = "显示当前CPU的温度";
  var GPU_STATS_LABEL$2 = "GPU";
  var GPU_TEXT_LABEL$2 = "GPU文本";
  var GPU_TEXT_DESCRIPTION$2 = "覆盖GPU文本";
  var GPU_LOAD_CHANGE_LABEL$2 = "GPU负载变化";
  var GPU_LOAD_CHANGE_DESCRIPTION$2 = "根据负载改变GPU负载的颜色";
  var GPU_CORE_CLOCK_LABEL$2 = "GPU核心频率";
  var GPU_CORE_CLOCK_DESCRIPTION$2 = "显示GPU核心频率";
  var GPU_POWER_LABEL$2 = "GPU功率";
  var GPU_POWER_DESCRIPTION$2 = "显示GPU的功率消耗";
  var GPU_TEMP_LABEL$2 = "GPU温度";
  var GPU_TEMP_DESCRIPTION$2 = "显示当前GPU的温度";
  var VRAM_LABEL$2 = "显存";
  var VRAM_DESCRIPTION$2 = "显示系统VRAM的使用情况";
  var RAM_LABEL$2 = "内存";
  var RAM_DESCRIPTION$2 = "显示系统RAM的使用情况";
  var SWAP_LABEL$2 = "交换空间";
  var SWAP_DESCRIPTION$2 = "在系统RAM使用情况旁显示交换空间使用情况";
  var BATTERY_LABEL$2 = "电池";
  var BATTERY_DESCRIPTION$2 = "显示当前电池百分比和电量消耗";
  var BATTERY_ICON_LABEL$2 = "电池图标";
  var BATTERY_ICON_DESCRIPTION$2 = "显示电量百分比的图标";
  var FAN_LABEL$2 = "风扇";
  var FAN_DESCRIPTION$2 = "显示当前风扇速度。";
  var FSR_LABEL$2 = "FSR";
  var FSR_DESCRIPTION$2 = "显示当前FSR状态";
  var FPS_LABEL$2 = "帧数";
  var FPS_DESCRIPTION$2 = "显示当前帧率";
  var FPS_COLOR_CHANGE_LABEL$2 = "FPS颜色变化";
  var FPS_COLOR_CHANGE_DESCRIPTION$2 = "帧率文本颜色随帧率变化而变化";
  var FRAME_TIMING_LABEL$2 = "帧波形图";
  var FRAME_TIMING_DESCRIPTION$2 = "显示生成的帧波形图";
  var FRAME_COUNT_LABEL$2 = "帧计数";
  var FRAME_COUNT_DESCRIPTION$2 = "显示帧计数";
  var FRAME_TIME_LABEL$2 = "帧时间";
  var FRAME_TIME_DESCRIPTION$2 = "在FPS文本旁显示帧时间";
  var TIME_FORMAT_LABEL$2 = "时间格式";
  var TIME_FORMAT_DESCRIPTION$2 = "覆盖时间显示的格式";
  var TIME_FORMAT_INPUT_TITLE$2 = "时间格式";
  var TIME_FORMAT_INPUT_DESCRIPTION1$2 = "年份: %Y           月份: %m           日期: %d ";
  var TIME_FORMAT_INPUT_DESCRIPTION2$2 = "小时: %H           分钟: %M           秒数: %S";
  var TIME_FORMAT_INPUT_DESCRIPTION3$2 = "上下午: %p          时区: %Z           时间戳: %s";
  var TIME_FORMAT_INPUT_DESCRIPTION4$2 = "星期几: %A/%a(Sunday/Sun)    月份名称: %B/%b(January/Jan)";
  var RESORT_SELECT_DESCRIPTION$2 = "手动排序";
  var RESORT_END_DESCRIPTION$2 = "结束排序";
  var RESORT_MOVEUP_DESCRIPTION$2 = "向上移动";
  var RESORT_MOVEDOWN_DESCRIPTION$2 = "向下移动";
  var DEBUG_LABEL$2 = "App";
  var DEBUG_DESCRIPTION$2 = "显示 gamescope 应用程序帧时间和延迟的图表";
  var PRESET_LABEL$2 = "使用预设配置";
  var PRESET_DESCRIPTION$2 = "使用steam预设,可以在~/.config/MangoHud/presets.conf中自定义预设";
  var GPU_MEM_LABEL$2 = "显存频率";
  var GPU_MEM_DESCRIPTION$2 = "显示GPU显存频率";
  var ARCH_LABEL$2 = "Arch";
  var ARCH_DESCRIPTION$2 = "显示应用程序是 32 位还是 64 位";
  var ENGINE_VERSION_LABEL$2 = "引擎版本";
  var ENGINE_VERSION_DESCRIPTION$2 = "显示 OpenGL 或 vulkan 以及基于 vulkan 的渲染引擎的版本";
  var GAMEMODE_LABEL$2 = "游戏模式";
  var GAMEMODE_DESCRIPTION$2 = "显示游戏模式是否开启";
  var VKBASALT_LABEL$2 = "vkBasalt";
  var VKBASALT_DESCRIPTION$2 = "显示 vkBasalt 是否已打开";
  var SHOW_FPS_LIMIT_LABEL$2 = "帧速率限制";
  var SHOW_FPS_LIMIT_DESCRIPTION$2 = "显示当前帧速率限制信息";
  var RESOLUTION_LABEL$2 = "分辨率";
  var RESOLUTION_DESCRIPTION$2 = "显示当前分辨率";
  var IO_WRITE_LABEL$2 = "IO读取";
  var IO_WRITE_DESCRIPTION$2 = "显示非缓存IO读速率,以 MiB/s 为单位";
  var IO_READ_LABEL$2 = "IO写入";
  var IO_READ_DESCRIPTION$2 = "显示非缓存IO写速率,以 MiB/s 为单位";
  var FPS_LIMIT_LABEL$2 = "帧速率限制大小";
  var FPS_LIMIT_DESCRIPTION$2 = "限制应用程序的帧速率,0代表不限制";
  var FPS_LIMIT_METHOD_LABEL$2 = "FPS限制方法";
  var FPS_LIMIT_METHOD_DESCRIPTION$2 = "FPS限制器是否应在呈现帧之前或之后等待.选择late(默认)以获得最低延迟或early最平滑的帧时间";
  var PROCMEM_LABEL$2 = "进程内存";
  var PROCMEM_DESCRIPTION$2 = "显示进程的内存使用情况：常驻、共享和/或虚拟";
  var PROCMEM_SHARED_LABEL$2 = "进程共享内存";
  var PROCMEM_SHARED_DESCRIPTION$2 = "显示进程的共享内存使用情况";
  var PROCMEM_VIRT_LABEL$2 = "进程虚拟内存";
  var PROCMEM_VIRT_DESCRIPTION$2 = "显示进程的虚拟内存使用情况";
  var HIDE_FSR_SHARPNESS_LABEL$2 = "隐藏FSR锐度";
  var HIDE_FSR_SHARPNESS_DESCRIPTION$2 = "隐藏fsr的锐度信息";
  var BATTERY_WATT_LABEL$2 = "电量消耗";
  var BATTERY_WATT_DESCRIPTION$2 = "显示当前电量消耗";
  var BATTERY_TIME_LABEL$2 = "电池剩余时间";
  var BATTERY_TIME_DESCRIPTION$2 = "显示电量耗尽剩余的时间";
  var HISTOGRAM_LABEL$2 = "直方图";
  var HISTOGRAM_DESCRIPTION$2 = "将FPS图表更改为直方图";
  var OFFSET_X_DESCRIPTION$2 = "将HUD向右偏移x个像素";
  var OFFSET_Y_DESCRIPTION$2 = "将HUD向下偏移y个像素";
  var FPS_ONLY_DESCRIPTION$2 = "只显示fps";
  var NO_DISPLAY_DESCRIPTION$2 = "不显示任何内容";
  var GRAPHS_CPU_LOAD_LABEL$2 = "CPU使用图表";
  var GRAPHS_CPU_LOAD_DESCRIPTION$2 = "显示CPU使用率图表";
  var GRAPHS_CPU_TEMP_LABEL$2 = "CPU温度图表";
  var GRAPHS_CPU_TEMP_DESCRIPTION$2 = "显示CPU温度图表";
  var GRAPHS_GPU_LOAD_LABEL$2 = "GPU使用图表";
  var GRAPHS_GPU_LOAD_DESCRIPTION$2 = "显示GPU使用率图表";
  var GRAPHS_GPU_CORE_CLOCK_LABEL$2 = "GPU频率图表";
  var GRAPHS_GPU_CORE_CLOCK_DESCRIPTION$2 = "显示GPU频率图表";
  var GRAPHS_GPU_TEMP_LABEL$2 = "GPU温度图表";
  var GRAPHS_GPU_TEMP_DESCRIPTION$2 = "显示GPU温度图表";
  var GRAPHS_RAM_LABEL$2 = "内存使用图表";
  var GRAPHS_RAM_DESCRIPTION$2 = "显示内存使用图表";
  var GRAPHS_VRAM_LABEL$2 = "显存使用图表";
  var GRAPHS_VRAM_DESCRIPTION$2 = "显示显存使用图表";
  var GRAPHS_GPU_MEM_CLOCK_LABEL$2 = "显存频率图表";
  var GRAPHS_GPU_MEM_CLOCK_DESCRIPTION$2 = "显示显存频率图表";
  var TEXT_OUTLINE_THICKNESS_LABEL$2 = "字体轮廓厚度";
  var BACKGROUND_COLOR_LABEL$2 = "背景颜色";
  var BACKGROUND_COLOR_DESCRIPTION$2 = "设置HUD的背景颜色";
  var TEXT_COLOR_LABEL$2 = "文本颜色";
  var TEXT_COLOR_DESCRIPTION$2 = "设置数据文本的颜色";
  var CPU_COLOR_LABEL$2 = "CPU标题颜色";
  var CPU_COLOR_DESCRIPTION$2 = "设置CPU标题文本的颜色";
  var GPU_COLOR_LABEL$2 = "GPU标题颜色";
  var GPU_COLOR_DESCRIPTION$2 = "设置GPU标题文本的颜色";
  var RAM_COLOR_LABEL$2 = "内存标题颜色";
  var RAM_COLOR_DESCRIPTION$2 = "设置内存标题文本的颜色";
  var VRAM_COLOR_LABEL$2 = "显存标题颜色";
  var VRAM_COLOR_DESCRIPTION$2 = "设置显存标题文本的颜色";
  var BATTERY_COLOR_LABEL$2 = "电池标题颜色";
  var BATTERY_COLOR_DESCRIPTION$2 = "设置电池标题文本的颜色";
  var ENGINE_COLOR_LABEL$2 = "Engine标题颜色";
  var ENGINE_COLOR_DESCRIPTION$2 = "设置Engine标题文本的颜色";
  var IO_COLOR_LABEL$2 = "IO标题颜色";
  var IO_COLOR_DESCRIPTION$2 = "设置IO标题文本的颜色";
  var TEXT_OUTLINE_THICKNESS_DESCRIPTION$2 = "设置全局文字轮廓的厚度";
  var TEXT_OUTLINE_COLOR_LABEL$2 = "字体轮廓颜色";
  var TEXT_OUTLINE_COLOR_DESCRIPTION$2 = "设置全局字体轮廓的颜色";
  var FRAMETIME_COLOR_LABEL$2 = "图表绘制颜色";
  var FRAMETIME_COLOR_DESCRIPTION$2 = "设置图表中绘制的折线颜色";
  var USE_PERAPP_CONFIG_LABEL$2 = "使用按游戏设置的界面等级";
  var USING$2 = "正在使用";
  var DEFAULT$2 = "默认";
  var MANGOLEVEL$2 = "界面等级";
  var HDR_LABEL$2 = "HDR";
  var HDR_DESCRIPTION$2 = "显示当前HDR状态";
  var REFRESH_RATE_LABEL$2 = "刷新率";
  var REFRESH_RATE_DESCRIPTION$2 = "显示当前刷新率大小";
  var GPU_VOLTAGE_LABEL$2 = "GPU电压";
  var GPU_VOLTAGE_DESCRIPTION$2 = "显示GPU的电压大小";
  var RESET_ALL_PARAM_DEFAULT$2 = "重置所有参数配置";
  var zhCn = {
  	MANGOINDEX_LABEL: MANGOINDEX_LABEL$2,
  	MANGOINDEX_LABEL_CLOSE: MANGOINDEX_LABEL_CLOSE$2,
  	RESET_PARAM_DEFAULT: RESET_PARAM_DEFAULT$2,
  	PARAM_MANUALLY_SORT_TITLE: PARAM_MANUALLY_SORT_TITLE$2,
  	LEGACY_LAYOUT_LABEL: LEGACY_LAYOUT_LABEL$2,
  	LEGACY_LAYOUT_DESCRIPTION: LEGACY_LAYOUT_DESCRIPTION$2,
  	HORIZONTAL_LABEL: HORIZONTAL_LABEL$2,
  	HORIZONTAL_DESCRIPTION: HORIZONTAL_DESCRIPTION$2,
  	TABLE_COLUMNS_LABEL: TABLE_COLUMNS_LABEL$2,
  	TABLE_COLUMNS_DESCRIPTION: TABLE_COLUMNS_DESCRIPTION$2,
  	WIDTH_LABLE: WIDTH_LABLE$2,
  	WIDTH_DESCRIPTION: WIDTH_DESCRIPTION$2,
  	POSITION_LABEL: POSITION_LABEL$2,
  	POSITION_DESCRIPTION: POSITION_DESCRIPTION$2,
  	HUD_NO_MARGIN_LABEL: HUD_NO_MARGIN_LABEL$2,
  	HUD_NO_MARGIN_DESCRIPTION: HUD_NO_MARGIN_DESCRIPTION$2,
  	OFFSET_X_LABEL: OFFSET_X_LABEL$2,
  	OFFSET_Y_LABEL: OFFSET_Y_LABEL$2,
  	FPS_ONLY_LABEL: FPS_ONLY_LABEL$2,
  	NO_DISPLAY_LABEL: NO_DISPLAY_LABEL$2,
  	ALPHA_LABEL: ALPHA_LABEL$2,
  	ALPHA_DESCRIPTION: ALPHA_DESCRIPTION$2,
  	BACKGROUND_ALPHA_LABEL: BACKGROUND_ALPHA_LABEL$2,
  	BACKGROUND_ALPHA_DESCRIPTION: BACKGROUND_ALPHA_DESCRIPTION$2,
  	FONT_SCALE_LABEL: FONT_SCALE_LABEL$2,
  	FULL_LABEL: FULL_LABEL$2,
  	FULL_DESCRIPTION: FULL_DESCRIPTION$2,
  	CUSTOM_TEXT_CENTER_LABEL: CUSTOM_TEXT_CENTER_LABEL$2,
  	CUSTOM_TEXT_CENTER_DESCRIPTION: CUSTOM_TEXT_CENTER_DESCRIPTION$2,
  	CUSTOM_TEXT_LABEL: CUSTOM_TEXT_LABEL$2,
  	CUSTOM_TEXT_DESCRIPTION: CUSTOM_TEXT_DESCRIPTION$2,
  	TIME_LABEL: TIME_LABEL$2,
  	TIME_DESCRIPTION: TIME_DESCRIPTION$2,
  	VERSION_LABEL: VERSION_LABEL$2,
  	VERSION_DESCRIPTION: VERSION_DESCRIPTION$2,
  	CPU_STATS_LABEL: CPU_STATS_LABEL$2,
  	CPU_TEXT_LABEL: CPU_TEXT_LABEL$2,
  	CPU_TEXT_DESCRIPTION: CPU_TEXT_DESCRIPTION$2,
  	CPU_LOAD_CHANGE_LABEL: CPU_LOAD_CHANGE_LABEL$2,
  	CPU_LOAD_CHANGE_DESCRIPTION: CPU_LOAD_CHANGE_DESCRIPTION$2,
  	CORE_LOAD_LABEL: CORE_LOAD_LABEL$2,
  	CORE_LOAD_DESCRIPTION: CORE_LOAD_DESCRIPTION$2,
  	CORE_LOAD_CHANGE_LABEL: CORE_LOAD_CHANGE_LABEL$2,
  	CORE_LOAD_CHANGE_DESCRIPTION: CORE_LOAD_CHANGE_DESCRIPTION$2,
  	CPU_MHZ_LABEL: CPU_MHZ_LABEL$2,
  	CPU_MHZ_DESCRIPTION: CPU_MHZ_DESCRIPTION$2,
  	CPU_POWER_LABEL: CPU_POWER_LABEL$2,
  	CPU_POWER_DESCRIPTION: CPU_POWER_DESCRIPTION$2,
  	CPU_TEMP_LABEL: CPU_TEMP_LABEL$2,
  	CPU_TEMP_DESCRIPTION: CPU_TEMP_DESCRIPTION$2,
  	GPU_STATS_LABEL: GPU_STATS_LABEL$2,
  	GPU_TEXT_LABEL: GPU_TEXT_LABEL$2,
  	GPU_TEXT_DESCRIPTION: GPU_TEXT_DESCRIPTION$2,
  	GPU_LOAD_CHANGE_LABEL: GPU_LOAD_CHANGE_LABEL$2,
  	GPU_LOAD_CHANGE_DESCRIPTION: GPU_LOAD_CHANGE_DESCRIPTION$2,
  	GPU_CORE_CLOCK_LABEL: GPU_CORE_CLOCK_LABEL$2,
  	GPU_CORE_CLOCK_DESCRIPTION: GPU_CORE_CLOCK_DESCRIPTION$2,
  	GPU_POWER_LABEL: GPU_POWER_LABEL$2,
  	GPU_POWER_DESCRIPTION: GPU_POWER_DESCRIPTION$2,
  	GPU_TEMP_LABEL: GPU_TEMP_LABEL$2,
  	GPU_TEMP_DESCRIPTION: GPU_TEMP_DESCRIPTION$2,
  	VRAM_LABEL: VRAM_LABEL$2,
  	VRAM_DESCRIPTION: VRAM_DESCRIPTION$2,
  	RAM_LABEL: RAM_LABEL$2,
  	RAM_DESCRIPTION: RAM_DESCRIPTION$2,
  	SWAP_LABEL: SWAP_LABEL$2,
  	SWAP_DESCRIPTION: SWAP_DESCRIPTION$2,
  	BATTERY_LABEL: BATTERY_LABEL$2,
  	BATTERY_DESCRIPTION: BATTERY_DESCRIPTION$2,
  	BATTERY_ICON_LABEL: BATTERY_ICON_LABEL$2,
  	BATTERY_ICON_DESCRIPTION: BATTERY_ICON_DESCRIPTION$2,
  	FAN_LABEL: FAN_LABEL$2,
  	FAN_DESCRIPTION: FAN_DESCRIPTION$2,
  	FSR_LABEL: FSR_LABEL$2,
  	FSR_DESCRIPTION: FSR_DESCRIPTION$2,
  	FPS_LABEL: FPS_LABEL$2,
  	FPS_DESCRIPTION: FPS_DESCRIPTION$2,
  	FPS_COLOR_CHANGE_LABEL: FPS_COLOR_CHANGE_LABEL$2,
  	FPS_COLOR_CHANGE_DESCRIPTION: FPS_COLOR_CHANGE_DESCRIPTION$2,
  	FRAME_TIMING_LABEL: FRAME_TIMING_LABEL$2,
  	FRAME_TIMING_DESCRIPTION: FRAME_TIMING_DESCRIPTION$2,
  	FRAME_COUNT_LABEL: FRAME_COUNT_LABEL$2,
  	FRAME_COUNT_DESCRIPTION: FRAME_COUNT_DESCRIPTION$2,
  	FRAME_TIME_LABEL: FRAME_TIME_LABEL$2,
  	FRAME_TIME_DESCRIPTION: FRAME_TIME_DESCRIPTION$2,
  	TIME_FORMAT_LABEL: TIME_FORMAT_LABEL$2,
  	TIME_FORMAT_DESCRIPTION: TIME_FORMAT_DESCRIPTION$2,
  	TIME_FORMAT_INPUT_TITLE: TIME_FORMAT_INPUT_TITLE$2,
  	TIME_FORMAT_INPUT_DESCRIPTION1: TIME_FORMAT_INPUT_DESCRIPTION1$2,
  	TIME_FORMAT_INPUT_DESCRIPTION2: TIME_FORMAT_INPUT_DESCRIPTION2$2,
  	TIME_FORMAT_INPUT_DESCRIPTION3: TIME_FORMAT_INPUT_DESCRIPTION3$2,
  	TIME_FORMAT_INPUT_DESCRIPTION4: TIME_FORMAT_INPUT_DESCRIPTION4$2,
  	RESORT_SELECT_DESCRIPTION: RESORT_SELECT_DESCRIPTION$2,
  	RESORT_END_DESCRIPTION: RESORT_END_DESCRIPTION$2,
  	RESORT_MOVEUP_DESCRIPTION: RESORT_MOVEUP_DESCRIPTION$2,
  	RESORT_MOVEDOWN_DESCRIPTION: RESORT_MOVEDOWN_DESCRIPTION$2,
  	DEBUG_LABEL: DEBUG_LABEL$2,
  	DEBUG_DESCRIPTION: DEBUG_DESCRIPTION$2,
  	PRESET_LABEL: PRESET_LABEL$2,
  	PRESET_DESCRIPTION: PRESET_DESCRIPTION$2,
  	GPU_MEM_LABEL: GPU_MEM_LABEL$2,
  	GPU_MEM_DESCRIPTION: GPU_MEM_DESCRIPTION$2,
  	ARCH_LABEL: ARCH_LABEL$2,
  	ARCH_DESCRIPTION: ARCH_DESCRIPTION$2,
  	ENGINE_VERSION_LABEL: ENGINE_VERSION_LABEL$2,
  	ENGINE_VERSION_DESCRIPTION: ENGINE_VERSION_DESCRIPTION$2,
  	GAMEMODE_LABEL: GAMEMODE_LABEL$2,
  	GAMEMODE_DESCRIPTION: GAMEMODE_DESCRIPTION$2,
  	VKBASALT_LABEL: VKBASALT_LABEL$2,
  	VKBASALT_DESCRIPTION: VKBASALT_DESCRIPTION$2,
  	SHOW_FPS_LIMIT_LABEL: SHOW_FPS_LIMIT_LABEL$2,
  	SHOW_FPS_LIMIT_DESCRIPTION: SHOW_FPS_LIMIT_DESCRIPTION$2,
  	RESOLUTION_LABEL: RESOLUTION_LABEL$2,
  	RESOLUTION_DESCRIPTION: RESOLUTION_DESCRIPTION$2,
  	IO_WRITE_LABEL: IO_WRITE_LABEL$2,
  	IO_WRITE_DESCRIPTION: IO_WRITE_DESCRIPTION$2,
  	IO_READ_LABEL: IO_READ_LABEL$2,
  	IO_READ_DESCRIPTION: IO_READ_DESCRIPTION$2,
  	FPS_LIMIT_LABEL: FPS_LIMIT_LABEL$2,
  	FPS_LIMIT_DESCRIPTION: FPS_LIMIT_DESCRIPTION$2,
  	FPS_LIMIT_METHOD_LABEL: FPS_LIMIT_METHOD_LABEL$2,
  	FPS_LIMIT_METHOD_DESCRIPTION: FPS_LIMIT_METHOD_DESCRIPTION$2,
  	PROCMEM_LABEL: PROCMEM_LABEL$2,
  	PROCMEM_DESCRIPTION: PROCMEM_DESCRIPTION$2,
  	PROCMEM_SHARED_LABEL: PROCMEM_SHARED_LABEL$2,
  	PROCMEM_SHARED_DESCRIPTION: PROCMEM_SHARED_DESCRIPTION$2,
  	PROCMEM_VIRT_LABEL: PROCMEM_VIRT_LABEL$2,
  	PROCMEM_VIRT_DESCRIPTION: PROCMEM_VIRT_DESCRIPTION$2,
  	HIDE_FSR_SHARPNESS_LABEL: HIDE_FSR_SHARPNESS_LABEL$2,
  	HIDE_FSR_SHARPNESS_DESCRIPTION: HIDE_FSR_SHARPNESS_DESCRIPTION$2,
  	BATTERY_WATT_LABEL: BATTERY_WATT_LABEL$2,
  	BATTERY_WATT_DESCRIPTION: BATTERY_WATT_DESCRIPTION$2,
  	BATTERY_TIME_LABEL: BATTERY_TIME_LABEL$2,
  	BATTERY_TIME_DESCRIPTION: BATTERY_TIME_DESCRIPTION$2,
  	HISTOGRAM_LABEL: HISTOGRAM_LABEL$2,
  	HISTOGRAM_DESCRIPTION: HISTOGRAM_DESCRIPTION$2,
  	OFFSET_X_DESCRIPTION: OFFSET_X_DESCRIPTION$2,
  	OFFSET_Y_DESCRIPTION: OFFSET_Y_DESCRIPTION$2,
  	FPS_ONLY_DESCRIPTION: FPS_ONLY_DESCRIPTION$2,
  	NO_DISPLAY_DESCRIPTION: NO_DISPLAY_DESCRIPTION$2,
  	GRAPHS_CPU_LOAD_LABEL: GRAPHS_CPU_LOAD_LABEL$2,
  	GRAPHS_CPU_LOAD_DESCRIPTION: GRAPHS_CPU_LOAD_DESCRIPTION$2,
  	GRAPHS_CPU_TEMP_LABEL: GRAPHS_CPU_TEMP_LABEL$2,
  	GRAPHS_CPU_TEMP_DESCRIPTION: GRAPHS_CPU_TEMP_DESCRIPTION$2,
  	GRAPHS_GPU_LOAD_LABEL: GRAPHS_GPU_LOAD_LABEL$2,
  	GRAPHS_GPU_LOAD_DESCRIPTION: GRAPHS_GPU_LOAD_DESCRIPTION$2,
  	GRAPHS_GPU_CORE_CLOCK_LABEL: GRAPHS_GPU_CORE_CLOCK_LABEL$2,
  	GRAPHS_GPU_CORE_CLOCK_DESCRIPTION: GRAPHS_GPU_CORE_CLOCK_DESCRIPTION$2,
  	GRAPHS_GPU_TEMP_LABEL: GRAPHS_GPU_TEMP_LABEL$2,
  	GRAPHS_GPU_TEMP_DESCRIPTION: GRAPHS_GPU_TEMP_DESCRIPTION$2,
  	GRAPHS_RAM_LABEL: GRAPHS_RAM_LABEL$2,
  	GRAPHS_RAM_DESCRIPTION: GRAPHS_RAM_DESCRIPTION$2,
  	GRAPHS_VRAM_LABEL: GRAPHS_VRAM_LABEL$2,
  	GRAPHS_VRAM_DESCRIPTION: GRAPHS_VRAM_DESCRIPTION$2,
  	GRAPHS_GPU_MEM_CLOCK_LABEL: GRAPHS_GPU_MEM_CLOCK_LABEL$2,
  	GRAPHS_GPU_MEM_CLOCK_DESCRIPTION: GRAPHS_GPU_MEM_CLOCK_DESCRIPTION$2,
  	TEXT_OUTLINE_THICKNESS_LABEL: TEXT_OUTLINE_THICKNESS_LABEL$2,
  	BACKGROUND_COLOR_LABEL: BACKGROUND_COLOR_LABEL$2,
  	BACKGROUND_COLOR_DESCRIPTION: BACKGROUND_COLOR_DESCRIPTION$2,
  	TEXT_COLOR_LABEL: TEXT_COLOR_LABEL$2,
  	TEXT_COLOR_DESCRIPTION: TEXT_COLOR_DESCRIPTION$2,
  	CPU_COLOR_LABEL: CPU_COLOR_LABEL$2,
  	CPU_COLOR_DESCRIPTION: CPU_COLOR_DESCRIPTION$2,
  	GPU_COLOR_LABEL: GPU_COLOR_LABEL$2,
  	GPU_COLOR_DESCRIPTION: GPU_COLOR_DESCRIPTION$2,
  	RAM_COLOR_LABEL: RAM_COLOR_LABEL$2,
  	RAM_COLOR_DESCRIPTION: RAM_COLOR_DESCRIPTION$2,
  	VRAM_COLOR_LABEL: VRAM_COLOR_LABEL$2,
  	VRAM_COLOR_DESCRIPTION: VRAM_COLOR_DESCRIPTION$2,
  	BATTERY_COLOR_LABEL: BATTERY_COLOR_LABEL$2,
  	BATTERY_COLOR_DESCRIPTION: BATTERY_COLOR_DESCRIPTION$2,
  	ENGINE_COLOR_LABEL: ENGINE_COLOR_LABEL$2,
  	ENGINE_COLOR_DESCRIPTION: ENGINE_COLOR_DESCRIPTION$2,
  	IO_COLOR_LABEL: IO_COLOR_LABEL$2,
  	IO_COLOR_DESCRIPTION: IO_COLOR_DESCRIPTION$2,
  	TEXT_OUTLINE_THICKNESS_DESCRIPTION: TEXT_OUTLINE_THICKNESS_DESCRIPTION$2,
  	TEXT_OUTLINE_COLOR_LABEL: TEXT_OUTLINE_COLOR_LABEL$2,
  	TEXT_OUTLINE_COLOR_DESCRIPTION: TEXT_OUTLINE_COLOR_DESCRIPTION$2,
  	FRAMETIME_COLOR_LABEL: FRAMETIME_COLOR_LABEL$2,
  	FRAMETIME_COLOR_DESCRIPTION: FRAMETIME_COLOR_DESCRIPTION$2,
  	USE_PERAPP_CONFIG_LABEL: USE_PERAPP_CONFIG_LABEL$2,
  	USING: USING$2,
  	DEFAULT: DEFAULT$2,
  	MANGOLEVEL: MANGOLEVEL$2,
  	HDR_LABEL: HDR_LABEL$2,
  	HDR_DESCRIPTION: HDR_DESCRIPTION$2,
  	REFRESH_RATE_LABEL: REFRESH_RATE_LABEL$2,
  	REFRESH_RATE_DESCRIPTION: REFRESH_RATE_DESCRIPTION$2,
  	GPU_VOLTAGE_LABEL: GPU_VOLTAGE_LABEL$2,
  	GPU_VOLTAGE_DESCRIPTION: GPU_VOLTAGE_DESCRIPTION$2,
  	RESET_ALL_PARAM_DEFAULT: RESET_ALL_PARAM_DEFAULT$2
  };

  var zhCn$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    MANGOINDEX_LABEL: MANGOINDEX_LABEL$2,
    MANGOINDEX_LABEL_CLOSE: MANGOINDEX_LABEL_CLOSE$2,
    RESET_PARAM_DEFAULT: RESET_PARAM_DEFAULT$2,
    PARAM_MANUALLY_SORT_TITLE: PARAM_MANUALLY_SORT_TITLE$2,
    LEGACY_LAYOUT_LABEL: LEGACY_LAYOUT_LABEL$2,
    LEGACY_LAYOUT_DESCRIPTION: LEGACY_LAYOUT_DESCRIPTION$2,
    HORIZONTAL_LABEL: HORIZONTAL_LABEL$2,
    HORIZONTAL_DESCRIPTION: HORIZONTAL_DESCRIPTION$2,
    TABLE_COLUMNS_LABEL: TABLE_COLUMNS_LABEL$2,
    TABLE_COLUMNS_DESCRIPTION: TABLE_COLUMNS_DESCRIPTION$2,
    WIDTH_LABLE: WIDTH_LABLE$2,
    WIDTH_DESCRIPTION: WIDTH_DESCRIPTION$2,
    POSITION_LABEL: POSITION_LABEL$2,
    POSITION_DESCRIPTION: POSITION_DESCRIPTION$2,
    HUD_NO_MARGIN_LABEL: HUD_NO_MARGIN_LABEL$2,
    HUD_NO_MARGIN_DESCRIPTION: HUD_NO_MARGIN_DESCRIPTION$2,
    OFFSET_X_LABEL: OFFSET_X_LABEL$2,
    OFFSET_Y_LABEL: OFFSET_Y_LABEL$2,
    FPS_ONLY_LABEL: FPS_ONLY_LABEL$2,
    NO_DISPLAY_LABEL: NO_DISPLAY_LABEL$2,
    ALPHA_LABEL: ALPHA_LABEL$2,
    ALPHA_DESCRIPTION: ALPHA_DESCRIPTION$2,
    BACKGROUND_ALPHA_LABEL: BACKGROUND_ALPHA_LABEL$2,
    BACKGROUND_ALPHA_DESCRIPTION: BACKGROUND_ALPHA_DESCRIPTION$2,
    FONT_SCALE_LABEL: FONT_SCALE_LABEL$2,
    FULL_LABEL: FULL_LABEL$2,
    FULL_DESCRIPTION: FULL_DESCRIPTION$2,
    CUSTOM_TEXT_CENTER_LABEL: CUSTOM_TEXT_CENTER_LABEL$2,
    CUSTOM_TEXT_CENTER_DESCRIPTION: CUSTOM_TEXT_CENTER_DESCRIPTION$2,
    CUSTOM_TEXT_LABEL: CUSTOM_TEXT_LABEL$2,
    CUSTOM_TEXT_DESCRIPTION: CUSTOM_TEXT_DESCRIPTION$2,
    TIME_LABEL: TIME_LABEL$2,
    TIME_DESCRIPTION: TIME_DESCRIPTION$2,
    VERSION_LABEL: VERSION_LABEL$2,
    VERSION_DESCRIPTION: VERSION_DESCRIPTION$2,
    CPU_STATS_LABEL: CPU_STATS_LABEL$2,
    CPU_TEXT_LABEL: CPU_TEXT_LABEL$2,
    CPU_TEXT_DESCRIPTION: CPU_TEXT_DESCRIPTION$2,
    CPU_LOAD_CHANGE_LABEL: CPU_LOAD_CHANGE_LABEL$2,
    CPU_LOAD_CHANGE_DESCRIPTION: CPU_LOAD_CHANGE_DESCRIPTION$2,
    CORE_LOAD_LABEL: CORE_LOAD_LABEL$2,
    CORE_LOAD_DESCRIPTION: CORE_LOAD_DESCRIPTION$2,
    CORE_LOAD_CHANGE_LABEL: CORE_LOAD_CHANGE_LABEL$2,
    CORE_LOAD_CHANGE_DESCRIPTION: CORE_LOAD_CHANGE_DESCRIPTION$2,
    CPU_MHZ_LABEL: CPU_MHZ_LABEL$2,
    CPU_MHZ_DESCRIPTION: CPU_MHZ_DESCRIPTION$2,
    CPU_POWER_LABEL: CPU_POWER_LABEL$2,
    CPU_POWER_DESCRIPTION: CPU_POWER_DESCRIPTION$2,
    CPU_TEMP_LABEL: CPU_TEMP_LABEL$2,
    CPU_TEMP_DESCRIPTION: CPU_TEMP_DESCRIPTION$2,
    GPU_STATS_LABEL: GPU_STATS_LABEL$2,
    GPU_TEXT_LABEL: GPU_TEXT_LABEL$2,
    GPU_TEXT_DESCRIPTION: GPU_TEXT_DESCRIPTION$2,
    GPU_LOAD_CHANGE_LABEL: GPU_LOAD_CHANGE_LABEL$2,
    GPU_LOAD_CHANGE_DESCRIPTION: GPU_LOAD_CHANGE_DESCRIPTION$2,
    GPU_CORE_CLOCK_LABEL: GPU_CORE_CLOCK_LABEL$2,
    GPU_CORE_CLOCK_DESCRIPTION: GPU_CORE_CLOCK_DESCRIPTION$2,
    GPU_POWER_LABEL: GPU_POWER_LABEL$2,
    GPU_POWER_DESCRIPTION: GPU_POWER_DESCRIPTION$2,
    GPU_TEMP_LABEL: GPU_TEMP_LABEL$2,
    GPU_TEMP_DESCRIPTION: GPU_TEMP_DESCRIPTION$2,
    VRAM_LABEL: VRAM_LABEL$2,
    VRAM_DESCRIPTION: VRAM_DESCRIPTION$2,
    RAM_LABEL: RAM_LABEL$2,
    RAM_DESCRIPTION: RAM_DESCRIPTION$2,
    SWAP_LABEL: SWAP_LABEL$2,
    SWAP_DESCRIPTION: SWAP_DESCRIPTION$2,
    BATTERY_LABEL: BATTERY_LABEL$2,
    BATTERY_DESCRIPTION: BATTERY_DESCRIPTION$2,
    BATTERY_ICON_LABEL: BATTERY_ICON_LABEL$2,
    BATTERY_ICON_DESCRIPTION: BATTERY_ICON_DESCRIPTION$2,
    FAN_LABEL: FAN_LABEL$2,
    FAN_DESCRIPTION: FAN_DESCRIPTION$2,
    FSR_LABEL: FSR_LABEL$2,
    FSR_DESCRIPTION: FSR_DESCRIPTION$2,
    FPS_LABEL: FPS_LABEL$2,
    FPS_DESCRIPTION: FPS_DESCRIPTION$2,
    FPS_COLOR_CHANGE_LABEL: FPS_COLOR_CHANGE_LABEL$2,
    FPS_COLOR_CHANGE_DESCRIPTION: FPS_COLOR_CHANGE_DESCRIPTION$2,
    FRAME_TIMING_LABEL: FRAME_TIMING_LABEL$2,
    FRAME_TIMING_DESCRIPTION: FRAME_TIMING_DESCRIPTION$2,
    FRAME_COUNT_LABEL: FRAME_COUNT_LABEL$2,
    FRAME_COUNT_DESCRIPTION: FRAME_COUNT_DESCRIPTION$2,
    FRAME_TIME_LABEL: FRAME_TIME_LABEL$2,
    FRAME_TIME_DESCRIPTION: FRAME_TIME_DESCRIPTION$2,
    TIME_FORMAT_LABEL: TIME_FORMAT_LABEL$2,
    TIME_FORMAT_DESCRIPTION: TIME_FORMAT_DESCRIPTION$2,
    TIME_FORMAT_INPUT_TITLE: TIME_FORMAT_INPUT_TITLE$2,
    TIME_FORMAT_INPUT_DESCRIPTION1: TIME_FORMAT_INPUT_DESCRIPTION1$2,
    TIME_FORMAT_INPUT_DESCRIPTION2: TIME_FORMAT_INPUT_DESCRIPTION2$2,
    TIME_FORMAT_INPUT_DESCRIPTION3: TIME_FORMAT_INPUT_DESCRIPTION3$2,
    TIME_FORMAT_INPUT_DESCRIPTION4: TIME_FORMAT_INPUT_DESCRIPTION4$2,
    RESORT_SELECT_DESCRIPTION: RESORT_SELECT_DESCRIPTION$2,
    RESORT_END_DESCRIPTION: RESORT_END_DESCRIPTION$2,
    RESORT_MOVEUP_DESCRIPTION: RESORT_MOVEUP_DESCRIPTION$2,
    RESORT_MOVEDOWN_DESCRIPTION: RESORT_MOVEDOWN_DESCRIPTION$2,
    DEBUG_LABEL: DEBUG_LABEL$2,
    DEBUG_DESCRIPTION: DEBUG_DESCRIPTION$2,
    PRESET_LABEL: PRESET_LABEL$2,
    PRESET_DESCRIPTION: PRESET_DESCRIPTION$2,
    GPU_MEM_LABEL: GPU_MEM_LABEL$2,
    GPU_MEM_DESCRIPTION: GPU_MEM_DESCRIPTION$2,
    ARCH_LABEL: ARCH_LABEL$2,
    ARCH_DESCRIPTION: ARCH_DESCRIPTION$2,
    ENGINE_VERSION_LABEL: ENGINE_VERSION_LABEL$2,
    ENGINE_VERSION_DESCRIPTION: ENGINE_VERSION_DESCRIPTION$2,
    GAMEMODE_LABEL: GAMEMODE_LABEL$2,
    GAMEMODE_DESCRIPTION: GAMEMODE_DESCRIPTION$2,
    VKBASALT_LABEL: VKBASALT_LABEL$2,
    VKBASALT_DESCRIPTION: VKBASALT_DESCRIPTION$2,
    SHOW_FPS_LIMIT_LABEL: SHOW_FPS_LIMIT_LABEL$2,
    SHOW_FPS_LIMIT_DESCRIPTION: SHOW_FPS_LIMIT_DESCRIPTION$2,
    RESOLUTION_LABEL: RESOLUTION_LABEL$2,
    RESOLUTION_DESCRIPTION: RESOLUTION_DESCRIPTION$2,
    IO_WRITE_LABEL: IO_WRITE_LABEL$2,
    IO_WRITE_DESCRIPTION: IO_WRITE_DESCRIPTION$2,
    IO_READ_LABEL: IO_READ_LABEL$2,
    IO_READ_DESCRIPTION: IO_READ_DESCRIPTION$2,
    FPS_LIMIT_LABEL: FPS_LIMIT_LABEL$2,
    FPS_LIMIT_DESCRIPTION: FPS_LIMIT_DESCRIPTION$2,
    FPS_LIMIT_METHOD_LABEL: FPS_LIMIT_METHOD_LABEL$2,
    FPS_LIMIT_METHOD_DESCRIPTION: FPS_LIMIT_METHOD_DESCRIPTION$2,
    PROCMEM_LABEL: PROCMEM_LABEL$2,
    PROCMEM_DESCRIPTION: PROCMEM_DESCRIPTION$2,
    PROCMEM_SHARED_LABEL: PROCMEM_SHARED_LABEL$2,
    PROCMEM_SHARED_DESCRIPTION: PROCMEM_SHARED_DESCRIPTION$2,
    PROCMEM_VIRT_LABEL: PROCMEM_VIRT_LABEL$2,
    PROCMEM_VIRT_DESCRIPTION: PROCMEM_VIRT_DESCRIPTION$2,
    HIDE_FSR_SHARPNESS_LABEL: HIDE_FSR_SHARPNESS_LABEL$2,
    HIDE_FSR_SHARPNESS_DESCRIPTION: HIDE_FSR_SHARPNESS_DESCRIPTION$2,
    BATTERY_WATT_LABEL: BATTERY_WATT_LABEL$2,
    BATTERY_WATT_DESCRIPTION: BATTERY_WATT_DESCRIPTION$2,
    BATTERY_TIME_LABEL: BATTERY_TIME_LABEL$2,
    BATTERY_TIME_DESCRIPTION: BATTERY_TIME_DESCRIPTION$2,
    HISTOGRAM_LABEL: HISTOGRAM_LABEL$2,
    HISTOGRAM_DESCRIPTION: HISTOGRAM_DESCRIPTION$2,
    OFFSET_X_DESCRIPTION: OFFSET_X_DESCRIPTION$2,
    OFFSET_Y_DESCRIPTION: OFFSET_Y_DESCRIPTION$2,
    FPS_ONLY_DESCRIPTION: FPS_ONLY_DESCRIPTION$2,
    NO_DISPLAY_DESCRIPTION: NO_DISPLAY_DESCRIPTION$2,
    GRAPHS_CPU_LOAD_LABEL: GRAPHS_CPU_LOAD_LABEL$2,
    GRAPHS_CPU_LOAD_DESCRIPTION: GRAPHS_CPU_LOAD_DESCRIPTION$2,
    GRAPHS_CPU_TEMP_LABEL: GRAPHS_CPU_TEMP_LABEL$2,
    GRAPHS_CPU_TEMP_DESCRIPTION: GRAPHS_CPU_TEMP_DESCRIPTION$2,
    GRAPHS_GPU_LOAD_LABEL: GRAPHS_GPU_LOAD_LABEL$2,
    GRAPHS_GPU_LOAD_DESCRIPTION: GRAPHS_GPU_LOAD_DESCRIPTION$2,
    GRAPHS_GPU_CORE_CLOCK_LABEL: GRAPHS_GPU_CORE_CLOCK_LABEL$2,
    GRAPHS_GPU_CORE_CLOCK_DESCRIPTION: GRAPHS_GPU_CORE_CLOCK_DESCRIPTION$2,
    GRAPHS_GPU_TEMP_LABEL: GRAPHS_GPU_TEMP_LABEL$2,
    GRAPHS_GPU_TEMP_DESCRIPTION: GRAPHS_GPU_TEMP_DESCRIPTION$2,
    GRAPHS_RAM_LABEL: GRAPHS_RAM_LABEL$2,
    GRAPHS_RAM_DESCRIPTION: GRAPHS_RAM_DESCRIPTION$2,
    GRAPHS_VRAM_LABEL: GRAPHS_VRAM_LABEL$2,
    GRAPHS_VRAM_DESCRIPTION: GRAPHS_VRAM_DESCRIPTION$2,
    GRAPHS_GPU_MEM_CLOCK_LABEL: GRAPHS_GPU_MEM_CLOCK_LABEL$2,
    GRAPHS_GPU_MEM_CLOCK_DESCRIPTION: GRAPHS_GPU_MEM_CLOCK_DESCRIPTION$2,
    TEXT_OUTLINE_THICKNESS_LABEL: TEXT_OUTLINE_THICKNESS_LABEL$2,
    BACKGROUND_COLOR_LABEL: BACKGROUND_COLOR_LABEL$2,
    BACKGROUND_COLOR_DESCRIPTION: BACKGROUND_COLOR_DESCRIPTION$2,
    TEXT_COLOR_LABEL: TEXT_COLOR_LABEL$2,
    TEXT_COLOR_DESCRIPTION: TEXT_COLOR_DESCRIPTION$2,
    CPU_COLOR_LABEL: CPU_COLOR_LABEL$2,
    CPU_COLOR_DESCRIPTION: CPU_COLOR_DESCRIPTION$2,
    GPU_COLOR_LABEL: GPU_COLOR_LABEL$2,
    GPU_COLOR_DESCRIPTION: GPU_COLOR_DESCRIPTION$2,
    RAM_COLOR_LABEL: RAM_COLOR_LABEL$2,
    RAM_COLOR_DESCRIPTION: RAM_COLOR_DESCRIPTION$2,
    VRAM_COLOR_LABEL: VRAM_COLOR_LABEL$2,
    VRAM_COLOR_DESCRIPTION: VRAM_COLOR_DESCRIPTION$2,
    BATTERY_COLOR_LABEL: BATTERY_COLOR_LABEL$2,
    BATTERY_COLOR_DESCRIPTION: BATTERY_COLOR_DESCRIPTION$2,
    ENGINE_COLOR_LABEL: ENGINE_COLOR_LABEL$2,
    ENGINE_COLOR_DESCRIPTION: ENGINE_COLOR_DESCRIPTION$2,
    IO_COLOR_LABEL: IO_COLOR_LABEL$2,
    IO_COLOR_DESCRIPTION: IO_COLOR_DESCRIPTION$2,
    TEXT_OUTLINE_THICKNESS_DESCRIPTION: TEXT_OUTLINE_THICKNESS_DESCRIPTION$2,
    TEXT_OUTLINE_COLOR_LABEL: TEXT_OUTLINE_COLOR_LABEL$2,
    TEXT_OUTLINE_COLOR_DESCRIPTION: TEXT_OUTLINE_COLOR_DESCRIPTION$2,
    FRAMETIME_COLOR_LABEL: FRAMETIME_COLOR_LABEL$2,
    FRAMETIME_COLOR_DESCRIPTION: FRAMETIME_COLOR_DESCRIPTION$2,
    USE_PERAPP_CONFIG_LABEL: USE_PERAPP_CONFIG_LABEL$2,
    USING: USING$2,
    DEFAULT: DEFAULT$2,
    MANGOLEVEL: MANGOLEVEL$2,
    HDR_LABEL: HDR_LABEL$2,
    HDR_DESCRIPTION: HDR_DESCRIPTION$2,
    REFRESH_RATE_LABEL: REFRESH_RATE_LABEL$2,
    REFRESH_RATE_DESCRIPTION: REFRESH_RATE_DESCRIPTION$2,
    GPU_VOLTAGE_LABEL: GPU_VOLTAGE_LABEL$2,
    GPU_VOLTAGE_DESCRIPTION: GPU_VOLTAGE_DESCRIPTION$2,
    RESET_ALL_PARAM_DEFAULT: RESET_ALL_PARAM_DEFAULT$2,
    'default': zhCn
  });

  var MANGOINDEX_LABEL$1 = "效能內嵌介面等級";
  var MANGOINDEX_LABEL_CLOSE$1 = "關閉";
  var RESET_PARAM_DEFAULT$1 = "重置參數配置";
  var PARAM_MANUALLY_SORT_TITLE$1 = "參數手動排序";
  var LEGACY_LAYOUT_LABEL$1 = "傳統布局";
  var LEGACY_LAYOUT_DESCRIPTION$1 = "使用傳統的參數布局和參數順序";
  var HORIZONTAL_LABEL$1 = "水平顯示";
  var HORIZONTAL_DESCRIPTION$1 = "將Mangohud顯示為橫向位置";
  var TABLE_COLUMNS_LABEL$1 = "表格列數";
  var TABLE_COLUMNS_DESCRIPTION$1 = "設置每行顯示的元素個數";
  var WIDTH_LABLE$1 = "寬度";
  var WIDTH_DESCRIPTION$1 = "自定義HUD寬度（以像素為單位）";
  var POSITION_LABEL$1 = "位置";
  var POSITION_DESCRIPTION$1 = "HUD的位置";
  var HUD_NO_MARGIN_LABEL$1 = "移除邊距";
  var HUD_NO_MARGIN_DESCRIPTION$1 = "移除MangoHud周圍的邊距";
  var OFFSET_X_LABEL$1 = "HUD位置偏移X";
  var OFFSET_Y_LABEL$1 = "HUD位置偏移Y";
  var FPS_ONLY_LABEL$1 = "僅顯示FPS";
  var NO_DISPLAY_LABEL$1 = "隱藏HUD";
  var ALPHA_LABEL$1 = "透明度";
  var ALPHA_DESCRIPTION$1 = "設置所有文本和幀時間圖形的不透明度";
  var BACKGROUND_ALPHA_LABEL$1 = "背景透明度";
  var BACKGROUND_ALPHA_DESCRIPTION$1 = "設置背景的不透明度";
  var FONT_SCALE_LABEL$1 = "字體縮放";
  var FULL_LABEL$1 = "全部開啟";
  var FULL_DESCRIPTION$1 = "啟用大多數可切換參數";
  var CUSTOM_TEXT_CENTER_LABEL$1 = "自定義文本居中";
  var CUSTOM_TEXT_CENTER_DESCRIPTION$1 = "顯示居中的自定義文本，適用於標題";
  var CUSTOM_TEXT_LABEL$1 = "自定義文本";
  var CUSTOM_TEXT_DESCRIPTION$1 = "顯示自定義文本";
  var TIME_LABEL$1 = "時間";
  var TIME_DESCRIPTION$1 = "顯示本地時間";
  var VERSION_LABEL$1 = "版本";
  var VERSION_DESCRIPTION$1 = "顯示當前MangoHud版本";
  var CPU_STATS_LABEL$1 = "CPU";
  var CPU_TEXT_LABEL$1 = "CPU文本";
  var CPU_TEXT_DESCRIPTION$1 = "覆蓋CPU文本";
  var CPU_LOAD_CHANGE_LABEL$1 = "CPU負載變化";
  var CPU_LOAD_CHANGE_DESCRIPTION$1 = "根據負載改變CPU負載的顏色";
  var CORE_LOAD_LABEL$1 = "核心負載";
  var CORE_LOAD_DESCRIPTION$1 = "顯示每個核心的負載和頻率";
  var CORE_LOAD_CHANGE_LABEL$1 = "核心負載變化";
  var CORE_LOAD_CHANGE_DESCRIPTION$1 = "更改CPU核心負載的顏色";
  var CPU_MHZ_LABEL$1 = "CPU頻率";
  var CPU_MHZ_DESCRIPTION$1 = "顯示CPU當前的頻率(Mhz)";
  var CPU_POWER_LABEL$1 = "CPU功率";
  var CPU_POWER_DESCRIPTION$1 = "顯示CPU的功率消耗";
  var CPU_TEMP_LABEL$1 = "CPU溫度";
  var CPU_TEMP_DESCRIPTION$1 = "顯示當前CPU的溫度";
  var GPU_STATS_LABEL$1 = "GPU";
  var GPU_TEXT_LABEL$1 = "GPU文本";
  var GPU_TEXT_DESCRIPTION$1 = "覆蓋GPU文本";
  var GPU_LOAD_CHANGE_LABEL$1 = "GPU負載變化";
  var GPU_LOAD_CHANGE_DESCRIPTION$1 = "根據負載改變GPU負載的顏色";
  var GPU_CORE_CLOCK_LABEL$1 = "GPU核心頻率";
  var GPU_CORE_CLOCK_DESCRIPTION$1 = "顯示GPU核心頻率";
  var GPU_POWER_LABEL$1 = "GPU功率";
  var GPU_POWER_DESCRIPTION$1 = "顯示GPU的功率消耗";
  var GPU_TEMP_LABEL$1 = "GPU溫度";
  var GPU_TEMP_DESCRIPTION$1 = "顯示當前GPU的溫度";
  var VRAM_LABEL$1 = "顯存";
  var VRAM_DESCRIPTION$1 = "顯示系統VRAM的使用情況";
  var RAM_LABEL$1 = "內存";
  var RAM_DESCRIPTION$1 = "顯示系統RAM的使用情況";
  var SWAP_LABEL$1 = "交換空間";
  var SWAP_DESCRIPTION$1 = "在系統RAM使用情況旁顯示交換空間使用情況";
  var BATTERY_LABEL$1 = "電池";
  var BATTERY_DESCRIPTION$1 = "顯示當前電池百分比和電量消耗";
  var BATTERY_ICON_LABEL$1 = "電池圖標";
  var BATTERY_ICON_DESCRIPTION$1 = "顯示電量百分比的圖標";
  var FAN_LABEL$1 = "風扇";
  var FAN_DESCRIPTION$1 = "顯示當前風扇速度。";
  var FSR_LABEL$1 = "FSR";
  var FSR_DESCRIPTION$1 = "顯示當前FSR狀態";
  var FPS_LABEL$1 = "幀數";
  var FPS_DESCRIPTION$1 = "顯示當前幀率";
  var FPS_COLOR_CHANGE_LABEL$1 = "FPS顏色變化";
  var FPS_COLOR_CHANGE_DESCRIPTION$1 = "幀率文本顏色隨幀率變化而變化";
  var FRAME_TIMING_LABEL$1 = "幀波形圖";
  var FRAME_TIMING_DESCRIPTION$1 = "顯示生成的幀波形圖";
  var FRAME_COUNT_LABEL$1 = "幀計數";
  var FRAME_COUNT_DESCRIPTION$1 = "顯示幀計數";
  var FRAME_TIME_LABEL$1 = "幀時間";
  var FRAME_TIME_DESCRIPTION$1 = "在FPS文本旁顯示幀時間";
  var TIME_FORMAT_LABEL$1 = "時間格式";
  var TIME_FORMAT_DESCRIPTION$1 = "覆蓋時間顯示的格式";
  var TIME_FORMAT_INPUT_TITLE$1 = "時間格式";
  var TIME_FORMAT_INPUT_DESCRIPTION1$1 = "年份: %Y           月份: %m           日期: %d ";
  var TIME_FORMAT_INPUT_DESCRIPTION2$1 = "小时: %H           分钟: %M           秒數: %S";
  var TIME_FORMAT_INPUT_DESCRIPTION3$1 = "上下午: %p          時區: %Z           时间戳: %s";
  var TIME_FORMAT_INPUT_DESCRIPTION4$1 = "星期几: %A/%a(Sunday/Sun)    月份名称: %B/%b(January/Jan)";
  var RESORT_SELECT_DESCRIPTION$1 = "手動排序";
  var RESORT_END_DESCRIPTION$1 = "結束排序";
  var RESORT_MOVEUP_DESCRIPTION$1 = "向上移動";
  var RESORT_MOVEDOWN_DESCRIPTION$1 = "向下移動";
  var DEBUG_LABEL$1 = "App";
  var DEBUG_DESCRIPTION$1 = "顯示 gamescope 應用程式幀時間和延遲的圖表";
  var PRESET_LABEL$1 = "使用預設配置";
  var PRESET_DESCRIPTION$1 = "使用steam預設，可以在~/.config/MangoHud/presets.conf中自定義預設";
  var GPU_MEM_LABEL$1 = "顯存頻率";
  var GPU_MEM_DESCRIPTION$1 = "顯示GPU顯存頻率";
  var ARCH_LABEL$1 = "Arch";
  var ARCH_DESCRIPTION$1 = "顯示應用程式是32位還是64位";
  var ENGINE_VERSION_LABEL$1 = "引擎版本";
  var ENGINE_VERSION_DESCRIPTION$1 = "顯示 OpenGL 或 vulkan 以及基於 vulkan 的渲染引擎的版本";
  var GAMEMODE_LABEL$1 = "遊戲模式";
  var GAMEMODE_DESCRIPTION$1 = "顯示遊戲模式是否開啟";
  var VKBASALT_LABEL$1 = "vkBasalt";
  var VKBASALT_DESCRIPTION$1 = "顯示 vkBasalt 是否已打開";
  var SHOW_FPS_LIMIT_LABEL$1 = "幀速率限制";
  var SHOW_FPS_LIMIT_DESCRIPTION$1 = "顯示當前幀速率限制信息";
  var RESOLUTION_LABEL$1 = "解析度";
  var RESOLUTION_DESCRIPTION$1 = "顯示當前解析度";
  var IO_WRITE_LABEL$1 = "IO讀取";
  var IO_WRITE_DESCRIPTION$1 = "顯示非緩存IO讀速率,以 MiB/s 為單位";
  var IO_READ_LABEL$1 = "IO寫入";
  var IO_READ_DESCRIPTION$1 = "顯示非緩存IO寫速率,以 MiB/s 為單位";
  var FPS_LIMIT_LABEL$1 = "幀速率限制大小";
  var FPS_LIMIT_DESCRIPTION$1 = "限制應用程式的幀速率,0代表不限制";
  var FPS_LIMIT_METHOD_LABEL$1 = "FPS限制方法";
  var FPS_LIMIT_METHOD_DESCRIPTION$1 = "FPS限制器是否應在呈現幀之前或之後等待。選擇late(預設)以獲得最低延遲或early最平滑的幀時間";
  var PROCMEM_LABEL$1 = "進程內存";
  var PROCMEM_DESCRIPTION$1 = "顯示進程的內存使用情況：常駐、共享和/或虛擬";
  var PROCMEM_SHARED_LABEL$1 = "進程共享內存";
  var PROCMEM_SHARED_DESCRIPTION$1 = "顯示進程的共享內存使用情況";
  var PROCMEM_VIRT_LABEL$1 = "進程虛擬內存";
  var PROCMEM_VIRT_DESCRIPTION$1 = "顯示進程的虛擬內存使用情況";
  var HIDE_FSR_SHARPNESS_LABEL$1 = "隱藏FSR銳度";
  var HIDE_FSR_SHARPNESS_DESCRIPTION$1 = "隱藏fsr的銳度信息";
  var BATTERY_WATT_LABEL$1 = "電量消耗";
  var BATTERY_WATT_DESCRIPTION$1 = "顯示當前電量消耗";
  var BATTERY_TIME_LABEL$1 = "電池剩餘時間";
  var BATTERY_TIME_DESCRIPTION$1 = "顯示電量耗盡剩餘的時間";
  var HISTOGRAM_LABEL$1 = "直方圖";
  var HISTOGRAM_DESCRIPTION$1 = "將FPS圖表更改為直方圖";
  var OFFSET_X_DESCRIPTION$1 = "將HUD向右偏移x個像素";
  var OFFSET_Y_DESCRIPTION$1 = "將HUD向下偏移y個像素";
  var FPS_ONLY_DESCRIPTION$1 = "只顯示fps";
  var NO_DISPLAY_DESCRIPTION$1 = "不顯示任何內容";
  var GRAPHS_CPU_LOAD_LABEL$1 = "CPU使用圖表";
  var GRAPHS_CPU_LOAD_DESCRIPTION$1 = "顯示CPU使用率圖表";
  var GRAPHS_CPU_TEMP_LABEL$1 = "CPU溫度圖表";
  var GRAPHS_CPU_TEMP_DESCRIPTION$1 = "顯示CPU溫度圖表";
  var GRAPHS_GPU_LOAD_LABEL$1 = "GPU使用圖表";
  var GRAPHS_GPU_LOAD_DESCRIPTION$1 = "顯示GPU使用率圖表";
  var GRAPHS_GPU_CORE_CLOCK_LABEL$1 = "GPU頻率圖表";
  var GRAPHS_GPU_CORE_CLOCK_DESCRIPTION$1 = "顯示GPU頻率圖表";
  var GRAPHS_GPU_TEMP_LABEL$1 = "GPU溫度圖表";
  var GRAPHS_GPU_TEMP_DESCRIPTION$1 = "顯示GPU溫度圖表";
  var GRAPHS_RAM_LABEL$1 = "記憶體使用圖表";
  var GRAPHS_RAM_DESCRIPTION$1 = "顯示記憶體使用圖表";
  var GRAPHS_VRAM_LABEL$1 = "顯示記憶體使用圖表";
  var GRAPHS_VRAM_DESCRIPTION$1 = "顯示顯存使用圖表";
  var GRAPHS_GPU_MEM_CLOCK_LABEL$1 = "顯存頻率圖表";
  var GRAPHS_GPU_MEM_CLOCK_DESCRIPTION$1 = "顯示顯存頻率圖表";
  var TEXT_OUTLINE_THICKNESS_LABEL$1 = "字體輪廓厚度";
  var BACKGROUND_COLOR_LABEL$1 = "背景顏色";
  var BACKGROUND_COLOR_DESCRIPTION$1 = "設置HUD的背景顏色";
  var TEXT_COLOR_LABEL$1 = "文字顏色";
  var TEXT_COLOR_DESCRIPTION$1 = "設置資料文字的顏色";
  var CPU_COLOR_LABEL$1 = "CPU標題顏色";
  var CPU_COLOR_DESCRIPTION$1 = "設置CPU標題文字的顏色";
  var GPU_COLOR_LABEL$1 = "GPU標題顏色";
  var GPU_COLOR_DESCRIPTION$1 = "設置GPU標題文字的顏色";
  var RAM_COLOR_LABEL$1 = "內存標題顏色";
  var RAM_COLOR_DESCRIPTION$1 = "設置內存標題文字的顏色";
  var VRAM_COLOR_LABEL$1 = "顯存標題顏色";
  var VRAM_COLOR_DESCRIPTION$1 = "設置顯存標題文字的顏色";
  var BATTERY_COLOR_LABEL$1 = "電池標題顏色";
  var BATTERY_COLOR_DESCRIPTION$1 = "設置電池標題文字的顏色";
  var ENGINE_COLOR_LABEL$1 = "Engine標題顏色";
  var ENGINE_COLOR_DESCRIPTION$1 = "設置Engine標題文字的顏色";
  var IO_COLOR_LABEL$1 = "IO標題顏色";
  var IO_COLOR_DESCRIPTION$1 = "設置IO標題文字的顏色";
  var TEXT_OUTLINE_THICKNESS_DESCRIPTION$1 = "設置全局文字輪廓的厚度";
  var TEXT_OUTLINE_COLOR_LABEL$1 = "字體輪廓顏色";
  var TEXT_OUTLINE_COLOR_DESCRIPTION$1 = "設置全局字體輪廓的顏色";
  var FRAMETIME_COLOR_LABEL$1 = "圖表繪製顏色";
  var FRAMETIME_COLOR_DESCRIPTION$1 = "設置圖表中繪製的折線顏色";
  var USE_PERAPP_CONFIG_LABEL$1 = "使用按遊戲設定的介面等級";
  var USING$1 = "正在使用";
  var DEFAULT$1 = "默認";
  var MANGOLEVEL$1 = "介面等級";
  var HDR_LABEL$1 = "HDR";
  var HDR_DESCRIPTION$1 = "顯示目前的HDR狀態";
  var REFRESH_RATE_LABEL$1 = "刷新頻率";
  var REFRESH_RATE_DESCRIPTION$1 = "顯示目前的刷新頻率大小";
  var GPU_VOLTAGE_LABEL$1 = "GPU電壓";
  var GPU_VOLTAGE_DESCRIPTION$1 = "顯示GPU的電壓大小";
  var RESET_ALL_PARAM_DEFAULT$1 = "重置所有參數配置";
  var zhTw = {
  	MANGOINDEX_LABEL: MANGOINDEX_LABEL$1,
  	MANGOINDEX_LABEL_CLOSE: MANGOINDEX_LABEL_CLOSE$1,
  	RESET_PARAM_DEFAULT: RESET_PARAM_DEFAULT$1,
  	PARAM_MANUALLY_SORT_TITLE: PARAM_MANUALLY_SORT_TITLE$1,
  	LEGACY_LAYOUT_LABEL: LEGACY_LAYOUT_LABEL$1,
  	LEGACY_LAYOUT_DESCRIPTION: LEGACY_LAYOUT_DESCRIPTION$1,
  	HORIZONTAL_LABEL: HORIZONTAL_LABEL$1,
  	HORIZONTAL_DESCRIPTION: HORIZONTAL_DESCRIPTION$1,
  	TABLE_COLUMNS_LABEL: TABLE_COLUMNS_LABEL$1,
  	TABLE_COLUMNS_DESCRIPTION: TABLE_COLUMNS_DESCRIPTION$1,
  	WIDTH_LABLE: WIDTH_LABLE$1,
  	WIDTH_DESCRIPTION: WIDTH_DESCRIPTION$1,
  	POSITION_LABEL: POSITION_LABEL$1,
  	POSITION_DESCRIPTION: POSITION_DESCRIPTION$1,
  	HUD_NO_MARGIN_LABEL: HUD_NO_MARGIN_LABEL$1,
  	HUD_NO_MARGIN_DESCRIPTION: HUD_NO_MARGIN_DESCRIPTION$1,
  	OFFSET_X_LABEL: OFFSET_X_LABEL$1,
  	OFFSET_Y_LABEL: OFFSET_Y_LABEL$1,
  	FPS_ONLY_LABEL: FPS_ONLY_LABEL$1,
  	NO_DISPLAY_LABEL: NO_DISPLAY_LABEL$1,
  	ALPHA_LABEL: ALPHA_LABEL$1,
  	ALPHA_DESCRIPTION: ALPHA_DESCRIPTION$1,
  	BACKGROUND_ALPHA_LABEL: BACKGROUND_ALPHA_LABEL$1,
  	BACKGROUND_ALPHA_DESCRIPTION: BACKGROUND_ALPHA_DESCRIPTION$1,
  	FONT_SCALE_LABEL: FONT_SCALE_LABEL$1,
  	FULL_LABEL: FULL_LABEL$1,
  	FULL_DESCRIPTION: FULL_DESCRIPTION$1,
  	CUSTOM_TEXT_CENTER_LABEL: CUSTOM_TEXT_CENTER_LABEL$1,
  	CUSTOM_TEXT_CENTER_DESCRIPTION: CUSTOM_TEXT_CENTER_DESCRIPTION$1,
  	CUSTOM_TEXT_LABEL: CUSTOM_TEXT_LABEL$1,
  	CUSTOM_TEXT_DESCRIPTION: CUSTOM_TEXT_DESCRIPTION$1,
  	TIME_LABEL: TIME_LABEL$1,
  	TIME_DESCRIPTION: TIME_DESCRIPTION$1,
  	VERSION_LABEL: VERSION_LABEL$1,
  	VERSION_DESCRIPTION: VERSION_DESCRIPTION$1,
  	CPU_STATS_LABEL: CPU_STATS_LABEL$1,
  	CPU_TEXT_LABEL: CPU_TEXT_LABEL$1,
  	CPU_TEXT_DESCRIPTION: CPU_TEXT_DESCRIPTION$1,
  	CPU_LOAD_CHANGE_LABEL: CPU_LOAD_CHANGE_LABEL$1,
  	CPU_LOAD_CHANGE_DESCRIPTION: CPU_LOAD_CHANGE_DESCRIPTION$1,
  	CORE_LOAD_LABEL: CORE_LOAD_LABEL$1,
  	CORE_LOAD_DESCRIPTION: CORE_LOAD_DESCRIPTION$1,
  	CORE_LOAD_CHANGE_LABEL: CORE_LOAD_CHANGE_LABEL$1,
  	CORE_LOAD_CHANGE_DESCRIPTION: CORE_LOAD_CHANGE_DESCRIPTION$1,
  	CPU_MHZ_LABEL: CPU_MHZ_LABEL$1,
  	CPU_MHZ_DESCRIPTION: CPU_MHZ_DESCRIPTION$1,
  	CPU_POWER_LABEL: CPU_POWER_LABEL$1,
  	CPU_POWER_DESCRIPTION: CPU_POWER_DESCRIPTION$1,
  	CPU_TEMP_LABEL: CPU_TEMP_LABEL$1,
  	CPU_TEMP_DESCRIPTION: CPU_TEMP_DESCRIPTION$1,
  	GPU_STATS_LABEL: GPU_STATS_LABEL$1,
  	GPU_TEXT_LABEL: GPU_TEXT_LABEL$1,
  	GPU_TEXT_DESCRIPTION: GPU_TEXT_DESCRIPTION$1,
  	GPU_LOAD_CHANGE_LABEL: GPU_LOAD_CHANGE_LABEL$1,
  	GPU_LOAD_CHANGE_DESCRIPTION: GPU_LOAD_CHANGE_DESCRIPTION$1,
  	GPU_CORE_CLOCK_LABEL: GPU_CORE_CLOCK_LABEL$1,
  	GPU_CORE_CLOCK_DESCRIPTION: GPU_CORE_CLOCK_DESCRIPTION$1,
  	GPU_POWER_LABEL: GPU_POWER_LABEL$1,
  	GPU_POWER_DESCRIPTION: GPU_POWER_DESCRIPTION$1,
  	GPU_TEMP_LABEL: GPU_TEMP_LABEL$1,
  	GPU_TEMP_DESCRIPTION: GPU_TEMP_DESCRIPTION$1,
  	VRAM_LABEL: VRAM_LABEL$1,
  	VRAM_DESCRIPTION: VRAM_DESCRIPTION$1,
  	RAM_LABEL: RAM_LABEL$1,
  	RAM_DESCRIPTION: RAM_DESCRIPTION$1,
  	SWAP_LABEL: SWAP_LABEL$1,
  	SWAP_DESCRIPTION: SWAP_DESCRIPTION$1,
  	BATTERY_LABEL: BATTERY_LABEL$1,
  	BATTERY_DESCRIPTION: BATTERY_DESCRIPTION$1,
  	BATTERY_ICON_LABEL: BATTERY_ICON_LABEL$1,
  	BATTERY_ICON_DESCRIPTION: BATTERY_ICON_DESCRIPTION$1,
  	FAN_LABEL: FAN_LABEL$1,
  	FAN_DESCRIPTION: FAN_DESCRIPTION$1,
  	FSR_LABEL: FSR_LABEL$1,
  	FSR_DESCRIPTION: FSR_DESCRIPTION$1,
  	FPS_LABEL: FPS_LABEL$1,
  	FPS_DESCRIPTION: FPS_DESCRIPTION$1,
  	FPS_COLOR_CHANGE_LABEL: FPS_COLOR_CHANGE_LABEL$1,
  	FPS_COLOR_CHANGE_DESCRIPTION: FPS_COLOR_CHANGE_DESCRIPTION$1,
  	FRAME_TIMING_LABEL: FRAME_TIMING_LABEL$1,
  	FRAME_TIMING_DESCRIPTION: FRAME_TIMING_DESCRIPTION$1,
  	FRAME_COUNT_LABEL: FRAME_COUNT_LABEL$1,
  	FRAME_COUNT_DESCRIPTION: FRAME_COUNT_DESCRIPTION$1,
  	FRAME_TIME_LABEL: FRAME_TIME_LABEL$1,
  	FRAME_TIME_DESCRIPTION: FRAME_TIME_DESCRIPTION$1,
  	TIME_FORMAT_LABEL: TIME_FORMAT_LABEL$1,
  	TIME_FORMAT_DESCRIPTION: TIME_FORMAT_DESCRIPTION$1,
  	TIME_FORMAT_INPUT_TITLE: TIME_FORMAT_INPUT_TITLE$1,
  	TIME_FORMAT_INPUT_DESCRIPTION1: TIME_FORMAT_INPUT_DESCRIPTION1$1,
  	TIME_FORMAT_INPUT_DESCRIPTION2: TIME_FORMAT_INPUT_DESCRIPTION2$1,
  	TIME_FORMAT_INPUT_DESCRIPTION3: TIME_FORMAT_INPUT_DESCRIPTION3$1,
  	TIME_FORMAT_INPUT_DESCRIPTION4: TIME_FORMAT_INPUT_DESCRIPTION4$1,
  	RESORT_SELECT_DESCRIPTION: RESORT_SELECT_DESCRIPTION$1,
  	RESORT_END_DESCRIPTION: RESORT_END_DESCRIPTION$1,
  	RESORT_MOVEUP_DESCRIPTION: RESORT_MOVEUP_DESCRIPTION$1,
  	RESORT_MOVEDOWN_DESCRIPTION: RESORT_MOVEDOWN_DESCRIPTION$1,
  	DEBUG_LABEL: DEBUG_LABEL$1,
  	DEBUG_DESCRIPTION: DEBUG_DESCRIPTION$1,
  	PRESET_LABEL: PRESET_LABEL$1,
  	PRESET_DESCRIPTION: PRESET_DESCRIPTION$1,
  	GPU_MEM_LABEL: GPU_MEM_LABEL$1,
  	GPU_MEM_DESCRIPTION: GPU_MEM_DESCRIPTION$1,
  	ARCH_LABEL: ARCH_LABEL$1,
  	ARCH_DESCRIPTION: ARCH_DESCRIPTION$1,
  	ENGINE_VERSION_LABEL: ENGINE_VERSION_LABEL$1,
  	ENGINE_VERSION_DESCRIPTION: ENGINE_VERSION_DESCRIPTION$1,
  	GAMEMODE_LABEL: GAMEMODE_LABEL$1,
  	GAMEMODE_DESCRIPTION: GAMEMODE_DESCRIPTION$1,
  	VKBASALT_LABEL: VKBASALT_LABEL$1,
  	VKBASALT_DESCRIPTION: VKBASALT_DESCRIPTION$1,
  	SHOW_FPS_LIMIT_LABEL: SHOW_FPS_LIMIT_LABEL$1,
  	SHOW_FPS_LIMIT_DESCRIPTION: SHOW_FPS_LIMIT_DESCRIPTION$1,
  	RESOLUTION_LABEL: RESOLUTION_LABEL$1,
  	RESOLUTION_DESCRIPTION: RESOLUTION_DESCRIPTION$1,
  	IO_WRITE_LABEL: IO_WRITE_LABEL$1,
  	IO_WRITE_DESCRIPTION: IO_WRITE_DESCRIPTION$1,
  	IO_READ_LABEL: IO_READ_LABEL$1,
  	IO_READ_DESCRIPTION: IO_READ_DESCRIPTION$1,
  	FPS_LIMIT_LABEL: FPS_LIMIT_LABEL$1,
  	FPS_LIMIT_DESCRIPTION: FPS_LIMIT_DESCRIPTION$1,
  	FPS_LIMIT_METHOD_LABEL: FPS_LIMIT_METHOD_LABEL$1,
  	FPS_LIMIT_METHOD_DESCRIPTION: FPS_LIMIT_METHOD_DESCRIPTION$1,
  	PROCMEM_LABEL: PROCMEM_LABEL$1,
  	PROCMEM_DESCRIPTION: PROCMEM_DESCRIPTION$1,
  	PROCMEM_SHARED_LABEL: PROCMEM_SHARED_LABEL$1,
  	PROCMEM_SHARED_DESCRIPTION: PROCMEM_SHARED_DESCRIPTION$1,
  	PROCMEM_VIRT_LABEL: PROCMEM_VIRT_LABEL$1,
  	PROCMEM_VIRT_DESCRIPTION: PROCMEM_VIRT_DESCRIPTION$1,
  	HIDE_FSR_SHARPNESS_LABEL: HIDE_FSR_SHARPNESS_LABEL$1,
  	HIDE_FSR_SHARPNESS_DESCRIPTION: HIDE_FSR_SHARPNESS_DESCRIPTION$1,
  	BATTERY_WATT_LABEL: BATTERY_WATT_LABEL$1,
  	BATTERY_WATT_DESCRIPTION: BATTERY_WATT_DESCRIPTION$1,
  	BATTERY_TIME_LABEL: BATTERY_TIME_LABEL$1,
  	BATTERY_TIME_DESCRIPTION: BATTERY_TIME_DESCRIPTION$1,
  	HISTOGRAM_LABEL: HISTOGRAM_LABEL$1,
  	HISTOGRAM_DESCRIPTION: HISTOGRAM_DESCRIPTION$1,
  	OFFSET_X_DESCRIPTION: OFFSET_X_DESCRIPTION$1,
  	OFFSET_Y_DESCRIPTION: OFFSET_Y_DESCRIPTION$1,
  	FPS_ONLY_DESCRIPTION: FPS_ONLY_DESCRIPTION$1,
  	NO_DISPLAY_DESCRIPTION: NO_DISPLAY_DESCRIPTION$1,
  	GRAPHS_CPU_LOAD_LABEL: GRAPHS_CPU_LOAD_LABEL$1,
  	GRAPHS_CPU_LOAD_DESCRIPTION: GRAPHS_CPU_LOAD_DESCRIPTION$1,
  	GRAPHS_CPU_TEMP_LABEL: GRAPHS_CPU_TEMP_LABEL$1,
  	GRAPHS_CPU_TEMP_DESCRIPTION: GRAPHS_CPU_TEMP_DESCRIPTION$1,
  	GRAPHS_GPU_LOAD_LABEL: GRAPHS_GPU_LOAD_LABEL$1,
  	GRAPHS_GPU_LOAD_DESCRIPTION: GRAPHS_GPU_LOAD_DESCRIPTION$1,
  	GRAPHS_GPU_CORE_CLOCK_LABEL: GRAPHS_GPU_CORE_CLOCK_LABEL$1,
  	GRAPHS_GPU_CORE_CLOCK_DESCRIPTION: GRAPHS_GPU_CORE_CLOCK_DESCRIPTION$1,
  	GRAPHS_GPU_TEMP_LABEL: GRAPHS_GPU_TEMP_LABEL$1,
  	GRAPHS_GPU_TEMP_DESCRIPTION: GRAPHS_GPU_TEMP_DESCRIPTION$1,
  	GRAPHS_RAM_LABEL: GRAPHS_RAM_LABEL$1,
  	GRAPHS_RAM_DESCRIPTION: GRAPHS_RAM_DESCRIPTION$1,
  	GRAPHS_VRAM_LABEL: GRAPHS_VRAM_LABEL$1,
  	GRAPHS_VRAM_DESCRIPTION: GRAPHS_VRAM_DESCRIPTION$1,
  	GRAPHS_GPU_MEM_CLOCK_LABEL: GRAPHS_GPU_MEM_CLOCK_LABEL$1,
  	GRAPHS_GPU_MEM_CLOCK_DESCRIPTION: GRAPHS_GPU_MEM_CLOCK_DESCRIPTION$1,
  	TEXT_OUTLINE_THICKNESS_LABEL: TEXT_OUTLINE_THICKNESS_LABEL$1,
  	BACKGROUND_COLOR_LABEL: BACKGROUND_COLOR_LABEL$1,
  	BACKGROUND_COLOR_DESCRIPTION: BACKGROUND_COLOR_DESCRIPTION$1,
  	TEXT_COLOR_LABEL: TEXT_COLOR_LABEL$1,
  	TEXT_COLOR_DESCRIPTION: TEXT_COLOR_DESCRIPTION$1,
  	CPU_COLOR_LABEL: CPU_COLOR_LABEL$1,
  	CPU_COLOR_DESCRIPTION: CPU_COLOR_DESCRIPTION$1,
  	GPU_COLOR_LABEL: GPU_COLOR_LABEL$1,
  	GPU_COLOR_DESCRIPTION: GPU_COLOR_DESCRIPTION$1,
  	RAM_COLOR_LABEL: RAM_COLOR_LABEL$1,
  	RAM_COLOR_DESCRIPTION: RAM_COLOR_DESCRIPTION$1,
  	VRAM_COLOR_LABEL: VRAM_COLOR_LABEL$1,
  	VRAM_COLOR_DESCRIPTION: VRAM_COLOR_DESCRIPTION$1,
  	BATTERY_COLOR_LABEL: BATTERY_COLOR_LABEL$1,
  	BATTERY_COLOR_DESCRIPTION: BATTERY_COLOR_DESCRIPTION$1,
  	ENGINE_COLOR_LABEL: ENGINE_COLOR_LABEL$1,
  	ENGINE_COLOR_DESCRIPTION: ENGINE_COLOR_DESCRIPTION$1,
  	IO_COLOR_LABEL: IO_COLOR_LABEL$1,
  	IO_COLOR_DESCRIPTION: IO_COLOR_DESCRIPTION$1,
  	TEXT_OUTLINE_THICKNESS_DESCRIPTION: TEXT_OUTLINE_THICKNESS_DESCRIPTION$1,
  	TEXT_OUTLINE_COLOR_LABEL: TEXT_OUTLINE_COLOR_LABEL$1,
  	TEXT_OUTLINE_COLOR_DESCRIPTION: TEXT_OUTLINE_COLOR_DESCRIPTION$1,
  	FRAMETIME_COLOR_LABEL: FRAMETIME_COLOR_LABEL$1,
  	FRAMETIME_COLOR_DESCRIPTION: FRAMETIME_COLOR_DESCRIPTION$1,
  	USE_PERAPP_CONFIG_LABEL: USE_PERAPP_CONFIG_LABEL$1,
  	USING: USING$1,
  	DEFAULT: DEFAULT$1,
  	MANGOLEVEL: MANGOLEVEL$1,
  	HDR_LABEL: HDR_LABEL$1,
  	HDR_DESCRIPTION: HDR_DESCRIPTION$1,
  	REFRESH_RATE_LABEL: REFRESH_RATE_LABEL$1,
  	REFRESH_RATE_DESCRIPTION: REFRESH_RATE_DESCRIPTION$1,
  	GPU_VOLTAGE_LABEL: GPU_VOLTAGE_LABEL$1,
  	GPU_VOLTAGE_DESCRIPTION: GPU_VOLTAGE_DESCRIPTION$1,
  	RESET_ALL_PARAM_DEFAULT: RESET_ALL_PARAM_DEFAULT$1
  };

  var zhTw$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    MANGOINDEX_LABEL: MANGOINDEX_LABEL$1,
    MANGOINDEX_LABEL_CLOSE: MANGOINDEX_LABEL_CLOSE$1,
    RESET_PARAM_DEFAULT: RESET_PARAM_DEFAULT$1,
    PARAM_MANUALLY_SORT_TITLE: PARAM_MANUALLY_SORT_TITLE$1,
    LEGACY_LAYOUT_LABEL: LEGACY_LAYOUT_LABEL$1,
    LEGACY_LAYOUT_DESCRIPTION: LEGACY_LAYOUT_DESCRIPTION$1,
    HORIZONTAL_LABEL: HORIZONTAL_LABEL$1,
    HORIZONTAL_DESCRIPTION: HORIZONTAL_DESCRIPTION$1,
    TABLE_COLUMNS_LABEL: TABLE_COLUMNS_LABEL$1,
    TABLE_COLUMNS_DESCRIPTION: TABLE_COLUMNS_DESCRIPTION$1,
    WIDTH_LABLE: WIDTH_LABLE$1,
    WIDTH_DESCRIPTION: WIDTH_DESCRIPTION$1,
    POSITION_LABEL: POSITION_LABEL$1,
    POSITION_DESCRIPTION: POSITION_DESCRIPTION$1,
    HUD_NO_MARGIN_LABEL: HUD_NO_MARGIN_LABEL$1,
    HUD_NO_MARGIN_DESCRIPTION: HUD_NO_MARGIN_DESCRIPTION$1,
    OFFSET_X_LABEL: OFFSET_X_LABEL$1,
    OFFSET_Y_LABEL: OFFSET_Y_LABEL$1,
    FPS_ONLY_LABEL: FPS_ONLY_LABEL$1,
    NO_DISPLAY_LABEL: NO_DISPLAY_LABEL$1,
    ALPHA_LABEL: ALPHA_LABEL$1,
    ALPHA_DESCRIPTION: ALPHA_DESCRIPTION$1,
    BACKGROUND_ALPHA_LABEL: BACKGROUND_ALPHA_LABEL$1,
    BACKGROUND_ALPHA_DESCRIPTION: BACKGROUND_ALPHA_DESCRIPTION$1,
    FONT_SCALE_LABEL: FONT_SCALE_LABEL$1,
    FULL_LABEL: FULL_LABEL$1,
    FULL_DESCRIPTION: FULL_DESCRIPTION$1,
    CUSTOM_TEXT_CENTER_LABEL: CUSTOM_TEXT_CENTER_LABEL$1,
    CUSTOM_TEXT_CENTER_DESCRIPTION: CUSTOM_TEXT_CENTER_DESCRIPTION$1,
    CUSTOM_TEXT_LABEL: CUSTOM_TEXT_LABEL$1,
    CUSTOM_TEXT_DESCRIPTION: CUSTOM_TEXT_DESCRIPTION$1,
    TIME_LABEL: TIME_LABEL$1,
    TIME_DESCRIPTION: TIME_DESCRIPTION$1,
    VERSION_LABEL: VERSION_LABEL$1,
    VERSION_DESCRIPTION: VERSION_DESCRIPTION$1,
    CPU_STATS_LABEL: CPU_STATS_LABEL$1,
    CPU_TEXT_LABEL: CPU_TEXT_LABEL$1,
    CPU_TEXT_DESCRIPTION: CPU_TEXT_DESCRIPTION$1,
    CPU_LOAD_CHANGE_LABEL: CPU_LOAD_CHANGE_LABEL$1,
    CPU_LOAD_CHANGE_DESCRIPTION: CPU_LOAD_CHANGE_DESCRIPTION$1,
    CORE_LOAD_LABEL: CORE_LOAD_LABEL$1,
    CORE_LOAD_DESCRIPTION: CORE_LOAD_DESCRIPTION$1,
    CORE_LOAD_CHANGE_LABEL: CORE_LOAD_CHANGE_LABEL$1,
    CORE_LOAD_CHANGE_DESCRIPTION: CORE_LOAD_CHANGE_DESCRIPTION$1,
    CPU_MHZ_LABEL: CPU_MHZ_LABEL$1,
    CPU_MHZ_DESCRIPTION: CPU_MHZ_DESCRIPTION$1,
    CPU_POWER_LABEL: CPU_POWER_LABEL$1,
    CPU_POWER_DESCRIPTION: CPU_POWER_DESCRIPTION$1,
    CPU_TEMP_LABEL: CPU_TEMP_LABEL$1,
    CPU_TEMP_DESCRIPTION: CPU_TEMP_DESCRIPTION$1,
    GPU_STATS_LABEL: GPU_STATS_LABEL$1,
    GPU_TEXT_LABEL: GPU_TEXT_LABEL$1,
    GPU_TEXT_DESCRIPTION: GPU_TEXT_DESCRIPTION$1,
    GPU_LOAD_CHANGE_LABEL: GPU_LOAD_CHANGE_LABEL$1,
    GPU_LOAD_CHANGE_DESCRIPTION: GPU_LOAD_CHANGE_DESCRIPTION$1,
    GPU_CORE_CLOCK_LABEL: GPU_CORE_CLOCK_LABEL$1,
    GPU_CORE_CLOCK_DESCRIPTION: GPU_CORE_CLOCK_DESCRIPTION$1,
    GPU_POWER_LABEL: GPU_POWER_LABEL$1,
    GPU_POWER_DESCRIPTION: GPU_POWER_DESCRIPTION$1,
    GPU_TEMP_LABEL: GPU_TEMP_LABEL$1,
    GPU_TEMP_DESCRIPTION: GPU_TEMP_DESCRIPTION$1,
    VRAM_LABEL: VRAM_LABEL$1,
    VRAM_DESCRIPTION: VRAM_DESCRIPTION$1,
    RAM_LABEL: RAM_LABEL$1,
    RAM_DESCRIPTION: RAM_DESCRIPTION$1,
    SWAP_LABEL: SWAP_LABEL$1,
    SWAP_DESCRIPTION: SWAP_DESCRIPTION$1,
    BATTERY_LABEL: BATTERY_LABEL$1,
    BATTERY_DESCRIPTION: BATTERY_DESCRIPTION$1,
    BATTERY_ICON_LABEL: BATTERY_ICON_LABEL$1,
    BATTERY_ICON_DESCRIPTION: BATTERY_ICON_DESCRIPTION$1,
    FAN_LABEL: FAN_LABEL$1,
    FAN_DESCRIPTION: FAN_DESCRIPTION$1,
    FSR_LABEL: FSR_LABEL$1,
    FSR_DESCRIPTION: FSR_DESCRIPTION$1,
    FPS_LABEL: FPS_LABEL$1,
    FPS_DESCRIPTION: FPS_DESCRIPTION$1,
    FPS_COLOR_CHANGE_LABEL: FPS_COLOR_CHANGE_LABEL$1,
    FPS_COLOR_CHANGE_DESCRIPTION: FPS_COLOR_CHANGE_DESCRIPTION$1,
    FRAME_TIMING_LABEL: FRAME_TIMING_LABEL$1,
    FRAME_TIMING_DESCRIPTION: FRAME_TIMING_DESCRIPTION$1,
    FRAME_COUNT_LABEL: FRAME_COUNT_LABEL$1,
    FRAME_COUNT_DESCRIPTION: FRAME_COUNT_DESCRIPTION$1,
    FRAME_TIME_LABEL: FRAME_TIME_LABEL$1,
    FRAME_TIME_DESCRIPTION: FRAME_TIME_DESCRIPTION$1,
    TIME_FORMAT_LABEL: TIME_FORMAT_LABEL$1,
    TIME_FORMAT_DESCRIPTION: TIME_FORMAT_DESCRIPTION$1,
    TIME_FORMAT_INPUT_TITLE: TIME_FORMAT_INPUT_TITLE$1,
    TIME_FORMAT_INPUT_DESCRIPTION1: TIME_FORMAT_INPUT_DESCRIPTION1$1,
    TIME_FORMAT_INPUT_DESCRIPTION2: TIME_FORMAT_INPUT_DESCRIPTION2$1,
    TIME_FORMAT_INPUT_DESCRIPTION3: TIME_FORMAT_INPUT_DESCRIPTION3$1,
    TIME_FORMAT_INPUT_DESCRIPTION4: TIME_FORMAT_INPUT_DESCRIPTION4$1,
    RESORT_SELECT_DESCRIPTION: RESORT_SELECT_DESCRIPTION$1,
    RESORT_END_DESCRIPTION: RESORT_END_DESCRIPTION$1,
    RESORT_MOVEUP_DESCRIPTION: RESORT_MOVEUP_DESCRIPTION$1,
    RESORT_MOVEDOWN_DESCRIPTION: RESORT_MOVEDOWN_DESCRIPTION$1,
    DEBUG_LABEL: DEBUG_LABEL$1,
    DEBUG_DESCRIPTION: DEBUG_DESCRIPTION$1,
    PRESET_LABEL: PRESET_LABEL$1,
    PRESET_DESCRIPTION: PRESET_DESCRIPTION$1,
    GPU_MEM_LABEL: GPU_MEM_LABEL$1,
    GPU_MEM_DESCRIPTION: GPU_MEM_DESCRIPTION$1,
    ARCH_LABEL: ARCH_LABEL$1,
    ARCH_DESCRIPTION: ARCH_DESCRIPTION$1,
    ENGINE_VERSION_LABEL: ENGINE_VERSION_LABEL$1,
    ENGINE_VERSION_DESCRIPTION: ENGINE_VERSION_DESCRIPTION$1,
    GAMEMODE_LABEL: GAMEMODE_LABEL$1,
    GAMEMODE_DESCRIPTION: GAMEMODE_DESCRIPTION$1,
    VKBASALT_LABEL: VKBASALT_LABEL$1,
    VKBASALT_DESCRIPTION: VKBASALT_DESCRIPTION$1,
    SHOW_FPS_LIMIT_LABEL: SHOW_FPS_LIMIT_LABEL$1,
    SHOW_FPS_LIMIT_DESCRIPTION: SHOW_FPS_LIMIT_DESCRIPTION$1,
    RESOLUTION_LABEL: RESOLUTION_LABEL$1,
    RESOLUTION_DESCRIPTION: RESOLUTION_DESCRIPTION$1,
    IO_WRITE_LABEL: IO_WRITE_LABEL$1,
    IO_WRITE_DESCRIPTION: IO_WRITE_DESCRIPTION$1,
    IO_READ_LABEL: IO_READ_LABEL$1,
    IO_READ_DESCRIPTION: IO_READ_DESCRIPTION$1,
    FPS_LIMIT_LABEL: FPS_LIMIT_LABEL$1,
    FPS_LIMIT_DESCRIPTION: FPS_LIMIT_DESCRIPTION$1,
    FPS_LIMIT_METHOD_LABEL: FPS_LIMIT_METHOD_LABEL$1,
    FPS_LIMIT_METHOD_DESCRIPTION: FPS_LIMIT_METHOD_DESCRIPTION$1,
    PROCMEM_LABEL: PROCMEM_LABEL$1,
    PROCMEM_DESCRIPTION: PROCMEM_DESCRIPTION$1,
    PROCMEM_SHARED_LABEL: PROCMEM_SHARED_LABEL$1,
    PROCMEM_SHARED_DESCRIPTION: PROCMEM_SHARED_DESCRIPTION$1,
    PROCMEM_VIRT_LABEL: PROCMEM_VIRT_LABEL$1,
    PROCMEM_VIRT_DESCRIPTION: PROCMEM_VIRT_DESCRIPTION$1,
    HIDE_FSR_SHARPNESS_LABEL: HIDE_FSR_SHARPNESS_LABEL$1,
    HIDE_FSR_SHARPNESS_DESCRIPTION: HIDE_FSR_SHARPNESS_DESCRIPTION$1,
    BATTERY_WATT_LABEL: BATTERY_WATT_LABEL$1,
    BATTERY_WATT_DESCRIPTION: BATTERY_WATT_DESCRIPTION$1,
    BATTERY_TIME_LABEL: BATTERY_TIME_LABEL$1,
    BATTERY_TIME_DESCRIPTION: BATTERY_TIME_DESCRIPTION$1,
    HISTOGRAM_LABEL: HISTOGRAM_LABEL$1,
    HISTOGRAM_DESCRIPTION: HISTOGRAM_DESCRIPTION$1,
    OFFSET_X_DESCRIPTION: OFFSET_X_DESCRIPTION$1,
    OFFSET_Y_DESCRIPTION: OFFSET_Y_DESCRIPTION$1,
    FPS_ONLY_DESCRIPTION: FPS_ONLY_DESCRIPTION$1,
    NO_DISPLAY_DESCRIPTION: NO_DISPLAY_DESCRIPTION$1,
    GRAPHS_CPU_LOAD_LABEL: GRAPHS_CPU_LOAD_LABEL$1,
    GRAPHS_CPU_LOAD_DESCRIPTION: GRAPHS_CPU_LOAD_DESCRIPTION$1,
    GRAPHS_CPU_TEMP_LABEL: GRAPHS_CPU_TEMP_LABEL$1,
    GRAPHS_CPU_TEMP_DESCRIPTION: GRAPHS_CPU_TEMP_DESCRIPTION$1,
    GRAPHS_GPU_LOAD_LABEL: GRAPHS_GPU_LOAD_LABEL$1,
    GRAPHS_GPU_LOAD_DESCRIPTION: GRAPHS_GPU_LOAD_DESCRIPTION$1,
    GRAPHS_GPU_CORE_CLOCK_LABEL: GRAPHS_GPU_CORE_CLOCK_LABEL$1,
    GRAPHS_GPU_CORE_CLOCK_DESCRIPTION: GRAPHS_GPU_CORE_CLOCK_DESCRIPTION$1,
    GRAPHS_GPU_TEMP_LABEL: GRAPHS_GPU_TEMP_LABEL$1,
    GRAPHS_GPU_TEMP_DESCRIPTION: GRAPHS_GPU_TEMP_DESCRIPTION$1,
    GRAPHS_RAM_LABEL: GRAPHS_RAM_LABEL$1,
    GRAPHS_RAM_DESCRIPTION: GRAPHS_RAM_DESCRIPTION$1,
    GRAPHS_VRAM_LABEL: GRAPHS_VRAM_LABEL$1,
    GRAPHS_VRAM_DESCRIPTION: GRAPHS_VRAM_DESCRIPTION$1,
    GRAPHS_GPU_MEM_CLOCK_LABEL: GRAPHS_GPU_MEM_CLOCK_LABEL$1,
    GRAPHS_GPU_MEM_CLOCK_DESCRIPTION: GRAPHS_GPU_MEM_CLOCK_DESCRIPTION$1,
    TEXT_OUTLINE_THICKNESS_LABEL: TEXT_OUTLINE_THICKNESS_LABEL$1,
    BACKGROUND_COLOR_LABEL: BACKGROUND_COLOR_LABEL$1,
    BACKGROUND_COLOR_DESCRIPTION: BACKGROUND_COLOR_DESCRIPTION$1,
    TEXT_COLOR_LABEL: TEXT_COLOR_LABEL$1,
    TEXT_COLOR_DESCRIPTION: TEXT_COLOR_DESCRIPTION$1,
    CPU_COLOR_LABEL: CPU_COLOR_LABEL$1,
    CPU_COLOR_DESCRIPTION: CPU_COLOR_DESCRIPTION$1,
    GPU_COLOR_LABEL: GPU_COLOR_LABEL$1,
    GPU_COLOR_DESCRIPTION: GPU_COLOR_DESCRIPTION$1,
    RAM_COLOR_LABEL: RAM_COLOR_LABEL$1,
    RAM_COLOR_DESCRIPTION: RAM_COLOR_DESCRIPTION$1,
    VRAM_COLOR_LABEL: VRAM_COLOR_LABEL$1,
    VRAM_COLOR_DESCRIPTION: VRAM_COLOR_DESCRIPTION$1,
    BATTERY_COLOR_LABEL: BATTERY_COLOR_LABEL$1,
    BATTERY_COLOR_DESCRIPTION: BATTERY_COLOR_DESCRIPTION$1,
    ENGINE_COLOR_LABEL: ENGINE_COLOR_LABEL$1,
    ENGINE_COLOR_DESCRIPTION: ENGINE_COLOR_DESCRIPTION$1,
    IO_COLOR_LABEL: IO_COLOR_LABEL$1,
    IO_COLOR_DESCRIPTION: IO_COLOR_DESCRIPTION$1,
    TEXT_OUTLINE_THICKNESS_DESCRIPTION: TEXT_OUTLINE_THICKNESS_DESCRIPTION$1,
    TEXT_OUTLINE_COLOR_LABEL: TEXT_OUTLINE_COLOR_LABEL$1,
    TEXT_OUTLINE_COLOR_DESCRIPTION: TEXT_OUTLINE_COLOR_DESCRIPTION$1,
    FRAMETIME_COLOR_LABEL: FRAMETIME_COLOR_LABEL$1,
    FRAMETIME_COLOR_DESCRIPTION: FRAMETIME_COLOR_DESCRIPTION$1,
    USE_PERAPP_CONFIG_LABEL: USE_PERAPP_CONFIG_LABEL$1,
    USING: USING$1,
    DEFAULT: DEFAULT$1,
    MANGOLEVEL: MANGOLEVEL$1,
    HDR_LABEL: HDR_LABEL$1,
    HDR_DESCRIPTION: HDR_DESCRIPTION$1,
    REFRESH_RATE_LABEL: REFRESH_RATE_LABEL$1,
    REFRESH_RATE_DESCRIPTION: REFRESH_RATE_DESCRIPTION$1,
    GPU_VOLTAGE_LABEL: GPU_VOLTAGE_LABEL$1,
    GPU_VOLTAGE_DESCRIPTION: GPU_VOLTAGE_DESCRIPTION$1,
    RESET_ALL_PARAM_DEFAULT: RESET_ALL_PARAM_DEFAULT$1,
    'default': zhTw
  });

  var MANGOINDEX_LABEL = "Performance Overlay Level";
  var MANGOINDEX_LABEL_CLOSE = "OFF";
  var RESET_PARAM_DEFAULT = "Reset configurations";
  var PARAM_MANUALLY_SORT_TITLE = "Parameter manual sorting";
  var LEGACY_LAYOUT_LABEL = "Legacy Layout";
  var LEGACY_LAYOUT_DESCRIPTION = "Use traditional parameter layout and order";
  var HORIZONTAL_LABEL = "Horizontal";
  var HORIZONTAL_DESCRIPTION = "Display Mangohud in a horizontal position";
  var TABLE_COLUMNS_LABEL = "Table Columns";
  var TABLE_COLUMNS_DESCRIPTION = "Set the number of table columns for ImGui";
  var WIDTH_LABLE = "Width";
  var WIDTH_DESCRIPTION = "Customizeable Hud width (in pixels)";
  var POSITION_LABEL = "Position";
  var POSITION_DESCRIPTION = "Location of the Hud";
  var HUD_NO_MARGIN_LABEL = "Hud No Margin";
  var HUD_NO_MARGIN_DESCRIPTION = "Remove margins around MangoHud";
  var OFFSET_X_LABEL = "Hud Position OffsetX";
  var OFFSET_Y_LABEL = "Hud Position OffsetY";
  var FPS_ONLY_LABEL = "Show FPS Only";
  var NO_DISPLAY_LABEL = "Hide The Hud";
  var ALPHA_LABEL = "Alpha";
  var ALPHA_DESCRIPTION = "Set the opacity of all text and frametime graph";
  var BACKGROUND_ALPHA_LABEL = "Background Alpha";
  var BACKGROUND_ALPHA_DESCRIPTION = "Set the opacity of the background";
  var FONT_SCALE_LABEL = "Font Scale";
  var FULL_LABEL = "Full";
  var FULL_DESCRIPTION = "Enable most of the toggleable parameters";
  var CUSTOM_TEXT_CENTER_LABEL = "Custom Text Centered";
  var CUSTOM_TEXT_CENTER_DESCRIPTION = "Display a custom text centered useful for a header";
  var CUSTOM_TEXT_LABEL = "Custom Text";
  var CUSTOM_TEXT_DESCRIPTION = "Display a custom text";
  var TIME_LABEL = "Time";
  var TIME_DESCRIPTION = "Display local time";
  var VERSION_LABEL = "Version";
  var VERSION_DESCRIPTION = "Show current MangoHud version";
  var CPU_STATS_LABEL = "CPU";
  var CPU_TEXT_LABEL = "CPU Text";
  var CPU_TEXT_DESCRIPTION = "Override CPU text";
  var CPU_LOAD_CHANGE_LABEL = "CPU Load Change";
  var CPU_LOAD_CHANGE_DESCRIPTION = "Change the color of the CPU load depending on load";
  var CORE_LOAD_LABEL = "Core Load";
  var CORE_LOAD_DESCRIPTION = "Display load & frequency per core";
  var CORE_LOAD_CHANGE_LABEL = "Core Load Change";
  var CORE_LOAD_CHANGE_DESCRIPTION = "Change the colors of cpu core loads";
  var CPU_MHZ_LABEL = "CPU MHz";
  var CPU_MHZ_DESCRIPTION = "Show the CPUs current MHz";
  var CPU_POWER_LABEL = "CPU Power";
  var CPU_POWER_DESCRIPTION = "Display CPU draw in watts";
  var CPU_TEMP_LABEL = "CPU Temp";
  var CPU_TEMP_DESCRIPTION = "Display current CPU temperature";
  var GPU_STATS_LABEL = "GPU";
  var GPU_TEXT_LABEL = "GPU Text";
  var GPU_TEXT_DESCRIPTION = "Override GPU text";
  var GPU_LOAD_CHANGE_LABEL = "GPU Load Change";
  var GPU_LOAD_CHANGE_DESCRIPTION = "Change the color of the GPU load depending on load";
  var GPU_CORE_CLOCK_LABEL = "GPU Core Clock";
  var GPU_CORE_CLOCK_DESCRIPTION = "Display GPU core frequency";
  var GPU_POWER_LABEL = "GPU Power";
  var GPU_POWER_DESCRIPTION = "Display GPU draw in watts";
  var GPU_TEMP_LABEL = "GPU Temp";
  var GPU_TEMP_DESCRIPTION = "Display current GPU temperature";
  var VRAM_LABEL = "Vram";
  var VRAM_DESCRIPTION = "Display system VRAM usage";
  var RAM_LABEL = "Ram";
  var RAM_DESCRIPTION = "Display system RAM usage";
  var SWAP_LABEL = "Swap";
  var SWAP_DESCRIPTION = "Display swap space usage next to system RAM usage";
  var BATTERY_LABEL = "Battery";
  var BATTERY_DESCRIPTION = "Display current battery percent and energy consumption";
  var BATTERY_ICON_LABEL = "Battery Icon";
  var BATTERY_ICON_DESCRIPTION = "Display battery icon instead of percent";
  var FAN_LABEL = "Fan";
  var FAN_DESCRIPTION = "Display current fan speed.";
  var FSR_LABEL = "Fsr";
  var FSR_DESCRIPTION = "Display current FSR status";
  var FPS_LABEL = "Fps";
  var FPS_DESCRIPTION = "Display current frame rate.";
  var FPS_COLOR_CHANGE_LABEL = "Fps Color Change";
  var FPS_COLOR_CHANGE_DESCRIPTION = "Frame rate text color changes with frame rate variation.";
  var FRAME_TIMING_LABEL = "Frame Timing";
  var FRAME_TIMING_DESCRIPTION = "Display frame generated waveform graph";
  var FRAME_COUNT_LABEL = "Frame Count";
  var FRAME_COUNT_DESCRIPTION = "Display frame count";
  var FRAME_TIME_LABEL = "Frame Time";
  var FRAME_TIME_DESCRIPTION = "Display frametime next to FPS text";
  var TIME_FORMAT_LABEL = "Time Format";
  var TIME_FORMAT_DESCRIPTION = "Overrides the format for displaying time";
  var TIME_FORMAT_INPUT_TITLE = "Time Format";
  var TIME_FORMAT_INPUT_DESCRIPTION1 = "Year: %Y           Month: %m           Day: %d ";
  var TIME_FORMAT_INPUT_DESCRIPTION2 = "Hour: %H           Minute: %M           Second: %S";
  var TIME_FORMAT_INPUT_DESCRIPTION3 = "AM/PM: %p          Timezone: %Z          Timestamp: %s";
  var TIME_FORMAT_INPUT_DESCRIPTION4 = "Day of week: %A/%a(Sunday/Sun)    Month name: %B/%b(January/Jan)";
  var RESORT_SELECT_DESCRIPTION = "Manual Sorting";
  var RESORT_END_DESCRIPTION = "End Sorting";
  var RESORT_MOVEUP_DESCRIPTION = "Move Up";
  var RESORT_MOVEDOWN_DESCRIPTION = "Move Down";
  var DEBUG_LABEL = "App";
  var DEBUG_DESCRIPTION = "Display charts of gamescope application frame time and latency";
  var PRESET_LABEL = "Use preset configuration";
  var PRESET_DESCRIPTION = "Use steam preset. Custom presets can be defined in ~/.config/MangoHud/presets.conf";
  var GPU_MEM_LABEL = "GPU Memory Frequency";
  var GPU_MEM_DESCRIPTION = "Display GPU memory frequency";
  var ARCH_LABEL = "Arch";
  var ARCH_DESCRIPTION = "Display whether the application is 32-bit or 64-bit";
  var ENGINE_VERSION_LABEL = "Engine Version";
  var ENGINE_VERSION_DESCRIPTION = "Display the version of OpenGL or Vulkan and Vulkan-based rendering engine";
  var GAMEMODE_LABEL = "Game Mode";
  var GAMEMODE_DESCRIPTION = "Display whether Game Mode is enabled";
  var VKBASALT_LABEL = "vkBasalt";
  var VKBASALT_DESCRIPTION = "Display whether vkBasalt is enabled";
  var SHOW_FPS_LIMIT_LABEL = "FPS Limit";
  var SHOW_FPS_LIMIT_DESCRIPTION = "Display current FPS limit information";
  var RESOLUTION_LABEL = "Resolution";
  var RESOLUTION_DESCRIPTION = "Display current resolution";
  var IO_WRITE_LABEL = "IO Write";
  var IO_WRITE_DESCRIPTION = "Display non-cached IO write rate in MiB/s";
  var IO_READ_LABEL = "IO Read";
  var IO_READ_DESCRIPTION = "Display non-cached IO read rate in MiB/s";
  var FPS_LIMIT_LABEL = "FPS Limit Size";
  var FPS_LIMIT_DESCRIPTION = "Limit the frame rate of the application. 0 means no limit";
  var FPS_LIMIT_METHOD_LABEL = "FPS Limit Method";
  var FPS_LIMIT_METHOD_DESCRIPTION = "Choose whether the FPS limiter should wait before or after presenting the frame. Choose 'late' for minimum latency (default) or 'early' for smoother frame timing";
  var PROCMEM_LABEL = "Process Memory";
  var PROCMEM_DESCRIPTION = "Display memory usage of the process: Resident, Shared, and/or Virtual";
  var PROCMEM_SHARED_LABEL = "Process Shared Memory";
  var PROCMEM_SHARED_DESCRIPTION = "Display shared memory usage of the process";
  var PROCMEM_VIRT_LABEL = "Process Virtual Memory";
  var PROCMEM_VIRT_DESCRIPTION = "Display virtual memory usage of the process";
  var HIDE_FSR_SHARPNESS_LABEL = "Hide FSR Sharpness";
  var HIDE_FSR_SHARPNESS_DESCRIPTION = "Hide FSR sharpness information";
  var BATTERY_WATT_LABEL = "Battery Consumption";
  var BATTERY_WATT_DESCRIPTION = "Display current battery consumption";
  var BATTERY_TIME_LABEL = "Battery Remaining Time";
  var BATTERY_TIME_DESCRIPTION = "Display remaining time until battery is depleted";
  var HISTOGRAM_LABEL = "Histogram";
  var HISTOGRAM_DESCRIPTION = "Change FPS graph to histogram";
  var OFFSET_X_DESCRIPTION = "Offset the HUD to the right by x pixels";
  var OFFSET_Y_DESCRIPTION = "Offset the HUD down by y pixels";
  var FPS_ONLY_DESCRIPTION = "Display only FPS";
  var NO_DISPLAY_DESCRIPTION = "Do not display any content";
  var GRAPHS_CPU_LOAD_LABEL = "CPU Usage Chart";
  var GRAPHS_CPU_LOAD_DESCRIPTION = "Display CPU usage chart";
  var GRAPHS_CPU_TEMP_LABEL = "CPU Temperature Chart";
  var GRAPHS_CPU_TEMP_DESCRIPTION = "Display CPU temperature chart";
  var GRAPHS_GPU_LOAD_LABEL = "GPU Usage Chart";
  var GRAPHS_GPU_LOAD_DESCRIPTION = "Display GPU usage chart";
  var GRAPHS_GPU_CORE_CLOCK_LABEL = "GPU Core Clock Chart";
  var GRAPHS_GPU_CORE_CLOCK_DESCRIPTION = "Display GPU core clock chart";
  var GRAPHS_GPU_TEMP_LABEL = "GPU Temperature Chart";
  var GRAPHS_GPU_TEMP_DESCRIPTION = "Display GPU temperature chart";
  var GRAPHS_RAM_LABEL = "RAM Usage Chart";
  var GRAPHS_RAM_DESCRIPTION = "Display RAM usage chart";
  var GRAPHS_VRAM_LABEL = "VRAM Usage Chart";
  var GRAPHS_VRAM_DESCRIPTION = "Display VRAM usage chart";
  var GRAPHS_GPU_MEM_CLOCK_LABEL = "GPU Memory Clock Chart";
  var GRAPHS_GPU_MEM_CLOCK_DESCRIPTION = "Display GPU memory clock chart";
  var TEXT_OUTLINE_THICKNESS_LABEL = "Text Outline Thickness";
  var BACKGROUND_COLOR_LABEL = "Background Color";
  var BACKGROUND_COLOR_DESCRIPTION = "Set the background color of HUD";
  var TEXT_COLOR_LABEL = "Text Color";
  var TEXT_COLOR_DESCRIPTION = "Set the color of data text";
  var CPU_COLOR_LABEL = "CPU Title Color";
  var CPU_COLOR_DESCRIPTION = "Set the color of CPU title text";
  var GPU_COLOR_LABEL = "GPU Title Color";
  var GPU_COLOR_DESCRIPTION = "Set the color of GPU title text";
  var RAM_COLOR_LABEL = "RAM Title Color";
  var RAM_COLOR_DESCRIPTION = "Set the color of RAM title text";
  var VRAM_COLOR_LABEL = "VRAM Title Color";
  var VRAM_COLOR_DESCRIPTION = "Set the color of VRAM title text";
  var BATTERY_COLOR_LABEL = "Battery Title Color";
  var BATTERY_COLOR_DESCRIPTION = "Set the color of battery title text";
  var ENGINE_COLOR_LABEL = "Engine Title Color";
  var ENGINE_COLOR_DESCRIPTION = "Set the color of engine title text";
  var IO_COLOR_LABEL = "IO Title Color";
  var IO_COLOR_DESCRIPTION = "Set the color of IO title text";
  var TEXT_OUTLINE_THICKNESS_DESCRIPTION = "Set the thickness of global text outline";
  var TEXT_OUTLINE_COLOR_LABEL = "Text Outline Color";
  var TEXT_OUTLINE_COLOR_DESCRIPTION = "Set the color of global text outline";
  var FRAMETIME_COLOR_LABEL = "Chart Draw Color";
  var FRAMETIME_COLOR_DESCRIPTION = "Set the color of lines drawn in the chart";
  var USE_PERAPP_CONFIG_LABEL = "Use per-game Overlay Level";
  var USING = "Using";
  var DEFAULT = " Default ";
  var MANGOLEVEL = "Overlay Level";
  var HDR_LABEL = "HDR";
  var HDR_DESCRIPTION = "Display the current HDR status";
  var REFRESH_RATE_LABEL = "Refresh Rate";
  var REFRESH_RATE_DESCRIPTION = "Display the current refresh rate";
  var GPU_VOLTAGE_LABEL = "GPU Voltage";
  var GPU_VOLTAGE_DESCRIPTION = "Display the voltage of the GPU";
  var RESET_ALL_PARAM_DEFAULT = "Reset all configurations";
  var en = {
  	MANGOINDEX_LABEL: MANGOINDEX_LABEL,
  	MANGOINDEX_LABEL_CLOSE: MANGOINDEX_LABEL_CLOSE,
  	RESET_PARAM_DEFAULT: RESET_PARAM_DEFAULT,
  	PARAM_MANUALLY_SORT_TITLE: PARAM_MANUALLY_SORT_TITLE,
  	LEGACY_LAYOUT_LABEL: LEGACY_LAYOUT_LABEL,
  	LEGACY_LAYOUT_DESCRIPTION: LEGACY_LAYOUT_DESCRIPTION,
  	HORIZONTAL_LABEL: HORIZONTAL_LABEL,
  	HORIZONTAL_DESCRIPTION: HORIZONTAL_DESCRIPTION,
  	TABLE_COLUMNS_LABEL: TABLE_COLUMNS_LABEL,
  	TABLE_COLUMNS_DESCRIPTION: TABLE_COLUMNS_DESCRIPTION,
  	WIDTH_LABLE: WIDTH_LABLE,
  	WIDTH_DESCRIPTION: WIDTH_DESCRIPTION,
  	POSITION_LABEL: POSITION_LABEL,
  	POSITION_DESCRIPTION: POSITION_DESCRIPTION,
  	HUD_NO_MARGIN_LABEL: HUD_NO_MARGIN_LABEL,
  	HUD_NO_MARGIN_DESCRIPTION: HUD_NO_MARGIN_DESCRIPTION,
  	OFFSET_X_LABEL: OFFSET_X_LABEL,
  	OFFSET_Y_LABEL: OFFSET_Y_LABEL,
  	FPS_ONLY_LABEL: FPS_ONLY_LABEL,
  	NO_DISPLAY_LABEL: NO_DISPLAY_LABEL,
  	ALPHA_LABEL: ALPHA_LABEL,
  	ALPHA_DESCRIPTION: ALPHA_DESCRIPTION,
  	BACKGROUND_ALPHA_LABEL: BACKGROUND_ALPHA_LABEL,
  	BACKGROUND_ALPHA_DESCRIPTION: BACKGROUND_ALPHA_DESCRIPTION,
  	FONT_SCALE_LABEL: FONT_SCALE_LABEL,
  	FULL_LABEL: FULL_LABEL,
  	FULL_DESCRIPTION: FULL_DESCRIPTION,
  	CUSTOM_TEXT_CENTER_LABEL: CUSTOM_TEXT_CENTER_LABEL,
  	CUSTOM_TEXT_CENTER_DESCRIPTION: CUSTOM_TEXT_CENTER_DESCRIPTION,
  	CUSTOM_TEXT_LABEL: CUSTOM_TEXT_LABEL,
  	CUSTOM_TEXT_DESCRIPTION: CUSTOM_TEXT_DESCRIPTION,
  	TIME_LABEL: TIME_LABEL,
  	TIME_DESCRIPTION: TIME_DESCRIPTION,
  	VERSION_LABEL: VERSION_LABEL,
  	VERSION_DESCRIPTION: VERSION_DESCRIPTION,
  	CPU_STATS_LABEL: CPU_STATS_LABEL,
  	CPU_TEXT_LABEL: CPU_TEXT_LABEL,
  	CPU_TEXT_DESCRIPTION: CPU_TEXT_DESCRIPTION,
  	CPU_LOAD_CHANGE_LABEL: CPU_LOAD_CHANGE_LABEL,
  	CPU_LOAD_CHANGE_DESCRIPTION: CPU_LOAD_CHANGE_DESCRIPTION,
  	CORE_LOAD_LABEL: CORE_LOAD_LABEL,
  	CORE_LOAD_DESCRIPTION: CORE_LOAD_DESCRIPTION,
  	CORE_LOAD_CHANGE_LABEL: CORE_LOAD_CHANGE_LABEL,
  	CORE_LOAD_CHANGE_DESCRIPTION: CORE_LOAD_CHANGE_DESCRIPTION,
  	CPU_MHZ_LABEL: CPU_MHZ_LABEL,
  	CPU_MHZ_DESCRIPTION: CPU_MHZ_DESCRIPTION,
  	CPU_POWER_LABEL: CPU_POWER_LABEL,
  	CPU_POWER_DESCRIPTION: CPU_POWER_DESCRIPTION,
  	CPU_TEMP_LABEL: CPU_TEMP_LABEL,
  	CPU_TEMP_DESCRIPTION: CPU_TEMP_DESCRIPTION,
  	GPU_STATS_LABEL: GPU_STATS_LABEL,
  	GPU_TEXT_LABEL: GPU_TEXT_LABEL,
  	GPU_TEXT_DESCRIPTION: GPU_TEXT_DESCRIPTION,
  	GPU_LOAD_CHANGE_LABEL: GPU_LOAD_CHANGE_LABEL,
  	GPU_LOAD_CHANGE_DESCRIPTION: GPU_LOAD_CHANGE_DESCRIPTION,
  	GPU_CORE_CLOCK_LABEL: GPU_CORE_CLOCK_LABEL,
  	GPU_CORE_CLOCK_DESCRIPTION: GPU_CORE_CLOCK_DESCRIPTION,
  	GPU_POWER_LABEL: GPU_POWER_LABEL,
  	GPU_POWER_DESCRIPTION: GPU_POWER_DESCRIPTION,
  	GPU_TEMP_LABEL: GPU_TEMP_LABEL,
  	GPU_TEMP_DESCRIPTION: GPU_TEMP_DESCRIPTION,
  	VRAM_LABEL: VRAM_LABEL,
  	VRAM_DESCRIPTION: VRAM_DESCRIPTION,
  	RAM_LABEL: RAM_LABEL,
  	RAM_DESCRIPTION: RAM_DESCRIPTION,
  	SWAP_LABEL: SWAP_LABEL,
  	SWAP_DESCRIPTION: SWAP_DESCRIPTION,
  	BATTERY_LABEL: BATTERY_LABEL,
  	BATTERY_DESCRIPTION: BATTERY_DESCRIPTION,
  	BATTERY_ICON_LABEL: BATTERY_ICON_LABEL,
  	BATTERY_ICON_DESCRIPTION: BATTERY_ICON_DESCRIPTION,
  	FAN_LABEL: FAN_LABEL,
  	FAN_DESCRIPTION: FAN_DESCRIPTION,
  	FSR_LABEL: FSR_LABEL,
  	FSR_DESCRIPTION: FSR_DESCRIPTION,
  	FPS_LABEL: FPS_LABEL,
  	FPS_DESCRIPTION: FPS_DESCRIPTION,
  	FPS_COLOR_CHANGE_LABEL: FPS_COLOR_CHANGE_LABEL,
  	FPS_COLOR_CHANGE_DESCRIPTION: FPS_COLOR_CHANGE_DESCRIPTION,
  	FRAME_TIMING_LABEL: FRAME_TIMING_LABEL,
  	FRAME_TIMING_DESCRIPTION: FRAME_TIMING_DESCRIPTION,
  	FRAME_COUNT_LABEL: FRAME_COUNT_LABEL,
  	FRAME_COUNT_DESCRIPTION: FRAME_COUNT_DESCRIPTION,
  	FRAME_TIME_LABEL: FRAME_TIME_LABEL,
  	FRAME_TIME_DESCRIPTION: FRAME_TIME_DESCRIPTION,
  	TIME_FORMAT_LABEL: TIME_FORMAT_LABEL,
  	TIME_FORMAT_DESCRIPTION: TIME_FORMAT_DESCRIPTION,
  	TIME_FORMAT_INPUT_TITLE: TIME_FORMAT_INPUT_TITLE,
  	TIME_FORMAT_INPUT_DESCRIPTION1: TIME_FORMAT_INPUT_DESCRIPTION1,
  	TIME_FORMAT_INPUT_DESCRIPTION2: TIME_FORMAT_INPUT_DESCRIPTION2,
  	TIME_FORMAT_INPUT_DESCRIPTION3: TIME_FORMAT_INPUT_DESCRIPTION3,
  	TIME_FORMAT_INPUT_DESCRIPTION4: TIME_FORMAT_INPUT_DESCRIPTION4,
  	RESORT_SELECT_DESCRIPTION: RESORT_SELECT_DESCRIPTION,
  	RESORT_END_DESCRIPTION: RESORT_END_DESCRIPTION,
  	RESORT_MOVEUP_DESCRIPTION: RESORT_MOVEUP_DESCRIPTION,
  	RESORT_MOVEDOWN_DESCRIPTION: RESORT_MOVEDOWN_DESCRIPTION,
  	DEBUG_LABEL: DEBUG_LABEL,
  	DEBUG_DESCRIPTION: DEBUG_DESCRIPTION,
  	PRESET_LABEL: PRESET_LABEL,
  	PRESET_DESCRIPTION: PRESET_DESCRIPTION,
  	GPU_MEM_LABEL: GPU_MEM_LABEL,
  	GPU_MEM_DESCRIPTION: GPU_MEM_DESCRIPTION,
  	ARCH_LABEL: ARCH_LABEL,
  	ARCH_DESCRIPTION: ARCH_DESCRIPTION,
  	ENGINE_VERSION_LABEL: ENGINE_VERSION_LABEL,
  	ENGINE_VERSION_DESCRIPTION: ENGINE_VERSION_DESCRIPTION,
  	GAMEMODE_LABEL: GAMEMODE_LABEL,
  	GAMEMODE_DESCRIPTION: GAMEMODE_DESCRIPTION,
  	VKBASALT_LABEL: VKBASALT_LABEL,
  	VKBASALT_DESCRIPTION: VKBASALT_DESCRIPTION,
  	SHOW_FPS_LIMIT_LABEL: SHOW_FPS_LIMIT_LABEL,
  	SHOW_FPS_LIMIT_DESCRIPTION: SHOW_FPS_LIMIT_DESCRIPTION,
  	RESOLUTION_LABEL: RESOLUTION_LABEL,
  	RESOLUTION_DESCRIPTION: RESOLUTION_DESCRIPTION,
  	IO_WRITE_LABEL: IO_WRITE_LABEL,
  	IO_WRITE_DESCRIPTION: IO_WRITE_DESCRIPTION,
  	IO_READ_LABEL: IO_READ_LABEL,
  	IO_READ_DESCRIPTION: IO_READ_DESCRIPTION,
  	FPS_LIMIT_LABEL: FPS_LIMIT_LABEL,
  	FPS_LIMIT_DESCRIPTION: FPS_LIMIT_DESCRIPTION,
  	FPS_LIMIT_METHOD_LABEL: FPS_LIMIT_METHOD_LABEL,
  	FPS_LIMIT_METHOD_DESCRIPTION: FPS_LIMIT_METHOD_DESCRIPTION,
  	PROCMEM_LABEL: PROCMEM_LABEL,
  	PROCMEM_DESCRIPTION: PROCMEM_DESCRIPTION,
  	PROCMEM_SHARED_LABEL: PROCMEM_SHARED_LABEL,
  	PROCMEM_SHARED_DESCRIPTION: PROCMEM_SHARED_DESCRIPTION,
  	PROCMEM_VIRT_LABEL: PROCMEM_VIRT_LABEL,
  	PROCMEM_VIRT_DESCRIPTION: PROCMEM_VIRT_DESCRIPTION,
  	HIDE_FSR_SHARPNESS_LABEL: HIDE_FSR_SHARPNESS_LABEL,
  	HIDE_FSR_SHARPNESS_DESCRIPTION: HIDE_FSR_SHARPNESS_DESCRIPTION,
  	BATTERY_WATT_LABEL: BATTERY_WATT_LABEL,
  	BATTERY_WATT_DESCRIPTION: BATTERY_WATT_DESCRIPTION,
  	BATTERY_TIME_LABEL: BATTERY_TIME_LABEL,
  	BATTERY_TIME_DESCRIPTION: BATTERY_TIME_DESCRIPTION,
  	HISTOGRAM_LABEL: HISTOGRAM_LABEL,
  	HISTOGRAM_DESCRIPTION: HISTOGRAM_DESCRIPTION,
  	OFFSET_X_DESCRIPTION: OFFSET_X_DESCRIPTION,
  	OFFSET_Y_DESCRIPTION: OFFSET_Y_DESCRIPTION,
  	FPS_ONLY_DESCRIPTION: FPS_ONLY_DESCRIPTION,
  	NO_DISPLAY_DESCRIPTION: NO_DISPLAY_DESCRIPTION,
  	GRAPHS_CPU_LOAD_LABEL: GRAPHS_CPU_LOAD_LABEL,
  	GRAPHS_CPU_LOAD_DESCRIPTION: GRAPHS_CPU_LOAD_DESCRIPTION,
  	GRAPHS_CPU_TEMP_LABEL: GRAPHS_CPU_TEMP_LABEL,
  	GRAPHS_CPU_TEMP_DESCRIPTION: GRAPHS_CPU_TEMP_DESCRIPTION,
  	GRAPHS_GPU_LOAD_LABEL: GRAPHS_GPU_LOAD_LABEL,
  	GRAPHS_GPU_LOAD_DESCRIPTION: GRAPHS_GPU_LOAD_DESCRIPTION,
  	GRAPHS_GPU_CORE_CLOCK_LABEL: GRAPHS_GPU_CORE_CLOCK_LABEL,
  	GRAPHS_GPU_CORE_CLOCK_DESCRIPTION: GRAPHS_GPU_CORE_CLOCK_DESCRIPTION,
  	GRAPHS_GPU_TEMP_LABEL: GRAPHS_GPU_TEMP_LABEL,
  	GRAPHS_GPU_TEMP_DESCRIPTION: GRAPHS_GPU_TEMP_DESCRIPTION,
  	GRAPHS_RAM_LABEL: GRAPHS_RAM_LABEL,
  	GRAPHS_RAM_DESCRIPTION: GRAPHS_RAM_DESCRIPTION,
  	GRAPHS_VRAM_LABEL: GRAPHS_VRAM_LABEL,
  	GRAPHS_VRAM_DESCRIPTION: GRAPHS_VRAM_DESCRIPTION,
  	GRAPHS_GPU_MEM_CLOCK_LABEL: GRAPHS_GPU_MEM_CLOCK_LABEL,
  	GRAPHS_GPU_MEM_CLOCK_DESCRIPTION: GRAPHS_GPU_MEM_CLOCK_DESCRIPTION,
  	TEXT_OUTLINE_THICKNESS_LABEL: TEXT_OUTLINE_THICKNESS_LABEL,
  	BACKGROUND_COLOR_LABEL: BACKGROUND_COLOR_LABEL,
  	BACKGROUND_COLOR_DESCRIPTION: BACKGROUND_COLOR_DESCRIPTION,
  	TEXT_COLOR_LABEL: TEXT_COLOR_LABEL,
  	TEXT_COLOR_DESCRIPTION: TEXT_COLOR_DESCRIPTION,
  	CPU_COLOR_LABEL: CPU_COLOR_LABEL,
  	CPU_COLOR_DESCRIPTION: CPU_COLOR_DESCRIPTION,
  	GPU_COLOR_LABEL: GPU_COLOR_LABEL,
  	GPU_COLOR_DESCRIPTION: GPU_COLOR_DESCRIPTION,
  	RAM_COLOR_LABEL: RAM_COLOR_LABEL,
  	RAM_COLOR_DESCRIPTION: RAM_COLOR_DESCRIPTION,
  	VRAM_COLOR_LABEL: VRAM_COLOR_LABEL,
  	VRAM_COLOR_DESCRIPTION: VRAM_COLOR_DESCRIPTION,
  	BATTERY_COLOR_LABEL: BATTERY_COLOR_LABEL,
  	BATTERY_COLOR_DESCRIPTION: BATTERY_COLOR_DESCRIPTION,
  	ENGINE_COLOR_LABEL: ENGINE_COLOR_LABEL,
  	ENGINE_COLOR_DESCRIPTION: ENGINE_COLOR_DESCRIPTION,
  	IO_COLOR_LABEL: IO_COLOR_LABEL,
  	IO_COLOR_DESCRIPTION: IO_COLOR_DESCRIPTION,
  	TEXT_OUTLINE_THICKNESS_DESCRIPTION: TEXT_OUTLINE_THICKNESS_DESCRIPTION,
  	TEXT_OUTLINE_COLOR_LABEL: TEXT_OUTLINE_COLOR_LABEL,
  	TEXT_OUTLINE_COLOR_DESCRIPTION: TEXT_OUTLINE_COLOR_DESCRIPTION,
  	FRAMETIME_COLOR_LABEL: FRAMETIME_COLOR_LABEL,
  	FRAMETIME_COLOR_DESCRIPTION: FRAMETIME_COLOR_DESCRIPTION,
  	USE_PERAPP_CONFIG_LABEL: USE_PERAPP_CONFIG_LABEL,
  	USING: USING,
  	DEFAULT: DEFAULT,
  	MANGOLEVEL: MANGOLEVEL,
  	HDR_LABEL: HDR_LABEL,
  	HDR_DESCRIPTION: HDR_DESCRIPTION,
  	REFRESH_RATE_LABEL: REFRESH_RATE_LABEL,
  	REFRESH_RATE_DESCRIPTION: REFRESH_RATE_DESCRIPTION,
  	GPU_VOLTAGE_LABEL: GPU_VOLTAGE_LABEL,
  	GPU_VOLTAGE_DESCRIPTION: GPU_VOLTAGE_DESCRIPTION,
  	RESET_ALL_PARAM_DEFAULT: RESET_ALL_PARAM_DEFAULT
  };

  var en$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    MANGOINDEX_LABEL: MANGOINDEX_LABEL,
    MANGOINDEX_LABEL_CLOSE: MANGOINDEX_LABEL_CLOSE,
    RESET_PARAM_DEFAULT: RESET_PARAM_DEFAULT,
    PARAM_MANUALLY_SORT_TITLE: PARAM_MANUALLY_SORT_TITLE,
    LEGACY_LAYOUT_LABEL: LEGACY_LAYOUT_LABEL,
    LEGACY_LAYOUT_DESCRIPTION: LEGACY_LAYOUT_DESCRIPTION,
    HORIZONTAL_LABEL: HORIZONTAL_LABEL,
    HORIZONTAL_DESCRIPTION: HORIZONTAL_DESCRIPTION,
    TABLE_COLUMNS_LABEL: TABLE_COLUMNS_LABEL,
    TABLE_COLUMNS_DESCRIPTION: TABLE_COLUMNS_DESCRIPTION,
    WIDTH_LABLE: WIDTH_LABLE,
    WIDTH_DESCRIPTION: WIDTH_DESCRIPTION,
    POSITION_LABEL: POSITION_LABEL,
    POSITION_DESCRIPTION: POSITION_DESCRIPTION,
    HUD_NO_MARGIN_LABEL: HUD_NO_MARGIN_LABEL,
    HUD_NO_MARGIN_DESCRIPTION: HUD_NO_MARGIN_DESCRIPTION,
    OFFSET_X_LABEL: OFFSET_X_LABEL,
    OFFSET_Y_LABEL: OFFSET_Y_LABEL,
    FPS_ONLY_LABEL: FPS_ONLY_LABEL,
    NO_DISPLAY_LABEL: NO_DISPLAY_LABEL,
    ALPHA_LABEL: ALPHA_LABEL,
    ALPHA_DESCRIPTION: ALPHA_DESCRIPTION,
    BACKGROUND_ALPHA_LABEL: BACKGROUND_ALPHA_LABEL,
    BACKGROUND_ALPHA_DESCRIPTION: BACKGROUND_ALPHA_DESCRIPTION,
    FONT_SCALE_LABEL: FONT_SCALE_LABEL,
    FULL_LABEL: FULL_LABEL,
    FULL_DESCRIPTION: FULL_DESCRIPTION,
    CUSTOM_TEXT_CENTER_LABEL: CUSTOM_TEXT_CENTER_LABEL,
    CUSTOM_TEXT_CENTER_DESCRIPTION: CUSTOM_TEXT_CENTER_DESCRIPTION,
    CUSTOM_TEXT_LABEL: CUSTOM_TEXT_LABEL,
    CUSTOM_TEXT_DESCRIPTION: CUSTOM_TEXT_DESCRIPTION,
    TIME_LABEL: TIME_LABEL,
    TIME_DESCRIPTION: TIME_DESCRIPTION,
    VERSION_LABEL: VERSION_LABEL,
    VERSION_DESCRIPTION: VERSION_DESCRIPTION,
    CPU_STATS_LABEL: CPU_STATS_LABEL,
    CPU_TEXT_LABEL: CPU_TEXT_LABEL,
    CPU_TEXT_DESCRIPTION: CPU_TEXT_DESCRIPTION,
    CPU_LOAD_CHANGE_LABEL: CPU_LOAD_CHANGE_LABEL,
    CPU_LOAD_CHANGE_DESCRIPTION: CPU_LOAD_CHANGE_DESCRIPTION,
    CORE_LOAD_LABEL: CORE_LOAD_LABEL,
    CORE_LOAD_DESCRIPTION: CORE_LOAD_DESCRIPTION,
    CORE_LOAD_CHANGE_LABEL: CORE_LOAD_CHANGE_LABEL,
    CORE_LOAD_CHANGE_DESCRIPTION: CORE_LOAD_CHANGE_DESCRIPTION,
    CPU_MHZ_LABEL: CPU_MHZ_LABEL,
    CPU_MHZ_DESCRIPTION: CPU_MHZ_DESCRIPTION,
    CPU_POWER_LABEL: CPU_POWER_LABEL,
    CPU_POWER_DESCRIPTION: CPU_POWER_DESCRIPTION,
    CPU_TEMP_LABEL: CPU_TEMP_LABEL,
    CPU_TEMP_DESCRIPTION: CPU_TEMP_DESCRIPTION,
    GPU_STATS_LABEL: GPU_STATS_LABEL,
    GPU_TEXT_LABEL: GPU_TEXT_LABEL,
    GPU_TEXT_DESCRIPTION: GPU_TEXT_DESCRIPTION,
    GPU_LOAD_CHANGE_LABEL: GPU_LOAD_CHANGE_LABEL,
    GPU_LOAD_CHANGE_DESCRIPTION: GPU_LOAD_CHANGE_DESCRIPTION,
    GPU_CORE_CLOCK_LABEL: GPU_CORE_CLOCK_LABEL,
    GPU_CORE_CLOCK_DESCRIPTION: GPU_CORE_CLOCK_DESCRIPTION,
    GPU_POWER_LABEL: GPU_POWER_LABEL,
    GPU_POWER_DESCRIPTION: GPU_POWER_DESCRIPTION,
    GPU_TEMP_LABEL: GPU_TEMP_LABEL,
    GPU_TEMP_DESCRIPTION: GPU_TEMP_DESCRIPTION,
    VRAM_LABEL: VRAM_LABEL,
    VRAM_DESCRIPTION: VRAM_DESCRIPTION,
    RAM_LABEL: RAM_LABEL,
    RAM_DESCRIPTION: RAM_DESCRIPTION,
    SWAP_LABEL: SWAP_LABEL,
    SWAP_DESCRIPTION: SWAP_DESCRIPTION,
    BATTERY_LABEL: BATTERY_LABEL,
    BATTERY_DESCRIPTION: BATTERY_DESCRIPTION,
    BATTERY_ICON_LABEL: BATTERY_ICON_LABEL,
    BATTERY_ICON_DESCRIPTION: BATTERY_ICON_DESCRIPTION,
    FAN_LABEL: FAN_LABEL,
    FAN_DESCRIPTION: FAN_DESCRIPTION,
    FSR_LABEL: FSR_LABEL,
    FSR_DESCRIPTION: FSR_DESCRIPTION,
    FPS_LABEL: FPS_LABEL,
    FPS_DESCRIPTION: FPS_DESCRIPTION,
    FPS_COLOR_CHANGE_LABEL: FPS_COLOR_CHANGE_LABEL,
    FPS_COLOR_CHANGE_DESCRIPTION: FPS_COLOR_CHANGE_DESCRIPTION,
    FRAME_TIMING_LABEL: FRAME_TIMING_LABEL,
    FRAME_TIMING_DESCRIPTION: FRAME_TIMING_DESCRIPTION,
    FRAME_COUNT_LABEL: FRAME_COUNT_LABEL,
    FRAME_COUNT_DESCRIPTION: FRAME_COUNT_DESCRIPTION,
    FRAME_TIME_LABEL: FRAME_TIME_LABEL,
    FRAME_TIME_DESCRIPTION: FRAME_TIME_DESCRIPTION,
    TIME_FORMAT_LABEL: TIME_FORMAT_LABEL,
    TIME_FORMAT_DESCRIPTION: TIME_FORMAT_DESCRIPTION,
    TIME_FORMAT_INPUT_TITLE: TIME_FORMAT_INPUT_TITLE,
    TIME_FORMAT_INPUT_DESCRIPTION1: TIME_FORMAT_INPUT_DESCRIPTION1,
    TIME_FORMAT_INPUT_DESCRIPTION2: TIME_FORMAT_INPUT_DESCRIPTION2,
    TIME_FORMAT_INPUT_DESCRIPTION3: TIME_FORMAT_INPUT_DESCRIPTION3,
    TIME_FORMAT_INPUT_DESCRIPTION4: TIME_FORMAT_INPUT_DESCRIPTION4,
    RESORT_SELECT_DESCRIPTION: RESORT_SELECT_DESCRIPTION,
    RESORT_END_DESCRIPTION: RESORT_END_DESCRIPTION,
    RESORT_MOVEUP_DESCRIPTION: RESORT_MOVEUP_DESCRIPTION,
    RESORT_MOVEDOWN_DESCRIPTION: RESORT_MOVEDOWN_DESCRIPTION,
    DEBUG_LABEL: DEBUG_LABEL,
    DEBUG_DESCRIPTION: DEBUG_DESCRIPTION,
    PRESET_LABEL: PRESET_LABEL,
    PRESET_DESCRIPTION: PRESET_DESCRIPTION,
    GPU_MEM_LABEL: GPU_MEM_LABEL,
    GPU_MEM_DESCRIPTION: GPU_MEM_DESCRIPTION,
    ARCH_LABEL: ARCH_LABEL,
    ARCH_DESCRIPTION: ARCH_DESCRIPTION,
    ENGINE_VERSION_LABEL: ENGINE_VERSION_LABEL,
    ENGINE_VERSION_DESCRIPTION: ENGINE_VERSION_DESCRIPTION,
    GAMEMODE_LABEL: GAMEMODE_LABEL,
    GAMEMODE_DESCRIPTION: GAMEMODE_DESCRIPTION,
    VKBASALT_LABEL: VKBASALT_LABEL,
    VKBASALT_DESCRIPTION: VKBASALT_DESCRIPTION,
    SHOW_FPS_LIMIT_LABEL: SHOW_FPS_LIMIT_LABEL,
    SHOW_FPS_LIMIT_DESCRIPTION: SHOW_FPS_LIMIT_DESCRIPTION,
    RESOLUTION_LABEL: RESOLUTION_LABEL,
    RESOLUTION_DESCRIPTION: RESOLUTION_DESCRIPTION,
    IO_WRITE_LABEL: IO_WRITE_LABEL,
    IO_WRITE_DESCRIPTION: IO_WRITE_DESCRIPTION,
    IO_READ_LABEL: IO_READ_LABEL,
    IO_READ_DESCRIPTION: IO_READ_DESCRIPTION,
    FPS_LIMIT_LABEL: FPS_LIMIT_LABEL,
    FPS_LIMIT_DESCRIPTION: FPS_LIMIT_DESCRIPTION,
    FPS_LIMIT_METHOD_LABEL: FPS_LIMIT_METHOD_LABEL,
    FPS_LIMIT_METHOD_DESCRIPTION: FPS_LIMIT_METHOD_DESCRIPTION,
    PROCMEM_LABEL: PROCMEM_LABEL,
    PROCMEM_DESCRIPTION: PROCMEM_DESCRIPTION,
    PROCMEM_SHARED_LABEL: PROCMEM_SHARED_LABEL,
    PROCMEM_SHARED_DESCRIPTION: PROCMEM_SHARED_DESCRIPTION,
    PROCMEM_VIRT_LABEL: PROCMEM_VIRT_LABEL,
    PROCMEM_VIRT_DESCRIPTION: PROCMEM_VIRT_DESCRIPTION,
    HIDE_FSR_SHARPNESS_LABEL: HIDE_FSR_SHARPNESS_LABEL,
    HIDE_FSR_SHARPNESS_DESCRIPTION: HIDE_FSR_SHARPNESS_DESCRIPTION,
    BATTERY_WATT_LABEL: BATTERY_WATT_LABEL,
    BATTERY_WATT_DESCRIPTION: BATTERY_WATT_DESCRIPTION,
    BATTERY_TIME_LABEL: BATTERY_TIME_LABEL,
    BATTERY_TIME_DESCRIPTION: BATTERY_TIME_DESCRIPTION,
    HISTOGRAM_LABEL: HISTOGRAM_LABEL,
    HISTOGRAM_DESCRIPTION: HISTOGRAM_DESCRIPTION,
    OFFSET_X_DESCRIPTION: OFFSET_X_DESCRIPTION,
    OFFSET_Y_DESCRIPTION: OFFSET_Y_DESCRIPTION,
    FPS_ONLY_DESCRIPTION: FPS_ONLY_DESCRIPTION,
    NO_DISPLAY_DESCRIPTION: NO_DISPLAY_DESCRIPTION,
    GRAPHS_CPU_LOAD_LABEL: GRAPHS_CPU_LOAD_LABEL,
    GRAPHS_CPU_LOAD_DESCRIPTION: GRAPHS_CPU_LOAD_DESCRIPTION,
    GRAPHS_CPU_TEMP_LABEL: GRAPHS_CPU_TEMP_LABEL,
    GRAPHS_CPU_TEMP_DESCRIPTION: GRAPHS_CPU_TEMP_DESCRIPTION,
    GRAPHS_GPU_LOAD_LABEL: GRAPHS_GPU_LOAD_LABEL,
    GRAPHS_GPU_LOAD_DESCRIPTION: GRAPHS_GPU_LOAD_DESCRIPTION,
    GRAPHS_GPU_CORE_CLOCK_LABEL: GRAPHS_GPU_CORE_CLOCK_LABEL,
    GRAPHS_GPU_CORE_CLOCK_DESCRIPTION: GRAPHS_GPU_CORE_CLOCK_DESCRIPTION,
    GRAPHS_GPU_TEMP_LABEL: GRAPHS_GPU_TEMP_LABEL,
    GRAPHS_GPU_TEMP_DESCRIPTION: GRAPHS_GPU_TEMP_DESCRIPTION,
    GRAPHS_RAM_LABEL: GRAPHS_RAM_LABEL,
    GRAPHS_RAM_DESCRIPTION: GRAPHS_RAM_DESCRIPTION,
    GRAPHS_VRAM_LABEL: GRAPHS_VRAM_LABEL,
    GRAPHS_VRAM_DESCRIPTION: GRAPHS_VRAM_DESCRIPTION,
    GRAPHS_GPU_MEM_CLOCK_LABEL: GRAPHS_GPU_MEM_CLOCK_LABEL,
    GRAPHS_GPU_MEM_CLOCK_DESCRIPTION: GRAPHS_GPU_MEM_CLOCK_DESCRIPTION,
    TEXT_OUTLINE_THICKNESS_LABEL: TEXT_OUTLINE_THICKNESS_LABEL,
    BACKGROUND_COLOR_LABEL: BACKGROUND_COLOR_LABEL,
    BACKGROUND_COLOR_DESCRIPTION: BACKGROUND_COLOR_DESCRIPTION,
    TEXT_COLOR_LABEL: TEXT_COLOR_LABEL,
    TEXT_COLOR_DESCRIPTION: TEXT_COLOR_DESCRIPTION,
    CPU_COLOR_LABEL: CPU_COLOR_LABEL,
    CPU_COLOR_DESCRIPTION: CPU_COLOR_DESCRIPTION,
    GPU_COLOR_LABEL: GPU_COLOR_LABEL,
    GPU_COLOR_DESCRIPTION: GPU_COLOR_DESCRIPTION,
    RAM_COLOR_LABEL: RAM_COLOR_LABEL,
    RAM_COLOR_DESCRIPTION: RAM_COLOR_DESCRIPTION,
    VRAM_COLOR_LABEL: VRAM_COLOR_LABEL,
    VRAM_COLOR_DESCRIPTION: VRAM_COLOR_DESCRIPTION,
    BATTERY_COLOR_LABEL: BATTERY_COLOR_LABEL,
    BATTERY_COLOR_DESCRIPTION: BATTERY_COLOR_DESCRIPTION,
    ENGINE_COLOR_LABEL: ENGINE_COLOR_LABEL,
    ENGINE_COLOR_DESCRIPTION: ENGINE_COLOR_DESCRIPTION,
    IO_COLOR_LABEL: IO_COLOR_LABEL,
    IO_COLOR_DESCRIPTION: IO_COLOR_DESCRIPTION,
    TEXT_OUTLINE_THICKNESS_DESCRIPTION: TEXT_OUTLINE_THICKNESS_DESCRIPTION,
    TEXT_OUTLINE_COLOR_LABEL: TEXT_OUTLINE_COLOR_LABEL,
    TEXT_OUTLINE_COLOR_DESCRIPTION: TEXT_OUTLINE_COLOR_DESCRIPTION,
    FRAMETIME_COLOR_LABEL: FRAMETIME_COLOR_LABEL,
    FRAMETIME_COLOR_DESCRIPTION: FRAMETIME_COLOR_DESCRIPTION,
    USE_PERAPP_CONFIG_LABEL: USE_PERAPP_CONFIG_LABEL,
    USING: USING,
    DEFAULT: DEFAULT,
    MANGOLEVEL: MANGOLEVEL,
    HDR_LABEL: HDR_LABEL,
    HDR_DESCRIPTION: HDR_DESCRIPTION,
    REFRESH_RATE_LABEL: REFRESH_RATE_LABEL,
    REFRESH_RATE_DESCRIPTION: REFRESH_RATE_DESCRIPTION,
    GPU_VOLTAGE_LABEL: GPU_VOLTAGE_LABEL,
    GPU_VOLTAGE_DESCRIPTION: GPU_VOLTAGE_DESCRIPTION,
    RESET_ALL_PARAM_DEFAULT: RESET_ALL_PARAM_DEFAULT,
    'default': en
  });

  const localizeMap = {
      en: {
          name: 'English',
          strings: en$1,
          credit: []
      },
      cs: {
          name: 'Čeština',
          strings: cs$2,
          credit: [],
      },
      de: {
          name: 'Deutsch',
          strings: de$1,
          credit: [],
      },
      el: {
          name: 'Ελληνικά',
          strings: el$1,
          credit: [],
      },
      es: {
          name: 'Español-España',
          strings: es$1,
          credit: [],
      },
      'es-419': {
          name: 'Español-Latinoamérica',
          strings: es419$1,
          credit: [],
      },
      fr: {
          name: 'Français',
          strings: fr$1,
          credit: [],
      },
      it: {
          name: 'Italiano',
          strings: it$1,
          credit: [],
      },
      ja: {
          name: '日本語',
          strings: ja$1,
          credit: [],
      },
      ko: {
          name: '한국어',
          strings: ko$1,
          credit: [],
      },
      nl: {
          name: 'Nederlands',
          strings: nl$1,
          credit: [],
      },
      pl: {
          name: 'Polski',
          strings: pl$1,
          credit: [],
      },
      pt: {
          name: 'Português',
          strings: pt$1,
          credit: [],
      },
      'pt-br': {
          name: 'Português-Brasil',
          strings: ptBr$1,
          credit: [],
      },
      ro: {
          name: 'Română',
          strings: ro$1,
          credit: [],
      },
      ru: {
          name: 'Русский',
          strings: ru$1,
          credit: [],
      },
      sv: {
          name: 'Svenska',
          strings: sv$1,
          credit: [],
      },
      tr: {
          name: 'Türkçe',
          strings: tr$1,
          credit: [],
      },
      uk: {
          name: 'Українська',
          strings: uk$1,
          credit: [],
      },
      'zh-cn': {
          name: '简体中文',
          strings: zhCn$1,
          credit: [],
      },
      'sc-sc': {
          name: '简体中文',
          strings: zhCn$1,
          credit: [],
      },
      'zh-tw': {
          name: '正體中文',
          strings: zhTw$1,
          credit: [],
      },
      //  th: {
      //    name: 'ไทย',
      //    strings: th,
      //    credit: []
      //  },
      //  da: {
      //    name: 'Dansk',
      //    strings: da,
      //    credit: []
      //  },
      //  fi: {
      //    name: 'Suomi',
      //    strings: fi,
      //    credit: []
      //  },
      //  no: {
      //    name: 'Norsk',
      //    strings: no,
      //    credit: []
      //  },
      //  hu: {
      //    name: 'Magyar',
      //    strings: hu,
      //    credit: []
      //  },
      //  bg: {
      //    name: 'български език',
      //    strings: bg,
      //    credit: []
      //  },
      //  vn: {
      //    name: 'Tiếng Việt',
      //    strings: vn,
      //    credit: []
      //  },
  };
  var localizeStrEnum;
  (function (localizeStrEnum) {
      localizeStrEnum["MANGOINDEX_LABEL"] = "MANGOINDEX_LABEL";
      localizeStrEnum["MANGOINDEX_LABEL_CLOSE"] = "MANGOINDEX_LABEL_CLOSE";
      localizeStrEnum["RESET_ALL_PARAM_DEFAULT"] = "RESET_PARAM_DEFAULT";
      localizeStrEnum["RESET_PARAM_DEFAULT"] = "RESET_PARAM_DEFAULT";
      localizeStrEnum["PARAM_MANUALLY_SORT_TITLE"] = "PARAM_MANUALLY_SORT_TITLE";
      localizeStrEnum["LEGACY_LAYOUT_LABEL"] = "LEGACY_LAYOUT_LABEL";
      localizeStrEnum["LEGACY_LAYOUT_DESCRIPTION"] = "LEGACY_LAYOUT_DESCRIPTION";
      localizeStrEnum["HORIZONTAL_LABEL"] = "HORIZONTAL_LABEL";
      localizeStrEnum["HORIZONTAL_DESCRIPTION"] = "HORIZONTAL_DESCRIPTION";
      localizeStrEnum["TABLE_COLUMNS_LABEL"] = "TABLE_COLUMNS_LABEL";
      localizeStrEnum["TABLE_COLUMNS_DESCRIPTION"] = "TABLE_COLUMNS_DESCRIPTION";
      localizeStrEnum["WIDTH_LABLE"] = "WIDTH_LABLE";
      localizeStrEnum["WIDTH_DESCRIPTION"] = "WIDTH_DESCRIPTION";
      localizeStrEnum["POSITION_LABEL"] = "POSITION_LABEL";
      localizeStrEnum["POSITION_DESCRIPTION"] = "POSITION_DESCRIPTION";
      localizeStrEnum["HUD_NO_MARGIN_LABEL"] = "HUD_NO_MARGIN_LABEL";
      localizeStrEnum["HUD_NO_MARGIN_DESCRIPTION"] = "HUD_NO_MARGIN_DESCRIPTION";
      localizeStrEnum["OFFSET_X_LABEL"] = "OFFSET_X_LABEL";
      localizeStrEnum["OFFSET_Y_LABEL"] = "OFFSET_Y_LABEL";
      localizeStrEnum["FPS_ONLY_LABEL"] = "FPS_ONLY_LABEL";
      localizeStrEnum["NO_DISPLAY_LABEL"] = "NO_DISPLAY_LABEL";
      localizeStrEnum["ALPHA_LABEL"] = "ALPHA_LABEL";
      localizeStrEnum["ALPHA_DESCRIPTION"] = "ALPHA_DESCRIPTION";
      localizeStrEnum["BACKGROUND_ALPHA_LABEL"] = "BACKGROUND_ALPHA_LABEL";
      localizeStrEnum["BACKGROUND_ALPHA_DESCRIPTION"] = "BACKGROUND_ALPHA_DESCRIPTION";
      localizeStrEnum["FONT_SCALE_LABEL"] = "FONT_SCALE_LABEL";
      localizeStrEnum["FULL_LABEL"] = "FULL_LABEL";
      localizeStrEnum["FULL_DESCRIPTION"] = "FULL_DESCRIPTION";
      localizeStrEnum["CUSTOM_TEXT_CENTER_LABEL"] = "CUSTOM_TEXT_CENTER_LABEL";
      localizeStrEnum["CUSTOM_TEXT_CENTER_DESCRIPTION"] = "CUSTOM_TEXT_CENTER_DESCRIPTION";
      localizeStrEnum["CUSTOM_TEXT_LABEL"] = "CUSTOM_TEXT_LABEL";
      localizeStrEnum["CUSTOM_TEXT_DESCRIPTION"] = "CUSTOM_TEXT_DESCRIPTION";
      localizeStrEnum["TIME_LABEL"] = "TIME_LABEL";
      localizeStrEnum["TIME_DESCRIPTION"] = "TIME_DESCRIPTION";
      localizeStrEnum["VERSION_LABEL"] = "VERSION_LABEL";
      localizeStrEnum["VERSION_DESCRIPTION"] = "VERSION_DESCRIPTION";
      localizeStrEnum["CPU_STATS_LABEL"] = "CPU_STATS_LABEL";
      localizeStrEnum["CPU_TEXT_LABEL"] = "CPU_TEXT_LABEL";
      localizeStrEnum["CPU_TEXT_DESCRIPTION"] = "CPU_TEXT_DESCRIPTION";
      localizeStrEnum["CPU_LOAD_CHANGE_LABEL"] = "CPU_LOAD_CHANGE_LABEL";
      localizeStrEnum["CPU_LOAD_CHANGE_DESCRIPTION"] = "CPU_LOAD_CHANGE_DESCRIPTION";
      localizeStrEnum["CORE_LOAD_LABEL"] = "CORE_LOAD_LABEL";
      localizeStrEnum["CORE_LOAD_DESCRIPTION"] = "CORE_LOAD_DESCRIPTION";
      localizeStrEnum["CORE_LOAD_CHANGE_LABEL"] = "CORE_LOAD_CHANGE_LABEL";
      localizeStrEnum["CORE_LOAD_CHANGE_DESCRIPTION"] = "CORE_LOAD_CHANGE_DESCRIPTION";
      localizeStrEnum["CPU_MHZ_LABEL"] = "CPU_MHZ_LABEL";
      localizeStrEnum["CPU_MHZ_DESCRIPTION"] = "CPU_MHZ_DESCRIPTION";
      localizeStrEnum["CPU_POWER_LABEL"] = "CPU_POWER_LABEL";
      localizeStrEnum["CPU_POWER_DESCRIPTION"] = "CPU_POWER_DESCRIPTION";
      localizeStrEnum["CPU_TEMP_LABEL"] = "CPU_TEMP_LABEL";
      localizeStrEnum["CPU_TEMP_DESCRIPTION"] = "CPU_TEMP_DESCRIPTION";
      localizeStrEnum["GPU_STATS_LABEL"] = "GPU_STATS_LABEL";
      localizeStrEnum["GPU_TEXT_LABEL"] = "GPU_TEXT_LABEL";
      localizeStrEnum["GPU_TEXT_DESCRIPTION"] = "GPU_TEXT_DESCRIPTION";
      localizeStrEnum["GPU_LOAD_CHANGE_LABEL"] = "GPU_LOAD_CHANGE_LABEL";
      localizeStrEnum["GPU_LOAD_CHANGE_DESCRIPTION"] = "GPU_LOAD_CHANGE_DESCRIPTION";
      localizeStrEnum["GPU_CORE_CLOCK_LABEL"] = "GPU_CORE_CLOCK_LABEL";
      localizeStrEnum["GPU_CORE_CLOCK_DESCRIPTION"] = "GPU_CORE_CLOCK_DESCRIPTION";
      localizeStrEnum["GPU_POWER_LABEL"] = "GPU_POWER_LABEL";
      localizeStrEnum["GPU_POWER_DESCRIPTION"] = "GPU_POWER_DESCRIPTION";
      localizeStrEnum["GPU_TEMP_LABEL"] = "GPU_TEMP_LABEL";
      localizeStrEnum["GPU_TEMP_DESCRIPTION"] = "GPU_TEMP_DESCRIPTION";
      localizeStrEnum["VRAM_LABEL"] = "VRAM_LABEL";
      localizeStrEnum["VRAM_DESCRIPTION"] = "VRAM_DESCRIPTION";
      localizeStrEnum["RAM_LABEL"] = "RAM_LABEL";
      localizeStrEnum["RAM_DESCRIPTION"] = "RAM_DESCRIPTION";
      localizeStrEnum["SWAP_LABEL"] = "SWAP_LABEL";
      localizeStrEnum["SWAP_DESCRIPTION"] = "SWAP_DESCRIPTION";
      localizeStrEnum["BATTERY_LABEL"] = "BATTERY_LABEL";
      localizeStrEnum["BATTERY_DESCRIPTION"] = "BATTERY_DESCRIPTION";
      localizeStrEnum["BATTERY_ICON_LABEL"] = "BATTERY_ICON_LABEL";
      localizeStrEnum["BATTERY_ICON_DESCRIPTION"] = "BATTERY_ICON_DESCRIPTION";
      localizeStrEnum["FAN_LABEL"] = "FAN_LABEL";
      localizeStrEnum["FAN_DESCRIPTION"] = "FAN_DESCRIPTION";
      localizeStrEnum["FSR_LABEL"] = "FSR_LABEL";
      localizeStrEnum["FSR_DESCRIPTION"] = "FSR_DESCRIPTION";
      localizeStrEnum["FPS_LABEL"] = "FPS_LABEL";
      localizeStrEnum["FPS_DESCRIPTION"] = "FPS_DESCRIPTION";
      localizeStrEnum["FPS_COLOR_CHANGE_LABEL"] = "FPS_COLOR_CHANGE_LABEL";
      localizeStrEnum["FPS_COLOR_CHANGE_DESCRIPTION"] = "FPS_COLOR_CHANGE_DESCRIPTION";
      localizeStrEnum["FRAME_TIMING_LABEL"] = "FRAME_TIMING_LABEL";
      localizeStrEnum["FRAME_TIMING_DESCRIPTION"] = "FRAME_TIMING_DESCRIPTION";
      localizeStrEnum["FRAME_COUNT_LABEL"] = "FRAME_COUNT_LABEL";
      localizeStrEnum["FRAME_COUNT_DESCRIPTION"] = "FRAME_COUNT_DESCRIPTION";
      localizeStrEnum["FRAME_TIME_LABEL"] = "FRAME_TIME_LABEL";
      localizeStrEnum["FRAME_TIME_DESCRIPTION"] = "FRAME_TIME_DESCRIPTION";
      localizeStrEnum["TIME_FORMAT_LABEL"] = "TIME_FORMAT_LABEL";
      localizeStrEnum["TIME_FORMAT_DESCRIPTION"] = "TIME_FORMAT_DESCRIPTION";
      localizeStrEnum["TIME_FORMAT_INPUT_TITLE"] = "TIME_FORMAT_INPUT_TITLE";
      localizeStrEnum["TIME_FORMAT_INPUT_DESCRIPTION1"] = "TIME_FORMAT_INPUT_DESCRIPTION1";
      localizeStrEnum["TIME_FORMAT_INPUT_DESCRIPTION2"] = "TIME_FORMAT_INPUT_DESCRIPTION2";
      localizeStrEnum["TIME_FORMAT_INPUT_DESCRIPTION3"] = "TIME_FORMAT_INPUT_DESCRIPTION3";
      localizeStrEnum["TIME_FORMAT_INPUT_DESCRIPTION4"] = "TIME_FORMAT_INPUT_DESCRIPTION4";
      localizeStrEnum["BATTERY_WATT_LABEL"] = "BATTERY_WATT_LABEL";
      localizeStrEnum["BATTERY_WATT_DESCRIPTION"] = "BATTERY_WATT_DESCRIPTION";
      localizeStrEnum["BATTERY_TIME_LABEL"] = "BATTERY_TIME_LABEL";
      localizeStrEnum["BATTERY_TIME_DESCRIPTION"] = "BATTERY_TIME_DESCRIPTION";
      localizeStrEnum["RESORT_SELECT_DESCRIPTION"] = "RESORT_SELECT_DESCRIPTION";
      localizeStrEnum["RESORT_END_DESCRIPTION"] = "RESORT_END_DESCRIPTION";
      localizeStrEnum["RESORT_MOVEUP_DESCRIPTION"] = "RESORT_MOVEUP_DESCRIPTION";
      localizeStrEnum["RESORT_MOVEDOWN_DESCRIPTION"] = "RESORT_MOVEDOWN_DESCRIPTION";
      localizeStrEnum["DEBUG_LABEL"] = "DEBUG_LABEL";
      localizeStrEnum["DEBUG_DESCRIPTION"] = "DEBUG_DESCRIPTION";
      localizeStrEnum["PRESET_LABEL"] = "PRESET_LABEL";
      localizeStrEnum["PRESET_DESCRIPTION"] = "PRESET_DESCRIPTION";
      localizeStrEnum["GPU_MEM_LABEL"] = "GPU_MEM_LABEL";
      localizeStrEnum["GPU_MEM_DESCRIPTION"] = "GPU_MEM_DESCRIPTION";
      localizeStrEnum["ARCH_LABEL"] = "ARCH_LABEL";
      localizeStrEnum["ARCH_DESCRIPTION"] = "ARCH_DESCRIPTION";
      localizeStrEnum["ENGINE_VERSION_LABEL"] = "ENGINE_VERSION_LABEL";
      localizeStrEnum["ENGINE_VERSION_DESCRIPTION"] = "ENGINE_VERSION_DESCRIPTION";
      localizeStrEnum["GAMEMODE_LABEL"] = "GAMEMODE_LABEL";
      localizeStrEnum["GAMEMODE_DESCRIPTION"] = "GAMEMODE_DESCRIPTION";
      localizeStrEnum["VKBASALT_LABEL"] = "VKBASALT_LABEL";
      localizeStrEnum["VKBASALT_DESCRIPTION"] = "VKBASALT_DESCRIPTION";
      localizeStrEnum["SHOW_FPS_LIMIT_LABEL"] = "SHOW_FPS_LIMIT_LABEL";
      localizeStrEnum["SHOW_FPS_LIMIT_DESCRIPTION"] = "SHOW_FPS_LIMIT_DESCRIPTION";
      localizeStrEnum["RESOLUTION_LABEL"] = "RESOLUTION_LABEL";
      localizeStrEnum["RESOLUTION_DESCRIPTION"] = "RESOLUTION_DESCRIPTION";
      localizeStrEnum["IO_WRITE_LABEL"] = "IO_WRITE_LABEL";
      localizeStrEnum["IO_WRITE_DESCRIPTION"] = "IO_WRITE_DESCRIPTION";
      localizeStrEnum["IO_READ_LABEL"] = "IO_READ_LABEL";
      localizeStrEnum["IO_READ_DESCRIPTION"] = "IO_READ_DESCRIPTION";
      localizeStrEnum["FPS_LIMIT_LABEL"] = "FPS_LIMIT_LABEL";
      localizeStrEnum["FPS_LIMIT_DESCRIPTION"] = "FPS_LIMIT_DESCRIPTION";
      localizeStrEnum["FPS_LIMIT_METHOD_LABEL"] = "FPS_LIMIT_METHOD_LABEL";
      localizeStrEnum["FPS_LIMIT_METHOD_DESCRIPTION"] = "FPS_LIMIT_METHOD_DESCRIPTION";
      localizeStrEnum["PROCMEM_LABEL"] = "PROCMEM_LABEL";
      localizeStrEnum["PROCMEM_DESCRIPTION"] = "PROCMEM_DESCRIPTION";
      localizeStrEnum["PROCMEM_SHARED_LABEL"] = "PROCMEM_SHARED_LABEL";
      localizeStrEnum["PROCMEM_SHARED_DESCRIPTION"] = "PROCMEM_SHARED_DESCRIPTION";
      localizeStrEnum["PROCMEM_VIRT_LABEL"] = "PROCMEM_VIRT_LABEL";
      localizeStrEnum["PROCMEM_VIRT_DESCRIPTION"] = "PROCMEM_VIRT_DESCRIPTION";
      localizeStrEnum["HIDE_FSR_SHARPNESS_LABEL"] = "HIDE_FSR_SHARPNESS_LABEL";
      localizeStrEnum["HIDE_FSR_SHARPNESS_DESCRIPTION"] = "HIDE_FSR_SHARPNESS_DESCRIPTION";
      localizeStrEnum["HISTOGRAM_LABEL"] = "HISTOGRAM_LABEL";
      localizeStrEnum["HISTOGRAM_DESCRIPTION"] = "HISTOGRAM_DESCRIPTION";
      localizeStrEnum["OFFSET_X_DESCRIPTION"] = "OFFSET_X_DESCRIPTION";
      localizeStrEnum["OFFSET_Y_DESCRIPTION"] = "OFFSET_Y_DESCRIPTION";
      localizeStrEnum["GRAPHS_CPU_LOAD_LABEL"] = "GRAPHS_CPU_LOAD_LABEL";
      localizeStrEnum["GRAPHS_CPU_LOAD_DESCRIPTION"] = "GRAPHS_CPU_LOAD_DESCRIPTION";
      localizeStrEnum["GRAPHS_CPU_TEMP_LABEL"] = "GRAPHS_CPU_TEMP_LABEL";
      localizeStrEnum["GRAPHS_CPU_TEMP_DESCRIPTION"] = "GRAPHS_CPU_TEMP_DESCRIPTION";
      localizeStrEnum["GRAPHS_GPU_LOAD_LABEL"] = "GRAPHS_GPU_LOAD_LABEL";
      localizeStrEnum["GRAPHS_GPU_LOAD_DESCRIPTION"] = "GRAPHS_GPU_LOAD_DESCRIPTION";
      localizeStrEnum["GRAPHS_GPU_CORE_CLOCK_LABEL"] = "GRAPHS_GPU_CORE_CLOCK_LABEL";
      localizeStrEnum["GRAPHS_GPU_CORE_CLOCK_DESCRIPTION"] = "GRAPHS_GPU_CORE_CLOCK_DESCRIPTION";
      localizeStrEnum["GRAPHS_GPU_TEMP_LABEL"] = "GRAPHS_GPU_TEMP_LABEL";
      localizeStrEnum["GRAPHS_GPU_TEMP_DESCRIPTION"] = "GRAPHS_GPU_TEMP_DESCRIPTION";
      localizeStrEnum["GRAPHS_RAM_LABEL"] = "GRAPHS_RAM_LABEL";
      localizeStrEnum["GRAPHS_RAM_DESCRIPTION"] = "GRAPHS_RAM_DESCRIPTION";
      localizeStrEnum["GRAPHS_VRAM_LABEL"] = "GRAPHS_VRAM_LABEL";
      localizeStrEnum["GRAPHS_VRAM_DESCRIPTION"] = "GRAPHS_VRAM_DESCRIPTION";
      localizeStrEnum["GRAPHS_GPU_MEM_CLOCK_LABEL"] = "GRAPHS_GPU_MEM_CLOCK_LABEL";
      localizeStrEnum["GRAPHS_GPU_MEM_CLOCK_DESCRIPTION"] = "GRAPHS_GPU_MEM_CLOCK_DESCRIPTION";
      localizeStrEnum["TEXT_OUTLINE_THICKNESS_LABEL"] = "TEXT_OUTLINE_THICKNESS_LABEL";
      localizeStrEnum["BACKGROUND_COLOR_LABEL"] = "BACKGROUND_COLOR_LABEL";
      localizeStrEnum["BACKGROUND_COLOR_DESCRIPTION"] = "BACKGROUND_COLOR_DESCRIPTION";
      localizeStrEnum["TEXT_COLOR_LABEL"] = "TEXT_COLOR_LABEL";
      localizeStrEnum["TEXT_COLOR_DESCRIPTION"] = "TEXT_COLOR_DESCRIPTION";
      localizeStrEnum["CPU_COLOR_LABEL"] = "CPU_COLOR_LABEL";
      localizeStrEnum["CPU_COLOR_DESCRIPTION"] = "CPU_COLOR_DESCRIPTION";
      localizeStrEnum["GPU_COLOR_LABEL"] = "GPU_COLOR_LABEL";
      localizeStrEnum["GPU_COLOR_DESCRIPTION"] = "GPU_COLOR_DESCRIPTION";
      localizeStrEnum["RAM_COLOR_LABEL"] = "RAM_COLOR_LABEL";
      localizeStrEnum["RAM_COLOR_DESCRIPTION"] = "RAM_COLOR_DESCRIPTION";
      localizeStrEnum["VRAM_COLOR_LABEL"] = "VRAM_COLOR_LABEL";
      localizeStrEnum["VRAM_COLOR_DESCRIPTION"] = "VRAM_COLOR_DESCRIPTION";
      localizeStrEnum["BATTERY_COLOR_LABEL"] = "BATTERY_COLOR_LABEL";
      localizeStrEnum["BATTERY_COLOR_DESCRIPTION"] = "BATTERY_COLOR_DESCRIPTION";
      localizeStrEnum["ENGINE_COLOR_LABEL"] = "ENGINE_COLOR_LABEL";
      localizeStrEnum["ENGINE_COLOR_DESCRIPTION"] = "ENGINE_COLOR_DESCRIPTION";
      localizeStrEnum["IO_COLOR_LABEL"] = "IO_COLOR_LABEL";
      localizeStrEnum["IO_COLOR_DESCRIPTION"] = "IO_COLOR_DESCRIPTION";
      localizeStrEnum["TEXT_OUTLINE_THICKNESS_DESCRIPTION"] = "TEXT_OUTLINE_THICKNESS_DESCRIPTION";
      localizeStrEnum["TEXT_OUTLINE_COLOR_LABEL"] = "TEXT_OUTLINE_COLOR_LABEL";
      localizeStrEnum["TEXT_OUTLINE_COLOR_DESCRIPTION"] = "TEXT_OUTLINE_COLOR_DESCRIPTION";
      localizeStrEnum["FRAMETIME_COLOR_LABEL"] = "FRAMETIME_COLOR_LABEL";
      localizeStrEnum["FRAMETIME_COLOR_DESCRIPTION"] = "FRAMETIME_COLOR_DESCRIPTION";
      localizeStrEnum["USE_PERAPP_CONFIG_LABEL"] = "USE_PERAPP_CONFIG_LABEL";
      localizeStrEnum["USING"] = "USING";
      localizeStrEnum["DEFAULT"] = "DEFAULT";
      localizeStrEnum["MANGOLEVEL"] = "MANGOLEVEL";
      localizeStrEnum["HDR_LABEL"] = "HDR_LABEL";
      localizeStrEnum["HDR_DESCRIPTION"] = "HDR_DESCRIPTION";
      localizeStrEnum["REFRESH_RATE_LABEL"] = "REFRESH_RATE_LABEL";
      localizeStrEnum["REFRESH_RATE_DESCRIPTION"] = "REFRESH_RATE_DESCRIPTION";
      localizeStrEnum["GPU_VOLTAGE_LABEL"] = "GPU_VOLTAGE_LABEL";
      localizeStrEnum["GPU_VOLTAGE_DESCRIPTION"] = "GPU_VOLTAGE_DESCRIPTION";
  })(localizeStrEnum || (localizeStrEnum = {}));

  class LocalizationManager {
      static async init() {
          this.language = window.LocalizationManager.m_rgLocalesToUse[0];
          console.debug(`this.language=${this.language}`);
      }
      static getString(defaultString) {
          const str = localizeMap[this.language]?.strings?.[defaultString] ??
              localizeMap["en"]?.strings?.[defaultString] ??
              defaultString;
          return str;
      }
  }
  LocalizationManager.language = "en";

  class Backend {
      static async init(serverAPI) {
          this.serverAPI = serverAPI;
          this.applyCount = 0;
      }
      static async getSteamIndex() {
          var steamindex = 0;
          await this.serverAPI.callPluginMethod("get_steamIndex", {}).then(res => {
              if (res.success) {
                  steamindex = res.result;
              }
          });
          return steamindex;
      }
      static reloadConfig() {
          this.serverAPI.callPluginMethod("ReloadConfigPath", {}).then(res => {
              if (res.success) {
                  console.debug("ReloadConfigPath = " + res.result);
              }
          });
      }
      static applyConfig(index, config) {
          this.applyCount = this.applyCount + 1;
          //取200ms内的最后一次覆写请求，防止连续写入导致mangoapp闪退
          setTimeout(() => {
              this.applyCount = this.applyCount - 1;
              if (this.applyCount == 0) {
                  this.serverAPI.callPluginMethod("SetOverwriteConfig", { "index": index, "config": config });
              }
          }, 200);
      }
      static applyConfigs(configs) {
          this.serverAPI.callPluginMethod("SetOverwriteConfigs", { "configs": configs });
      }
  }

  /******************************************************************************
  Copyright (c) Microsoft Corporation.

  Permission to use, copy, modify, and/or distribute this software for any
  purpose with or without fee is hereby granted.

  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
  REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
  INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
  PERFORMANCE OF THIS SOFTWARE.
  ***************************************************************************** */

  var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
  };

  function __decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  }

  function __metadata(metadataKey, metadataValue) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
  }

  function __spreadArray(to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
  }

  typeof SuppressedError === "function" ? SuppressedError : function (error, suppressed, message) {
    var e = new Error(message);
    return e.name = "SuppressedError", e.error = error, e.suppressed = suppressed, e;
  };

  var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

  /*! *****************************************************************************
  Copyright (C) Microsoft. All rights reserved.
  Licensed under the Apache License, Version 2.0 (the "License"); you may not use
  this file except in compliance with the License. You may obtain a copy of the
  License at http://www.apache.org/licenses/LICENSE-2.0

  THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
  WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
  MERCHANTABLITY OR NON-INFRINGEMENT.

  See the Apache Version 2.0 License for specific language governing permissions
  and limitations under the License.
  ***************************************************************************** */

  var Reflect$1;
  (function (Reflect) {
      // Metadata Proposal
      // https://rbuckton.github.io/reflect-metadata/
      (function (factory) {
          var root = typeof commonjsGlobal === "object" ? commonjsGlobal :
              typeof self === "object" ? self :
                  typeof this === "object" ? this :
                      Function("return this;")();
          var exporter = makeExporter(Reflect);
          if (typeof root.Reflect === "undefined") {
              root.Reflect = Reflect;
          }
          else {
              exporter = makeExporter(root.Reflect, exporter);
          }
          factory(exporter);
          function makeExporter(target, previous) {
              return function (key, value) {
                  if (typeof target[key] !== "function") {
                      Object.defineProperty(target, key, { configurable: true, writable: true, value: value });
                  }
                  if (previous)
                      previous(key, value);
              };
          }
      })(function (exporter) {
          var hasOwn = Object.prototype.hasOwnProperty;
          // feature test for Symbol support
          var supportsSymbol = typeof Symbol === "function";
          var toPrimitiveSymbol = supportsSymbol && typeof Symbol.toPrimitive !== "undefined" ? Symbol.toPrimitive : "@@toPrimitive";
          var iteratorSymbol = supportsSymbol && typeof Symbol.iterator !== "undefined" ? Symbol.iterator : "@@iterator";
          var supportsCreate = typeof Object.create === "function"; // feature test for Object.create support
          var supportsProto = { __proto__: [] } instanceof Array; // feature test for __proto__ support
          var downLevel = !supportsCreate && !supportsProto;
          var HashMap = {
              // create an object in dictionary mode (a.k.a. "slow" mode in v8)
              create: supportsCreate
                  ? function () { return MakeDictionary(Object.create(null)); }
                  : supportsProto
                      ? function () { return MakeDictionary({ __proto__: null }); }
                      : function () { return MakeDictionary({}); },
              has: downLevel
                  ? function (map, key) { return hasOwn.call(map, key); }
                  : function (map, key) { return key in map; },
              get: downLevel
                  ? function (map, key) { return hasOwn.call(map, key) ? map[key] : undefined; }
                  : function (map, key) { return map[key]; },
          };
          // Load global or shim versions of Map, Set, and WeakMap
          var functionPrototype = Object.getPrototypeOf(Function);
          var usePolyfill = typeof process === "object" && process.env && process.env["REFLECT_METADATA_USE_MAP_POLYFILL"] === "true";
          var _Map = !usePolyfill && typeof Map === "function" && typeof Map.prototype.entries === "function" ? Map : CreateMapPolyfill();
          var _Set = !usePolyfill && typeof Set === "function" && typeof Set.prototype.entries === "function" ? Set : CreateSetPolyfill();
          var _WeakMap = !usePolyfill && typeof WeakMap === "function" ? WeakMap : CreateWeakMapPolyfill();
          // [[Metadata]] internal slot
          // https://rbuckton.github.io/reflect-metadata/#ordinary-object-internal-methods-and-internal-slots
          var Metadata = new _WeakMap();
          /**
           * Applies a set of decorators to a property of a target object.
           * @param decorators An array of decorators.
           * @param target The target object.
           * @param propertyKey (Optional) The property key to decorate.
           * @param attributes (Optional) The property descriptor for the target key.
           * @remarks Decorators are applied in reverse order.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     Example = Reflect.decorate(decoratorsArray, Example);
           *
           *     // property (on constructor)
           *     Reflect.decorate(decoratorsArray, Example, "staticProperty");
           *
           *     // property (on prototype)
           *     Reflect.decorate(decoratorsArray, Example.prototype, "property");
           *
           *     // method (on constructor)
           *     Object.defineProperty(Example, "staticMethod",
           *         Reflect.decorate(decoratorsArray, Example, "staticMethod",
           *             Object.getOwnPropertyDescriptor(Example, "staticMethod")));
           *
           *     // method (on prototype)
           *     Object.defineProperty(Example.prototype, "method",
           *         Reflect.decorate(decoratorsArray, Example.prototype, "method",
           *             Object.getOwnPropertyDescriptor(Example.prototype, "method")));
           *
           */
          function decorate(decorators, target, propertyKey, attributes) {
              if (!IsUndefined(propertyKey)) {
                  if (!IsArray(decorators))
                      throw new TypeError();
                  if (!IsObject(target))
                      throw new TypeError();
                  if (!IsObject(attributes) && !IsUndefined(attributes) && !IsNull(attributes))
                      throw new TypeError();
                  if (IsNull(attributes))
                      attributes = undefined;
                  propertyKey = ToPropertyKey(propertyKey);
                  return DecorateProperty(decorators, target, propertyKey, attributes);
              }
              else {
                  if (!IsArray(decorators))
                      throw new TypeError();
                  if (!IsConstructor(target))
                      throw new TypeError();
                  return DecorateConstructor(decorators, target);
              }
          }
          exporter("decorate", decorate);
          // 4.1.2 Reflect.metadata(metadataKey, metadataValue)
          // https://rbuckton.github.io/reflect-metadata/#reflect.metadata
          /**
           * A default metadata decorator factory that can be used on a class, class member, or parameter.
           * @param metadataKey The key for the metadata entry.
           * @param metadataValue The value for the metadata entry.
           * @returns A decorator function.
           * @remarks
           * If `metadataKey` is already defined for the target and target key, the
           * metadataValue for that key will be overwritten.
           * @example
           *
           *     // constructor
           *     @Reflect.metadata(key, value)
           *     class Example {
           *     }
           *
           *     // property (on constructor, TypeScript only)
           *     class Example {
           *         @Reflect.metadata(key, value)
           *         static staticProperty;
           *     }
           *
           *     // property (on prototype, TypeScript only)
           *     class Example {
           *         @Reflect.metadata(key, value)
           *         property;
           *     }
           *
           *     // method (on constructor)
           *     class Example {
           *         @Reflect.metadata(key, value)
           *         static staticMethod() { }
           *     }
           *
           *     // method (on prototype)
           *     class Example {
           *         @Reflect.metadata(key, value)
           *         method() { }
           *     }
           *
           */
          function metadata(metadataKey, metadataValue) {
              function decorator(target, propertyKey) {
                  if (!IsObject(target))
                      throw new TypeError();
                  if (!IsUndefined(propertyKey) && !IsPropertyKey(propertyKey))
                      throw new TypeError();
                  OrdinaryDefineOwnMetadata(metadataKey, metadataValue, target, propertyKey);
              }
              return decorator;
          }
          exporter("metadata", metadata);
          /**
           * Define a unique metadata entry on the target.
           * @param metadataKey A key used to store and retrieve metadata.
           * @param metadataValue A value that contains attached metadata.
           * @param target The target object on which to define metadata.
           * @param propertyKey (Optional) The property key for the target.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     Reflect.defineMetadata("custom:annotation", options, Example);
           *
           *     // property (on constructor)
           *     Reflect.defineMetadata("custom:annotation", options, Example, "staticProperty");
           *
           *     // property (on prototype)
           *     Reflect.defineMetadata("custom:annotation", options, Example.prototype, "property");
           *
           *     // method (on constructor)
           *     Reflect.defineMetadata("custom:annotation", options, Example, "staticMethod");
           *
           *     // method (on prototype)
           *     Reflect.defineMetadata("custom:annotation", options, Example.prototype, "method");
           *
           *     // decorator factory as metadata-producing annotation.
           *     function MyAnnotation(options): Decorator {
           *         return (target, key?) => Reflect.defineMetadata("custom:annotation", options, target, key);
           *     }
           *
           */
          function defineMetadata(metadataKey, metadataValue, target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              return OrdinaryDefineOwnMetadata(metadataKey, metadataValue, target, propertyKey);
          }
          exporter("defineMetadata", defineMetadata);
          /**
           * Gets a value indicating whether the target object or its prototype chain has the provided metadata key defined.
           * @param metadataKey A key used to store and retrieve metadata.
           * @param target The target object on which the metadata is defined.
           * @param propertyKey (Optional) The property key for the target.
           * @returns `true` if the metadata key was defined on the target object or its prototype chain; otherwise, `false`.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     result = Reflect.hasMetadata("custom:annotation", Example);
           *
           *     // property (on constructor)
           *     result = Reflect.hasMetadata("custom:annotation", Example, "staticProperty");
           *
           *     // property (on prototype)
           *     result = Reflect.hasMetadata("custom:annotation", Example.prototype, "property");
           *
           *     // method (on constructor)
           *     result = Reflect.hasMetadata("custom:annotation", Example, "staticMethod");
           *
           *     // method (on prototype)
           *     result = Reflect.hasMetadata("custom:annotation", Example.prototype, "method");
           *
           */
          function hasMetadata(metadataKey, target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              return OrdinaryHasMetadata(metadataKey, target, propertyKey);
          }
          exporter("hasMetadata", hasMetadata);
          /**
           * Gets a value indicating whether the target object has the provided metadata key defined.
           * @param metadataKey A key used to store and retrieve metadata.
           * @param target The target object on which the metadata is defined.
           * @param propertyKey (Optional) The property key for the target.
           * @returns `true` if the metadata key was defined on the target object; otherwise, `false`.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     result = Reflect.hasOwnMetadata("custom:annotation", Example);
           *
           *     // property (on constructor)
           *     result = Reflect.hasOwnMetadata("custom:annotation", Example, "staticProperty");
           *
           *     // property (on prototype)
           *     result = Reflect.hasOwnMetadata("custom:annotation", Example.prototype, "property");
           *
           *     // method (on constructor)
           *     result = Reflect.hasOwnMetadata("custom:annotation", Example, "staticMethod");
           *
           *     // method (on prototype)
           *     result = Reflect.hasOwnMetadata("custom:annotation", Example.prototype, "method");
           *
           */
          function hasOwnMetadata(metadataKey, target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              return OrdinaryHasOwnMetadata(metadataKey, target, propertyKey);
          }
          exporter("hasOwnMetadata", hasOwnMetadata);
          /**
           * Gets the metadata value for the provided metadata key on the target object or its prototype chain.
           * @param metadataKey A key used to store and retrieve metadata.
           * @param target The target object on which the metadata is defined.
           * @param propertyKey (Optional) The property key for the target.
           * @returns The metadata value for the metadata key if found; otherwise, `undefined`.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     result = Reflect.getMetadata("custom:annotation", Example);
           *
           *     // property (on constructor)
           *     result = Reflect.getMetadata("custom:annotation", Example, "staticProperty");
           *
           *     // property (on prototype)
           *     result = Reflect.getMetadata("custom:annotation", Example.prototype, "property");
           *
           *     // method (on constructor)
           *     result = Reflect.getMetadata("custom:annotation", Example, "staticMethod");
           *
           *     // method (on prototype)
           *     result = Reflect.getMetadata("custom:annotation", Example.prototype, "method");
           *
           */
          function getMetadata(metadataKey, target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              return OrdinaryGetMetadata(metadataKey, target, propertyKey);
          }
          exporter("getMetadata", getMetadata);
          /**
           * Gets the metadata value for the provided metadata key on the target object.
           * @param metadataKey A key used to store and retrieve metadata.
           * @param target The target object on which the metadata is defined.
           * @param propertyKey (Optional) The property key for the target.
           * @returns The metadata value for the metadata key if found; otherwise, `undefined`.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     result = Reflect.getOwnMetadata("custom:annotation", Example);
           *
           *     // property (on constructor)
           *     result = Reflect.getOwnMetadata("custom:annotation", Example, "staticProperty");
           *
           *     // property (on prototype)
           *     result = Reflect.getOwnMetadata("custom:annotation", Example.prototype, "property");
           *
           *     // method (on constructor)
           *     result = Reflect.getOwnMetadata("custom:annotation", Example, "staticMethod");
           *
           *     // method (on prototype)
           *     result = Reflect.getOwnMetadata("custom:annotation", Example.prototype, "method");
           *
           */
          function getOwnMetadata(metadataKey, target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              return OrdinaryGetOwnMetadata(metadataKey, target, propertyKey);
          }
          exporter("getOwnMetadata", getOwnMetadata);
          /**
           * Gets the metadata keys defined on the target object or its prototype chain.
           * @param target The target object on which the metadata is defined.
           * @param propertyKey (Optional) The property key for the target.
           * @returns An array of unique metadata keys.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     result = Reflect.getMetadataKeys(Example);
           *
           *     // property (on constructor)
           *     result = Reflect.getMetadataKeys(Example, "staticProperty");
           *
           *     // property (on prototype)
           *     result = Reflect.getMetadataKeys(Example.prototype, "property");
           *
           *     // method (on constructor)
           *     result = Reflect.getMetadataKeys(Example, "staticMethod");
           *
           *     // method (on prototype)
           *     result = Reflect.getMetadataKeys(Example.prototype, "method");
           *
           */
          function getMetadataKeys(target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              return OrdinaryMetadataKeys(target, propertyKey);
          }
          exporter("getMetadataKeys", getMetadataKeys);
          /**
           * Gets the unique metadata keys defined on the target object.
           * @param target The target object on which the metadata is defined.
           * @param propertyKey (Optional) The property key for the target.
           * @returns An array of unique metadata keys.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     result = Reflect.getOwnMetadataKeys(Example);
           *
           *     // property (on constructor)
           *     result = Reflect.getOwnMetadataKeys(Example, "staticProperty");
           *
           *     // property (on prototype)
           *     result = Reflect.getOwnMetadataKeys(Example.prototype, "property");
           *
           *     // method (on constructor)
           *     result = Reflect.getOwnMetadataKeys(Example, "staticMethod");
           *
           *     // method (on prototype)
           *     result = Reflect.getOwnMetadataKeys(Example.prototype, "method");
           *
           */
          function getOwnMetadataKeys(target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              return OrdinaryOwnMetadataKeys(target, propertyKey);
          }
          exporter("getOwnMetadataKeys", getOwnMetadataKeys);
          /**
           * Deletes the metadata entry from the target object with the provided key.
           * @param metadataKey A key used to store and retrieve metadata.
           * @param target The target object on which the metadata is defined.
           * @param propertyKey (Optional) The property key for the target.
           * @returns `true` if the metadata entry was found and deleted; otherwise, false.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     result = Reflect.deleteMetadata("custom:annotation", Example);
           *
           *     // property (on constructor)
           *     result = Reflect.deleteMetadata("custom:annotation", Example, "staticProperty");
           *
           *     // property (on prototype)
           *     result = Reflect.deleteMetadata("custom:annotation", Example.prototype, "property");
           *
           *     // method (on constructor)
           *     result = Reflect.deleteMetadata("custom:annotation", Example, "staticMethod");
           *
           *     // method (on prototype)
           *     result = Reflect.deleteMetadata("custom:annotation", Example.prototype, "method");
           *
           */
          function deleteMetadata(metadataKey, target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              var metadataMap = GetOrCreateMetadataMap(target, propertyKey, /*Create*/ false);
              if (IsUndefined(metadataMap))
                  return false;
              if (!metadataMap.delete(metadataKey))
                  return false;
              if (metadataMap.size > 0)
                  return true;
              var targetMetadata = Metadata.get(target);
              targetMetadata.delete(propertyKey);
              if (targetMetadata.size > 0)
                  return true;
              Metadata.delete(target);
              return true;
          }
          exporter("deleteMetadata", deleteMetadata);
          function DecorateConstructor(decorators, target) {
              for (var i = decorators.length - 1; i >= 0; --i) {
                  var decorator = decorators[i];
                  var decorated = decorator(target);
                  if (!IsUndefined(decorated) && !IsNull(decorated)) {
                      if (!IsConstructor(decorated))
                          throw new TypeError();
                      target = decorated;
                  }
              }
              return target;
          }
          function DecorateProperty(decorators, target, propertyKey, descriptor) {
              for (var i = decorators.length - 1; i >= 0; --i) {
                  var decorator = decorators[i];
                  var decorated = decorator(target, propertyKey, descriptor);
                  if (!IsUndefined(decorated) && !IsNull(decorated)) {
                      if (!IsObject(decorated))
                          throw new TypeError();
                      descriptor = decorated;
                  }
              }
              return descriptor;
          }
          function GetOrCreateMetadataMap(O, P, Create) {
              var targetMetadata = Metadata.get(O);
              if (IsUndefined(targetMetadata)) {
                  if (!Create)
                      return undefined;
                  targetMetadata = new _Map();
                  Metadata.set(O, targetMetadata);
              }
              var metadataMap = targetMetadata.get(P);
              if (IsUndefined(metadataMap)) {
                  if (!Create)
                      return undefined;
                  metadataMap = new _Map();
                  targetMetadata.set(P, metadataMap);
              }
              return metadataMap;
          }
          // 3.1.1.1 OrdinaryHasMetadata(MetadataKey, O, P)
          // https://rbuckton.github.io/reflect-metadata/#ordinaryhasmetadata
          function OrdinaryHasMetadata(MetadataKey, O, P) {
              var hasOwn = OrdinaryHasOwnMetadata(MetadataKey, O, P);
              if (hasOwn)
                  return true;
              var parent = OrdinaryGetPrototypeOf(O);
              if (!IsNull(parent))
                  return OrdinaryHasMetadata(MetadataKey, parent, P);
              return false;
          }
          // 3.1.2.1 OrdinaryHasOwnMetadata(MetadataKey, O, P)
          // https://rbuckton.github.io/reflect-metadata/#ordinaryhasownmetadata
          function OrdinaryHasOwnMetadata(MetadataKey, O, P) {
              var metadataMap = GetOrCreateMetadataMap(O, P, /*Create*/ false);
              if (IsUndefined(metadataMap))
                  return false;
              return ToBoolean(metadataMap.has(MetadataKey));
          }
          // 3.1.3.1 OrdinaryGetMetadata(MetadataKey, O, P)
          // https://rbuckton.github.io/reflect-metadata/#ordinarygetmetadata
          function OrdinaryGetMetadata(MetadataKey, O, P) {
              var hasOwn = OrdinaryHasOwnMetadata(MetadataKey, O, P);
              if (hasOwn)
                  return OrdinaryGetOwnMetadata(MetadataKey, O, P);
              var parent = OrdinaryGetPrototypeOf(O);
              if (!IsNull(parent))
                  return OrdinaryGetMetadata(MetadataKey, parent, P);
              return undefined;
          }
          // 3.1.4.1 OrdinaryGetOwnMetadata(MetadataKey, O, P)
          // https://rbuckton.github.io/reflect-metadata/#ordinarygetownmetadata
          function OrdinaryGetOwnMetadata(MetadataKey, O, P) {
              var metadataMap = GetOrCreateMetadataMap(O, P, /*Create*/ false);
              if (IsUndefined(metadataMap))
                  return undefined;
              return metadataMap.get(MetadataKey);
          }
          // 3.1.5.1 OrdinaryDefineOwnMetadata(MetadataKey, MetadataValue, O, P)
          // https://rbuckton.github.io/reflect-metadata/#ordinarydefineownmetadata
          function OrdinaryDefineOwnMetadata(MetadataKey, MetadataValue, O, P) {
              var metadataMap = GetOrCreateMetadataMap(O, P, /*Create*/ true);
              metadataMap.set(MetadataKey, MetadataValue);
          }
          // 3.1.6.1 OrdinaryMetadataKeys(O, P)
          // https://rbuckton.github.io/reflect-metadata/#ordinarymetadatakeys
          function OrdinaryMetadataKeys(O, P) {
              var ownKeys = OrdinaryOwnMetadataKeys(O, P);
              var parent = OrdinaryGetPrototypeOf(O);
              if (parent === null)
                  return ownKeys;
              var parentKeys = OrdinaryMetadataKeys(parent, P);
              if (parentKeys.length <= 0)
                  return ownKeys;
              if (ownKeys.length <= 0)
                  return parentKeys;
              var set = new _Set();
              var keys = [];
              for (var _i = 0, ownKeys_1 = ownKeys; _i < ownKeys_1.length; _i++) {
                  var key = ownKeys_1[_i];
                  var hasKey = set.has(key);
                  if (!hasKey) {
                      set.add(key);
                      keys.push(key);
                  }
              }
              for (var _a = 0, parentKeys_1 = parentKeys; _a < parentKeys_1.length; _a++) {
                  var key = parentKeys_1[_a];
                  var hasKey = set.has(key);
                  if (!hasKey) {
                      set.add(key);
                      keys.push(key);
                  }
              }
              return keys;
          }
          // 3.1.7.1 OrdinaryOwnMetadataKeys(O, P)
          // https://rbuckton.github.io/reflect-metadata/#ordinaryownmetadatakeys
          function OrdinaryOwnMetadataKeys(O, P) {
              var keys = [];
              var metadataMap = GetOrCreateMetadataMap(O, P, /*Create*/ false);
              if (IsUndefined(metadataMap))
                  return keys;
              var keysObj = metadataMap.keys();
              var iterator = GetIterator(keysObj);
              var k = 0;
              while (true) {
                  var next = IteratorStep(iterator);
                  if (!next) {
                      keys.length = k;
                      return keys;
                  }
                  var nextValue = IteratorValue(next);
                  try {
                      keys[k] = nextValue;
                  }
                  catch (e) {
                      try {
                          IteratorClose(iterator);
                      }
                      finally {
                          throw e;
                      }
                  }
                  k++;
              }
          }
          // 6 ECMAScript Data Typ0es and Values
          // https://tc39.github.io/ecma262/#sec-ecmascript-data-types-and-values
          function Type(x) {
              if (x === null)
                  return 1 /* Null */;
              switch (typeof x) {
                  case "undefined": return 0 /* Undefined */;
                  case "boolean": return 2 /* Boolean */;
                  case "string": return 3 /* String */;
                  case "symbol": return 4 /* Symbol */;
                  case "number": return 5 /* Number */;
                  case "object": return x === null ? 1 /* Null */ : 6 /* Object */;
                  default: return 6 /* Object */;
              }
          }
          // 6.1.1 The Undefined Type
          // https://tc39.github.io/ecma262/#sec-ecmascript-language-types-undefined-type
          function IsUndefined(x) {
              return x === undefined;
          }
          // 6.1.2 The Null Type
          // https://tc39.github.io/ecma262/#sec-ecmascript-language-types-null-type
          function IsNull(x) {
              return x === null;
          }
          // 6.1.5 The Symbol Type
          // https://tc39.github.io/ecma262/#sec-ecmascript-language-types-symbol-type
          function IsSymbol(x) {
              return typeof x === "symbol";
          }
          // 6.1.7 The Object Type
          // https://tc39.github.io/ecma262/#sec-object-type
          function IsObject(x) {
              return typeof x === "object" ? x !== null : typeof x === "function";
          }
          // 7.1 Type Conversion
          // https://tc39.github.io/ecma262/#sec-type-conversion
          // 7.1.1 ToPrimitive(input [, PreferredType])
          // https://tc39.github.io/ecma262/#sec-toprimitive
          function ToPrimitive(input, PreferredType) {
              switch (Type(input)) {
                  case 0 /* Undefined */: return input;
                  case 1 /* Null */: return input;
                  case 2 /* Boolean */: return input;
                  case 3 /* String */: return input;
                  case 4 /* Symbol */: return input;
                  case 5 /* Number */: return input;
              }
              var hint = PreferredType === 3 /* String */ ? "string" : PreferredType === 5 /* Number */ ? "number" : "default";
              var exoticToPrim = GetMethod(input, toPrimitiveSymbol);
              if (exoticToPrim !== undefined) {
                  var result = exoticToPrim.call(input, hint);
                  if (IsObject(result))
                      throw new TypeError();
                  return result;
              }
              return OrdinaryToPrimitive(input, hint === "default" ? "number" : hint);
          }
          // 7.1.1.1 OrdinaryToPrimitive(O, hint)
          // https://tc39.github.io/ecma262/#sec-ordinarytoprimitive
          function OrdinaryToPrimitive(O, hint) {
              if (hint === "string") {
                  var toString_1 = O.toString;
                  if (IsCallable(toString_1)) {
                      var result = toString_1.call(O);
                      if (!IsObject(result))
                          return result;
                  }
                  var valueOf = O.valueOf;
                  if (IsCallable(valueOf)) {
                      var result = valueOf.call(O);
                      if (!IsObject(result))
                          return result;
                  }
              }
              else {
                  var valueOf = O.valueOf;
                  if (IsCallable(valueOf)) {
                      var result = valueOf.call(O);
                      if (!IsObject(result))
                          return result;
                  }
                  var toString_2 = O.toString;
                  if (IsCallable(toString_2)) {
                      var result = toString_2.call(O);
                      if (!IsObject(result))
                          return result;
                  }
              }
              throw new TypeError();
          }
          // 7.1.2 ToBoolean(argument)
          // https://tc39.github.io/ecma262/2016/#sec-toboolean
          function ToBoolean(argument) {
              return !!argument;
          }
          // 7.1.12 ToString(argument)
          // https://tc39.github.io/ecma262/#sec-tostring
          function ToString(argument) {
              return "" + argument;
          }
          // 7.1.14 ToPropertyKey(argument)
          // https://tc39.github.io/ecma262/#sec-topropertykey
          function ToPropertyKey(argument) {
              var key = ToPrimitive(argument, 3 /* String */);
              if (IsSymbol(key))
                  return key;
              return ToString(key);
          }
          // 7.2 Testing and Comparison Operations
          // https://tc39.github.io/ecma262/#sec-testing-and-comparison-operations
          // 7.2.2 IsArray(argument)
          // https://tc39.github.io/ecma262/#sec-isarray
          function IsArray(argument) {
              return Array.isArray
                  ? Array.isArray(argument)
                  : argument instanceof Object
                      ? argument instanceof Array
                      : Object.prototype.toString.call(argument) === "[object Array]";
          }
          // 7.2.3 IsCallable(argument)
          // https://tc39.github.io/ecma262/#sec-iscallable
          function IsCallable(argument) {
              // NOTE: This is an approximation as we cannot check for [[Call]] internal method.
              return typeof argument === "function";
          }
          // 7.2.4 IsConstructor(argument)
          // https://tc39.github.io/ecma262/#sec-isconstructor
          function IsConstructor(argument) {
              // NOTE: This is an approximation as we cannot check for [[Construct]] internal method.
              return typeof argument === "function";
          }
          // 7.2.7 IsPropertyKey(argument)
          // https://tc39.github.io/ecma262/#sec-ispropertykey
          function IsPropertyKey(argument) {
              switch (Type(argument)) {
                  case 3 /* String */: return true;
                  case 4 /* Symbol */: return true;
                  default: return false;
              }
          }
          // 7.3 Operations on Objects
          // https://tc39.github.io/ecma262/#sec-operations-on-objects
          // 7.3.9 GetMethod(V, P)
          // https://tc39.github.io/ecma262/#sec-getmethod
          function GetMethod(V, P) {
              var func = V[P];
              if (func === undefined || func === null)
                  return undefined;
              if (!IsCallable(func))
                  throw new TypeError();
              return func;
          }
          // 7.4 Operations on Iterator Objects
          // https://tc39.github.io/ecma262/#sec-operations-on-iterator-objects
          function GetIterator(obj) {
              var method = GetMethod(obj, iteratorSymbol);
              if (!IsCallable(method))
                  throw new TypeError(); // from Call
              var iterator = method.call(obj);
              if (!IsObject(iterator))
                  throw new TypeError();
              return iterator;
          }
          // 7.4.4 IteratorValue(iterResult)
          // https://tc39.github.io/ecma262/2016/#sec-iteratorvalue
          function IteratorValue(iterResult) {
              return iterResult.value;
          }
          // 7.4.5 IteratorStep(iterator)
          // https://tc39.github.io/ecma262/#sec-iteratorstep
          function IteratorStep(iterator) {
              var result = iterator.next();
              return result.done ? false : result;
          }
          // 7.4.6 IteratorClose(iterator, completion)
          // https://tc39.github.io/ecma262/#sec-iteratorclose
          function IteratorClose(iterator) {
              var f = iterator["return"];
              if (f)
                  f.call(iterator);
          }
          // 9.1 Ordinary Object Internal Methods and Internal Slots
          // https://tc39.github.io/ecma262/#sec-ordinary-object-internal-methods-and-internal-slots
          // 9.1.1.1 OrdinaryGetPrototypeOf(O)
          // https://tc39.github.io/ecma262/#sec-ordinarygetprototypeof
          function OrdinaryGetPrototypeOf(O) {
              var proto = Object.getPrototypeOf(O);
              if (typeof O !== "function" || O === functionPrototype)
                  return proto;
              // TypeScript doesn't set __proto__ in ES5, as it's non-standard.
              // Try to determine the superclass constructor. Compatible implementations
              // must either set __proto__ on a subclass constructor to the superclass constructor,
              // or ensure each class has a valid `constructor` property on its prototype that
              // points back to the constructor.
              // If this is not the same as Function.[[Prototype]], then this is definately inherited.
              // This is the case when in ES6 or when using __proto__ in a compatible browser.
              if (proto !== functionPrototype)
                  return proto;
              // If the super prototype is Object.prototype, null, or undefined, then we cannot determine the heritage.
              var prototype = O.prototype;
              var prototypeProto = prototype && Object.getPrototypeOf(prototype);
              if (prototypeProto == null || prototypeProto === Object.prototype)
                  return proto;
              // If the constructor was not a function, then we cannot determine the heritage.
              var constructor = prototypeProto.constructor;
              if (typeof constructor !== "function")
                  return proto;
              // If we have some kind of self-reference, then we cannot determine the heritage.
              if (constructor === O)
                  return proto;
              // we have a pretty good guess at the heritage.
              return constructor;
          }
          // naive Map shim
          function CreateMapPolyfill() {
              var cacheSentinel = {};
              var arraySentinel = [];
              var MapIterator = /** @class */ (function () {
                  function MapIterator(keys, values, selector) {
                      this._index = 0;
                      this._keys = keys;
                      this._values = values;
                      this._selector = selector;
                  }
                  MapIterator.prototype["@@iterator"] = function () { return this; };
                  MapIterator.prototype[iteratorSymbol] = function () { return this; };
                  MapIterator.prototype.next = function () {
                      var index = this._index;
                      if (index >= 0 && index < this._keys.length) {
                          var result = this._selector(this._keys[index], this._values[index]);
                          if (index + 1 >= this._keys.length) {
                              this._index = -1;
                              this._keys = arraySentinel;
                              this._values = arraySentinel;
                          }
                          else {
                              this._index++;
                          }
                          return { value: result, done: false };
                      }
                      return { value: undefined, done: true };
                  };
                  MapIterator.prototype.throw = function (error) {
                      if (this._index >= 0) {
                          this._index = -1;
                          this._keys = arraySentinel;
                          this._values = arraySentinel;
                      }
                      throw error;
                  };
                  MapIterator.prototype.return = function (value) {
                      if (this._index >= 0) {
                          this._index = -1;
                          this._keys = arraySentinel;
                          this._values = arraySentinel;
                      }
                      return { value: value, done: true };
                  };
                  return MapIterator;
              }());
              return /** @class */ (function () {
                  function Map() {
                      this._keys = [];
                      this._values = [];
                      this._cacheKey = cacheSentinel;
                      this._cacheIndex = -2;
                  }
                  Object.defineProperty(Map.prototype, "size", {
                      get: function () { return this._keys.length; },
                      enumerable: true,
                      configurable: true
                  });
                  Map.prototype.has = function (key) { return this._find(key, /*insert*/ false) >= 0; };
                  Map.prototype.get = function (key) {
                      var index = this._find(key, /*insert*/ false);
                      return index >= 0 ? this._values[index] : undefined;
                  };
                  Map.prototype.set = function (key, value) {
                      var index = this._find(key, /*insert*/ true);
                      this._values[index] = value;
                      return this;
                  };
                  Map.prototype.delete = function (key) {
                      var index = this._find(key, /*insert*/ false);
                      if (index >= 0) {
                          var size = this._keys.length;
                          for (var i = index + 1; i < size; i++) {
                              this._keys[i - 1] = this._keys[i];
                              this._values[i - 1] = this._values[i];
                          }
                          this._keys.length--;
                          this._values.length--;
                          if (key === this._cacheKey) {
                              this._cacheKey = cacheSentinel;
                              this._cacheIndex = -2;
                          }
                          return true;
                      }
                      return false;
                  };
                  Map.prototype.clear = function () {
                      this._keys.length = 0;
                      this._values.length = 0;
                      this._cacheKey = cacheSentinel;
                      this._cacheIndex = -2;
                  };
                  Map.prototype.keys = function () { return new MapIterator(this._keys, this._values, getKey); };
                  Map.prototype.values = function () { return new MapIterator(this._keys, this._values, getValue); };
                  Map.prototype.entries = function () { return new MapIterator(this._keys, this._values, getEntry); };
                  Map.prototype["@@iterator"] = function () { return this.entries(); };
                  Map.prototype[iteratorSymbol] = function () { return this.entries(); };
                  Map.prototype._find = function (key, insert) {
                      if (this._cacheKey !== key) {
                          this._cacheIndex = this._keys.indexOf(this._cacheKey = key);
                      }
                      if (this._cacheIndex < 0 && insert) {
                          this._cacheIndex = this._keys.length;
                          this._keys.push(key);
                          this._values.push(undefined);
                      }
                      return this._cacheIndex;
                  };
                  return Map;
              }());
              function getKey(key, _) {
                  return key;
              }
              function getValue(_, value) {
                  return value;
              }
              function getEntry(key, value) {
                  return [key, value];
              }
          }
          // naive Set shim
          function CreateSetPolyfill() {
              return /** @class */ (function () {
                  function Set() {
                      this._map = new _Map();
                  }
                  Object.defineProperty(Set.prototype, "size", {
                      get: function () { return this._map.size; },
                      enumerable: true,
                      configurable: true
                  });
                  Set.prototype.has = function (value) { return this._map.has(value); };
                  Set.prototype.add = function (value) { return this._map.set(value, value), this; };
                  Set.prototype.delete = function (value) { return this._map.delete(value); };
                  Set.prototype.clear = function () { this._map.clear(); };
                  Set.prototype.keys = function () { return this._map.keys(); };
                  Set.prototype.values = function () { return this._map.values(); };
                  Set.prototype.entries = function () { return this._map.entries(); };
                  Set.prototype["@@iterator"] = function () { return this.keys(); };
                  Set.prototype[iteratorSymbol] = function () { return this.keys(); };
                  return Set;
              }());
          }
          // naive WeakMap shim
          function CreateWeakMapPolyfill() {
              var UUID_SIZE = 16;
              var keys = HashMap.create();
              var rootKey = CreateUniqueKey();
              return /** @class */ (function () {
                  function WeakMap() {
                      this._key = CreateUniqueKey();
                  }
                  WeakMap.prototype.has = function (target) {
                      var table = GetOrCreateWeakMapTable(target, /*create*/ false);
                      return table !== undefined ? HashMap.has(table, this._key) : false;
                  };
                  WeakMap.prototype.get = function (target) {
                      var table = GetOrCreateWeakMapTable(target, /*create*/ false);
                      return table !== undefined ? HashMap.get(table, this._key) : undefined;
                  };
                  WeakMap.prototype.set = function (target, value) {
                      var table = GetOrCreateWeakMapTable(target, /*create*/ true);
                      table[this._key] = value;
                      return this;
                  };
                  WeakMap.prototype.delete = function (target) {
                      var table = GetOrCreateWeakMapTable(target, /*create*/ false);
                      return table !== undefined ? delete table[this._key] : false;
                  };
                  WeakMap.prototype.clear = function () {
                      // NOTE: not a real clear, just makes the previous data unreachable
                      this._key = CreateUniqueKey();
                  };
                  return WeakMap;
              }());
              function CreateUniqueKey() {
                  var key;
                  do
                      key = "@@WeakMap@@" + CreateUUID();
                  while (HashMap.has(keys, key));
                  keys[key] = true;
                  return key;
              }
              function GetOrCreateWeakMapTable(target, create) {
                  if (!hasOwn.call(target, rootKey)) {
                      if (!create)
                          return undefined;
                      Object.defineProperty(target, rootKey, { value: HashMap.create() });
                  }
                  return target[rootKey];
              }
              function FillRandomBytes(buffer, size) {
                  for (var i = 0; i < size; ++i)
                      buffer[i] = Math.random() * 0xff | 0;
                  return buffer;
              }
              function GenRandomBytes(size) {
                  if (typeof Uint8Array === "function") {
                      if (typeof crypto !== "undefined")
                          return crypto.getRandomValues(new Uint8Array(size));
                      if (typeof msCrypto !== "undefined")
                          return msCrypto.getRandomValues(new Uint8Array(size));
                      return FillRandomBytes(new Uint8Array(size), size);
                  }
                  return FillRandomBytes(new Array(size), size);
              }
              function CreateUUID() {
                  var data = GenRandomBytes(UUID_SIZE);
                  // mark as random - RFC 4122 § 4.4
                  data[6] = data[6] & 0x4f | 0x40;
                  data[8] = data[8] & 0xbf | 0x80;
                  var result = "";
                  for (var offset = 0; offset < UUID_SIZE; ++offset) {
                      var byte = data[offset];
                      if (offset === 4 || offset === 6 || offset === 8)
                          result += "-";
                      if (byte < 16)
                          result += "0";
                      result += byte.toString(16).toLowerCase();
                  }
                  return result;
              }
          }
          // uses a heuristic used by v8 and chakra to force an object into dictionary mode.
          function MakeDictionary(obj) {
              obj.__ = undefined;
              delete obj.__;
              return obj;
          }
      });
  })(Reflect$1 || (Reflect$1 = {}));

  var i=function(){function e(){}return e.getBaseClass=function(e){return e?Reflect.getPrototypeOf(e):void 0},e.getJsonPropertiesMetadata=function(t,i){if(t){var r=""+e.apiMap+(i||t.constructor.name);return Reflect.getMetadata(r,t)}},e.getParamTypes=function(t){return t?Reflect.getMetadata(e.designParamTypes,t):void 0},e.getJsonObjectMetadata=function(t){return t?Reflect.getMetadata(e.apiMapJsonObject,t):void 0},e.getType=function(t,i){return t?Reflect.getMetadata(e.designType,t,i):void 0},e.isJsonObject=function(t){return !!t&&Reflect.hasOwnMetadata(e.apiMapJsonObject,t)},e.setJsonPropertiesMetadata=function(t,i){if(i){var r=""+e.apiMap+i.constructor.name;Reflect.defineMetadata(r,t,i);}},e.setJsonObject=function(t,i){i&&Reflect.defineMetadata(e.apiMapJsonObject,t,i);},e.setType=function(t,i,r){i&&t&&Reflect.defineMetadata(e.designType,t,i,r);},e.apiMap="api:map:",e.apiMapJsonObject=e.apiMap+"jsonObject",e.designType="design:type",e.designParamTypes="design:paramtypes",e}(),r=function(e){return "string"==typeof e},n=function(e){return null!==e&&"object"==typeof e&&!o(e)},o=function(e){return Array.isArray(e)},a=function(e){return "[object Date]"===toString.call(e)},s=function(e){return [null,void 0].includes(e)},l=function(e){return i.isJsonObject(e)},u=function(e){try{var t=JSON.parse(e);return "object"==typeof t?t:e}catch(t){return e}},c=function(){this.errorCallback=f,this.nullishPolicy={undefined:"remove",null:"allow"};},f=function(e){console.error(e);},d=function(){function p(e){this.options=new c,this.options=__assign(__assign({},this.options),e);}return p.prototype.deserialize=function(e,t){return r(e)&&(e=u(e)),o(e)?this.deserializeObjectArray(e,t):n(e)?this.deserializeObject(e,t):void this.error("Fail to deserialize: value is not an Array nor an Object.\nReceived: "+JSON.stringify(e)+".")},p.prototype.deserializeObject=function(e,t){var i=this;if(null===e)return "disallow"===this.options.nullishPolicy.null&&this.error("Fail to deserialize: null is not assignable to type Object."),null;if(void 0!==e){if(r(e)&&(e=u(e)),n(e)){var o=function(e){if("function"!=typeof e)return !1;try{Reflect.construct(String,[],e);}catch(e){return !1}return !0}(t)?new t({}):t,a=this.getJsonPropertiesMetadata(o);return a?(Object.keys(a).forEach((function(t){var r=a[t],n=i.deserializeProperty(o,t,e,r);if(r.required&&s(n)){var l=o.constructor.name;i.error("Property '"+t+"' is required in "+l+" "+JSON.stringify(e)+".");}i.isAllowedProperty(n)&&(o[t]=n);})),o):o}this.error("Fail to deserialize: type '"+typeof e+"' is not assignable to type 'Object'.\nReceived: "+JSON.stringify(e));}else "disallow"===this.options.nullishPolicy.undefined&&this.error("Fail to deserialize: undefined is not assignable to type Object.");},p.prototype.deserializeObjectArray=function(e,t){var i=this;if(null===e)return "disallow"===this.options.nullishPolicy.null&&this.error("Fail to deserialize: null is not assignable to type Array."),null;if(void 0!==e){if(r(e)&&(e=u(e)),o(e))return e.reduce((function(e,r){var n=i.deserializeObject(r,t);return (!s(n)||null===n&&"remove"!==i.options.nullishPolicy.null||void 0===n&&"remove"!==i.options.nullishPolicy.undefined)&&e.push(n),e}),[]);this.error("Fail to deserialize: type '"+typeof e+"' is not assignable to type 'Array'.\nReceived: "+JSON.stringify(e));}else "disallow"===this.options.nullishPolicy.undefined&&this.error("Fail to deserialize: undefined is not assignable to type Array.");},p.prototype.serialize=function(e){return o(e)?this.serializeObjectArray(e):n(e)?this.serializeObject(e):void this.error("Fail to serialize: value is not an Array nor an Object.\nReceived: "+JSON.stringify(e)+".")},p.prototype.serializeObject=function(e){var t=this;if(null===e)return "disallow"===this.options.nullishPolicy.null&&this.error("Fail to serialize: null is not assignable to type Object."),null;if(void 0!==e){if(!n(e))return e;var i=this.getJsonPropertiesMetadata(e);if(!i)return e;var r={},a=Object.keys(e);return Object.keys(i).forEach((function(n){if(a.includes(n)){var s=i[n],l=void 0;s.beforeSerialize&&(l=e[n],e[n]=s.beforeSerialize(e[n],e));var u=t.serializeProperty(e,n,s);if(s.afterSerialize&&(u=s.afterSerialize(u,e)),e[n]=l||e[n],o(s.name))s.name.forEach((function(e){t.isAllowedProperty(u[e])&&(r[e]=u[e]);}));else if(t.isAllowedProperty(u))if(s.isNameOverridden||void 0===t.options.formatPropertyName)r[s.name]=u;else {var c=t.options.formatPropertyName(s.name);r[c]=u;}}else "remove"!==t.options.nullishPolicy.undefined&&(r[n]=void 0);})),r}"disallow"===this.options.nullishPolicy.undefined&&this.error("Fail to serialize: undefined is not assignable to type Object.");},p.prototype.serializeObjectArray=function(e){var t=this;if(null===e)return "disallow"===this.options.nullishPolicy.null&&this.error("Fail to serialize: null is not assignable to type Array."),null;if(void 0!==e){if(o(e))return e.reduce((function(e,i){var r=t.serializeObject(i);return (!s(r)||null===r&&"remove"!==t.options.nullishPolicy.null||void 0===r&&"remove"!==t.options.nullishPolicy.undefined)&&e.push(r),e}),[]);this.error("Fail to serialize: type '"+typeof e+"' is not assignable to type 'Array'.\nReceived: "+JSON.stringify(e)+".");}else "disallow"===this.options.nullishPolicy.undefined&&this.error("Fail to serialize: undefined is not assignable to type Array.");},p.prototype.deserializeProperty=function(e,t,r,n){var o;if(!s(r)){var a=this.getDataSource(r,n,this.options.formatPropertyName);if(s(a))return a;var u,c=i.getType(e,t),p=null===(o=null==c?void 0:c.name)||void 0===o?void 0:o.toLowerCase(),f="array"===p,d="set"===p,y="map"===p,v=n.type||c;n.beforeDeserialize&&(a=n.beforeDeserialize(a,e));var h=n.predicate;return n.isDictionary||y?(u=this.deserializeDictionary(a,v,h),y&&(u=new Map(Object.entries(u)))):f||d?(u=this.deserializeArray(a,v,h),d&&(u=new Set(u))):!l(v)&&!h||h&&!h(a,r)?u=this.deserializePrimitive(a,v.name):(v=n.predicate?n.predicate(a,r):v,u=this.deserializeObject(a,v)),n.afterDeserialize&&(u=n.afterDeserialize(u,e)),u}},p.prototype.deserializePrimitive=function(e,t){if(s(t))return e;if(typeof e===(t=t.toLowerCase()))return e;var i="Fail to deserialize: type '"+typeof e+"' is not assignable to type '"+t+"'.\nReceived: "+JSON.stringify(e);switch(t){case"string":var r=e.toString();return "[object Object]"===r?void this.error(i):r;case"number":return function(e){return "number"==typeof e}(e)?+e:void this.error(i);case"boolean":return void this.error(i);case"date":return function(e){return !a(e)&&!o(e)&&!isNaN(Date.parse(e))}(e)?new Date(e):void this.error(i);default:return e}},p.prototype.deserializeDictionary=function(e,t,i){var r=this;if(n(e)){var o={};return Object.keys(e).forEach((function(n){var a=i?i(e[n],e):void 0;l(t)||a?o[n]=r.deserializeObject(e[n],a||t):o[n]=r.deserializePrimitive(e[n],typeof e[n]);})),o}this.error("Fail to deserialize: type '"+typeof e+"' is not assignable to type 'Dictionary'.\nReceived: "+JSON.stringify(e)+".");},p.prototype.deserializeArray=function(e,t,i){var r=this;if(o(e))return e.reduce((function(n,o){var a;return l(t)||i?(t=i?i(o,e):t,a=r.deserializeObject(o,t)):a=r.deserializePrimitive(o,typeof o),(!s(a)||null===a&&"remove"!==r.options.nullishPolicy.null||void 0===a&&"remove"!==r.options.nullishPolicy.undefined)&&n.push(a),n}),[]);this.error("Fail to deserialize: type '"+typeof e+"' is not assignable to type 'Array'.\nReceived: "+JSON.stringify(e));},p.prototype.error=function(e){this.options.errorCallback&&this.options.errorCallback(e);},p.prototype.getClassesJsonPropertiesMetadata=function(e,t){return e?e.reduce((function(e,r){var n=i.getJsonPropertiesMetadata(t,r);return n&&e.push(n),e}),[]):[]},p.prototype.getDataSource=function(e,t,i){var r=t.name,n=t.isNameOverridden;if(o(r)){var a={};return r.forEach((function(t){return a[t]=e[t]})),a}return !n&&i?(r=i(r),e[r]):e[r]},p.prototype.getJsonPropertiesMetadata=function(t){var r,n=(null!==(r=i.getJsonObjectMetadata(t.constructor))&&void 0!==r?r:{}).baseClassNames,o=i.getJsonPropertiesMetadata(t);if(!(o||n&&n.length))return o;if(n&&n.length){var a=this.getClassesJsonPropertiesMetadata(n,t);return this.mergeJsonPropertiesMetadata.apply(this,__spreadArray(__spreadArray([],a),[o]))}return o},p.prototype.isAllowedProperty=function(e){if(s(e)){if("disallow"===this.options.nullishPolicy[""+e])return this.error("Disallowed "+e+" value detected."),!1;if("remove"===this.options.nullishPolicy[""+e])return !1}return !0},p.prototype.mergeJsonPropertiesMetadata=function(){for(var e=[],i=0;i<arguments.length;i++)e[i]=arguments[i];var r={};return e.forEach((function(e){e&&Object.keys(e).forEach((function(i){r[i]=__assign(__assign({},r[i]),e[i]);}));})),r},p.prototype.serializeDictionary=function(e){var t=this;if(n(e)){var i={};return Object.keys(e).forEach((function(r){i[r]=t.serializeObject(e[r]);})),i}this.error("Fail to serialize: type '"+typeof e+"' is not assignable to type 'Dictionary'.\nReceived: "+JSON.stringify(e)+".");},p.prototype.serializeProperty=function(e,t,n){var o,s,u=this,c=e[t],p=i.getType(e,t),f=null===(o=null==p?void 0:p.name)||void 0===o?void 0:o.toLowerCase(),d="array"===f,y="set"===f,v="map"===f,h=n.predicate,g=n.type||p,b=l(g);if(c&&(b||h)){if(d||y){var m=y?Array.from(c):c;return this.serializeObjectArray(m)}if(n.isDictionary||v){if(!v)return this.serializeDictionary(c);var O={};return c.forEach((function(e,t){r(t)?O[t]=e:u.error("Fail to serialize: type of '"+typeof t+"' is not assignable to type 'string'.\nReceived: "+JSON.stringify(t)+".");})),console.log(O),this.serializeDictionary(O)}return this.serializeObject(c)}return "date"===(null===(s=null==g?void 0:g.name)||void 0===s?void 0:s.toLocaleLowerCase())&&a(c)?c.toISOString():c},p}(),y=function(t){var r=i.getBaseClass(t);return r&&r.name?__spreadArray(__spreadArray([],y(r)),[r.name]):[]},v=function(){return function(e){var t=y(e);i.setJsonObject({baseClassNames:t},e);}},h=function(e){return function(t,r,n){var o;if(void 0===r&&t.prototype){var a=i.getParamTypes(t)[n];r=g(t.prototype.constructor).get(n),t=t.prototype,i.setType(a,t,r);}var s=null!==(o=i.getJsonPropertiesMetadata(t))&&void 0!==o?o:{};s[r]=b(r,e),i.setJsonPropertiesMetadata(s,t);}},g=function(e){var t,i=e.toString().split("}")[0].replace(/(\/\*[\s\S]*?\*\/|\/\/.*$)/gm,"").replace(/[\r\t\n\v\f ]/g,""),r=i.length;","===i[r-2]&&(t=i[r-1]);var n=t?new RegExp("(?:(this|"+t+"|\\("+t+"=t.call\\(this(,.)*\\)\\))\\.)([^,;\n}]+)","gm"):new RegExp("(?:(this)\\.)([^,;\n}]+)","gm"),o=new Map,a=/(?:.*(?:constructor|function).*?(?=\())(?:\()(.+?(?=\)))/m.exec(i);if(!a||!a.length)return o;for(var s,l=a[1].split(","),u=function(){var e=s.length-1,t=s[e].split("="),i=l.findIndex((function(e){return e===t[1]}));i>-1&&o.set(i,t[0]);};s=n.exec(i);)u();return o},b=function(e,o){var a={name:e.toString()};return o?r(o)?(a.name=o,a.isNameOverridden=!0,a):(n(o)&&(a=__assign(__assign({},a),o),o.name&&(a.name=o.name,a.isNameOverridden=!0),function(e){if(!e)return !1;var t=i.getParamTypes(e),r=e.length;return (1===r||2===r)&&!t}(o.type)&&(delete a.type,a.predicate=o.type)),a):a};

  var ParamName;
  (function (ParamName) {
      ParamName["alpha"] = "alpha";
      ParamName["background_alpha"] = "background_alpha";
      ParamName["battery"] = "battery";
      ParamName["battery_icon"] = "battery_icon";
      ParamName["cpu_stats"] = "cpu_stats";
      ParamName["core_load"] = "core_load";
      ParamName["core_load_change"] = "core_load_change";
      ParamName["cpu_load_change"] = "cpu_load_change";
      ParamName["cpu_mhz"] = "cpu_mhz";
      ParamName["cpu_power"] = "cpu_power";
      ParamName["cpu_temp"] = "cpu_temp";
      ParamName["cpu_text"] = "cpu_text";
      ParamName["gpu_stats"] = "gpu_stats";
      ParamName["gpu_load_change"] = "gpu_load_change";
      ParamName["gpu_core_clock"] = "gpu_core_clock";
      ParamName["gpu_mem_clock"] = "gpu_mem_clock";
      ParamName["gpu_power"] = "gpu_power";
      ParamName["gpu_temp"] = "gpu_temp";
      ParamName["gpu_text"] = "gpu_text";
      ParamName["gpu_voltage"] = "gpu_voltage";
      ParamName["legacy_layout"] = "legacy_layout";
      ParamName["width"] = "width";
      ParamName["offset_x"] = "offset_x";
      ParamName["offset_y"] = "offset_y";
      ParamName["fsr"] = "fsr";
      //io_stats="io_stats",
      ParamName["io_read"] = "io_read";
      ParamName["io_write"] = "io_write";
      ParamName["ram"] = "ram";
      ParamName["vram"] = "vram";
      ParamName["swap"] = "swap";
      ParamName["procmem"] = "procmem";
      ParamName["procmem_shared"] = "procmem_shared";
      ParamName["procmem_virt"] = "procmem_virt";
      ParamName["position"] = "position";
      ParamName["fps"] = "fps";
      ParamName["fps_only"] = "fps_only";
      ParamName["fps_color_change"] = "fps_color_change";
      ParamName["fan"] = "fan";
      ParamName["hdr"] = "hdr";
      ParamName["refresh_rate"] = "refresh_rate";
      ParamName["no_display"] = "no_display";
      ParamName["horizontal"] = "horizontal";
      ParamName["hud_no_margin"] = "hud_no_margin";
      ParamName["table_columns"] = "table_columns";
      ParamName["arch"] = "arch";
      ParamName["gpu_name"] = "gpu_name";
      ParamName["wine"] = "wine";
      ParamName["frametime"] = "frametime";
      ParamName["frame_timing"] = "frame_timing";
      ParamName["frame_count"] = "frame_count";
      ParamName["full"] = "full";
      ParamName["font_scale"] = "font_scale";
      //no_small_font="no_small_font",
      ParamName["custom_text_center"] = "custom_text_center";
      ParamName["custom_text"] = "custom_text";
      ParamName["time"] = "time";
      ParamName["version"] = "version";
      ParamName["time_format"] = "time_format";
      ParamName["battery_watt"] = "battery_watt";
      ParamName["battery_time"] = "battery_time";
      ParamName["debug"] = "debug";
      ParamName["preset"] = "preset";
      ParamName["throttling_status"] = "throttling_status";
      ParamName["throttling_status_graph"] = "throttling_status_graph";
      ParamName["engine_version"] = "engine_version";
      ParamName["gamemode"] = "gamemode";
      ParamName["vkbasalt"] = "vkbasalt";
      ParamName["show_fps_limit"] = "show_fps_limit";
      ParamName["resolution"] = "resolution";
      ParamName["fps_limit"] = "fps_limit";
      ParamName["fps_limit_method"] = "fps_limit_method";
      ParamName["hide_fsr_sharpness"] = "hide_fsr_sharpness";
      ParamName["histogram"] = "histogram";
      ParamName["graphs_cpu_load"] = "graphs_cpu_load";
      ParamName["graphs_cpu_temp"] = "graphs_cpu_temp";
      ParamName["graphs_gpu_load"] = "graphs_gpu_load";
      ParamName["graphs_gpu_temp"] = "graphs_gpu_temp";
      ParamName["graphs_gpu_core_clock"] = "graphs_gpu_core_clock";
      ParamName["graphs_gpu_mem_clock"] = "graphs_gpu_mem_clock";
      ParamName["graphs_vram"] = "graphs_vram";
      ParamName["graphs_ram"] = "graphs_ram";
      ParamName["text_outline_thickness"] = "text_outline_thickness";
      ParamName["text_outline_color"] = "text_outline_color";
      ParamName["cpu_color"] = "cpu_color";
      ParamName["gpu_color"] = "gpu_color";
      ParamName["text_color"] = "text_color";
      ParamName["vram_color"] = "vram_color";
      ParamName["ram_color"] = "ram_color";
      ParamName["engine_color"] = "engine_color";
      ParamName["io_color"] = "io_color";
      ParamName["background_color"] = "background_color";
      ParamName["battery_color"] = "battery_color";
      ParamName["frametime_color"] = "frametime_color";
  })(ParamName || (ParamName = {}));
  var ParamGroup;
  (function (ParamGroup) {
      ParamGroup["PRESET"] = "PRESET";
      ParamGroup["LAYOUT"] = "LAYOUT";
      //SETTING="SETTING",
      ParamGroup["CUSTOM_TEXT"] = "TITLE";
      ParamGroup["CPU"] = "CPU";
      ParamGroup["GPU"] = "GPU";
      ParamGroup["IO"] = "IO";
      ParamGroup["RAM"] = "RAM";
      ParamGroup["BATT"] = "BATT";
      ParamGroup["FPS"] = "FPS";
      ParamGroup["ENGINE"] = "ENGINE";
      ParamGroup["GRAPHS"] = "GRAPHS";
      ParamGroup["ALPHA"] = "ALPHA";
      ParamGroup["FONT"] = "FONT";
      ParamGroup["COLOR"] = "COLOR";
  })(ParamGroup || (ParamGroup = {}));
  var ParamPatchType;
  (function (ParamPatchType) {
      ParamPatchType["dropdown"] = "dropdown";
      ParamPatchType["slider"] = "slider";
      ParamPatchType["notchSlider"] = "notchSlider";
      ParamPatchType["textInput"] = "textInput";
      ParamPatchType["resortableList"] = "resortableList";
      ParamPatchType["colorPicker"] = "colorPicker";
      ParamPatchType["none"] = "none";
  })(ParamPatchType || (ParamPatchType = {}));
  var SteamChannel;
  (function (SteamChannel) {
      SteamChannel["rel"] = "rel";
      SteamChannel["main"] = "main";
  })(SteamChannel || (SteamChannel = {}));
  var ResortType;
  (function (ResortType) {
      ResortType["paramOrder"] = "paramOrder";
  })(ResortType || (ResortType = {}));

  const paramList$1 = {
      [ParamName.preset]: {
          name: ParamName.preset,
          group: ParamGroup.PRESET,
          preCondition: [],
          toggle: {
              label: localizeStrEnum.PRESET_LABEL,
              description: localizeStrEnum.PRESET_DESCRIPTION,
              defaultEnable: false,
              isShowPatchWhenEnable: true,
          },
          patchs: [{
                  type: ParamPatchType.notchSlider,
                  args: [0, 1, 2, 3, 4]
              }]
      },
      [ParamName.legacy_layout]: {
          name: ParamName.legacy_layout,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.LEGACY_LAYOUT_LABEL,
              description: localizeStrEnum.LEGACY_LAYOUT_DESCRIPTION,
              defaultEnable: true,
              isShowPatchWhenEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.resortableList,
                  args: [ResortType.paramOrder],
              }]
      },
      [ParamName.horizontal]: {
          name: ParamName.horizontal,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.no_display, ParamName.fps_only, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.HORIZONTAL_LABEL,
              description: localizeStrEnum.HORIZONTAL_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.table_columns]: {
          name: ParamName.table_columns,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.no_display, ParamName.fps_only, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.TABLE_COLUMNS_LABEL,
              description: localizeStrEnum.TABLE_COLUMNS_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [1, 50, 1],
                  defaultValue: 3,
              }]
      },
      [ParamName.width]: {
          name: ParamName.width,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.WIDTH_LABLE,
              description: localizeStrEnum.WIDTH_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [1, 2160, 1, true],
                  defaultValue: 330,
              }]
      },
      [ParamName.position]: {
          name: ParamName.position,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.POSITION_LABEL,
              description: localizeStrEnum.POSITION_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.dropdown,
                  args: ["top-left", "top-center", "top-right", "middle-left", "middle-right", "bottom-left", "bottom_center", "bottom-right"],
                  defaultValue: "top-left"
              }]
      },
      [ParamName.hud_no_margin]: {
          name: ParamName.hud_no_margin,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.HUD_NO_MARGIN_LABEL,
              description: localizeStrEnum.HUD_NO_MARGIN_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.offset_x]: {
          name: ParamName.offset_x,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.OFFSET_X_LABEL,
              description: localizeStrEnum.OFFSET_X_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [-2160, 2160, 1, true],
                  defaultValue: 0,
              }]
      },
      [ParamName.offset_y]: {
          name: ParamName.offset_y,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.OFFSET_Y_LABEL,
              description: localizeStrEnum.OFFSET_Y_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [-2160, 2160, 1, true],
                  defaultValue: 0,
              }]
      },
      [ParamName.full]: {
          name: ParamName.full,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.FULL_LABEL,
              description: localizeStrEnum.FULL_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.no_display]: {
          name: ParamName.no_display,
          group: ParamGroup.PRESET,
          preCondition: [{ disable: [ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.NO_DISPLAY_LABEL,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.fps_only]: {
          name: ParamName.fps_only,
          group: ParamGroup.PRESET,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.FPS_ONLY_LABEL,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.alpha]: {
          name: ParamName.alpha,
          group: ParamGroup.ALPHA,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.ALPHA_LABEL,
              description: localizeStrEnum.ALPHA_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [0, 1, 0.01, false],
                  defaultValue: 1,
              }]
      },
      [ParamName.background_alpha]: {
          name: ParamName.background_alpha,
          group: ParamGroup.ALPHA,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.BACKGROUND_ALPHA_LABEL,
              description: localizeStrEnum.BACKGROUND_ALPHA_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [0, 1, 0.01],
                  defaultValue: 1,
              }]
      },
      /*
      [ParamName.no_small_font]:{
        name:ParamName.no_small_font,
        group:ParamGroup.SETTING,
        preCondition:[{disable:[ParamName.no_display]}],
        toggle:{
            label: "no_small_font",
            defaultEnable:false,
        },
        patchs:[]
      },
      */
      [ParamName.text_outline_thickness]: {
          name: ParamName.text_outline_thickness,
          group: ParamGroup.FONT,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.TEXT_OUTLINE_THICKNESS_LABEL,
              description: localizeStrEnum.TEXT_OUTLINE_THICKNESS_DESCRIPTION,
              defaultEnable: true,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [0, 3, 0.1],
                  defaultValue: 1.5,
              }]
      },
      [ParamName.font_scale]: {
          name: ParamName.font_scale,
          group: ParamGroup.FONT,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.FONT_SCALE_LABEL,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [0.1, 3, 0.1],
                  defaultValue: 1,
              }]
      },
      [ParamName.custom_text_center]: {
          name: ParamName.custom_text_center,
          group: ParamGroup.CUSTOM_TEXT,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CUSTOM_TEXT_CENTER_LABEL,
              description: localizeStrEnum.CUSTOM_TEXT_CENTER_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.textInput,
                  args: [],
                  defaultValue: "STEAM DECK",
              }]
      },
      [ParamName.custom_text]: {
          name: ParamName.custom_text,
          group: ParamGroup.CUSTOM_TEXT,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CUSTOM_TEXT_LABEL,
              description: localizeStrEnum.CUSTOM_TEXT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.textInput,
                  args: [],
                  defaultValue: "MangoPeel",
              }]
      },
      [ParamName.time]: {
          name: ParamName.time,
          group: ParamGroup.CUSTOM_TEXT,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.TIME_LABEL,
              description: localizeStrEnum.TIME_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.time_format]: {
          name: ParamName.time_format,
          group: ParamGroup.CUSTOM_TEXT,
          preCondition: [{
                  enable: [ParamName.time]
              }],
          toggle: {
              label: localizeStrEnum.TIME_FORMAT_LABEL,
              description: localizeStrEnum.TIME_FORMAT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.textInput,
                  args: [localizeStrEnum.TIME_FORMAT_INPUT_TITLE, [localizeStrEnum.TIME_FORMAT_INPUT_DESCRIPTION1, localizeStrEnum.TIME_FORMAT_INPUT_DESCRIPTION2, localizeStrEnum.TIME_FORMAT_INPUT_DESCRIPTION3, localizeStrEnum.TIME_FORMAT_INPUT_DESCRIPTION4]],
                  defaultValue: "%H:%M:%S"
              }]
      },
      [ParamName.version]: {
          name: ParamName.version,
          group: ParamGroup.CUSTOM_TEXT,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.VERSION_LABEL,
              description: localizeStrEnum.VERSION_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.cpu_stats]: {
          name: ParamName.cpu_stats,
          group: ParamGroup.CPU,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.CPU_STATS_LABEL,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.cpu_text]: {
          name: ParamName.cpu_text,
          group: ParamGroup.CPU,
          preCondition: [{
                  enable: [ParamName.cpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CPU_TEXT_LABEL,
              description: localizeStrEnum.CPU_TEXT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.textInput,
                  args: [],
                  defaultValue: "CPU_TEXT",
              }]
      },
      [ParamName.core_load]: {
          name: ParamName.core_load,
          group: ParamGroup.CPU,
          preCondition: [{
                  enable: [ParamName.cpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CORE_LOAD_LABEL,
              description: localizeStrEnum.CORE_LOAD_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.cpu_mhz]: {
          name: ParamName.cpu_mhz,
          group: ParamGroup.CPU,
          preCondition: [{
                  enable: [ParamName.cpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CPU_MHZ_LABEL,
              description: localizeStrEnum.CPU_MHZ_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.cpu_power]: {
          name: ParamName.cpu_power,
          group: ParamGroup.CPU,
          preCondition: [{
                  enable: [ParamName.cpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CPU_POWER_LABEL,
              description: localizeStrEnum.CPU_POWER_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.cpu_temp]: {
          name: ParamName.cpu_temp,
          group: ParamGroup.CPU,
          preCondition: [{
                  enable: [ParamName.cpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CPU_TEMP_LABEL,
              description: localizeStrEnum.CPU_TEMP_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gpu_stats]: {
          name: ParamName.gpu_stats,
          group: ParamGroup.GPU,
          preCondition: [{
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_STATS_LABEL,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gpu_text]: {
          name: ParamName.gpu_text,
          group: ParamGroup.GPU,
          preCondition: [{
                  enable: [ParamName.gpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_TEXT_LABEL,
              description: localizeStrEnum.GPU_TEXT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.textInput,
                  args: [],
                  defaultValue: "GPU_TEXT",
              }]
      },
      [ParamName.gpu_core_clock]: {
          name: ParamName.gpu_core_clock,
          group: ParamGroup.GPU,
          preCondition: [{
                  enable: [ParamName.gpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_CORE_CLOCK_LABEL,
              description: localizeStrEnum.GPU_CORE_CLOCK_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gpu_power]: {
          name: ParamName.gpu_power,
          group: ParamGroup.GPU,
          preCondition: [{
                  enable: [ParamName.gpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_POWER_LABEL,
              description: localizeStrEnum.GPU_POWER_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gpu_temp]: {
          name: ParamName.gpu_temp,
          group: ParamGroup.GPU,
          preCondition: [{
                  enable: [ParamName.gpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_TEMP_LABEL,
              description: localizeStrEnum.GPU_TEMP_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gpu_voltage]: {
          name: ParamName.gpu_voltage,
          group: ParamGroup.GPU,
          preCondition: [{
                  enable: [ParamName.gpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_VOLTAGE_LABEL,
              description: localizeStrEnum.GPU_VOLTAGE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.ram]: {
          name: ParamName.ram,
          group: ParamGroup.RAM,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.RAM_LABEL,
              description: localizeStrEnum.RAM_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.swap]: {
          name: ParamName.swap,
          group: ParamGroup.RAM,
          preCondition: [{
                  enable: [ParamName.ram],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.SWAP_LABEL,
              description: localizeStrEnum.SWAP_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.vram]: {
          name: ParamName.vram,
          group: ParamGroup.RAM,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.VRAM_LABEL,
              description: localizeStrEnum.VRAM_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gpu_mem_clock]: {
          name: ParamName.gpu_mem_clock,
          group: ParamGroup.RAM,
          preCondition: [{
                  enable: [ParamName.vram],
                  disable: [ParamName.full]
              }],
          toggle: {
              label: localizeStrEnum.GPU_MEM_LABEL,
              description: localizeStrEnum.GPU_MEM_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.procmem]: {
          name: ParamName.procmem,
          group: ParamGroup.RAM,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.PROCMEM_LABEL,
              description: localizeStrEnum.PROCMEM_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.procmem_shared]: {
          name: ParamName.procmem_shared,
          group: ParamGroup.RAM,
          preCondition: [{
                  enable: [ParamName.procmem]
              }],
          toggle: {
              label: localizeStrEnum.PROCMEM_SHARED_LABEL,
              description: localizeStrEnum.PROCMEM_SHARED_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.procmem_virt]: {
          name: ParamName.procmem_virt,
          group: ParamGroup.RAM,
          preCondition: [{
                  enable: [ParamName.procmem]
              }],
          toggle: {
              label: localizeStrEnum.PROCMEM_VIRT_LABEL,
              description: localizeStrEnum.PROCMEM_VIRT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.battery]: {
          name: ParamName.battery,
          group: ParamGroup.BATT,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.BATTERY_LABEL,
              description: localizeStrEnum.BATTERY_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.battery_icon]: {
          name: ParamName.battery_icon,
          group: ParamGroup.BATT,
          preCondition: [{
                  enable: [ParamName.battery],
                  disable: [ParamName.no_display, ParamName.fps_only, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout, ParamName.full],
                  disable: [ParamName.no_display, ParamName.fps_only, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.BATTERY_ICON_LABEL,
              description: localizeStrEnum.BATTERY_ICON_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.battery_watt]: {
          name: ParamName.battery_watt,
          group: ParamGroup.BATT,
          preCondition: [{
                  enable: [ParamName.battery],
              }],
          toggle: {
              label: localizeStrEnum.BATTERY_WATT_LABEL,
              description: localizeStrEnum.BATTERY_WATT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.battery_time]: {
          name: ParamName.battery_time,
          group: ParamGroup.BATT,
          preCondition: [{
                  enable: [ParamName.battery],
              }],
          toggle: {
              label: localizeStrEnum.BATTERY_TIME_LABEL,
              description: localizeStrEnum.BATTERY_TIME_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.fan]: {
          name: ParamName.fan,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.FAN_LABEL,
              description: localizeStrEnum.FAN_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.fsr]: {
          name: ParamName.fsr,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.FSR_LABEL,
              description: localizeStrEnum.FSR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.hide_fsr_sharpness]: {
          name: ParamName.hide_fsr_sharpness,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  enable: [ParamName.fsr]
              }, {
                  enable: [ParamName.legacy_layout, ParamName.full]
              }
          ],
          toggle: {
              label: localizeStrEnum.HIDE_FSR_SHARPNESS_LABEL,
              description: localizeStrEnum.HIDE_FSR_SHARPNESS_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.hdr]: {
          name: ParamName.hdr,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.HDR_LABEL,
              description: localizeStrEnum.HDR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.refresh_rate]: {
          name: ParamName.refresh_rate,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.REFRESH_RATE_LABEL,
              description: localizeStrEnum.REFRESH_RATE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.fps]: {
          name: ParamName.fps,
          group: ParamGroup.FPS,
          preCondition: [{
                  disable: [ParamName.legacy_layout, ParamName.no_display, ParamName.preset, ParamName.fps_only]
              }],
          toggle: {
              label: localizeStrEnum.FPS_LABEL,
              description: localizeStrEnum.FPS_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.frametime]: {
          name: ParamName.frametime,
          group: ParamGroup.FPS,
          preCondition: [{
                  enable: [ParamName.fps],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }
          ],
          toggle: {
              label: localizeStrEnum.FRAME_TIME_LABEL,
              description: localizeStrEnum.FRAME_TIME_DESCRIPTION,
              defaultEnable: true,
          },
          patchs: []
      },
      [ParamName.show_fps_limit]: {
          name: ParamName.show_fps_limit,
          group: ParamGroup.FPS,
          preCondition: [{
                  disable: [ParamName.legacy_layout, ParamName.preset, ParamName.fps_only, ParamName.no_display]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.no_display, ParamName.full, ParamName.preset, ParamName.fps_only]
              }],
          toggle: {
              label: localizeStrEnum.SHOW_FPS_LIMIT_LABEL,
              description: localizeStrEnum.SHOW_FPS_LIMIT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.fps_limit]: {
          name: ParamName.fps_limit,
          group: ParamGroup.FPS,
          preCondition: [{
                  enable: [ParamName.show_fps_limit],
              }],
          toggle: {
              label: localizeStrEnum.FPS_LIMIT_LABEL,
              description: localizeStrEnum.FPS_LIMIT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [0, 540, 1],
                  defaultValue: 60,
              }]
      },
      [ParamName.fps_limit_method]: {
          name: ParamName.fps_limit_method,
          group: ParamGroup.FPS,
          preCondition: [{
                  enable: [ParamName.show_fps_limit],
              }],
          toggle: {
              label: localizeStrEnum.FPS_LIMIT_METHOD_LABEL,
              description: localizeStrEnum.FPS_LIMIT_METHOD_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.dropdown,
                  args: ["late", "early"],
                  defaultValue: "late"
              }]
      },
      [ParamName.frame_timing]: {
          name: ParamName.frame_timing,
          group: ParamGroup.FPS,
          preCondition: [{
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.FRAME_TIMING_LABEL,
              description: localizeStrEnum.FRAME_TIMING_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.histogram]: {
          name: ParamName.histogram,
          group: ParamGroup.FPS,
          preCondition: [{
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display]
              }, {
                  enable: [ParamName.frame_timing],
                  disable: [ParamName.fps_only, ParamName.no_display]
              }],
          toggle: {
              label: localizeStrEnum.HISTOGRAM_LABEL,
              description: localizeStrEnum.HISTOGRAM_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.frame_count]: {
          name: ParamName.frame_count,
          group: ParamGroup.FPS,
          preCondition: [{
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.full, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.FRAME_COUNT_LABEL,
              description: localizeStrEnum.FRAME_COUNT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.debug]: {
          name: ParamName.debug,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.DEBUG_LABEL,
              description: localizeStrEnum.DEBUG_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      /*
      [ParamName.gpu_name]:{
          name:ParamName.gpu_name,
          group:ParamGroup.GPU,
          preCondition:[{enable:[ParamName.gpu_stats],disable:[ParamName.legacy_layout]},
                      {enable:[ParamName.legacy_layout]}],
          toggle:{
              label:"gpu_name",
              defaultEnable:[false,false,false,true,true],
          },
          patchs:[]
      }*/
      /*
      [ParamName.io_stats]:{
          name:ParamName.io_stats,
          group:ParamGroup.IO,
          preCondition:[{disable:[ParamName.legacy_layout,ParamName.fps_only,ParamName.no_display]}],
          toggle:{
              label:"io_stats",
              defaultEnable:false,
          },
          patchs:[]
      }
      */
      [ParamName.io_read]: {
          name: ParamName.io_read,
          group: ParamGroup.IO,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.IO_READ_LABEL,
              description: localizeStrEnum.IO_READ_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.io_write]: {
          name: ParamName.io_write,
          group: ParamGroup.IO,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.IO_WRITE_LABEL,
              description: localizeStrEnum.IO_WRITE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      /*
      [ParamName.font_size]:{
          name:ParamName.font_size,
          group:ParamGroup.SETTING,
          preCondition:[{disable:[ParamName.no_display]}],
          toggle:{
              label:"font_size",
              defaultEnable:false,
          },
          patchs:[{
              type:ParamPatchType.slider,
              args:[1,40,1],
              defaultValue:[24,24,24,24,24],
          }]
      }*/
      [ParamName.arch]: {
          name: ParamName.arch,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.ARCH_LABEL,
              description: localizeStrEnum.ARCH_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      /*
      [ParamName.throttling_status]:{
        name:ParamName.throttling_status,
        group:ParamGroup.ENGINE,
        preCondition:[{disable:[ParamName.no_display]}],
        toggle:{
            label:"throttling_status",
            defaultEnable:true,
        },
        patchs:[]
      },
    
      [ParamName.throttling_status_graph]:{
        name:ParamName.throttling_status_graph,
        group:ParamGroup.ENGINE,
        preCondition:[{disable:[ParamName.no_display]}],
        toggle:{
            label:"throttling_status_graph",
            defaultEnable:true,
        },
        patchs:[]
      },
      */
      [ParamName.engine_version]: {
          name: ParamName.engine_version,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.ENGINE_VERSION_LABEL,
              description: localizeStrEnum.ENGINE_VERSION_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gamemode]: {
          name: ParamName.gamemode,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GAMEMODE_LABEL,
              description: localizeStrEnum.GAMEMODE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.vkbasalt]: {
          name: ParamName.vkbasalt,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.VKBASALT_LABEL,
              description: localizeStrEnum.VKBASALT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.resolution]: {
          name: ParamName.resolution,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.RESOLUTION_LABEL,
              description: localizeStrEnum.RESOLUTION_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_cpu_load]: {
          name: ParamName.graphs_cpu_load,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_CPU_LOAD_LABEL,
              description: localizeStrEnum.GRAPHS_CPU_LOAD_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_cpu_temp]: {
          name: ParamName.graphs_cpu_temp,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_CPU_TEMP_LABEL,
              description: localizeStrEnum.GRAPHS_CPU_TEMP_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_gpu_load]: {
          name: ParamName.graphs_gpu_load,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_GPU_LOAD_LABEL,
              description: localizeStrEnum.GRAPHS_GPU_LOAD_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_gpu_core_clock]: {
          name: ParamName.graphs_gpu_core_clock,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_GPU_CORE_CLOCK_LABEL,
              description: localizeStrEnum.GRAPHS_GPU_CORE_CLOCK_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_gpu_temp]: {
          name: ParamName.graphs_gpu_temp,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_GPU_TEMP_LABEL,
              description: localizeStrEnum.GRAPHS_GPU_TEMP_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_gpu_mem_clock]: {
          name: ParamName.graphs_gpu_mem_clock,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_GPU_MEM_CLOCK_LABEL,
              description: localizeStrEnum.GRAPHS_GPU_MEM_CLOCK_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_ram]: {
          name: ParamName.graphs_ram,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_RAM_LABEL,
              description: localizeStrEnum.GRAPHS_RAM_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_vram]: {
          name: ParamName.graphs_vram,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_VRAM_LABEL,
              description: localizeStrEnum.GRAPHS_VRAM_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.background_color]: {
          name: ParamName.background_color,
          group: ParamGroup.COLOR,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.BACKGROUND_COLOR_LABEL,
              description: localizeStrEnum.BACKGROUND_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "020202",
              }]
      },
      [ParamName.frametime_color]: {
          name: ParamName.frametime_color,
          group: ParamGroup.COLOR,
          preCondition: [{ enable: [ParamName.frame_timing] }, { enable: [ParamName.graphs_cpu_load] }, { enable: [ParamName.graphs_cpu_temp] }, { enable: [ParamName.graphs_gpu_core_clock] }, { enable: [ParamName.graphs_gpu_load] },
              { enable: [ParamName.graphs_gpu_mem_clock] }, { enable: [ParamName.graphs_gpu_temp] }, { enable: [ParamName.graphs_ram] }, { enable: [ParamName.graphs_vram] },
              {
                  enable: [ParamName.legacy_layout, ParamName.full],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.FRAMETIME_COLOR_LABEL,
              description: localizeStrEnum.FRAMETIME_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "00FF00",
              }]
      },
      [ParamName.text_outline_color]: {
          name: ParamName.text_outline_color,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.text_outline_thickness],
              }],
          toggle: {
              label: localizeStrEnum.TEXT_OUTLINE_COLOR_LABEL,
              description: localizeStrEnum.TEXT_OUTLINE_COLOR_DESCRIPTION,
              defaultEnable: true,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "000000",
              }]
      },
      [ParamName.text_color]: {
          name: ParamName.text_color,
          group: ParamGroup.COLOR,
          preCondition: [{
                  disable: [ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.TEXT_COLOR_LABEL,
              description: localizeStrEnum.TEXT_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "FFFFFF",
              }]
      },
      [ParamName.cpu_color]: {
          name: ParamName.cpu_color,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.cpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CPU_COLOR_LABEL,
              description: localizeStrEnum.CPU_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "2E97CB",
              }]
      },
      [ParamName.gpu_color]: {
          name: ParamName.gpu_color,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.gpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_COLOR_LABEL,
              description: localizeStrEnum.GPU_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "2E9762",
              }]
      },
      [ParamName.ram_color]: {
          name: ParamName.ram_color,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.ram]
              }, {
                  enable: [ParamName.legacy_layout, ParamName.full],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.RAM_COLOR_LABEL,
              description: localizeStrEnum.RAM_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "C26693",
              }]
      },
      [ParamName.vram_color]: {
          name: ParamName.vram_color,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.vram]
              }, {
                  enable: [ParamName.legacy_layout, ParamName.full],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.VRAM_COLOR_LABEL,
              description: localizeStrEnum.VRAM_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "AD64C1",
              }]
      },
      [ParamName.io_color]: {
          name: ParamName.io_color,
          group: ParamGroup.COLOR,
          preCondition: [{ enable: [ParamName.io_write] }, { enable: [ParamName.io_read] },
              {
                  enable: [ParamName.legacy_layout, ParamName.full],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.IO_COLOR_LABEL,
              description: localizeStrEnum.IO_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "A491D3",
              }]
      },
      [ParamName.battery_color]: {
          name: ParamName.battery_color,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.battery],
                  disable: [ParamName.no_display, ParamName.fps_only, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout, ParamName.full],
                  disable: [ParamName.no_display, ParamName.fps_only, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.BATTERY_COLOR_LABEL,
              description: localizeStrEnum.BATTERY_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "FF9078",
              }]
      },
      [ParamName.engine_color]: {
          name: ParamName.engine_color,
          group: ParamGroup.COLOR,
          preCondition: [{ enable: [ParamName.fan] }, { enable: [ParamName.fsr] }, { enable: [ParamName.fps] }, { enable: [ParamName.frametime] }, { enable: [ParamName.show_fps_limit] },
              { enable: [ParamName.frame_count] }, { enable: [ParamName.arch] }, { enable: [ParamName.engine_version] }, { enable: [ParamName.gamemode] }, { enable: [ParamName.vkbasalt] },
              { enable: [ParamName.resolution] },
              {
                  enable: [ParamName.legacy_layout, ParamName.full],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.ENGINE_COLOR_LABEL,
              description: localizeStrEnum.ENGINE_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "AD64C1",
              }]
      },
      [ParamName.cpu_load_change]: {
          name: ParamName.cpu_load_change,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.cpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CPU_LOAD_CHANGE_LABEL,
              description: localizeStrEnum.CPU_LOAD_CHANGE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.core_load_change]: {
          name: ParamName.core_load_change,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.cpu_stats, ParamName.core_load],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout, ParamName.core_load],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CORE_LOAD_CHANGE_LABEL,
              description: localizeStrEnum.CORE_LOAD_CHANGE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gpu_load_change]: {
          name: ParamName.gpu_load_change,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.gpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_LOAD_CHANGE_LABEL,
              description: localizeStrEnum.GPU_LOAD_CHANGE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.fps_color_change]: {
          name: ParamName.fps_color_change,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.fps],
                  disable: [ParamName.legacy_layout, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.fps_only],
                  disable: [ParamName.legacy_layout, ParamName.no_display, ParamName.full, ParamName.preset]
              }
          ],
          toggle: {
              label: localizeStrEnum.FPS_COLOR_CHANGE_LABEL,
              description: localizeStrEnum.FPS_COLOR_CHANGE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      /*
      [ParamName.wine]:{
          name:ParamName.wine,
          group:ParamGroup.ENGINE,
          preCondition:[{disable:[ParamName.fps_only,ParamName.no_display]}],
          toggle:{
              label:"wine",
              defaultEnable:[true,false,false,true,true],
          },
          patchs:[]
      }*/
  };
  const steamParamDefalut$1 = [
      {
          [ParamName.preset]: { enable: true, values: [0] },
          [ParamName.no_display]: { enable: true },
          [ParamName.legacy_layout]: { enable: true },
      },
      {
          [ParamName.preset]: { enable: true, values: [1] },
          [ParamName.width]: { enable: true, values: [40] },
          [ParamName.legacy_layout]: { enable: false },
          [ParamName.cpu_stats]: { enable: false, order: 1 },
          [ParamName.gpu_stats]: { enable: false, order: 2 },
          [ParamName.fps]: { enable: true, order: 3 },
          [ParamName.fps_only]: { enable: true },
          [ParamName.frametime]: { enable: false },
      },
      {
          [ParamName.preset]: { enable: true, values: [2] },
          [ParamName.table_columns]: { enable: true, values: [20] },
          [ParamName.horizontal]: { enable: true },
          [ParamName.legacy_layout]: { enable: false },
          [ParamName.fps]: { enable: true, order: 1 },
          [ParamName.frame_timing]: { enable: true, order: 2 },
          [ParamName.frametime]: { enable: false },
          [ParamName.cpu_stats]: { enable: true, order: 3 },
          [ParamName.gpu_stats]: { enable: true, order: 4 },
          [ParamName.ram]: { enable: true, order: 5 },
          [ParamName.vram]: { enable: true, order: 6 },
          [ParamName.battery]: { enable: true, order: 7 },
          [ParamName.hud_no_margin]: { enable: true },
          [ParamName.cpu_power]: { enable: true },
          [ParamName.gpu_power]: { enable: true },
          [ParamName.battery_time]: { enable: true },
          [ParamName.battery_watt]: { enable: true },
      },
      {
          [ParamName.preset]: { enable: true, values: [3] },
          [ParamName.legacy_layout]: { enable: true },
          [ParamName.cpu_temp]: { enable: true },
          [ParamName.gpu_temp]: { enable: true },
          [ParamName.ram]: { enable: true, order: 1 },
          [ParamName.vram]: { enable: true, order: 2 },
          [ParamName.cpu_power]: { enable: true },
          [ParamName.gpu_power]: { enable: true },
          [ParamName.cpu_mhz]: { enable: true },
          [ParamName.gpu_mem_clock]: { enable: true },
          [ParamName.gpu_core_clock]: { enable: true },
          [ParamName.battery]: { enable: true, order: 3 },
      },
      {
          [ParamName.preset]: { enable: true, values: [4] },
          [ParamName.legacy_layout]: { enable: true },
          [ParamName.full]: { enable: true },
          //[ParamName.throttling_status]:{enable:true},
          //[ParamName.throttling_status_graph]:{enable:true},
          [ParamName.io_read]: { enable: true, order: 1 },
          [ParamName.io_write]: { enable: true, order: 2 },
          [ParamName.arch]: { enable: true, order: 3 },
          [ParamName.engine_version]: { enable: true, order: 4 },
          [ParamName.battery]: { enable: true, order: 5 },
          [ParamName.frame_count]: { enable: true, order: 6 },
          [ParamName.gamemode]: { enable: true, order: 7 },
          [ParamName.vkbasalt]: { enable: true, order: 8 },
          [ParamName.show_fps_limit]: { enable: true, order: 9 },
          [ParamName.resolution]: { enable: true, order: 10 },
          [ParamName.gpu_load_change]: { enable: true },
          [ParamName.core_load_change]: { enable: true },
          [ParamName.cpu_load_change]: { enable: true },
          [ParamName.fps_color_change]: { enable: true },
      },
  ];
  const paramOrder$1 = {
      [ParamName.custom_text_center]: 1,
      [ParamName.custom_text]: 2,
      [ParamName.time]: 3,
      [ParamName.version]: 4,
      [ParamName.cpu_stats]: 5,
      [ParamName.core_load]: 6,
      [ParamName.gpu_stats]: 7,
      [ParamName.io_read]: 8,
      [ParamName.io_write]: 9,
      [ParamName.vram]: 10,
      [ParamName.ram]: 11,
      [ParamName.procmem]: 12,
      [ParamName.battery]: 13,
      [ParamName.fan]: 14,
      [ParamName.fsr]: 15,
      [ParamName.hdr]: 16,
      [ParamName.refresh_rate]: 17,
      [ParamName.fps]: 18,
      [ParamName.frame_timing]: 19,
      [ParamName.frame_count]: 20,
      [ParamName.debug]: 21,
      [ParamName.arch]: 22,
      [ParamName.engine_version]: 23,
      [ParamName.gamemode]: 24,
      [ParamName.vkbasalt]: 25,
      [ParamName.show_fps_limit]: 26,
      [ParamName.resolution]: 27,
      [ParamName.graphs_cpu_load]: 28,
      [ParamName.graphs_cpu_temp]: 29,
      [ParamName.graphs_gpu_core_clock]: 30,
      [ParamName.graphs_gpu_load]: 31,
      [ParamName.graphs_gpu_mem_clock]: 32,
      [ParamName.graphs_gpu_temp]: 33,
      [ParamName.graphs_ram]: 34,
      [ParamName.graphs_vram]: 35,
  };

  const paramList = {
      [ParamName.preset]: {
          name: ParamName.preset,
          group: ParamGroup.PRESET,
          preCondition: [],
          toggle: {
              label: localizeStrEnum.PRESET_LABEL,
              description: localizeStrEnum.PRESET_DESCRIPTION,
              defaultEnable: false,
              isShowPatchWhenEnable: true,
          },
          patchs: [{
                  type: ParamPatchType.notchSlider,
                  args: [0, 1, 2, 3, 4]
              }]
      },
      [ParamName.legacy_layout]: {
          name: ParamName.legacy_layout,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.LEGACY_LAYOUT_LABEL,
              description: localizeStrEnum.LEGACY_LAYOUT_DESCRIPTION,
              defaultEnable: true,
              isShowPatchWhenEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.resortableList,
                  args: [ResortType.paramOrder],
              }]
      },
      [ParamName.horizontal]: {
          name: ParamName.horizontal,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.no_display, ParamName.fps_only, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.HORIZONTAL_LABEL,
              description: localizeStrEnum.HORIZONTAL_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.table_columns]: {
          name: ParamName.table_columns,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.no_display, ParamName.fps_only, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.TABLE_COLUMNS_LABEL,
              description: localizeStrEnum.TABLE_COLUMNS_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [1, 50, 1],
                  defaultValue: 3,
              }]
      },
      [ParamName.width]: {
          name: ParamName.width,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.WIDTH_LABLE,
              description: localizeStrEnum.WIDTH_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [1, 2160, 1, true],
                  defaultValue: 330,
              }]
      },
      [ParamName.position]: {
          name: ParamName.position,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.POSITION_LABEL,
              description: localizeStrEnum.POSITION_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.dropdown,
                  args: ["top-left", "top-center", "top-right", "middle-left", "middle-right", "bottom-left", "bottom_center", "bottom-right"],
                  defaultValue: "top-left"
              }]
      },
      [ParamName.hud_no_margin]: {
          name: ParamName.hud_no_margin,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.HUD_NO_MARGIN_LABEL,
              description: localizeStrEnum.HUD_NO_MARGIN_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.offset_x]: {
          name: ParamName.offset_x,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.OFFSET_X_LABEL,
              description: localizeStrEnum.OFFSET_X_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [-2160, 2160, 1, true],
                  defaultValue: 0,
              }]
      },
      [ParamName.offset_y]: {
          name: ParamName.offset_y,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.OFFSET_Y_LABEL,
              description: localizeStrEnum.OFFSET_Y_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [-2160, 2160, 1, true],
                  defaultValue: 0,
              }]
      },
      [ParamName.full]: {
          name: ParamName.full,
          group: ParamGroup.LAYOUT,
          preCondition: [{ disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.FULL_LABEL,
              description: localizeStrEnum.FULL_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.no_display]: {
          name: ParamName.no_display,
          group: ParamGroup.PRESET,
          preCondition: [{ disable: [ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.NO_DISPLAY_LABEL,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.fps_only]: {
          name: ParamName.fps_only,
          group: ParamGroup.PRESET,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.FPS_ONLY_LABEL,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.alpha]: {
          name: ParamName.alpha,
          group: ParamGroup.ALPHA,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.ALPHA_LABEL,
              description: localizeStrEnum.ALPHA_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [0, 1, 0.01, false],
                  defaultValue: 1,
              }]
      },
      [ParamName.background_alpha]: {
          name: ParamName.background_alpha,
          group: ParamGroup.ALPHA,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.BACKGROUND_ALPHA_LABEL,
              description: localizeStrEnum.BACKGROUND_ALPHA_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [0, 1, 0.01],
                  defaultValue: 1,
              }]
      },
      /*
      [ParamName.no_small_font]:{
        name:ParamName.no_small_font,
        group:ParamGroup.SETTING,
        preCondition:[{disable:[ParamName.no_display]}],
        toggle:{
            label: "no_small_font",
            defaultEnable:false,
        },
        patchs:[]
      },
      */
      [ParamName.text_outline_thickness]: {
          name: ParamName.text_outline_thickness,
          group: ParamGroup.FONT,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.TEXT_OUTLINE_THICKNESS_LABEL,
              description: localizeStrEnum.TEXT_OUTLINE_THICKNESS_DESCRIPTION,
              defaultEnable: true,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [0, 3, 0.1],
                  defaultValue: 1.5,
              }]
      },
      [ParamName.font_scale]: {
          name: ParamName.font_scale,
          group: ParamGroup.FONT,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.FONT_SCALE_LABEL,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [0.1, 3, 0.1],
                  defaultValue: 1,
              }]
      },
      [ParamName.custom_text_center]: {
          name: ParamName.custom_text_center,
          group: ParamGroup.CUSTOM_TEXT,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CUSTOM_TEXT_CENTER_LABEL,
              description: localizeStrEnum.CUSTOM_TEXT_CENTER_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.textInput,
                  args: [],
                  defaultValue: "STEAM DECK",
              }]
      },
      [ParamName.custom_text]: {
          name: ParamName.custom_text,
          group: ParamGroup.CUSTOM_TEXT,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CUSTOM_TEXT_LABEL,
              description: localizeStrEnum.CUSTOM_TEXT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.textInput,
                  args: [],
                  defaultValue: "MangoPeel",
              }]
      },
      [ParamName.time]: {
          name: ParamName.time,
          group: ParamGroup.CUSTOM_TEXT,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.TIME_LABEL,
              description: localizeStrEnum.TIME_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.time_format]: {
          name: ParamName.time_format,
          group: ParamGroup.CUSTOM_TEXT,
          preCondition: [{
                  enable: [ParamName.time]
              }],
          toggle: {
              label: localizeStrEnum.TIME_FORMAT_LABEL,
              description: localizeStrEnum.TIME_FORMAT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.textInput,
                  args: [localizeStrEnum.TIME_FORMAT_INPUT_TITLE, [localizeStrEnum.TIME_FORMAT_INPUT_DESCRIPTION1, localizeStrEnum.TIME_FORMAT_INPUT_DESCRIPTION2, localizeStrEnum.TIME_FORMAT_INPUT_DESCRIPTION3, localizeStrEnum.TIME_FORMAT_INPUT_DESCRIPTION4]],
                  defaultValue: "%H:%M:%S"
              }]
      },
      [ParamName.version]: {
          name: ParamName.version,
          group: ParamGroup.CUSTOM_TEXT,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.VERSION_LABEL,
              description: localizeStrEnum.VERSION_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.cpu_stats]: {
          name: ParamName.cpu_stats,
          group: ParamGroup.CPU,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.CPU_STATS_LABEL,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.cpu_text]: {
          name: ParamName.cpu_text,
          group: ParamGroup.CPU,
          preCondition: [{
                  enable: [ParamName.cpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CPU_TEXT_LABEL,
              description: localizeStrEnum.CPU_TEXT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.textInput,
                  args: [],
                  defaultValue: "CPU_TEXT",
              }]
      },
      [ParamName.core_load]: {
          name: ParamName.core_load,
          group: ParamGroup.CPU,
          preCondition: [{
                  enable: [ParamName.cpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CORE_LOAD_LABEL,
              description: localizeStrEnum.CORE_LOAD_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.cpu_mhz]: {
          name: ParamName.cpu_mhz,
          group: ParamGroup.CPU,
          preCondition: [{
                  enable: [ParamName.cpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CPU_MHZ_LABEL,
              description: localizeStrEnum.CPU_MHZ_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.cpu_power]: {
          name: ParamName.cpu_power,
          group: ParamGroup.CPU,
          preCondition: [{
                  enable: [ParamName.cpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CPU_POWER_LABEL,
              description: localizeStrEnum.CPU_POWER_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.cpu_temp]: {
          name: ParamName.cpu_temp,
          group: ParamGroup.CPU,
          preCondition: [{
                  enable: [ParamName.cpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CPU_TEMP_LABEL,
              description: localizeStrEnum.CPU_TEMP_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gpu_stats]: {
          name: ParamName.gpu_stats,
          group: ParamGroup.GPU,
          preCondition: [{
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_STATS_LABEL,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gpu_text]: {
          name: ParamName.gpu_text,
          group: ParamGroup.GPU,
          preCondition: [{
                  enable: [ParamName.gpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_TEXT_LABEL,
              description: localizeStrEnum.GPU_TEXT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.textInput,
                  args: [],
                  defaultValue: "GPU_TEXT",
              }]
      },
      [ParamName.gpu_core_clock]: {
          name: ParamName.gpu_core_clock,
          group: ParamGroup.GPU,
          preCondition: [{
                  enable: [ParamName.gpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_CORE_CLOCK_LABEL,
              description: localizeStrEnum.GPU_CORE_CLOCK_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gpu_power]: {
          name: ParamName.gpu_power,
          group: ParamGroup.GPU,
          preCondition: [{
                  enable: [ParamName.gpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_POWER_LABEL,
              description: localizeStrEnum.GPU_POWER_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gpu_temp]: {
          name: ParamName.gpu_temp,
          group: ParamGroup.GPU,
          preCondition: [{
                  enable: [ParamName.gpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_TEMP_LABEL,
              description: localizeStrEnum.GPU_TEMP_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gpu_voltage]: {
          name: ParamName.gpu_voltage,
          group: ParamGroup.GPU,
          preCondition: [{
                  enable: [ParamName.gpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_VOLTAGE_LABEL,
              description: localizeStrEnum.GPU_VOLTAGE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.ram]: {
          name: ParamName.ram,
          group: ParamGroup.RAM,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.RAM_LABEL,
              description: localizeStrEnum.RAM_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.swap]: {
          name: ParamName.swap,
          group: ParamGroup.RAM,
          preCondition: [{
                  enable: [ParamName.ram],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.SWAP_LABEL,
              description: localizeStrEnum.SWAP_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.vram]: {
          name: ParamName.vram,
          group: ParamGroup.RAM,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.VRAM_LABEL,
              description: localizeStrEnum.VRAM_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gpu_mem_clock]: {
          name: ParamName.gpu_mem_clock,
          group: ParamGroup.RAM,
          preCondition: [{
                  enable: [ParamName.vram],
                  disable: [ParamName.full]
              }],
          toggle: {
              label: localizeStrEnum.GPU_MEM_LABEL,
              description: localizeStrEnum.GPU_MEM_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.procmem]: {
          name: ParamName.procmem,
          group: ParamGroup.RAM,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.PROCMEM_LABEL,
              description: localizeStrEnum.PROCMEM_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.procmem_shared]: {
          name: ParamName.procmem_shared,
          group: ParamGroup.RAM,
          preCondition: [{
                  enable: [ParamName.procmem]
              }],
          toggle: {
              label: localizeStrEnum.PROCMEM_SHARED_LABEL,
              description: localizeStrEnum.PROCMEM_SHARED_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.procmem_virt]: {
          name: ParamName.procmem_virt,
          group: ParamGroup.RAM,
          preCondition: [{
                  enable: [ParamName.procmem]
              }],
          toggle: {
              label: localizeStrEnum.PROCMEM_VIRT_LABEL,
              description: localizeStrEnum.PROCMEM_VIRT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.battery]: {
          name: ParamName.battery,
          group: ParamGroup.BATT,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.BATTERY_LABEL,
              description: localizeStrEnum.BATTERY_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.battery_icon]: {
          name: ParamName.battery_icon,
          group: ParamGroup.BATT,
          preCondition: [{
                  enable: [ParamName.battery],
                  disable: [ParamName.no_display, ParamName.fps_only, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout, ParamName.full],
                  disable: [ParamName.no_display, ParamName.fps_only, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.BATTERY_ICON_LABEL,
              description: localizeStrEnum.BATTERY_ICON_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.battery_watt]: {
          name: ParamName.battery_watt,
          group: ParamGroup.BATT,
          preCondition: [{
                  enable: [ParamName.battery],
              }],
          toggle: {
              label: localizeStrEnum.BATTERY_WATT_LABEL,
              description: localizeStrEnum.BATTERY_WATT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.battery_time]: {
          name: ParamName.battery_time,
          group: ParamGroup.BATT,
          preCondition: [{
                  enable: [ParamName.battery],
              }],
          toggle: {
              label: localizeStrEnum.BATTERY_TIME_LABEL,
              description: localizeStrEnum.BATTERY_TIME_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.fan]: {
          name: ParamName.fan,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.FAN_LABEL,
              description: localizeStrEnum.FAN_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.fsr]: {
          name: ParamName.fsr,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.FSR_LABEL,
              description: localizeStrEnum.FSR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.hide_fsr_sharpness]: {
          name: ParamName.hide_fsr_sharpness,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  enable: [ParamName.fsr]
              }, {
                  enable: [ParamName.legacy_layout, ParamName.full]
              }
          ],
          toggle: {
              label: localizeStrEnum.HIDE_FSR_SHARPNESS_LABEL,
              description: localizeStrEnum.HIDE_FSR_SHARPNESS_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.hdr]: {
          name: ParamName.hdr,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.HDR_LABEL,
              description: localizeStrEnum.HDR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.refresh_rate]: {
          name: ParamName.refresh_rate,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.REFRESH_RATE_LABEL,
              description: localizeStrEnum.REFRESH_RATE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.fps]: {
          name: ParamName.fps,
          group: ParamGroup.FPS,
          preCondition: [{
                  disable: [ParamName.legacy_layout, ParamName.no_display, ParamName.preset, ParamName.fps_only]
              }],
          toggle: {
              label: localizeStrEnum.FPS_LABEL,
              description: localizeStrEnum.FPS_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.frametime]: {
          name: ParamName.frametime,
          group: ParamGroup.FPS,
          preCondition: [{
                  enable: [ParamName.fps],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }
          ],
          toggle: {
              label: localizeStrEnum.FRAME_TIME_LABEL,
              description: localizeStrEnum.FRAME_TIME_DESCRIPTION,
              defaultEnable: true,
          },
          patchs: []
      },
      [ParamName.show_fps_limit]: {
          name: ParamName.show_fps_limit,
          group: ParamGroup.FPS,
          preCondition: [{
                  disable: [ParamName.legacy_layout, ParamName.preset, ParamName.fps_only, ParamName.no_display]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.no_display, ParamName.full, ParamName.preset, ParamName.fps_only]
              }],
          toggle: {
              label: localizeStrEnum.SHOW_FPS_LIMIT_LABEL,
              description: localizeStrEnum.SHOW_FPS_LIMIT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.fps_limit]: {
          name: ParamName.fps_limit,
          group: ParamGroup.FPS,
          preCondition: [{
                  enable: [ParamName.show_fps_limit],
              }],
          toggle: {
              label: localizeStrEnum.FPS_LIMIT_LABEL,
              description: localizeStrEnum.FPS_LIMIT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.slider,
                  args: [0, 540, 1],
                  defaultValue: 60,
              }]
      },
      [ParamName.fps_limit_method]: {
          name: ParamName.fps_limit_method,
          group: ParamGroup.FPS,
          preCondition: [{
                  enable: [ParamName.show_fps_limit],
              }],
          toggle: {
              label: localizeStrEnum.FPS_LIMIT_METHOD_LABEL,
              description: localizeStrEnum.FPS_LIMIT_METHOD_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.dropdown,
                  args: ["late", "early"],
                  defaultValue: "late"
              }]
      },
      [ParamName.frame_timing]: {
          name: ParamName.frame_timing,
          group: ParamGroup.FPS,
          preCondition: [{
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.FRAME_TIMING_LABEL,
              description: localizeStrEnum.FRAME_TIMING_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.histogram]: {
          name: ParamName.histogram,
          group: ParamGroup.FPS,
          preCondition: [{
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display]
              }, {
                  enable: [ParamName.frame_timing],
                  disable: [ParamName.fps_only, ParamName.no_display]
              }],
          toggle: {
              label: localizeStrEnum.HISTOGRAM_LABEL,
              description: localizeStrEnum.HISTOGRAM_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.frame_count]: {
          name: ParamName.frame_count,
          group: ParamGroup.FPS,
          preCondition: [{
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.full, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.FRAME_COUNT_LABEL,
              description: localizeStrEnum.FRAME_COUNT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.debug]: {
          name: ParamName.debug,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.DEBUG_LABEL,
              description: localizeStrEnum.DEBUG_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      /*
      [ParamName.gpu_name]:{
          name:ParamName.gpu_name,
          group:ParamGroup.GPU,
          preCondition:[{enable:[ParamName.gpu_stats],disable:[ParamName.legacy_layout]},
                      {enable:[ParamName.legacy_layout]}],
          toggle:{
              label:"gpu_name",
              defaultEnable:[false,false,false,true,true],
          },
          patchs:[]
      }*/
      /*
      [ParamName.io_stats]:{
          name:ParamName.io_stats,
          group:ParamGroup.IO,
          preCondition:[{disable:[ParamName.legacy_layout,ParamName.fps_only,ParamName.no_display]}],
          toggle:{
              label:"io_stats",
              defaultEnable:false,
          },
          patchs:[]
      }
      */
      [ParamName.io_read]: {
          name: ParamName.io_read,
          group: ParamGroup.IO,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.IO_READ_LABEL,
              description: localizeStrEnum.IO_READ_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.io_write]: {
          name: ParamName.io_write,
          group: ParamGroup.IO,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.IO_WRITE_LABEL,
              description: localizeStrEnum.IO_WRITE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      /*
      [ParamName.font_size]:{
          name:ParamName.font_size,
          group:ParamGroup.SETTING,
          preCondition:[{disable:[ParamName.no_display]}],
          toggle:{
              label:"font_size",
              defaultEnable:false,
          },
          patchs:[{
              type:ParamPatchType.slider,
              args:[1,40,1],
              defaultValue:[24,24,24,24,24],
          }]
      }*/
      [ParamName.arch]: {
          name: ParamName.arch,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.ARCH_LABEL,
              description: localizeStrEnum.ARCH_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      /*
      [ParamName.throttling_status]:{
        name:ParamName.throttling_status,
        group:ParamGroup.ENGINE,
        preCondition:[{disable:[ParamName.no_display]}],
        toggle:{
            label:"throttling_status",
            defaultEnable:true,
        },
        patchs:[]
      },
    
      [ParamName.throttling_status_graph]:{
        name:ParamName.throttling_status_graph,
        group:ParamGroup.ENGINE,
        preCondition:[{disable:[ParamName.no_display]}],
        toggle:{
            label:"throttling_status_graph",
            defaultEnable:true,
        },
        patchs:[]
      },
      */
      [ParamName.engine_version]: {
          name: ParamName.engine_version,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.ENGINE_VERSION_LABEL,
              description: localizeStrEnum.ENGINE_VERSION_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gamemode]: {
          name: ParamName.gamemode,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GAMEMODE_LABEL,
              description: localizeStrEnum.GAMEMODE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.vkbasalt]: {
          name: ParamName.vkbasalt,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.VKBASALT_LABEL,
              description: localizeStrEnum.VKBASALT_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.resolution]: {
          name: ParamName.resolution,
          group: ParamGroup.ENGINE,
          preCondition: [{
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.legacy_layout, ParamName.preset]
              }, {
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.RESOLUTION_LABEL,
              description: localizeStrEnum.RESOLUTION_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_cpu_load]: {
          name: ParamName.graphs_cpu_load,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_CPU_LOAD_LABEL,
              description: localizeStrEnum.GRAPHS_CPU_LOAD_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_cpu_temp]: {
          name: ParamName.graphs_cpu_temp,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_CPU_TEMP_LABEL,
              description: localizeStrEnum.GRAPHS_CPU_TEMP_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_gpu_load]: {
          name: ParamName.graphs_gpu_load,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_GPU_LOAD_LABEL,
              description: localizeStrEnum.GRAPHS_GPU_LOAD_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_gpu_core_clock]: {
          name: ParamName.graphs_gpu_core_clock,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_GPU_CORE_CLOCK_LABEL,
              description: localizeStrEnum.GRAPHS_GPU_CORE_CLOCK_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_gpu_temp]: {
          name: ParamName.graphs_gpu_temp,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_GPU_TEMP_LABEL,
              description: localizeStrEnum.GRAPHS_GPU_TEMP_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_gpu_mem_clock]: {
          name: ParamName.graphs_gpu_mem_clock,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_GPU_MEM_CLOCK_LABEL,
              description: localizeStrEnum.GRAPHS_GPU_MEM_CLOCK_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_ram]: {
          name: ParamName.graphs_ram,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_RAM_LABEL,
              description: localizeStrEnum.GRAPHS_RAM_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.graphs_vram]: {
          name: ParamName.graphs_vram,
          group: ParamGroup.GRAPHS,
          preCondition: [{ disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.GRAPHS_VRAM_LABEL,
              description: localizeStrEnum.GRAPHS_VRAM_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.background_color]: {
          name: ParamName.background_color,
          group: ParamGroup.COLOR,
          preCondition: [{ disable: [ParamName.no_display, ParamName.preset] }],
          toggle: {
              label: localizeStrEnum.BACKGROUND_COLOR_LABEL,
              description: localizeStrEnum.BACKGROUND_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "020202",
              }]
      },
      [ParamName.frametime_color]: {
          name: ParamName.frametime_color,
          group: ParamGroup.COLOR,
          preCondition: [{ enable: [ParamName.frame_timing] }, { enable: [ParamName.graphs_cpu_load] }, { enable: [ParamName.graphs_cpu_temp] }, { enable: [ParamName.graphs_gpu_core_clock] }, { enable: [ParamName.graphs_gpu_load] },
              { enable: [ParamName.graphs_gpu_mem_clock] }, { enable: [ParamName.graphs_gpu_temp] }, { enable: [ParamName.graphs_ram] }, { enable: [ParamName.graphs_vram] },
              {
                  enable: [ParamName.legacy_layout, ParamName.full],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.FRAMETIME_COLOR_LABEL,
              description: localizeStrEnum.FRAMETIME_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "00FF00",
              }]
      },
      [ParamName.text_outline_color]: {
          name: ParamName.text_outline_color,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.text_outline_thickness],
              }],
          toggle: {
              label: localizeStrEnum.TEXT_OUTLINE_COLOR_LABEL,
              description: localizeStrEnum.TEXT_OUTLINE_COLOR_DESCRIPTION,
              defaultEnable: true,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "000000",
              }]
      },
      [ParamName.text_color]: {
          name: ParamName.text_color,
          group: ParamGroup.COLOR,
          preCondition: [{
                  disable: [ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.TEXT_COLOR_LABEL,
              description: localizeStrEnum.TEXT_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "FFFFFF",
              }]
      },
      [ParamName.cpu_color]: {
          name: ParamName.cpu_color,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.cpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CPU_COLOR_LABEL,
              description: localizeStrEnum.CPU_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "2E97CB",
              }]
      },
      [ParamName.gpu_color]: {
          name: ParamName.gpu_color,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.gpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_COLOR_LABEL,
              description: localizeStrEnum.GPU_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "2E9762",
              }]
      },
      [ParamName.ram_color]: {
          name: ParamName.ram_color,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.ram]
              }, {
                  enable: [ParamName.legacy_layout, ParamName.full],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.RAM_COLOR_LABEL,
              description: localizeStrEnum.RAM_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "C26693",
              }]
      },
      [ParamName.vram_color]: {
          name: ParamName.vram_color,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.vram]
              }, {
                  enable: [ParamName.legacy_layout, ParamName.full],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.VRAM_COLOR_LABEL,
              description: localizeStrEnum.VRAM_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "AD64C1",
              }]
      },
      [ParamName.io_color]: {
          name: ParamName.io_color,
          group: ParamGroup.COLOR,
          preCondition: [{ enable: [ParamName.io_write] }, { enable: [ParamName.io_read] },
              {
                  enable: [ParamName.legacy_layout, ParamName.full],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.IO_COLOR_LABEL,
              description: localizeStrEnum.IO_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "A491D3",
              }]
      },
      [ParamName.battery_color]: {
          name: ParamName.battery_color,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.battery],
                  disable: [ParamName.no_display, ParamName.fps_only, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout, ParamName.full],
                  disable: [ParamName.no_display, ParamName.fps_only, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.BATTERY_COLOR_LABEL,
              description: localizeStrEnum.BATTERY_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "FF9078",
              }]
      },
      [ParamName.engine_color]: {
          name: ParamName.engine_color,
          group: ParamGroup.COLOR,
          preCondition: [{ enable: [ParamName.fan] }, { enable: [ParamName.fsr] }, { enable: [ParamName.fps] }, { enable: [ParamName.frametime] }, { enable: [ParamName.show_fps_limit] },
              { enable: [ParamName.frame_count] }, { enable: [ParamName.arch] }, { enable: [ParamName.engine_version] }, { enable: [ParamName.gamemode] }, { enable: [ParamName.vkbasalt] },
              { enable: [ParamName.resolution] },
              {
                  enable: [ParamName.legacy_layout, ParamName.full],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.ENGINE_COLOR_LABEL,
              description: localizeStrEnum.ENGINE_COLOR_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: [{
                  type: ParamPatchType.colorPicker,
                  args: [],
                  defaultValue: "AD64C1",
              }]
      },
      [ParamName.cpu_load_change]: {
          name: ParamName.cpu_load_change,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.cpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CPU_LOAD_CHANGE_LABEL,
              description: localizeStrEnum.CPU_LOAD_CHANGE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.core_load_change]: {
          name: ParamName.core_load_change,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.cpu_stats, ParamName.core_load],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout, ParamName.core_load],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.CORE_LOAD_CHANGE_LABEL,
              description: localizeStrEnum.CORE_LOAD_CHANGE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.gpu_load_change]: {
          name: ParamName.gpu_load_change,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.gpu_stats],
                  disable: [ParamName.legacy_layout, ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.fps_only, ParamName.no_display, ParamName.full, ParamName.preset]
              }],
          toggle: {
              label: localizeStrEnum.GPU_LOAD_CHANGE_LABEL,
              description: localizeStrEnum.GPU_LOAD_CHANGE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      [ParamName.fps_color_change]: {
          name: ParamName.fps_color_change,
          group: ParamGroup.COLOR,
          preCondition: [{
                  enable: [ParamName.fps],
                  disable: [ParamName.legacy_layout, ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.legacy_layout],
                  disable: [ParamName.no_display, ParamName.full, ParamName.preset]
              }, {
                  enable: [ParamName.fps_only],
                  disable: [ParamName.legacy_layout, ParamName.no_display, ParamName.full, ParamName.preset]
              }
          ],
          toggle: {
              label: localizeStrEnum.FPS_COLOR_CHANGE_LABEL,
              description: localizeStrEnum.FPS_COLOR_CHANGE_DESCRIPTION,
              defaultEnable: false,
          },
          patchs: []
      },
      /*
      [ParamName.wine]:{
          name:ParamName.wine,
          group:ParamGroup.ENGINE,
          preCondition:[{disable:[ParamName.fps_only,ParamName.no_display]}],
          toggle:{
              label:"wine",
              defaultEnable:[true,false,false,true,true],
          },
          patchs:[]
      }*/
  };
  const steamParamDefalut = [
      {
          [ParamName.preset]: { enable: true, values: [0] },
          [ParamName.no_display]: { enable: true },
          [ParamName.legacy_layout]: { enable: true },
      },
      {
          [ParamName.preset]: { enable: true, values: [1] },
          [ParamName.width]: { enable: true, values: [40] },
          [ParamName.legacy_layout]: { enable: false },
          [ParamName.cpu_stats]: { enable: false, order: 1 },
          [ParamName.gpu_stats]: { enable: false, order: 2 },
          [ParamName.fps]: { enable: true, order: 3 },
          [ParamName.fps_only]: { enable: true },
          [ParamName.frametime]: { enable: false },
      },
      {
          [ParamName.preset]: { enable: true, values: [2] },
          [ParamName.table_columns]: { enable: true, values: [20] },
          [ParamName.horizontal]: { enable: true },
          [ParamName.legacy_layout]: { enable: false },
          [ParamName.fps]: { enable: true, order: 1 },
          [ParamName.frame_timing]: { enable: true, order: 2 },
          [ParamName.frametime]: { enable: false },
          [ParamName.cpu_stats]: { enable: true, order: 3 },
          [ParamName.gpu_stats]: { enable: true, order: 4 },
          [ParamName.ram]: { enable: true, order: 5 },
          [ParamName.vram]: { enable: true, order: 6 },
          [ParamName.battery]: { enable: true, order: 7 },
          [ParamName.hud_no_margin]: { enable: true },
          [ParamName.cpu_power]: { enable: true },
          [ParamName.gpu_power]: { enable: true },
          [ParamName.battery_time]: { enable: true },
          [ParamName.battery_watt]: { enable: true },
      },
      {
          [ParamName.preset]: { enable: true, values: [3] },
          [ParamName.legacy_layout]: { enable: true },
          [ParamName.cpu_temp]: { enable: true },
          [ParamName.gpu_temp]: { enable: true },
          [ParamName.ram]: { enable: true, order: 1 },
          [ParamName.vram]: { enable: true, order: 2 },
          [ParamName.cpu_power]: { enable: true },
          [ParamName.gpu_power]: { enable: true },
          [ParamName.cpu_mhz]: { enable: true },
          [ParamName.gpu_mem_clock]: { enable: true },
          [ParamName.gpu_core_clock]: { enable: true },
          [ParamName.battery]: { enable: true, order: 3 },
      },
      {
          [ParamName.preset]: { enable: true, values: [4] },
          [ParamName.legacy_layout]: { enable: true },
          [ParamName.full]: { enable: true },
          //[ParamName.throttling_status]:{enable:true},
          //[ParamName.throttling_status_graph]:{enable:true},
          [ParamName.io_read]: { enable: true, order: 1 },
          [ParamName.io_write]: { enable: true, order: 2 },
          [ParamName.arch]: { enable: true, order: 3 },
          [ParamName.engine_version]: { enable: true, order: 4 },
          [ParamName.battery]: { enable: true, order: 5 },
          [ParamName.frame_count]: { enable: true, order: 6 },
          [ParamName.gamemode]: { enable: true, order: 7 },
          [ParamName.vkbasalt]: { enable: true, order: 8 },
          [ParamName.show_fps_limit]: { enable: true, order: 9 },
          [ParamName.resolution]: { enable: true, order: 10 },
          [ParamName.gpu_load_change]: { enable: true },
          [ParamName.core_load_change]: { enable: true },
          [ParamName.cpu_load_change]: { enable: true },
          [ParamName.fps_color_change]: { enable: true },
      },
  ];
  const paramOrder = {
      [ParamName.custom_text_center]: 1,
      [ParamName.custom_text]: 2,
      [ParamName.time]: 3,
      [ParamName.version]: 4,
      [ParamName.cpu_stats]: 5,
      [ParamName.core_load]: 6,
      [ParamName.gpu_stats]: 7,
      [ParamName.io_read]: 8,
      [ParamName.io_write]: 9,
      [ParamName.vram]: 10,
      [ParamName.ram]: 11,
      [ParamName.procmem]: 12,
      [ParamName.battery]: 13,
      [ParamName.fan]: 14,
      [ParamName.fsr]: 15,
      [ParamName.hdr]: 16,
      [ParamName.refresh_rate]: 17,
      [ParamName.fps]: 18,
      [ParamName.frame_timing]: 19,
      [ParamName.frame_count]: 20,
      [ParamName.debug]: 21,
      [ParamName.arch]: 22,
      [ParamName.engine_version]: 23,
      [ParamName.gamemode]: 24,
      [ParamName.vkbasalt]: 25,
      [ParamName.show_fps_limit]: 26,
      [ParamName.resolution]: 27,
      [ParamName.graphs_cpu_load]: 28,
      [ParamName.graphs_cpu_temp]: 29,
      [ParamName.graphs_gpu_core_clock]: 30,
      [ParamName.graphs_gpu_load]: 31,
      [ParamName.graphs_gpu_mem_clock]: 32,
      [ParamName.graphs_gpu_temp]: 33,
      [ParamName.graphs_ram]: 34,
      [ParamName.graphs_vram]: 35,
  };

  class Config {
      static async init(serverAPI) {
          this.serverAPI = serverAPI;
          this.channel = SteamChannel.rel;
          this.paramList = {};
          await this.getSteamChannel();
          await this.loadConfig();
      }
      static async getSteamChannel() {
          await this.serverAPI.callPluginMethod("get_steamChannel", {}).then(res => {
              if (res.success) {
                  this.channel = res.result;
              }
          });
      }
      static loadConfig() {
          if (this.channel == SteamChannel.rel) {
              this.paramList = paramList$1;
              this.paramOrder = paramOrder$1;
              this.steamParamDefault = steamParamDefalut$1;
          }
          else if (this.channel == SteamChannel.main) {
              this.paramList = paramList;
              this.paramOrder = paramOrder;
              this.steamParamDefault = steamParamDefalut;
          }
          else {
              this.paramList = paramList;
              this.paramOrder = paramOrder;
              this.steamParamDefault = steamParamDefalut;
          }
      }
  }

  class prefStore {
      //private static disableCallBack: number;
      static async init() {
          try {
              var perfStoreClass;
              var count = 0;
              while (!this.perfStore) {
                  perfStoreClass = deckyFrontendLib.findModuleChild((m) => {
                      if (typeof m !== "object")
                          return undefined;
                      for (let prop in m) {
                          if (m[prop]?.prototype?.SetFPSLimit)
                              return m[prop];
                      }
                  });
                  this.perfStore = perfStoreClass?.Get();
                  await deckyFrontendLib.sleep(100);
                  count++;
                  if (count >= 10) {
                      console.error("获取perfStore失败");
                  }
              }
          }
          catch (e) {
              console.error(e);
          }
      }
      static getPerfStore() {
          return this.perfStore;
      }
      static getSteamIndex() {
          if (!this.perfStore || this.perfStore?.msgSettingsGlobal?.perf_overlay_level == undefined) {
              return -1;
          }
          switch (this.perfStore?.msgSettingsGlobal?.perf_overlay_level) {
              case (0):
                  return 0;
              case (4):
                  return 1;
              case (1):
                  return 2;
              case (2):
                  return 3;
              case (3):
                  return 4;
              default:
                  return -1;
          }
      }
      static setSteamIndex(index) {
          if (!this.perfStore || !this.perfStore?.SetPerfOverlayLevel) {
              return false;
          }
          var target = 0;
          switch (index) {
              case (0):
                  target = 0;
                  break;
              case (1):
                  target = 4;
                  break;
              case (2):
                  target = 1;
                  break;
              case (3):
                  target = 2;
                  break;
              case (4):
                  target = 3;
                  break;
              default:
                  return false;
          }
          //this.disableCallBack++;
          //setTimeout(()=>{
          //    this.disableCallBack--;
          //},1000)
          try {
              this.perfStore?.SetPerfOverlayLevel(target);
          }
          catch {
              return false;
          }
          return true;
      }
      static async trySetSteamIndex(index, tryCount) {
          var result = false;
          var count = 0;
          while (!result && count < tryCount) {
              count++;
              if (!this.perfStore || !this.perfStore?.SetPerfOverlayLevel) {
                  result = false;
                  deckyFrontendLib.sleep(100);
                  continue;
              }
              var target = 0;
              switch (index) {
                  case (0):
                      target = 0;
                      break;
                  case (1):
                      target = 4;
                      break;
                  case (2):
                      target = 1;
                      break;
                  case (3):
                      target = 2;
                      break;
                  case (4):
                      target = 3;
                      break;
                  default:
                      return false;
              }
              //this.disableCallBack++;
              //setTimeout(()=>{
              //    this.disableCallBack--;
              //},1000)
              try {
                  this.perfStore?.SetPerfOverlayLevel(target);
                  result = true;
                  break;
              }
              catch {
                  result = false;
                  deckyFrontendLib.sleep(100);
                  continue;
              }
          }
          return result;
      }
      // 注册监听函数
      static registerOverlayLevelListener(callback) {
          // 将新的回调添加进列表
          this.overlayLevelListeners.push(callback);
          // 设置初始值（如果尚未设置）
          if (this.lastKnownOverlayLevel === undefined) {
              this.lastKnownOverlayLevel = this.getSteamIndex();
          }
          // 如果定时器已经在运行，则不需要再次设置
          if (this.overlayLevelIntervalID !== null) {
              return;
          }
          // 设立定时器以周期性检查属性的变化
          this.overlayLevelIntervalID = setInterval(() => {
              var currentLevel = this.getSteamIndex();
              //获取到-1时，prefstore由于各种原因失效，使用python后端获取下标
              if (currentLevel == -1) {
                  //使用后端获取值并比较下标
                  Backend.getSteamIndex().then((nowIndex) => {
                      currentLevel = nowIndex;
                      if (this.lastKnownOverlayLevel !== currentLevel) {
                          // 检测到变化，通知所有回调函数
                          this.overlayLevelListeners.forEach((listener) => {
                              //if(!this.disableCallBack){
                              listener(currentLevel);
                              //}
                          });
                          this.lastKnownOverlayLevel = currentLevel; // 更新最后已知值
                      }
                  });
              }
              else if (this.lastKnownOverlayLevel !== currentLevel) {
                  // 检测到变化，通知所有回调函数
                  this.overlayLevelListeners.forEach((listener) => {
                      //if(!this.disableCallBack){
                      listener(currentLevel);
                      //}
                  });
                  this.lastKnownOverlayLevel = currentLevel; // 更新最后已知值
              }
          }, 200); // 检查频率为200毫秒，根据需要调整
      }
      // 移除监听函数
      static removeOverlayLevelListener(callback) {
          // 从回调列表中移除指定的回调函数
          this.overlayLevelListeners = this.overlayLevelListeners.filter(listener => listener !== callback);
          // 如果没有更多的监听器，清除定时器
          if (this.overlayLevelListeners.length === 0 && this.overlayLevelIntervalID) {
              clearInterval(this.overlayLevelIntervalID);
              this.overlayLevelIntervalID = null;
          }
      }
  }
  // 改为存储一个回调函数的列表
  prefStore.overlayLevelListeners = [];
  prefStore.overlayLevelIntervalID = null;
  prefStore.lastKnownOverlayLevel = undefined;

  var Settings_1;
  const SETTINGS_KEY = "MangoPeel";
  const serializer = new d();
  const DEFAULT_APP = "0";
  class RunningApps {
      static pollActive() {
          const newApp = RunningApps.active();
          if (this.lastAppId != newApp) {
              this.listeners.forEach((h) => h(newApp, this.lastAppId));
          }
          this.lastAppId = newApp;
      }
      static register() {
          if (this.intervalId == undefined)
              this.intervalId = setInterval(() => this.pollActive(), 100);
      }
      static unregister() {
          if (this.intervalId != undefined)
              clearInterval(this.intervalId);
          this.listeners.splice(0, this.listeners.length);
      }
      static listenActiveChange(fn) {
          const idx = this.listeners.push(fn) - 1;
          return () => {
              this.listeners.splice(idx, 1);
          };
      }
      static active() {
          return deckyFrontendLib.Router.MainRunningApp?.appid || DEFAULT_APP;
      }
      static active_appInfo() {
          return deckyFrontendLib.Router.MainRunningApp || null;
      }
  }
  RunningApps.listeners = [];
  RunningApps.lastAppId = DEFAULT_APP;
  let ParamInfo = class ParamInfo {
      constructor(paramName, bEnable, paramValue, paramOrder) {
          this.paramName = paramName;
          this.bEnable = bEnable;
          this.bVisible = true;
          this.paramOrder = paramOrder;
          this.paramValues = paramValue?.concat();
      }
      copyParamInfo(newParamInfo) {
          this.paramName = newParamInfo.paramName;
          this.bEnable = newParamInfo.bEnable;
          this.bVisible = newParamInfo.bVisible;
          this.paramOrder = newParamInfo.paramOrder;
          this.paramValues = newParamInfo.paramValues?.concat();
      }
  };
  __decorate([
      h(),
      __metadata("design:type", String)
  ], ParamInfo.prototype, "paramName", void 0);
  __decorate([
      h(),
      __metadata("design:type", Number)
  ], ParamInfo.prototype, "paramOrder", void 0);
  __decorate([
      h(),
      __metadata("design:type", Boolean)
  ], ParamInfo.prototype, "bEnable", void 0);
  __decorate([
      h(),
      __metadata("design:type", Array)
  ], ParamInfo.prototype, "paramValues", void 0);
  ParamInfo = __decorate([
      v(),
      __metadata("design:paramtypes", [String, Boolean, Array, Number])
  ], ParamInfo);
  let ParamSetting = class ParamSetting {
      constructor() {
          this.paramMap = {};
      }
      getParamEnable(paramName) {
          return this.paramMap[paramName]?.bEnable ?? false;
      }
      setParamEnable(paramName, bEnable) {
          if (paramName in this.paramMap) {
              this.paramMap[paramName].bEnable = bEnable;
          }
      }
      getParamValues(paramName) {
          return this.paramMap[paramName]?.paramValues ?? [];
      }
      setParamValues(paramName, paramValue) {
          if (paramName in this.paramMap) {
              this.paramMap[paramName].paramValues = paramValue?.concat();
          }
      }
      getParamVisible(paramName) {
          return this.paramMap[paramName]?.bVisible ?? false;
      }
      setParamVisible(paramName, visible) {
          if (paramName in this.paramMap) {
              this.paramMap[paramName].bVisible = visible;
          }
      }
      getParamOrder(paramName) {
          return this.paramMap[paramName]?.paramOrder ?? 0;
      }
      setParamOrder(paramName, paramOrder) {
          if (paramName in this.paramMap) {
              //console.log(`name= ${paramName} nowOrder = ${this.paramMap[paramName]!.paramOrder} setOrder = ${paramOrder}`);
              //参与排序的参数不可设置为0
              if (this.paramMap[paramName].paramOrder != 0 && paramOrder == 0) {
                  return;
              }
              this.paramMap[paramName].paramOrder = paramOrder;
          }
      }
      getParamWork(paramName) {
          const paramEnable = this.getParamEnable(paramName);
          const paramVisible = this.getParamVisible(paramName);
          return paramVisible && paramEnable;
      }
      //拷贝另一个配置
      copyParamSettings(newSetting) {
          for (const name of Object.keys(this.paramMap)) {
              if (name in newSetting.paramMap) {
                  this.setParamEnable(name, newSetting.getParamEnable(name));
                  this.setParamValues(name, newSetting.getParamValues(name));
                  this.setParamOrder(name, newSetting.getParamOrder(name));
              }
          }
      }
      //转换为mangoapp的配置字符串格式
      toMangoConfig() {
          let config = "";
          //参数排序规则，order越小越靠前，0代表该参数先后顺序不影响效果，放置到后面
          const paramReSort = (a, b) => {
              const aParamOrder = this.getParamOrder(a.paramName);
              const bParamOrder = this.getParamOrder(b.paramName);
              if (aParamOrder == 0 || bParamOrder == 0) {
                  return bParamOrder - aParamOrder;
              }
              return aParamOrder - bParamOrder;
          };
          //排序后针对每个参数一一转换
          for (const paramInfo of Object.values(this.paramMap).sort(paramReSort)) {
              if (this.getParamWork(paramInfo.paramName)) {
                  //图表类参数需要特殊处理
                  if (paramInfo.paramName.startsWith("graphs_")) {
                      config += `graphs=${paramInfo.paramName.substring("graphs_".length)}`;
                  }
                  else {
                      config += paramInfo.paramName;
                  }
                  const valueList = this.getParamValues(paramInfo.paramName);
                  if (valueList.length > 0) {
                      switch (paramInfo.paramName) {
                          case ParamName.legacy_layout:
                              config += `=1`;
                              break;
                          default:
                              config += "=";
                              for (const [index, value] of valueList.entries()) {
                                  if (index != 0) {
                                      config += ",";
                                  }
                                  config += `${value}`;
                              }
                              break;
                      }
                  }
                  config += "\n";
              }
              //一些特殊的参数 未开启时也要写入param=xxx
              else {
                  if ((this.getParamWork(ParamName.preset))) {
                      continue;
                  }
                  switch (paramInfo.paramName) {
                      case ParamName.legacy_layout:
                          config += `${ParamName.legacy_layout}=0\n`;
                          break;
                      case ParamName.frametime:
                          config += `${ParamName.frametime}=0\n`;
                          break;
                      case ParamName.text_outline_thickness:
                          config += `${ParamName.text_outline_thickness}=0\n`;
                          break;
                  }
              }
          }
          return config;
      }
  };
  __decorate([
      h({ isDictionary: true, type: ParamInfo }),
      __metadata("design:type", Object)
  ], ParamSetting.prototype, "paramMap", void 0);
  ParamSetting = __decorate([
      v()
  ], ParamSetting);
  let perAppSetting = class perAppSetting {
      constructor(overwrite, index) {
          this.overwrite = false;
          this.index = 0;
          this.overwrite = overwrite ?? false;
          this.index = index ?? 0;
      }
      deepCopy(copyTarget) {
          this.overwrite = copyTarget.overwrite;
          this.index = copyTarget.index;
      }
  };
  __decorate([
      h(),
      __metadata("design:type", Boolean)
  ], perAppSetting.prototype, "overwrite", void 0);
  __decorate([
      h(),
      __metadata("design:type", Number)
  ], perAppSetting.prototype, "index", void 0);
  perAppSetting = __decorate([
      v(),
      __metadata("design:paramtypes", [Boolean, Number])
  ], perAppSetting);
  let Settings = Settings_1 = class Settings {
      constructor() {
          this.enabled = true;
          this.paramSettings = {};
          this.perAppSetting = {};
      }
      static overlayLevelUpdate(number) {
          //设置不同且perfstore可以进行设置
          if (number != Settings_1._steamIndex) {
              //prefStore.setSteamIndex(number);
              Settings_1.setSettingsIndex(number);
          }
      }
      static async init() {
          RunningApps.register();
          //初始化设置
          this.initSettingsFromConfig();
          //加载保存值
          this.loadSettingsFromLocalStorage();
          //初始下标
          var trySetResult = await prefStore.trySetSteamIndex(this.perAppIndex(), 10);
          if (trySetResult) {
              Settings_1.setSettingsIndex(this.perAppIndex());
          }
          else {
              await Backend.getSteamIndex().then((nowIndex) => {
                  this._steamIndex = nowIndex;
              });
          }
          //监听数值变化
          prefStore.registerOverlayLevelListener(this.overlayLevelUpdate);
          //切换app时，更换设置
          RunningApps.listenActiveChange((_newAppId, _oldAppId) => {
              var perAppIndex = this.perAppIndex();
              this.overlayLevelUpdate(perAppIndex);
              prefStore.trySetSteamIndex(perAppIndex, 10);
          });
      }
      static async unregister() {
          RunningApps.unregister();
          prefStore.removeOverlayLevelListener(this.overlayLevelUpdate);
      }
      //获取当前配置文件
      static ensurePerAppSetting() {
          const appId = RunningApps.active();
          //没有配置文件的时候新生成一个
          if (!(appId in this._instance.perAppSetting)) {
              //创建一个perapp配置文件
              this._instance.perAppSetting[appId] = new perAppSetting();
              if (!(DEFAULT_APP in this._instance.perAppSetting)) {
                  //创建一个默认配置文件
                  this._instance.perAppSetting[DEFAULT_APP] = new perAppSetting();
                  this._instance.perAppSetting[DEFAULT_APP].overwrite = false;
                  this._instance.perAppSetting[DEFAULT_APP].index = this._steamIndex;
              }
              this._instance.perAppSetting[appId].deepCopy(this._instance.perAppSetting[DEFAULT_APP]);
          }
          //如果未开启覆盖，则使用默认配置文件
          if (!this._instance.perAppSetting[appId].overwrite) {
              return this._instance.perAppSetting[DEFAULT_APP];
          }
          //使用appID配置文件
          return this._instance.perAppSetting[appId];
      }
      static perAppOverWrite() {
          if (RunningApps.active() == DEFAULT_APP) {
              return false;
          }
          return Settings_1.ensurePerAppSetting().overwrite;
      }
      static perAppIndex() {
          return Settings_1.ensurePerAppSetting().index;
      }
      static setPerAppIndex(index) {
          if (this.perAppIndex() != index) {
              this.ensurePerAppSetting().index = index;
              Settings_1.saveSettingsToLocalStorage();
          }
      }
      static setPerAppOverWrite(overwrite) {
          if (RunningApps.active() != DEFAULT_APP && this.perAppOverWrite() != overwrite) {
              this._instance.perAppSetting[RunningApps.active()].overwrite = overwrite;
              var perAppIndex = this.perAppIndex();
              //如果关闭后的index发生了变化，则进行切换
              if (perAppIndex != this._steamIndex && prefStore.getSteamIndex() != -1) {
                  prefStore.setSteamIndex(perAppIndex);
                  Settings_1.setSettingsIndex(perAppIndex);
              }
              Settings_1.saveSettingsToLocalStorage();
          }
      }
      /*
      //插件是否开启
      public static getEnable(): boolean {
        return this._instance.enabled;
      }
    
      //设置开启关闭
      public static setEnable(enabled: boolean) {
        if (this._instance.enabled !== enabled) {
          this._instance.enabled = enabled;
          Settings.saveSettingsToLocalStorage();
        }
      }
      */
      //获取该参数的依赖关系
      static getDependence(index, paramName) {
          if (!(index in this._dependencyGraph)) {
              this._dependencyGraph[index] = {};
          }
          if (paramName in this._dependencyGraph[index]) {
              return this._dependencyGraph[index][paramName];
          }
          var dependenceList = Object.values(Config.paramList).filter((paramData) => {
              var bmatch = false;
              paramData.preCondition?.forEach((targetState) => {
                  targetState.enable?.forEach(name => {
                      if (paramName == name)
                          bmatch = true;
                  });
                  targetState.disable?.forEach(name => {
                      if (paramName == name)
                          bmatch = true;
                  });
              });
              return bmatch;
          }).map((paramData) => {
              return paramData.name;
          });
          this._dependencyGraph[index][paramName] = dependenceList;
          return this._dependencyGraph[index][paramName];
      }
      //获取指定下标对应配置文件，默认为当前下标
      static getSettings(index) {
          return this._instance.paramSettings[index ?? this._steamIndex];
      }
      static getSettingsIndex() {
          return this._steamIndex;
      }
      static setSettingsIndex(index) {
          if (this._steamIndex != index) {
              this._steamIndex = index;
              this.setPerAppIndex(index);
              //延迟1帧刷新，防止一些逻辑还没跑完就刷新界面
              setTimeout(() => {
                  //刷新整个界面
                  for (const data of Object.values(Config.paramList)) {
                      this.updateParamVisible(index, data.name);
                      this.settingChangeEventBus.dispatchEvent(new Event(data.name));
                  }
                  //刷新组标题
                  for (var groupName in ParamGroup) {
                      this.settingChangeEventBus.dispatchEvent(new Event(groupName));
                  }
              }, 0);
          }
      }
      static getParamEnable(index, paramName) {
          return this.getSettings(index).getParamEnable(paramName);
      }
      static setParamEnable(index, paramName, bEnable) {
          if (bEnable != this.getParamEnable(index, paramName)) {
              this.getSettings(index).setParamEnable(paramName, bEnable);
              var updateParamList = this.updateParamVisible(index, paramName);
              var updateGroupList = [];
              //刷新前置参数包含此参数的组件
              updateParamList.forEach((paramName) => {
                  //刷新组件
                  this.settingChangeEventBus.dispatchEvent(new Event(paramName));
                  if (updateGroupList.indexOf(Config.paramList[paramName].group) == -1) {
                      updateGroupList.push(Config.paramList[paramName].group);
                  }
              });
              //刷新对应的参数组标题
              updateGroupList.forEach((groupName) => {
                  this.settingChangeEventBus.dispatchEvent(new Event(groupName));
              });
              //刷新排序信息
              if (this.getSettings(index).getParamOrder(paramName) > 0) {
                  this.settingChangeEventBus.dispatchEvent(new Event(ParamName.legacy_layout));
              }
              Settings_1.saveSettingsToLocalStorage();
              Backend.applyConfig(index, this.toMangoConfig(index));
          }
      }
      static getParamValue(index, paramName, patchIndex) {
          var paramValues = this.getSettings(index).getParamValues(paramName);
          //参数值无效时，重设置为默认值
          if (!this.isValidParamValue(index, paramValues, paramName, patchIndex)) {
              //paramValues=this.getDefaultParam(index,paramName,this.getSettingsIndex()).paramValues;
              this.getSettings(index).setParamValues(paramName, paramValues);
          }
          return paramValues[patchIndex];
      }
      static setParamValue(index, paramName, patchIndex, paramValue) {
          var paramValues = this.getSettings(index).getParamValues(paramName);
          if (patchIndex >= paramValues.length) {
              paramValues = this.getDefaultParam(index, paramName).paramValues;
          }
          if (patchIndex >= 0 && patchIndex < paramValues.length && paramValue != paramValues[patchIndex]) {
              paramValues[patchIndex] = paramValue;
              this.getSettings(index).setParamValues(paramName, paramValues);
              Settings_1.saveSettingsToLocalStorage();
              Backend.applyConfig(index, this.toMangoConfig(index));
              //this.settingChangeEventBus.dispatchEvent(new Event(paramName))
          }
      }
      static getParamWork(index, paramName) {
          return this.getSettings(index).getParamWork(paramName);
      }
      static getParamVisible(index, paramName) {
          return this.getSettings(index).getParamVisible(paramName);
      }
      static updateParamVisible(index, paramName) {
          function topologicalOrderDFS(paramName, index, onVisited, onUpdated) {
              if (onVisited.indexOf(paramName) != -1) {
                  console.error(`存在循环依赖 paramName=${paramName} onVisited:${onVisited}`);
                  return [];
              }
              onVisited.push(paramName);
              var paramVisible = false;
              //未配置前置参数时默认可见
              if (Config.paramList[paramName]?.preCondition == undefined || Config.paramList[paramName]?.preCondition?.length == 0) {
                  paramVisible = true;
              }
              else {
                  //配置前置参数时，有一组满足条件即为可见
                  for (var targetState of Config.paramList[paramName].preCondition) {
                      paramVisible = true;
                      targetState.enable?.forEach(name => {
                          var paramEnable = Settings_1.getParamWork(index, name);
                          if (paramEnable != true)
                              paramVisible = false;
                      });
                      targetState.disable?.forEach(name => {
                          var paramEnable = Settings_1.getParamWork(index, name);
                          if (paramEnable != false)
                              paramVisible = false;
                      });
                      if (paramVisible)
                          break;
                  }
              }
              if (onUpdated.indexOf(paramName) == -1) {
                  onUpdated.push(paramName);
              }
              Settings_1.getSettings(index).setParamVisible(paramName, paramVisible);
              var updateList = Settings_1.getDependence(index, paramName);
              for (var neighbor of updateList) {
                  topologicalOrderDFS(neighbor, index, onVisited, onUpdated);
              }
              onVisited.splice(onVisited.indexOf(paramName), 1);
              return onUpdated;
          }
          return topologicalOrderDFS(paramName, index, [], []);
      }
      static getGroupVisible(index, groupName) {
          return Object.entries(Config.paramList).filter(([_paramName, paramData]) => {
              return paramData.group == groupName && this.getParamVisible(index, paramData.name);
          }).length > 0;
      }
      //重置所有参数的默认值
      static resetAllParamDefault() {
          var index = this.getSettingsIndex();
          Object.entries(Config.paramList).map(([paramName, paramData]) => {
              var defaultParam = this.getDefaultParam(index, paramName);
              this.getSettings(index).setParamValues(paramName, defaultParam.paramValues);
              this.getSettings(index).setParamEnable(paramName, defaultParam.bEnable);
              this.getSettings(index).setParamOrder(paramName, defaultParam.paramOrder);
              Settings_1.saveSettingsToLocalStorage();
              this.updateParamVisible(index, paramName);
              this.settingChangeEventBus.dispatchEvent(new Event(paramName));
              this.settingChangeEventBus.dispatchEvent(new Event(paramData.group));
              //console.log(`defaultParam: name=${defaultParam.paramName} enable=${defaultParam.bEnable} value=${defaultParam.paramValues} nowvalue=${this.getSettings().getParamValues(paramName as ParamName)} order=${defaultParam.paramOrder}`)
          });
          Backend.applyConfig(index, this.toMangoConfig(index));
      }
      //重置单一参数的默认值
      static resetParamValueDefault(index, paramName, patchIndex) {
          var defaultParam = this.getDefaultParam(index, paramName);
          this.setParamValue(index, paramName, patchIndex, defaultParam.paramValues[patchIndex]);
          this.updateParamVisible(index, paramName);
          this.settingChangeEventBus.dispatchEvent(new Event(paramName));
      }
      //获取参数配置的默认值
      static getDefaultParam(index, paramName) {
          //查找steam是否配置了默认值
          if (index >= 0 && index < Config.steamParamDefault.length && paramName in Config.steamParamDefault[index]) {
              return new ParamInfo(paramName, Config.steamParamDefault[index][paramName].enable, Config.steamParamDefault[index][paramName].values ?? [], Config.steamParamDefault[index][paramName].order ?? 0);
          }
          //查找插件配置的默认值
          if (paramName in Config.paramList) {
              return new ParamInfo(paramName, Config.paramList[paramName].toggle.defaultEnable, Config.paramList[paramName].patchs.map((value) => {
                  return value.defaultValue ?? [];
              }), Config.paramOrder[paramName] ?? 0);
          }
          else {
              console.error(`参数${paramName}未找到默认值配置`);
              return new ParamInfo(paramName, false, [], 0);
          }
      }
      //获取配置转化mango格式
      static toMangoConfig(index) {
          return this.getSettings(index).toMangoConfig() ?? "";
      }
      //获取所有配置转化mango格式
      static toMangoConfigs() {
          var configs = [];
          for (var index = 0; index < 5; index++) {
              var config = this.getSettings(index).toMangoConfig();
              configs.push(config);
              console.debug(`getConfigs index = ${index} config=${config}`);
          }
          return configs;
      }
      //判断是否为合法的参数值
      static isValidParamValue(index, paramValues, paramName, patchIndex) {
          var defaultValues = this.getDefaultParam(index, paramName).paramValues;
          //长度和配置的默认值不一致，判定不合法
          if (paramValues.length != defaultValues.length) {
              return false;
          }
          var paramValue = paramValues[patchIndex];
          var paramPatch = Config.paramList[paramName]?.patchs?.[patchIndex];
          if (paramValue == null)
              return false;
          //判断是否在config.ts里面配置过这个参数
          if (!paramPatch)
              return false;
          //判断取到的param值是否在config.ts配置的参数范围内
          switch (paramPatch.type) {
              case (ParamPatchType.dropdown):
                  if (paramPatch.args.indexOf(paramValue) == -1) {
                      return false;
                  }
                  break;
              case (ParamPatchType.slider):
                  var min = paramPatch.args[0];
                  var max = paramPatch.args[1];
                  if (paramValue < min || paramValue > max)
                      return false;
                  break;
              case (ParamPatchType.notchSlider):
                  if (paramPatch.args.indexOf(paramValue) == -1) {
                      return false;
                  }
                  break;
              case (ParamPatchType.textInput):
                  break;
              case (ParamPatchType.resortableList):
                  break;
              case (ParamPatchType.none):
                  return false;
          }
          return true;
      }
      //获取排序参数列表
      static getSortParamList(index) {
          //参数排序规则，order越小越靠前，0代表该参数先后顺序不影响效果，放置到后面
          const paramReSort = (a, b) => {
              const aParamOrder = this.getSettings(index).getParamOrder(a.paramName);
              const bParamOrder = this.getSettings(index).getParamOrder(b.paramName);
              return aParamOrder - bParamOrder;
          };
          return Object.values(this.getSettings(index).paramMap).filter((paramInfo) => {
              return paramInfo.paramOrder != 0 && this.getParamWork(index, paramInfo.paramName);
          }).sort(paramReSort).map((value) => {
              return Config.paramList[value.paramName];
          });
      }
      //获取当前生效的排序参数个数
      static getSortParamCount(index) {
          return Object.values(this.getSettings(index).paramMap).filter((paramInfo) => {
              return paramInfo.paramOrder != 0 && this.getParamWork(index, paramInfo.paramName);
          }).length;
      }
      //设置排序参数列表
      static setParamOrder(index, paramName, order) {
          var paramOrder = this.getSettings(index).getParamOrder(paramName);
          if (order != paramOrder) {
              this.getSettings(index).setParamOrder(paramName, order);
              Settings_1.saveSettingsToLocalStorage();
              Backend.applyConfig(index, this.toMangoConfig(index));
              //this.settingChangeEventBus.dispatchEvent(new Event(paramName))
          }
      }
      //根据config配置进行初始化
      static initSettingsFromConfig() {
          for (var index = 0; index < 5; index++) {
              if (!(index in this._instance.paramSettings)) {
                  this._instance.paramSettings[index] = new ParamSetting();
              }
              //初始化默认值
              for (const data of Object.values(Config.paramList)) {
                  this._instance.paramSettings[index].paramMap[data.name] = this.getDefaultParam(index, data.name);
              }
              //更新可见性
              for (const data of Object.values(Config.paramList)) {
                  this.updateParamVisible(index, data.name);
              }
          }
      }
      //加载保存的配置
      static loadSettingsFromLocalStorage() {
          const settingsString = localStorage.getItem(SETTINGS_KEY) || "{}";
          const settingsJson = JSON.parse(settingsString);
          const loadSetting = serializer.deserializeObject(settingsJson, Settings_1);
          this._instance.enabled = loadSetting?.enabled ?? false;
          this._instance.perAppSetting = loadSetting?.perAppSetting ?? { DEFAULT_APP: new perAppSetting(false, prefStore.getSteamIndex() == -1 ? 4 : prefStore.getSteamIndex()) };
          for (var index = 0; index < 5; index++) {
              //加载保存值
              if (loadSetting?.paramSettings?.[index]) {
                  this._instance.paramSettings[index].copyParamSettings(loadSetting.paramSettings[index]);
              }
              //更新可见性
              for (const data of Object.values(Config.paramList)) {
                  this.updateParamVisible(index, data.name);
              }
          }
      }
      //保存配置到本地
      static saveSettingsToLocalStorage() {
          const settingsJson = serializer.serializeObject(this._instance);
          const settingsString = JSON.stringify(settingsJson);
          localStorage.setItem(SETTINGS_KEY, settingsString);
      }
  };
  Settings._instance = new Settings_1();
  Settings._steamIndex = -1;
  Settings._dependencyGraph = [];
  Settings.settingChangeEventBus = new EventTarget();
  __decorate([
      h(),
      __metadata("design:type", Object)
  ], Settings.prototype, "enabled", void 0);
  __decorate([
      h({ isDictionary: true, type: ParamSetting }),
      __metadata("design:type", Object)
  ], Settings.prototype, "paramSettings", void 0);
  __decorate([
      h({ isDictionary: true, type: perAppSetting }),
      __metadata("design:type", Object)
  ], Settings.prototype, "perAppSetting", void 0);
  Settings = Settings_1 = __decorate([
      v()
  ], Settings);

  class PluginManager {
  }
  PluginManager.register = async (serverAPI) => {
      await Config.init(serverAPI);
      await prefStore.init();
      await Backend.init(serverAPI);
      await Settings.init();
      await LocalizationManager.init();
      Backend.reloadConfig();
      Backend.applyConfigs(Settings.toMangoConfigs());
  };
  PluginManager.unregister = (_serverAPI) => {
      Settings.unregister();
  };

  const MangoIndex = () => {
      const [index, setIndex] = React.useState(Settings.getSettingsIndex());
      const [disabledSlider, setDisableSlider] = React.useState(prefStore.getSteamIndex() == -1);
      const [override, setOverWrite] = React.useState(Settings.perAppOverWrite());
      const [overrideable, setOverWriteable] = React.useState(RunningApps.active() != DEFAULT_APP);
      //刷新界面
      const updateEvent = (index) => {
          setIndex(index);
          setOverWrite(Settings.perAppOverWrite());
          setOverWriteable(RunningApps.active() != DEFAULT_APP);
          setDisableSlider(prefStore.getSteamIndex() == -1);
      };
      React.useEffect(() => {
          //监听overlayLevel
          prefStore.registerOverlayLevelListener(updateEvent);
          return () => {
              prefStore.removeOverlayLevelListener(updateEvent);
          };
      }, []);
      return (window.SP_REACT.createElement("div", null,
          window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, { id: "MangoPeel_IndexSlider" },
              window.SP_REACT.createElement(deckyFrontendLib.SliderField, { label: LocalizationManager.getString(localizeStrEnum.MANGOINDEX_LABEL), min: 0, max: 4, step: 1, notchLabels: [
                      { notchIndex: 0, label: LocalizationManager.getString(localizeStrEnum.MANGOINDEX_LABEL_CLOSE), value: 0 },
                      { notchIndex: 1, label: "1", value: 1 },
                      { notchIndex: 2, label: "2", value: 2 },
                      { notchIndex: 3, label: "3", value: 3 },
                      { notchIndex: 4, label: "4", value: 4 }
                  ], disabled: disabledSlider, notchCount: 5, value: index, onChange: (value) => {
                      setIndex(value);
                      //console.log("value=",value,"diabledUpdate=",disabledUpdate.current)
                      //Settings.setSettingsIndex(value);
                      prefStore.setSteamIndex(value);
                  } })),
          window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, null,
              window.SP_REACT.createElement(deckyFrontendLib.ToggleField, { label: LocalizationManager.getString(localizeStrEnum.USE_PERAPP_CONFIG_LABEL), description: window.SP_REACT.createElement("div", { style: { display: "flex", justifyContent: "left" } },
                      window.SP_REACT.createElement("img", { src: RunningApps.active_appInfo()?.icon_data ? "data:image/" + RunningApps.active_appInfo()?.icon_data_format + ";base64," + RunningApps.active_appInfo()?.icon_data : "/assets/" + RunningApps.active_appInfo()?.appid + "_icon.jpg?v=" + RunningApps.active_appInfo()?.icon_hash, width: 20, height: 20, style: { paddingRight: "5px", display: override && overrideable ? "block" : "none" } }),
                      window.SP_REACT.createElement("div", { style: { lineHeight: "20px", whiteSpace: "pre" } }, LocalizationManager.getString(localizeStrEnum.USING) + (override && overrideable ? "『" : "")),
                      window.SP_REACT.createElement(deckyFrontendLib.Marquee, { play: true, fadeLength: 10, delay: 1, style: {
                              maxWidth: "100px",
                              lineHeight: "20px",
                              whiteSpace: "pre",
                          } }, (override && overrideable ? `${RunningApps.active_appInfo()?.display_name}` : `${LocalizationManager.getString(localizeStrEnum.DEFAULT)}`)),
                      window.SP_REACT.createElement("div", { style: { lineHeight: "20px", whiteSpace: "pre", } }, (override && overrideable ? "』" : "") + LocalizationManager.getString(localizeStrEnum.MANGOLEVEL))), checked: override && overrideable, disabled: !overrideable, onChange: (override) => {
                      setOverWrite(override);
                      Settings.setPerAppOverWrite(override);
                  } })),
          disabledSlider &&
              window.SP_REACT.createElement("style", null, 
              //底部标签置为灰色
              `#MangoPeel_IndexSlider
              .gamepadslider_SliderNotchTick_Fv1Ht.gamepadslider_TickActive_1gnUV {
                  background-color: #8b929a!important;
                  background: #8b929a!important;
              }`)));
  };

  // THIS FILE IS AUTO GENERATED
  function RiArrowDownSFill (props) {
    return GenIcon({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 16L6 10H18L12 16Z"}}]})(props);
  }function RiArrowUpSFill (props) {
    return GenIcon({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 8L18 14H6L12 8Z"}}]})(props);
  }

  function TextInputModal({ closeModal, strTitle = "TEXT INPUT", strDescription = [], defaultValue = "", OnConfirm, }) {
      const [text, setText] = React.useState(defaultValue);
      const handleConfirm = () => {
          if (text.length === 0) {
              return;
          }
          OnConfirm(text);
          closeModal?.();
      };
      const handleTextChange = (e) => {
          setText(e.target.value);
      };
      return (window.SP_REACT.createElement(deckyFrontendLib.ConfirmModal, { strTitle: LocalizationManager.getString(strTitle), strDescription: window.SP_REACT.createElement("div", { style: { whiteSpace: "pre-wrap" } }, strDescription.map((str) => (window.SP_REACT.createElement("div", { key: str }, LocalizationManager.getString(str))))), onCancel: closeModal, onOK: handleConfirm },
          window.SP_REACT.createElement(deckyFrontendLib.TextField, { value: text, onChange: handleTextChange })));
  }

  const Arrow = ({ direction, show }) => {
      return (show && (window.SP_REACT.createElement("span", { style: { height: 20 } }, direction === 'up' ? window.SP_REACT.createElement(RiArrowUpSFill, null) : window.SP_REACT.createElement(RiArrowDownSFill, null))));
  };
  function ResortableList({ initialArray, onArrayChange, }) {
      const [currentIndex, setCurrentIndex] = React.useState(-1);
      const currentIndexRef = React.useRef(currentIndex);
      const [items, setItems] = React.useState(initialArray);
      React.useEffect(() => {
          currentIndexRef.current = currentIndex;
      }, [currentIndex]);
      React.useEffect(() => {
          setItems(initialArray);
      }, [initialArray]);
      const handleSelectItem = (index) => {
          setCurrentIndex(currentIndex === index ? -1 : index);
      };
      const handleChangeItem = (oldIndex, newIndex) => {
          if (oldIndex !== newIndex) {
              const newArray = [...items];
              [newArray[oldIndex], newArray[newIndex]] = [newArray[newIndex], newArray[oldIndex]];
              setItems(newArray);
              onArrayChange(newArray);
          }
      };
      const onItemFocus = (index) => {
          if (currentIndexRef.current >= 0) {
              handleChangeItem(currentIndexRef.current, index);
              setCurrentIndex(index);
          }
      };
      const onItemBlur = (index) => {
          setTimeout(() => {
              if (currentIndexRef.current === index) {
                  setCurrentIndex(-1);
              }
          }, 50);
      };
      return (window.SP_REACT.createElement(window.SP_REACT.Fragment, null, items.map((item, index) => (window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, { key: index },
          window.SP_REACT.createElement(deckyFrontendLib.Field, { bottomSeparator: "none", icon: window.SP_REACT.createElement(window.SP_REACT.Fragment, null,
                  window.SP_REACT.createElement(Arrow, { direction: "up", show: currentIndex === index && index !== 0 }),
                  window.SP_REACT.createElement("div", { style: {
                          backgroundColor: '#ffffff',
                          width: 21,
                          height: 21,
                          borderRadius: 30,
                          textAlign: 'center',
                          color: '#000000',
                      } }, index + 1),
                  window.SP_REACT.createElement(Arrow, { direction: "down", show: currentIndex === index && index !== items.length - 1 })), actionDescriptionMap: {
                  1: currentIndex === index ? LocalizationManager.getString(localizeStrEnum.RESORT_END_DESCRIPTION) : LocalizationManager.getString(localizeStrEnum.RESORT_SELECT_DESCRIPTION),
                  9: currentIndex === index && index !== 0 ? LocalizationManager.getString(localizeStrEnum.RESORT_MOVEUP_DESCRIPTION) : undefined,
                  10: currentIndex === index && index !== items.length - 1 ? LocalizationManager.getString(localizeStrEnum.RESORT_MOVEDOWN_DESCRIPTION) : undefined,
              }, onActivate: () => handleSelectItem(index), onGamepadFocus: () => onItemFocus(index), onGamepadBlur: () => onItemBlur(index) },
              window.SP_REACT.createElement("div", { style: { width: 190, textAlign: 'center' } }, item.label)))))));
  }

  var colorString$1 = {exports: {}};

  var colorName = {
  	"aliceblue": [240, 248, 255],
  	"antiquewhite": [250, 235, 215],
  	"aqua": [0, 255, 255],
  	"aquamarine": [127, 255, 212],
  	"azure": [240, 255, 255],
  	"beige": [245, 245, 220],
  	"bisque": [255, 228, 196],
  	"black": [0, 0, 0],
  	"blanchedalmond": [255, 235, 205],
  	"blue": [0, 0, 255],
  	"blueviolet": [138, 43, 226],
  	"brown": [165, 42, 42],
  	"burlywood": [222, 184, 135],
  	"cadetblue": [95, 158, 160],
  	"chartreuse": [127, 255, 0],
  	"chocolate": [210, 105, 30],
  	"coral": [255, 127, 80],
  	"cornflowerblue": [100, 149, 237],
  	"cornsilk": [255, 248, 220],
  	"crimson": [220, 20, 60],
  	"cyan": [0, 255, 255],
  	"darkblue": [0, 0, 139],
  	"darkcyan": [0, 139, 139],
  	"darkgoldenrod": [184, 134, 11],
  	"darkgray": [169, 169, 169],
  	"darkgreen": [0, 100, 0],
  	"darkgrey": [169, 169, 169],
  	"darkkhaki": [189, 183, 107],
  	"darkmagenta": [139, 0, 139],
  	"darkolivegreen": [85, 107, 47],
  	"darkorange": [255, 140, 0],
  	"darkorchid": [153, 50, 204],
  	"darkred": [139, 0, 0],
  	"darksalmon": [233, 150, 122],
  	"darkseagreen": [143, 188, 143],
  	"darkslateblue": [72, 61, 139],
  	"darkslategray": [47, 79, 79],
  	"darkslategrey": [47, 79, 79],
  	"darkturquoise": [0, 206, 209],
  	"darkviolet": [148, 0, 211],
  	"deeppink": [255, 20, 147],
  	"deepskyblue": [0, 191, 255],
  	"dimgray": [105, 105, 105],
  	"dimgrey": [105, 105, 105],
  	"dodgerblue": [30, 144, 255],
  	"firebrick": [178, 34, 34],
  	"floralwhite": [255, 250, 240],
  	"forestgreen": [34, 139, 34],
  	"fuchsia": [255, 0, 255],
  	"gainsboro": [220, 220, 220],
  	"ghostwhite": [248, 248, 255],
  	"gold": [255, 215, 0],
  	"goldenrod": [218, 165, 32],
  	"gray": [128, 128, 128],
  	"green": [0, 128, 0],
  	"greenyellow": [173, 255, 47],
  	"grey": [128, 128, 128],
  	"honeydew": [240, 255, 240],
  	"hotpink": [255, 105, 180],
  	"indianred": [205, 92, 92],
  	"indigo": [75, 0, 130],
  	"ivory": [255, 255, 240],
  	"khaki": [240, 230, 140],
  	"lavender": [230, 230, 250],
  	"lavenderblush": [255, 240, 245],
  	"lawngreen": [124, 252, 0],
  	"lemonchiffon": [255, 250, 205],
  	"lightblue": [173, 216, 230],
  	"lightcoral": [240, 128, 128],
  	"lightcyan": [224, 255, 255],
  	"lightgoldenrodyellow": [250, 250, 210],
  	"lightgray": [211, 211, 211],
  	"lightgreen": [144, 238, 144],
  	"lightgrey": [211, 211, 211],
  	"lightpink": [255, 182, 193],
  	"lightsalmon": [255, 160, 122],
  	"lightseagreen": [32, 178, 170],
  	"lightskyblue": [135, 206, 250],
  	"lightslategray": [119, 136, 153],
  	"lightslategrey": [119, 136, 153],
  	"lightsteelblue": [176, 196, 222],
  	"lightyellow": [255, 255, 224],
  	"lime": [0, 255, 0],
  	"limegreen": [50, 205, 50],
  	"linen": [250, 240, 230],
  	"magenta": [255, 0, 255],
  	"maroon": [128, 0, 0],
  	"mediumaquamarine": [102, 205, 170],
  	"mediumblue": [0, 0, 205],
  	"mediumorchid": [186, 85, 211],
  	"mediumpurple": [147, 112, 219],
  	"mediumseagreen": [60, 179, 113],
  	"mediumslateblue": [123, 104, 238],
  	"mediumspringgreen": [0, 250, 154],
  	"mediumturquoise": [72, 209, 204],
  	"mediumvioletred": [199, 21, 133],
  	"midnightblue": [25, 25, 112],
  	"mintcream": [245, 255, 250],
  	"mistyrose": [255, 228, 225],
  	"moccasin": [255, 228, 181],
  	"navajowhite": [255, 222, 173],
  	"navy": [0, 0, 128],
  	"oldlace": [253, 245, 230],
  	"olive": [128, 128, 0],
  	"olivedrab": [107, 142, 35],
  	"orange": [255, 165, 0],
  	"orangered": [255, 69, 0],
  	"orchid": [218, 112, 214],
  	"palegoldenrod": [238, 232, 170],
  	"palegreen": [152, 251, 152],
  	"paleturquoise": [175, 238, 238],
  	"palevioletred": [219, 112, 147],
  	"papayawhip": [255, 239, 213],
  	"peachpuff": [255, 218, 185],
  	"peru": [205, 133, 63],
  	"pink": [255, 192, 203],
  	"plum": [221, 160, 221],
  	"powderblue": [176, 224, 230],
  	"purple": [128, 0, 128],
  	"rebeccapurple": [102, 51, 153],
  	"red": [255, 0, 0],
  	"rosybrown": [188, 143, 143],
  	"royalblue": [65, 105, 225],
  	"saddlebrown": [139, 69, 19],
  	"salmon": [250, 128, 114],
  	"sandybrown": [244, 164, 96],
  	"seagreen": [46, 139, 87],
  	"seashell": [255, 245, 238],
  	"sienna": [160, 82, 45],
  	"silver": [192, 192, 192],
  	"skyblue": [135, 206, 235],
  	"slateblue": [106, 90, 205],
  	"slategray": [112, 128, 144],
  	"slategrey": [112, 128, 144],
  	"snow": [255, 250, 250],
  	"springgreen": [0, 255, 127],
  	"steelblue": [70, 130, 180],
  	"tan": [210, 180, 140],
  	"teal": [0, 128, 128],
  	"thistle": [216, 191, 216],
  	"tomato": [255, 99, 71],
  	"turquoise": [64, 224, 208],
  	"violet": [238, 130, 238],
  	"wheat": [245, 222, 179],
  	"white": [255, 255, 255],
  	"whitesmoke": [245, 245, 245],
  	"yellow": [255, 255, 0],
  	"yellowgreen": [154, 205, 50]
  };

  var simpleSwizzle = {exports: {}};

  var isArrayish$1 = function isArrayish(obj) {
  	if (!obj || typeof obj === 'string') {
  		return false;
  	}

  	return obj instanceof Array || Array.isArray(obj) ||
  		(obj.length >= 0 && (obj.splice instanceof Function ||
  			(Object.getOwnPropertyDescriptor(obj, (obj.length - 1)) && obj.constructor.name !== 'String')));
  };

  var isArrayish = isArrayish$1;

  var concat = Array.prototype.concat;
  var slice = Array.prototype.slice;

  var swizzle$1 = simpleSwizzle.exports = function swizzle(args) {
  	var results = [];

  	for (var i = 0, len = args.length; i < len; i++) {
  		var arg = args[i];

  		if (isArrayish(arg)) {
  			// http://jsperf.com/javascript-array-concat-vs-push/98
  			results = concat.call(results, slice.call(arg));
  		} else {
  			results.push(arg);
  		}
  	}

  	return results;
  };

  swizzle$1.wrap = function (fn) {
  	return function () {
  		return fn(swizzle$1(arguments));
  	};
  };

  /* MIT license */

  var colorNames = colorName;
  var swizzle = simpleSwizzle.exports;
  var hasOwnProperty = Object.hasOwnProperty;

  var reverseNames = Object.create(null);

  // create a list of reverse color names
  for (var name in colorNames) {
  	if (hasOwnProperty.call(colorNames, name)) {
  		reverseNames[colorNames[name]] = name;
  	}
  }

  var cs = colorString$1.exports = {
  	to: {},
  	get: {}
  };

  cs.get = function (string) {
  	var prefix = string.substring(0, 3).toLowerCase();
  	var val;
  	var model;
  	switch (prefix) {
  		case 'hsl':
  			val = cs.get.hsl(string);
  			model = 'hsl';
  			break;
  		case 'hwb':
  			val = cs.get.hwb(string);
  			model = 'hwb';
  			break;
  		default:
  			val = cs.get.rgb(string);
  			model = 'rgb';
  			break;
  	}

  	if (!val) {
  		return null;
  	}

  	return {model: model, value: val};
  };

  cs.get.rgb = function (string) {
  	if (!string) {
  		return null;
  	}

  	var abbr = /^#([a-f0-9]{3,4})$/i;
  	var hex = /^#([a-f0-9]{6})([a-f0-9]{2})?$/i;
  	var rgba = /^rgba?\(\s*([+-]?\d+)(?=[\s,])\s*(?:,\s*)?([+-]?\d+)(?=[\s,])\s*(?:,\s*)?([+-]?\d+)\s*(?:[,|\/]\s*([+-]?[\d\.]+)(%?)\s*)?\)$/;
  	var per = /^rgba?\(\s*([+-]?[\d\.]+)\%\s*,?\s*([+-]?[\d\.]+)\%\s*,?\s*([+-]?[\d\.]+)\%\s*(?:[,|\/]\s*([+-]?[\d\.]+)(%?)\s*)?\)$/;
  	var keyword = /^(\w+)$/;

  	var rgb = [0, 0, 0, 1];
  	var match;
  	var i;
  	var hexAlpha;

  	if (match = string.match(hex)) {
  		hexAlpha = match[2];
  		match = match[1];

  		for (i = 0; i < 3; i++) {
  			// https://jsperf.com/slice-vs-substr-vs-substring-methods-long-string/19
  			var i2 = i * 2;
  			rgb[i] = parseInt(match.slice(i2, i2 + 2), 16);
  		}

  		if (hexAlpha) {
  			rgb[3] = parseInt(hexAlpha, 16) / 255;
  		}
  	} else if (match = string.match(abbr)) {
  		match = match[1];
  		hexAlpha = match[3];

  		for (i = 0; i < 3; i++) {
  			rgb[i] = parseInt(match[i] + match[i], 16);
  		}

  		if (hexAlpha) {
  			rgb[3] = parseInt(hexAlpha + hexAlpha, 16) / 255;
  		}
  	} else if (match = string.match(rgba)) {
  		for (i = 0; i < 3; i++) {
  			rgb[i] = parseInt(match[i + 1], 0);
  		}

  		if (match[4]) {
  			if (match[5]) {
  				rgb[3] = parseFloat(match[4]) * 0.01;
  			} else {
  				rgb[3] = parseFloat(match[4]);
  			}
  		}
  	} else if (match = string.match(per)) {
  		for (i = 0; i < 3; i++) {
  			rgb[i] = Math.round(parseFloat(match[i + 1]) * 2.55);
  		}

  		if (match[4]) {
  			if (match[5]) {
  				rgb[3] = parseFloat(match[4]) * 0.01;
  			} else {
  				rgb[3] = parseFloat(match[4]);
  			}
  		}
  	} else if (match = string.match(keyword)) {
  		if (match[1] === 'transparent') {
  			return [0, 0, 0, 0];
  		}

  		if (!hasOwnProperty.call(colorNames, match[1])) {
  			return null;
  		}

  		rgb = colorNames[match[1]];
  		rgb[3] = 1;

  		return rgb;
  	} else {
  		return null;
  	}

  	for (i = 0; i < 3; i++) {
  		rgb[i] = clamp(rgb[i], 0, 255);
  	}
  	rgb[3] = clamp(rgb[3], 0, 1);

  	return rgb;
  };

  cs.get.hsl = function (string) {
  	if (!string) {
  		return null;
  	}

  	var hsl = /^hsla?\(\s*([+-]?(?:\d{0,3}\.)?\d+)(?:deg)?\s*,?\s*([+-]?[\d\.]+)%\s*,?\s*([+-]?[\d\.]+)%\s*(?:[,|\/]\s*([+-]?(?=\.\d|\d)(?:0|[1-9]\d*)?(?:\.\d*)?(?:[eE][+-]?\d+)?)\s*)?\)$/;
  	var match = string.match(hsl);

  	if (match) {
  		var alpha = parseFloat(match[4]);
  		var h = ((parseFloat(match[1]) % 360) + 360) % 360;
  		var s = clamp(parseFloat(match[2]), 0, 100);
  		var l = clamp(parseFloat(match[3]), 0, 100);
  		var a = clamp(isNaN(alpha) ? 1 : alpha, 0, 1);

  		return [h, s, l, a];
  	}

  	return null;
  };

  cs.get.hwb = function (string) {
  	if (!string) {
  		return null;
  	}

  	var hwb = /^hwb\(\s*([+-]?\d{0,3}(?:\.\d+)?)(?:deg)?\s*,\s*([+-]?[\d\.]+)%\s*,\s*([+-]?[\d\.]+)%\s*(?:,\s*([+-]?(?=\.\d|\d)(?:0|[1-9]\d*)?(?:\.\d*)?(?:[eE][+-]?\d+)?)\s*)?\)$/;
  	var match = string.match(hwb);

  	if (match) {
  		var alpha = parseFloat(match[4]);
  		var h = ((parseFloat(match[1]) % 360) + 360) % 360;
  		var w = clamp(parseFloat(match[2]), 0, 100);
  		var b = clamp(parseFloat(match[3]), 0, 100);
  		var a = clamp(isNaN(alpha) ? 1 : alpha, 0, 1);
  		return [h, w, b, a];
  	}

  	return null;
  };

  cs.to.hex = function () {
  	var rgba = swizzle(arguments);

  	return (
  		'#' +
  		hexDouble(rgba[0]) +
  		hexDouble(rgba[1]) +
  		hexDouble(rgba[2]) +
  		(rgba[3] < 1
  			? (hexDouble(Math.round(rgba[3] * 255)))
  			: '')
  	);
  };

  cs.to.rgb = function () {
  	var rgba = swizzle(arguments);

  	return rgba.length < 4 || rgba[3] === 1
  		? 'rgb(' + Math.round(rgba[0]) + ', ' + Math.round(rgba[1]) + ', ' + Math.round(rgba[2]) + ')'
  		: 'rgba(' + Math.round(rgba[0]) + ', ' + Math.round(rgba[1]) + ', ' + Math.round(rgba[2]) + ', ' + rgba[3] + ')';
  };

  cs.to.rgb.percent = function () {
  	var rgba = swizzle(arguments);

  	var r = Math.round(rgba[0] / 255 * 100);
  	var g = Math.round(rgba[1] / 255 * 100);
  	var b = Math.round(rgba[2] / 255 * 100);

  	return rgba.length < 4 || rgba[3] === 1
  		? 'rgb(' + r + '%, ' + g + '%, ' + b + '%)'
  		: 'rgba(' + r + '%, ' + g + '%, ' + b + '%, ' + rgba[3] + ')';
  };

  cs.to.hsl = function () {
  	var hsla = swizzle(arguments);
  	return hsla.length < 4 || hsla[3] === 1
  		? 'hsl(' + hsla[0] + ', ' + hsla[1] + '%, ' + hsla[2] + '%)'
  		: 'hsla(' + hsla[0] + ', ' + hsla[1] + '%, ' + hsla[2] + '%, ' + hsla[3] + ')';
  };

  // hwb is a bit different than rgb(a) & hsl(a) since there is no alpha specific syntax
  // (hwb have alpha optional & 1 is default value)
  cs.to.hwb = function () {
  	var hwba = swizzle(arguments);

  	var a = '';
  	if (hwba.length >= 4 && hwba[3] !== 1) {
  		a = ', ' + hwba[3];
  	}

  	return 'hwb(' + hwba[0] + ', ' + hwba[1] + '%, ' + hwba[2] + '%' + a + ')';
  };

  cs.to.keyword = function (rgb) {
  	return reverseNames[rgb.slice(0, 3)];
  };

  // helpers
  function clamp(num, min, max) {
  	return Math.min(Math.max(min, num), max);
  }

  function hexDouble(num) {
  	var str = Math.round(num).toString(16).toUpperCase();
  	return (str.length < 2) ? '0' + str : str;
  }

  /* MIT license */

  /* eslint-disable no-mixed-operators */
  const cssKeywords = colorName;

  // NOTE: conversions should only return primitive values (i.e. arrays, or
  //       values that give correct `typeof` results).
  //       do not use box values types (i.e. Number(), String(), etc.)

  const reverseKeywords = {};
  for (const key of Object.keys(cssKeywords)) {
  	reverseKeywords[cssKeywords[key]] = key;
  }

  const convert$2 = {
  	rgb: {channels: 3, labels: 'rgb'},
  	hsl: {channels: 3, labels: 'hsl'},
  	hsv: {channels: 3, labels: 'hsv'},
  	hwb: {channels: 3, labels: 'hwb'},
  	cmyk: {channels: 4, labels: 'cmyk'},
  	xyz: {channels: 3, labels: 'xyz'},
  	lab: {channels: 3, labels: 'lab'},
  	lch: {channels: 3, labels: 'lch'},
  	hex: {channels: 1, labels: ['hex']},
  	keyword: {channels: 1, labels: ['keyword']},
  	ansi16: {channels: 1, labels: ['ansi16']},
  	ansi256: {channels: 1, labels: ['ansi256']},
  	hcg: {channels: 3, labels: ['h', 'c', 'g']},
  	apple: {channels: 3, labels: ['r16', 'g16', 'b16']},
  	gray: {channels: 1, labels: ['gray']}
  };

  var conversions$2 = convert$2;

  // Hide .channels and .labels properties
  for (const model of Object.keys(convert$2)) {
  	if (!('channels' in convert$2[model])) {
  		throw new Error('missing channels property: ' + model);
  	}

  	if (!('labels' in convert$2[model])) {
  		throw new Error('missing channel labels property: ' + model);
  	}

  	if (convert$2[model].labels.length !== convert$2[model].channels) {
  		throw new Error('channel and label counts mismatch: ' + model);
  	}

  	const {channels, labels} = convert$2[model];
  	delete convert$2[model].channels;
  	delete convert$2[model].labels;
  	Object.defineProperty(convert$2[model], 'channels', {value: channels});
  	Object.defineProperty(convert$2[model], 'labels', {value: labels});
  }

  convert$2.rgb.hsl = function (rgb) {
  	const r = rgb[0] / 255;
  	const g = rgb[1] / 255;
  	const b = rgb[2] / 255;
  	const min = Math.min(r, g, b);
  	const max = Math.max(r, g, b);
  	const delta = max - min;
  	let h;
  	let s;

  	if (max === min) {
  		h = 0;
  	} else if (r === max) {
  		h = (g - b) / delta;
  	} else if (g === max) {
  		h = 2 + (b - r) / delta;
  	} else if (b === max) {
  		h = 4 + (r - g) / delta;
  	}

  	h = Math.min(h * 60, 360);

  	if (h < 0) {
  		h += 360;
  	}

  	const l = (min + max) / 2;

  	if (max === min) {
  		s = 0;
  	} else if (l <= 0.5) {
  		s = delta / (max + min);
  	} else {
  		s = delta / (2 - max - min);
  	}

  	return [h, s * 100, l * 100];
  };

  convert$2.rgb.hsv = function (rgb) {
  	let rdif;
  	let gdif;
  	let bdif;
  	let h;
  	let s;

  	const r = rgb[0] / 255;
  	const g = rgb[1] / 255;
  	const b = rgb[2] / 255;
  	const v = Math.max(r, g, b);
  	const diff = v - Math.min(r, g, b);
  	const diffc = function (c) {
  		return (v - c) / 6 / diff + 1 / 2;
  	};

  	if (diff === 0) {
  		h = 0;
  		s = 0;
  	} else {
  		s = diff / v;
  		rdif = diffc(r);
  		gdif = diffc(g);
  		bdif = diffc(b);

  		if (r === v) {
  			h = bdif - gdif;
  		} else if (g === v) {
  			h = (1 / 3) + rdif - bdif;
  		} else if (b === v) {
  			h = (2 / 3) + gdif - rdif;
  		}

  		if (h < 0) {
  			h += 1;
  		} else if (h > 1) {
  			h -= 1;
  		}
  	}

  	return [
  		h * 360,
  		s * 100,
  		v * 100
  	];
  };

  convert$2.rgb.hwb = function (rgb) {
  	const r = rgb[0];
  	const g = rgb[1];
  	let b = rgb[2];
  	const h = convert$2.rgb.hsl(rgb)[0];
  	const w = 1 / 255 * Math.min(r, Math.min(g, b));

  	b = 1 - 1 / 255 * Math.max(r, Math.max(g, b));

  	return [h, w * 100, b * 100];
  };

  convert$2.rgb.cmyk = function (rgb) {
  	const r = rgb[0] / 255;
  	const g = rgb[1] / 255;
  	const b = rgb[2] / 255;

  	const k = Math.min(1 - r, 1 - g, 1 - b);
  	const c = (1 - r - k) / (1 - k) || 0;
  	const m = (1 - g - k) / (1 - k) || 0;
  	const y = (1 - b - k) / (1 - k) || 0;

  	return [c * 100, m * 100, y * 100, k * 100];
  };

  function comparativeDistance(x, y) {
  	/*
  		See https://en.m.wikipedia.org/wiki/Euclidean_distance#Squared_Euclidean_distance
  	*/
  	return (
  		((x[0] - y[0]) ** 2) +
  		((x[1] - y[1]) ** 2) +
  		((x[2] - y[2]) ** 2)
  	);
  }

  convert$2.rgb.keyword = function (rgb) {
  	const reversed = reverseKeywords[rgb];
  	if (reversed) {
  		return reversed;
  	}

  	let currentClosestDistance = Infinity;
  	let currentClosestKeyword;

  	for (const keyword of Object.keys(cssKeywords)) {
  		const value = cssKeywords[keyword];

  		// Compute comparative distance
  		const distance = comparativeDistance(rgb, value);

  		// Check if its less, if so set as closest
  		if (distance < currentClosestDistance) {
  			currentClosestDistance = distance;
  			currentClosestKeyword = keyword;
  		}
  	}

  	return currentClosestKeyword;
  };

  convert$2.keyword.rgb = function (keyword) {
  	return cssKeywords[keyword];
  };

  convert$2.rgb.xyz = function (rgb) {
  	let r = rgb[0] / 255;
  	let g = rgb[1] / 255;
  	let b = rgb[2] / 255;

  	// Assume sRGB
  	r = r > 0.04045 ? (((r + 0.055) / 1.055) ** 2.4) : (r / 12.92);
  	g = g > 0.04045 ? (((g + 0.055) / 1.055) ** 2.4) : (g / 12.92);
  	b = b > 0.04045 ? (((b + 0.055) / 1.055) ** 2.4) : (b / 12.92);

  	const x = (r * 0.4124) + (g * 0.3576) + (b * 0.1805);
  	const y = (r * 0.2126) + (g * 0.7152) + (b * 0.0722);
  	const z = (r * 0.0193) + (g * 0.1192) + (b * 0.9505);

  	return [x * 100, y * 100, z * 100];
  };

  convert$2.rgb.lab = function (rgb) {
  	const xyz = convert$2.rgb.xyz(rgb);
  	let x = xyz[0];
  	let y = xyz[1];
  	let z = xyz[2];

  	x /= 95.047;
  	y /= 100;
  	z /= 108.883;

  	x = x > 0.008856 ? (x ** (1 / 3)) : (7.787 * x) + (16 / 116);
  	y = y > 0.008856 ? (y ** (1 / 3)) : (7.787 * y) + (16 / 116);
  	z = z > 0.008856 ? (z ** (1 / 3)) : (7.787 * z) + (16 / 116);

  	const l = (116 * y) - 16;
  	const a = 500 * (x - y);
  	const b = 200 * (y - z);

  	return [l, a, b];
  };

  convert$2.hsl.rgb = function (hsl) {
  	const h = hsl[0] / 360;
  	const s = hsl[1] / 100;
  	const l = hsl[2] / 100;
  	let t2;
  	let t3;
  	let val;

  	if (s === 0) {
  		val = l * 255;
  		return [val, val, val];
  	}

  	if (l < 0.5) {
  		t2 = l * (1 + s);
  	} else {
  		t2 = l + s - l * s;
  	}

  	const t1 = 2 * l - t2;

  	const rgb = [0, 0, 0];
  	for (let i = 0; i < 3; i++) {
  		t3 = h + 1 / 3 * -(i - 1);
  		if (t3 < 0) {
  			t3++;
  		}

  		if (t3 > 1) {
  			t3--;
  		}

  		if (6 * t3 < 1) {
  			val = t1 + (t2 - t1) * 6 * t3;
  		} else if (2 * t3 < 1) {
  			val = t2;
  		} else if (3 * t3 < 2) {
  			val = t1 + (t2 - t1) * (2 / 3 - t3) * 6;
  		} else {
  			val = t1;
  		}

  		rgb[i] = val * 255;
  	}

  	return rgb;
  };

  convert$2.hsl.hsv = function (hsl) {
  	const h = hsl[0];
  	let s = hsl[1] / 100;
  	let l = hsl[2] / 100;
  	let smin = s;
  	const lmin = Math.max(l, 0.01);

  	l *= 2;
  	s *= (l <= 1) ? l : 2 - l;
  	smin *= lmin <= 1 ? lmin : 2 - lmin;
  	const v = (l + s) / 2;
  	const sv = l === 0 ? (2 * smin) / (lmin + smin) : (2 * s) / (l + s);

  	return [h, sv * 100, v * 100];
  };

  convert$2.hsv.rgb = function (hsv) {
  	const h = hsv[0] / 60;
  	const s = hsv[1] / 100;
  	let v = hsv[2] / 100;
  	const hi = Math.floor(h) % 6;

  	const f = h - Math.floor(h);
  	const p = 255 * v * (1 - s);
  	const q = 255 * v * (1 - (s * f));
  	const t = 255 * v * (1 - (s * (1 - f)));
  	v *= 255;

  	switch (hi) {
  		case 0:
  			return [v, t, p];
  		case 1:
  			return [q, v, p];
  		case 2:
  			return [p, v, t];
  		case 3:
  			return [p, q, v];
  		case 4:
  			return [t, p, v];
  		case 5:
  			return [v, p, q];
  	}
  };

  convert$2.hsv.hsl = function (hsv) {
  	const h = hsv[0];
  	const s = hsv[1] / 100;
  	const v = hsv[2] / 100;
  	const vmin = Math.max(v, 0.01);
  	let sl;
  	let l;

  	l = (2 - s) * v;
  	const lmin = (2 - s) * vmin;
  	sl = s * vmin;
  	sl /= (lmin <= 1) ? lmin : 2 - lmin;
  	sl = sl || 0;
  	l /= 2;

  	return [h, sl * 100, l * 100];
  };

  // http://dev.w3.org/csswg/css-color/#hwb-to-rgb
  convert$2.hwb.rgb = function (hwb) {
  	const h = hwb[0] / 360;
  	let wh = hwb[1] / 100;
  	let bl = hwb[2] / 100;
  	const ratio = wh + bl;
  	let f;

  	// Wh + bl cant be > 1
  	if (ratio > 1) {
  		wh /= ratio;
  		bl /= ratio;
  	}

  	const i = Math.floor(6 * h);
  	const v = 1 - bl;
  	f = 6 * h - i;

  	if ((i & 0x01) !== 0) {
  		f = 1 - f;
  	}

  	const n = wh + f * (v - wh); // Linear interpolation

  	let r;
  	let g;
  	let b;
  	/* eslint-disable max-statements-per-line,no-multi-spaces */
  	switch (i) {
  		default:
  		case 6:
  		case 0: r = v;  g = n;  b = wh; break;
  		case 1: r = n;  g = v;  b = wh; break;
  		case 2: r = wh; g = v;  b = n; break;
  		case 3: r = wh; g = n;  b = v; break;
  		case 4: r = n;  g = wh; b = v; break;
  		case 5: r = v;  g = wh; b = n; break;
  	}
  	/* eslint-enable max-statements-per-line,no-multi-spaces */

  	return [r * 255, g * 255, b * 255];
  };

  convert$2.cmyk.rgb = function (cmyk) {
  	const c = cmyk[0] / 100;
  	const m = cmyk[1] / 100;
  	const y = cmyk[2] / 100;
  	const k = cmyk[3] / 100;

  	const r = 1 - Math.min(1, c * (1 - k) + k);
  	const g = 1 - Math.min(1, m * (1 - k) + k);
  	const b = 1 - Math.min(1, y * (1 - k) + k);

  	return [r * 255, g * 255, b * 255];
  };

  convert$2.xyz.rgb = function (xyz) {
  	const x = xyz[0] / 100;
  	const y = xyz[1] / 100;
  	const z = xyz[2] / 100;
  	let r;
  	let g;
  	let b;

  	r = (x * 3.2406) + (y * -1.5372) + (z * -0.4986);
  	g = (x * -0.9689) + (y * 1.8758) + (z * 0.0415);
  	b = (x * 0.0557) + (y * -0.2040) + (z * 1.0570);

  	// Assume sRGB
  	r = r > 0.0031308
  		? ((1.055 * (r ** (1.0 / 2.4))) - 0.055)
  		: r * 12.92;

  	g = g > 0.0031308
  		? ((1.055 * (g ** (1.0 / 2.4))) - 0.055)
  		: g * 12.92;

  	b = b > 0.0031308
  		? ((1.055 * (b ** (1.0 / 2.4))) - 0.055)
  		: b * 12.92;

  	r = Math.min(Math.max(0, r), 1);
  	g = Math.min(Math.max(0, g), 1);
  	b = Math.min(Math.max(0, b), 1);

  	return [r * 255, g * 255, b * 255];
  };

  convert$2.xyz.lab = function (xyz) {
  	let x = xyz[0];
  	let y = xyz[1];
  	let z = xyz[2];

  	x /= 95.047;
  	y /= 100;
  	z /= 108.883;

  	x = x > 0.008856 ? (x ** (1 / 3)) : (7.787 * x) + (16 / 116);
  	y = y > 0.008856 ? (y ** (1 / 3)) : (7.787 * y) + (16 / 116);
  	z = z > 0.008856 ? (z ** (1 / 3)) : (7.787 * z) + (16 / 116);

  	const l = (116 * y) - 16;
  	const a = 500 * (x - y);
  	const b = 200 * (y - z);

  	return [l, a, b];
  };

  convert$2.lab.xyz = function (lab) {
  	const l = lab[0];
  	const a = lab[1];
  	const b = lab[2];
  	let x;
  	let y;
  	let z;

  	y = (l + 16) / 116;
  	x = a / 500 + y;
  	z = y - b / 200;

  	const y2 = y ** 3;
  	const x2 = x ** 3;
  	const z2 = z ** 3;
  	y = y2 > 0.008856 ? y2 : (y - 16 / 116) / 7.787;
  	x = x2 > 0.008856 ? x2 : (x - 16 / 116) / 7.787;
  	z = z2 > 0.008856 ? z2 : (z - 16 / 116) / 7.787;

  	x *= 95.047;
  	y *= 100;
  	z *= 108.883;

  	return [x, y, z];
  };

  convert$2.lab.lch = function (lab) {
  	const l = lab[0];
  	const a = lab[1];
  	const b = lab[2];
  	let h;

  	const hr = Math.atan2(b, a);
  	h = hr * 360 / 2 / Math.PI;

  	if (h < 0) {
  		h += 360;
  	}

  	const c = Math.sqrt(a * a + b * b);

  	return [l, c, h];
  };

  convert$2.lch.lab = function (lch) {
  	const l = lch[0];
  	const c = lch[1];
  	const h = lch[2];

  	const hr = h / 360 * 2 * Math.PI;
  	const a = c * Math.cos(hr);
  	const b = c * Math.sin(hr);

  	return [l, a, b];
  };

  convert$2.rgb.ansi16 = function (args, saturation = null) {
  	const [r, g, b] = args;
  	let value = saturation === null ? convert$2.rgb.hsv(args)[2] : saturation; // Hsv -> ansi16 optimization

  	value = Math.round(value / 50);

  	if (value === 0) {
  		return 30;
  	}

  	let ansi = 30
  		+ ((Math.round(b / 255) << 2)
  		| (Math.round(g / 255) << 1)
  		| Math.round(r / 255));

  	if (value === 2) {
  		ansi += 60;
  	}

  	return ansi;
  };

  convert$2.hsv.ansi16 = function (args) {
  	// Optimization here; we already know the value and don't need to get
  	// it converted for us.
  	return convert$2.rgb.ansi16(convert$2.hsv.rgb(args), args[2]);
  };

  convert$2.rgb.ansi256 = function (args) {
  	const r = args[0];
  	const g = args[1];
  	const b = args[2];

  	// We use the extended greyscale palette here, with the exception of
  	// black and white. normal palette only has 4 greyscale shades.
  	if (r === g && g === b) {
  		if (r < 8) {
  			return 16;
  		}

  		if (r > 248) {
  			return 231;
  		}

  		return Math.round(((r - 8) / 247) * 24) + 232;
  	}

  	const ansi = 16
  		+ (36 * Math.round(r / 255 * 5))
  		+ (6 * Math.round(g / 255 * 5))
  		+ Math.round(b / 255 * 5);

  	return ansi;
  };

  convert$2.ansi16.rgb = function (args) {
  	let color = args % 10;

  	// Handle greyscale
  	if (color === 0 || color === 7) {
  		if (args > 50) {
  			color += 3.5;
  		}

  		color = color / 10.5 * 255;

  		return [color, color, color];
  	}

  	const mult = (~~(args > 50) + 1) * 0.5;
  	const r = ((color & 1) * mult) * 255;
  	const g = (((color >> 1) & 1) * mult) * 255;
  	const b = (((color >> 2) & 1) * mult) * 255;

  	return [r, g, b];
  };

  convert$2.ansi256.rgb = function (args) {
  	// Handle greyscale
  	if (args >= 232) {
  		const c = (args - 232) * 10 + 8;
  		return [c, c, c];
  	}

  	args -= 16;

  	let rem;
  	const r = Math.floor(args / 36) / 5 * 255;
  	const g = Math.floor((rem = args % 36) / 6) / 5 * 255;
  	const b = (rem % 6) / 5 * 255;

  	return [r, g, b];
  };

  convert$2.rgb.hex = function (args) {
  	const integer = ((Math.round(args[0]) & 0xFF) << 16)
  		+ ((Math.round(args[1]) & 0xFF) << 8)
  		+ (Math.round(args[2]) & 0xFF);

  	const string = integer.toString(16).toUpperCase();
  	return '000000'.substring(string.length) + string;
  };

  convert$2.hex.rgb = function (args) {
  	const match = args.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);
  	if (!match) {
  		return [0, 0, 0];
  	}

  	let colorString = match[0];

  	if (match[0].length === 3) {
  		colorString = colorString.split('').map(char => {
  			return char + char;
  		}).join('');
  	}

  	const integer = parseInt(colorString, 16);
  	const r = (integer >> 16) & 0xFF;
  	const g = (integer >> 8) & 0xFF;
  	const b = integer & 0xFF;

  	return [r, g, b];
  };

  convert$2.rgb.hcg = function (rgb) {
  	const r = rgb[0] / 255;
  	const g = rgb[1] / 255;
  	const b = rgb[2] / 255;
  	const max = Math.max(Math.max(r, g), b);
  	const min = Math.min(Math.min(r, g), b);
  	const chroma = (max - min);
  	let grayscale;
  	let hue;

  	if (chroma < 1) {
  		grayscale = min / (1 - chroma);
  	} else {
  		grayscale = 0;
  	}

  	if (chroma <= 0) {
  		hue = 0;
  	} else
  	if (max === r) {
  		hue = ((g - b) / chroma) % 6;
  	} else
  	if (max === g) {
  		hue = 2 + (b - r) / chroma;
  	} else {
  		hue = 4 + (r - g) / chroma;
  	}

  	hue /= 6;
  	hue %= 1;

  	return [hue * 360, chroma * 100, grayscale * 100];
  };

  convert$2.hsl.hcg = function (hsl) {
  	const s = hsl[1] / 100;
  	const l = hsl[2] / 100;

  	const c = l < 0.5 ? (2.0 * s * l) : (2.0 * s * (1.0 - l));

  	let f = 0;
  	if (c < 1.0) {
  		f = (l - 0.5 * c) / (1.0 - c);
  	}

  	return [hsl[0], c * 100, f * 100];
  };

  convert$2.hsv.hcg = function (hsv) {
  	const s = hsv[1] / 100;
  	const v = hsv[2] / 100;

  	const c = s * v;
  	let f = 0;

  	if (c < 1.0) {
  		f = (v - c) / (1 - c);
  	}

  	return [hsv[0], c * 100, f * 100];
  };

  convert$2.hcg.rgb = function (hcg) {
  	const h = hcg[0] / 360;
  	const c = hcg[1] / 100;
  	const g = hcg[2] / 100;

  	if (c === 0.0) {
  		return [g * 255, g * 255, g * 255];
  	}

  	const pure = [0, 0, 0];
  	const hi = (h % 1) * 6;
  	const v = hi % 1;
  	const w = 1 - v;
  	let mg = 0;

  	/* eslint-disable max-statements-per-line */
  	switch (Math.floor(hi)) {
  		case 0:
  			pure[0] = 1; pure[1] = v; pure[2] = 0; break;
  		case 1:
  			pure[0] = w; pure[1] = 1; pure[2] = 0; break;
  		case 2:
  			pure[0] = 0; pure[1] = 1; pure[2] = v; break;
  		case 3:
  			pure[0] = 0; pure[1] = w; pure[2] = 1; break;
  		case 4:
  			pure[0] = v; pure[1] = 0; pure[2] = 1; break;
  		default:
  			pure[0] = 1; pure[1] = 0; pure[2] = w;
  	}
  	/* eslint-enable max-statements-per-line */

  	mg = (1.0 - c) * g;

  	return [
  		(c * pure[0] + mg) * 255,
  		(c * pure[1] + mg) * 255,
  		(c * pure[2] + mg) * 255
  	];
  };

  convert$2.hcg.hsv = function (hcg) {
  	const c = hcg[1] / 100;
  	const g = hcg[2] / 100;

  	const v = c + g * (1.0 - c);
  	let f = 0;

  	if (v > 0.0) {
  		f = c / v;
  	}

  	return [hcg[0], f * 100, v * 100];
  };

  convert$2.hcg.hsl = function (hcg) {
  	const c = hcg[1] / 100;
  	const g = hcg[2] / 100;

  	const l = g * (1.0 - c) + 0.5 * c;
  	let s = 0;

  	if (l > 0.0 && l < 0.5) {
  		s = c / (2 * l);
  	} else
  	if (l >= 0.5 && l < 1.0) {
  		s = c / (2 * (1 - l));
  	}

  	return [hcg[0], s * 100, l * 100];
  };

  convert$2.hcg.hwb = function (hcg) {
  	const c = hcg[1] / 100;
  	const g = hcg[2] / 100;
  	const v = c + g * (1.0 - c);
  	return [hcg[0], (v - c) * 100, (1 - v) * 100];
  };

  convert$2.hwb.hcg = function (hwb) {
  	const w = hwb[1] / 100;
  	const b = hwb[2] / 100;
  	const v = 1 - b;
  	const c = v - w;
  	let g = 0;

  	if (c < 1) {
  		g = (v - c) / (1 - c);
  	}

  	return [hwb[0], c * 100, g * 100];
  };

  convert$2.apple.rgb = function (apple) {
  	return [(apple[0] / 65535) * 255, (apple[1] / 65535) * 255, (apple[2] / 65535) * 255];
  };

  convert$2.rgb.apple = function (rgb) {
  	return [(rgb[0] / 255) * 65535, (rgb[1] / 255) * 65535, (rgb[2] / 255) * 65535];
  };

  convert$2.gray.rgb = function (args) {
  	return [args[0] / 100 * 255, args[0] / 100 * 255, args[0] / 100 * 255];
  };

  convert$2.gray.hsl = function (args) {
  	return [0, 0, args[0]];
  };

  convert$2.gray.hsv = convert$2.gray.hsl;

  convert$2.gray.hwb = function (gray) {
  	return [0, 100, gray[0]];
  };

  convert$2.gray.cmyk = function (gray) {
  	return [0, 0, 0, gray[0]];
  };

  convert$2.gray.lab = function (gray) {
  	return [gray[0], 0, 0];
  };

  convert$2.gray.hex = function (gray) {
  	const val = Math.round(gray[0] / 100 * 255) & 0xFF;
  	const integer = (val << 16) + (val << 8) + val;

  	const string = integer.toString(16).toUpperCase();
  	return '000000'.substring(string.length) + string;
  };

  convert$2.rgb.gray = function (rgb) {
  	const val = (rgb[0] + rgb[1] + rgb[2]) / 3;
  	return [val / 255 * 100];
  };

  const conversions$1 = conversions$2;

  /*
  	This function routes a model to all other models.

  	all functions that are routed have a property `.conversion` attached
  	to the returned synthetic function. This property is an array
  	of strings, each with the steps in between the 'from' and 'to'
  	color models (inclusive).

  	conversions that are not possible simply are not included.
  */

  function buildGraph() {
  	const graph = {};
  	// https://jsperf.com/object-keys-vs-for-in-with-closure/3
  	const models = Object.keys(conversions$1);

  	for (let len = models.length, i = 0; i < len; i++) {
  		graph[models[i]] = {
  			// http://jsperf.com/1-vs-infinity
  			// micro-opt, but this is simple.
  			distance: -1,
  			parent: null
  		};
  	}

  	return graph;
  }

  // https://en.wikipedia.org/wiki/Breadth-first_search
  function deriveBFS(fromModel) {
  	const graph = buildGraph();
  	const queue = [fromModel]; // Unshift -> queue -> pop

  	graph[fromModel].distance = 0;

  	while (queue.length) {
  		const current = queue.pop();
  		const adjacents = Object.keys(conversions$1[current]);

  		for (let len = adjacents.length, i = 0; i < len; i++) {
  			const adjacent = adjacents[i];
  			const node = graph[adjacent];

  			if (node.distance === -1) {
  				node.distance = graph[current].distance + 1;
  				node.parent = current;
  				queue.unshift(adjacent);
  			}
  		}
  	}

  	return graph;
  }

  function link(from, to) {
  	return function (args) {
  		return to(from(args));
  	};
  }

  function wrapConversion(toModel, graph) {
  	const path = [graph[toModel].parent, toModel];
  	let fn = conversions$1[graph[toModel].parent][toModel];

  	let cur = graph[toModel].parent;
  	while (graph[cur].parent) {
  		path.unshift(graph[cur].parent);
  		fn = link(conversions$1[graph[cur].parent][cur], fn);
  		cur = graph[cur].parent;
  	}

  	fn.conversion = path;
  	return fn;
  }

  var route$1 = function (fromModel) {
  	const graph = deriveBFS(fromModel);
  	const conversion = {};

  	const models = Object.keys(graph);
  	for (let len = models.length, i = 0; i < len; i++) {
  		const toModel = models[i];
  		const node = graph[toModel];

  		if (node.parent === null) {
  			// No possible conversion, or this node is the source model.
  			continue;
  		}

  		conversion[toModel] = wrapConversion(toModel, graph);
  	}

  	return conversion;
  };

  const conversions = conversions$2;
  const route = route$1;

  const convert$1 = {};

  const models = Object.keys(conversions);

  function wrapRaw(fn) {
  	const wrappedFn = function (...args) {
  		const arg0 = args[0];
  		if (arg0 === undefined || arg0 === null) {
  			return arg0;
  		}

  		if (arg0.length > 1) {
  			args = arg0;
  		}

  		return fn(args);
  	};

  	// Preserve .conversion property if there is one
  	if ('conversion' in fn) {
  		wrappedFn.conversion = fn.conversion;
  	}

  	return wrappedFn;
  }

  function wrapRounded(fn) {
  	const wrappedFn = function (...args) {
  		const arg0 = args[0];

  		if (arg0 === undefined || arg0 === null) {
  			return arg0;
  		}

  		if (arg0.length > 1) {
  			args = arg0;
  		}

  		const result = fn(args);

  		// We're assuming the result is an array here.
  		// see notice in conversions.js; don't use box types
  		// in conversion functions.
  		if (typeof result === 'object') {
  			for (let len = result.length, i = 0; i < len; i++) {
  				result[i] = Math.round(result[i]);
  			}
  		}

  		return result;
  	};

  	// Preserve .conversion property if there is one
  	if ('conversion' in fn) {
  		wrappedFn.conversion = fn.conversion;
  	}

  	return wrappedFn;
  }

  models.forEach(fromModel => {
  	convert$1[fromModel] = {};

  	Object.defineProperty(convert$1[fromModel], 'channels', {value: conversions[fromModel].channels});
  	Object.defineProperty(convert$1[fromModel], 'labels', {value: conversions[fromModel].labels});

  	const routes = route(fromModel);
  	const routeModels = Object.keys(routes);

  	routeModels.forEach(toModel => {
  		const fn = routes[toModel];

  		convert$1[fromModel][toModel] = wrapRounded(fn);
  		convert$1[fromModel][toModel].raw = wrapRaw(fn);
  	});
  });

  var colorConvert = convert$1;

  const colorString = colorString$1.exports;
  const convert = colorConvert;

  const skippedModels = [
  	// To be honest, I don't really feel like keyword belongs in color convert, but eh.
  	'keyword',

  	// Gray conflicts with some method names, and has its own method defined.
  	'gray',

  	// Shouldn't really be in color-convert either...
  	'hex',
  ];

  const hashedModelKeys = {};
  for (const model of Object.keys(convert)) {
  	hashedModelKeys[[...convert[model].labels].sort().join('')] = model;
  }

  const limiters = {};

  function Color(object, model) {
  	if (!(this instanceof Color)) {
  		return new Color(object, model);
  	}

  	if (model && model in skippedModels) {
  		model = null;
  	}

  	if (model && !(model in convert)) {
  		throw new Error('Unknown model: ' + model);
  	}

  	let i;
  	let channels;

  	if (object == null) { // eslint-disable-line no-eq-null,eqeqeq
  		this.model = 'rgb';
  		this.color = [0, 0, 0];
  		this.valpha = 1;
  	} else if (object instanceof Color) {
  		this.model = object.model;
  		this.color = [...object.color];
  		this.valpha = object.valpha;
  	} else if (typeof object === 'string') {
  		const result = colorString.get(object);
  		if (result === null) {
  			throw new Error('Unable to parse color from string: ' + object);
  		}

  		this.model = result.model;
  		channels = convert[this.model].channels;
  		this.color = result.value.slice(0, channels);
  		this.valpha = typeof result.value[channels] === 'number' ? result.value[channels] : 1;
  	} else if (object.length > 0) {
  		this.model = model || 'rgb';
  		channels = convert[this.model].channels;
  		const newArray = Array.prototype.slice.call(object, 0, channels);
  		this.color = zeroArray(newArray, channels);
  		this.valpha = typeof object[channels] === 'number' ? object[channels] : 1;
  	} else if (typeof object === 'number') {
  		// This is always RGB - can be converted later on.
  		this.model = 'rgb';
  		this.color = [
  			(object >> 16) & 0xFF,
  			(object >> 8) & 0xFF,
  			object & 0xFF,
  		];
  		this.valpha = 1;
  	} else {
  		this.valpha = 1;

  		const keys = Object.keys(object);
  		if ('alpha' in object) {
  			keys.splice(keys.indexOf('alpha'), 1);
  			this.valpha = typeof object.alpha === 'number' ? object.alpha : 0;
  		}

  		const hashedKeys = keys.sort().join('');
  		if (!(hashedKeys in hashedModelKeys)) {
  			throw new Error('Unable to parse color from object: ' + JSON.stringify(object));
  		}

  		this.model = hashedModelKeys[hashedKeys];

  		const {labels} = convert[this.model];
  		const color = [];
  		for (i = 0; i < labels.length; i++) {
  			color.push(object[labels[i]]);
  		}

  		this.color = zeroArray(color);
  	}

  	// Perform limitations (clamping, etc.)
  	if (limiters[this.model]) {
  		channels = convert[this.model].channels;
  		for (i = 0; i < channels; i++) {
  			const limit = limiters[this.model][i];
  			if (limit) {
  				this.color[i] = limit(this.color[i]);
  			}
  		}
  	}

  	this.valpha = Math.max(0, Math.min(1, this.valpha));

  	if (Object.freeze) {
  		Object.freeze(this);
  	}
  }

  Color.prototype = {
  	toString() {
  		return this.string();
  	},

  	toJSON() {
  		return this[this.model]();
  	},

  	string(places) {
  		let self = this.model in colorString.to ? this : this.rgb();
  		self = self.round(typeof places === 'number' ? places : 1);
  		const args = self.valpha === 1 ? self.color : [...self.color, this.valpha];
  		return colorString.to[self.model](args);
  	},

  	percentString(places) {
  		const self = this.rgb().round(typeof places === 'number' ? places : 1);
  		const args = self.valpha === 1 ? self.color : [...self.color, this.valpha];
  		return colorString.to.rgb.percent(args);
  	},

  	array() {
  		return this.valpha === 1 ? [...this.color] : [...this.color, this.valpha];
  	},

  	object() {
  		const result = {};
  		const {channels} = convert[this.model];
  		const {labels} = convert[this.model];

  		for (let i = 0; i < channels; i++) {
  			result[labels[i]] = this.color[i];
  		}

  		if (this.valpha !== 1) {
  			result.alpha = this.valpha;
  		}

  		return result;
  	},

  	unitArray() {
  		const rgb = this.rgb().color;
  		rgb[0] /= 255;
  		rgb[1] /= 255;
  		rgb[2] /= 255;

  		if (this.valpha !== 1) {
  			rgb.push(this.valpha);
  		}

  		return rgb;
  	},

  	unitObject() {
  		const rgb = this.rgb().object();
  		rgb.r /= 255;
  		rgb.g /= 255;
  		rgb.b /= 255;

  		if (this.valpha !== 1) {
  			rgb.alpha = this.valpha;
  		}

  		return rgb;
  	},

  	round(places) {
  		places = Math.max(places || 0, 0);
  		return new Color([...this.color.map(roundToPlace(places)), this.valpha], this.model);
  	},

  	alpha(value) {
  		if (value !== undefined) {
  			return new Color([...this.color, Math.max(0, Math.min(1, value))], this.model);
  		}

  		return this.valpha;
  	},

  	// Rgb
  	red: getset('rgb', 0, maxfn(255)),
  	green: getset('rgb', 1, maxfn(255)),
  	blue: getset('rgb', 2, maxfn(255)),

  	hue: getset(['hsl', 'hsv', 'hsl', 'hwb', 'hcg'], 0, value => ((value % 360) + 360) % 360),

  	saturationl: getset('hsl', 1, maxfn(100)),
  	lightness: getset('hsl', 2, maxfn(100)),

  	saturationv: getset('hsv', 1, maxfn(100)),
  	value: getset('hsv', 2, maxfn(100)),

  	chroma: getset('hcg', 1, maxfn(100)),
  	gray: getset('hcg', 2, maxfn(100)),

  	white: getset('hwb', 1, maxfn(100)),
  	wblack: getset('hwb', 2, maxfn(100)),

  	cyan: getset('cmyk', 0, maxfn(100)),
  	magenta: getset('cmyk', 1, maxfn(100)),
  	yellow: getset('cmyk', 2, maxfn(100)),
  	black: getset('cmyk', 3, maxfn(100)),

  	x: getset('xyz', 0, maxfn(95.047)),
  	y: getset('xyz', 1, maxfn(100)),
  	z: getset('xyz', 2, maxfn(108.833)),

  	l: getset('lab', 0, maxfn(100)),
  	a: getset('lab', 1),
  	b: getset('lab', 2),

  	keyword(value) {
  		if (value !== undefined) {
  			return new Color(value);
  		}

  		return convert[this.model].keyword(this.color);
  	},

  	hex(value) {
  		if (value !== undefined) {
  			return new Color(value);
  		}

  		return colorString.to.hex(this.rgb().round().color);
  	},

  	hexa(value) {
  		if (value !== undefined) {
  			return new Color(value);
  		}

  		const rgbArray = this.rgb().round().color;

  		let alphaHex = Math.round(this.valpha * 255).toString(16).toUpperCase();
  		if (alphaHex.length === 1) {
  			alphaHex = '0' + alphaHex;
  		}

  		return colorString.to.hex(rgbArray) + alphaHex;
  	},

  	rgbNumber() {
  		const rgb = this.rgb().color;
  		return ((rgb[0] & 0xFF) << 16) | ((rgb[1] & 0xFF) << 8) | (rgb[2] & 0xFF);
  	},

  	luminosity() {
  		// http://www.w3.org/TR/WCAG20/#relativeluminancedef
  		const rgb = this.rgb().color;

  		const lum = [];
  		for (const [i, element] of rgb.entries()) {
  			const chan = element / 255;
  			lum[i] = (chan <= 0.04045) ? chan / 12.92 : ((chan + 0.055) / 1.055) ** 2.4;
  		}

  		return 0.2126 * lum[0] + 0.7152 * lum[1] + 0.0722 * lum[2];
  	},

  	contrast(color2) {
  		// http://www.w3.org/TR/WCAG20/#contrast-ratiodef
  		const lum1 = this.luminosity();
  		const lum2 = color2.luminosity();

  		if (lum1 > lum2) {
  			return (lum1 + 0.05) / (lum2 + 0.05);
  		}

  		return (lum2 + 0.05) / (lum1 + 0.05);
  	},

  	level(color2) {
  		// https://www.w3.org/TR/WCAG/#contrast-enhanced
  		const contrastRatio = this.contrast(color2);
  		if (contrastRatio >= 7) {
  			return 'AAA';
  		}

  		return (contrastRatio >= 4.5) ? 'AA' : '';
  	},

  	isDark() {
  		// YIQ equation from http://24ways.org/2010/calculating-color-contrast
  		const rgb = this.rgb().color;
  		const yiq = (rgb[0] * 2126 + rgb[1] * 7152 + rgb[2] * 722) / 10000;
  		return yiq < 128;
  	},

  	isLight() {
  		return !this.isDark();
  	},

  	negate() {
  		const rgb = this.rgb();
  		for (let i = 0; i < 3; i++) {
  			rgb.color[i] = 255 - rgb.color[i];
  		}

  		return rgb;
  	},

  	lighten(ratio) {
  		const hsl = this.hsl();
  		hsl.color[2] += hsl.color[2] * ratio;
  		return hsl;
  	},

  	darken(ratio) {
  		const hsl = this.hsl();
  		hsl.color[2] -= hsl.color[2] * ratio;
  		return hsl;
  	},

  	saturate(ratio) {
  		const hsl = this.hsl();
  		hsl.color[1] += hsl.color[1] * ratio;
  		return hsl;
  	},

  	desaturate(ratio) {
  		const hsl = this.hsl();
  		hsl.color[1] -= hsl.color[1] * ratio;
  		return hsl;
  	},

  	whiten(ratio) {
  		const hwb = this.hwb();
  		hwb.color[1] += hwb.color[1] * ratio;
  		return hwb;
  	},

  	blacken(ratio) {
  		const hwb = this.hwb();
  		hwb.color[2] += hwb.color[2] * ratio;
  		return hwb;
  	},

  	grayscale() {
  		// http://en.wikipedia.org/wiki/Grayscale#Converting_color_to_grayscale
  		const rgb = this.rgb().color;
  		const value = rgb[0] * 0.3 + rgb[1] * 0.59 + rgb[2] * 0.11;
  		return Color.rgb(value, value, value);
  	},

  	fade(ratio) {
  		return this.alpha(this.valpha - (this.valpha * ratio));
  	},

  	opaquer(ratio) {
  		return this.alpha(this.valpha + (this.valpha * ratio));
  	},

  	rotate(degrees) {
  		const hsl = this.hsl();
  		let hue = hsl.color[0];
  		hue = (hue + degrees) % 360;
  		hue = hue < 0 ? 360 + hue : hue;
  		hsl.color[0] = hue;
  		return hsl;
  	},

  	mix(mixinColor, weight) {
  		// Ported from sass implementation in C
  		// https://github.com/sass/libsass/blob/0e6b4a2850092356aa3ece07c6b249f0221caced/functions.cpp#L209
  		if (!mixinColor || !mixinColor.rgb) {
  			throw new Error('Argument to "mix" was not a Color instance, but rather an instance of ' + typeof mixinColor);
  		}

  		const color1 = mixinColor.rgb();
  		const color2 = this.rgb();
  		const p = weight === undefined ? 0.5 : weight;

  		const w = 2 * p - 1;
  		const a = color1.alpha() - color2.alpha();

  		const w1 = (((w * a === -1) ? w : (w + a) / (1 + w * a)) + 1) / 2;
  		const w2 = 1 - w1;

  		return Color.rgb(
  			w1 * color1.red() + w2 * color2.red(),
  			w1 * color1.green() + w2 * color2.green(),
  			w1 * color1.blue() + w2 * color2.blue(),
  			color1.alpha() * p + color2.alpha() * (1 - p));
  	},
  };

  // Model conversion methods and static constructors
  for (const model of Object.keys(convert)) {
  	if (skippedModels.includes(model)) {
  		continue;
  	}

  	const {channels} = convert[model];

  	// Conversion methods
  	Color.prototype[model] = function (...args) {
  		if (this.model === model) {
  			return new Color(this);
  		}

  		if (args.length > 0) {
  			return new Color(args, model);
  		}

  		return new Color([...assertArray(convert[this.model][model].raw(this.color)), this.valpha], model);
  	};

  	// 'static' construction methods
  	Color[model] = function (...args) {
  		let color = args[0];
  		if (typeof color === 'number') {
  			color = zeroArray(args, channels);
  		}

  		return new Color(color, model);
  	};
  }

  function roundTo(number, places) {
  	return Number(number.toFixed(places));
  }

  function roundToPlace(places) {
  	return function (number) {
  		return roundTo(number, places);
  	};
  }

  function getset(model, channel, modifier) {
  	model = Array.isArray(model) ? model : [model];

  	for (const m of model) {
  		(limiters[m] || (limiters[m] = []))[channel] = modifier;
  	}

  	model = model[0];

  	return function (value) {
  		let result;

  		if (value !== undefined) {
  			if (modifier) {
  				value = modifier(value);
  			}

  			result = this[model]();
  			result.color[channel] = value;
  			return result;
  		}

  		result = this[model]().color[channel];
  		if (modifier) {
  			result = modifier(result);
  		}

  		return result;
  	};
  }

  function maxfn(max) {
  	return function (v) {
  		return Math.max(0, Math.min(max, v));
  	};
  }

  function assertArray(value) {
  	return Array.isArray(value) ? value : [value];
  }

  function zeroArray(array, length) {
  	for (let i = 0; i < length; i++) {
  		if (typeof array[i] !== 'number') {
  			array[i] = 0;
  		}
  	}

  	return array;
  }

  var color = Color;

  var Color$1 = color;

  function ColorPickSlider({ value, resetValue, OnConfirm, }) {
      var [HSLValue, setHSLValue] = React.useState(Color$1(`#${value}`).hsl().array());
      var resetHSLValue = React.useRef(Color$1(`#${(resetValue ?? value)}`).hsl().array());
      return (window.SP_REACT.createElement(window.SP_REACT.Fragment, null,
          window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, { id: "MangoPeel_ColorPickSliderH" },
              window.SP_REACT.createElement(SlowSliderField, { min: 0, max: 359, step: 1, label: window.SP_REACT.createElement("div", { style: { display: "flex", alignItems: "center", fontSize: 11 } },
                      window.SP_REACT.createElement("span", null, `${Color$1.hsl(`hsl(${HSLValue[0]}, ${HSLValue[1]}%, ${HSLValue[2]}%)`).rgb().hex()}`),
                      window.SP_REACT.createElement("div", { style: {
                              marginLeft: "54px",
                              width: "20px",
                              height: "20px",
                              backgroundColor: "#000",
                              display: "flex",
                              alignItems: "center",
                              justifyContent: "center",
                              position: 'absolute',
                              marginBottom: "1px",
                          } },
                          window.SP_REACT.createElement("div", { style: {
                                  backgroundColor: `${Color$1.hsl(`hsl(${HSLValue[0]}, ${HSLValue[1]}%, ${HSLValue[2]}%)`).rgb().hex()}`,
                                  width: "16px",
                                  height: "16px",
                              } }))), layout: "inline", bottomSeparator: "none", onChange: (Hue) => {
                      setHSLValue(Color$1.hsl(`hsl(${Hue}, ${HSLValue[1]}%, ${HSLValue[2]}%)`).array());
                  }, onChangeEnd: (Hue) => {
                      var rgb = Color$1.hsl(`hsl(${Hue}, ${HSLValue[1]}%, ${HSLValue[2]}%)`).rgb().hex();
                      OnConfirm(rgb.replace("#", ""));
                  }, value: HSLValue[0], resetValue: resetHSLValue.current[0] })),
          window.SP_REACT.createElement(deckyFrontendLib.Focusable, { style: { display: 'flex', alignItems: 'center', justifyContent: 'center', position: 'relative', minHeight: 40, padding: 0, margin: 0, width: "100%" } },
              window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, { style: { position: 'absolute', left: 0, zIndex: 1 }, id: "MangoPeel_ColorPickSliderS" },
                  window.SP_REACT.createElement(SlowSliderField, { min: 0, max: 100, step: 1, showValue: false, layout: "inline", bottomSeparator: "none", onChange: (Saturation) => {
                          setHSLValue(Color$1.hsl(`hsl(${HSLValue[0]}, ${Saturation}%, ${HSLValue[2]}%)`).array());
                      }, onChangeEnd: (Saturation) => {
                          var rgb = Color$1.hsl(`hsl(${HSLValue[0]}, ${Saturation}%, ${HSLValue[2]}%)`).rgb().hex();
                          OnConfirm(rgb.replace("#", ""));
                      }, value: HSLValue[1], resetValue: resetHSLValue.current[1] })),
              window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, { style: { position: 'absolute', right: 0, zIndex: 1 }, id: "MangoPeel_ColorPickSliderL" },
                  window.SP_REACT.createElement(SlowSliderField, { min: 0, max: 100, step: 1, showValue: false, layout: "inline", bottomSeparator: "none", onChange: (Lightness) => {
                          setHSLValue(Color$1.hsl(`hsl(${HSLValue[0]}, ${HSLValue[1]}%, ${Lightness}%)`).array());
                      }, onChangeEnd: (Lightness) => {
                          var rgb = Color$1.hsl(`hsl(${HSLValue[0]}, ${HSLValue[1]}%, ${Lightness}%)`).rgb().hex();
                          setHSLValue(Color$1.hsl(`hsl(${HSLValue[0]}, ${HSLValue[1]}%, ${Lightness}%)`).array());
                          OnConfirm(rgb.replace("#", ""));
                      }, value: HSLValue[2], resetValue: resetHSLValue.current[2] }))),
          window.SP_REACT.createElement("style", null,
              //缩短滑动条
              `#MangoPeel_ColorPickSliderH
              .gamepaddialog_Field_S-_La.gamepaddialog_ChildrenWidthFixed_1ugIU 
              .gamepaddialog_FieldChildrenWithIcon_2ZQ9w{
                min-width: 180px!important;
              }
              .gamepaddialog_Field_S-_La.gamepaddialog_StandardPadding_XRBFu{
                --field-row-children-spacing:0px
              }
              
              #MangoPeel_ColorPickSliderS
              .gamepaddialog_Field_S-_La.gamepaddialog_ChildrenWidthFixed_1ugIU 
              .gamepaddialog_FieldChildrenWithIcon_2ZQ9w{
                min-width: 118px!important;
              }
              .gamepaddialog_Field_S-_La.gamepaddialog_StandardPadding_XRBFu{
                --field-row-children-spacing:0px
              }

              #MangoPeel_ColorPickSliderL
              .gamepaddialog_Field_S-_La.gamepaddialog_ChildrenWidthFixed_1ugIU 
              .gamepaddialog_FieldChildrenWithIcon_2ZQ9w{
                min-width: 118px!important;
              }
              .gamepaddialog_Field_S-_La.gamepaddialog_StandardPadding_XRBFu{
                --field-row-children-spacing:0px
              } 
              `,
              //调整标签位置
              `#MangoPeel_ColorPickSliderS
              .gamepadslider_DescriptionValue_2oRwF {
                width: 43px;
                margin-left: 0;
                flex-direction: column;
              }
              #MangoPeel_ColorPickSliderL
              .gamepadslider_DescriptionValue_2oRwF {
                width: 43px;
                margin-left: 0;
                flex-direction: column;
              }`,
              `#MangoPeel_ColorPickSliderH
              .gamepadslider_SliderTrack_Mq25N{
                background: linear-gradient(
                  to right,
                  hsl(0, ${HSLValue[1]}%, ${HSLValue[2]}%),
                  hsl(60,  ${HSLValue[1]}%, ${HSLValue[2]}%),
                  hsl(120,  ${HSLValue[1]}%, ${HSLValue[2]}%),
                  hsl(180,  ${HSLValue[1]}%, ${HSLValue[2]}%),
                  hsl(240,  ${HSLValue[1]}%, ${HSLValue[2]}%),
                  hsl(300,  ${HSLValue[1]}%, ${HSLValue[2]}%),
                  hsl(360,  ${HSLValue[1]}%, ${HSLValue[2]}%)
                ) !important;
                --left-track-color: #0000 !important;
                --colored-toggles-main-color: #0000 !important;
              }`,
              `#MangoPeel_ColorPickSliderS
              .gamepadslider_SliderTrack_Mq25N{
                background: linear-gradient(
                  to right,
                  hsl(${HSLValue[0]}, 0%, ${HSLValue[2]}%),
                  hsl(${HSLValue[0]},  20%, ${HSLValue[2]}%),
                  hsl(${HSLValue[0]},  40%, ${HSLValue[2]}%),
                  hsl(${HSLValue[0]},  60%, ${HSLValue[2]}%),
                  hsl(${HSLValue[0]},  80%, ${HSLValue[2]}%),
                  hsl(${HSLValue[0]},  100%, ${HSLValue[2]}%)
                ) !important;
                --left-track-color: #0000 !important;
                --colored-toggles-main-color: #0000 !important;
              }`,
              `#MangoPeel_ColorPickSliderL
              .gamepadslider_SliderTrack_Mq25N{
                background: linear-gradient(
                  to right,
                  hsl(${HSLValue[0]},  ${HSLValue[1]}%, 0%),
                  hsl(${HSLValue[0]},  ${HSLValue[1]}%, 20%),
                  hsl(${HSLValue[0]},  ${HSLValue[1]}%, 40%),
                  hsl(${HSLValue[0]},  ${HSLValue[1]}%, 60%),
                  hsl(${HSLValue[0]},  ${HSLValue[1]}%, 80%),
                  hsl(${HSLValue[0]},  ${HSLValue[1]}%, 100%)
                ) !important;
                --left-track-color: #0000 !important;
                --colored-toggles-main-color: #0000 !important;
              }`)));
  }

  const ParamPatchItem = ({ paramName, patch, patchIndex }) => {
      const [selectedValue, setSelectedValue] = React.useState(Settings.getParamValue(Settings.getSettingsIndex(), paramName, patchIndex));
      const [selectedIndex, setSelectedIndex] = React.useState(patch.args.indexOf(selectedValue));
      React.useEffect(() => {
          const updateEvent = () => {
              const new_value = Settings.getParamValue(Settings.getSettingsIndex(), paramName, patchIndex);
              const new_index = patch.args.indexOf(new_value);
              setSelectedValue(new_value);
              setSelectedIndex(new_index);
          };
          Settings.settingChangeEventBus.addEventListener(paramName, updateEvent);
          return () => {
              Settings.settingChangeEventBus.removeEventListener(paramName, updateEvent);
          };
      }, []);
      const updateSettingsValue = (value) => {
          //setSelectedValue(value);
          Settings.setParamValue(Settings.getSettingsIndex(), paramName, patchIndex, value);
      };
      const resetParamDefault = () => {
          Settings.resetParamValueDefault(Settings.getSettingsIndex(), paramName, patchIndex);
      };
      switch (patch.type) {
          case ParamPatchType.slider:
              return (window.SP_REACT.createElement(window.SP_REACT.Fragment, null,
                  window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, { id: "MangoPeel_Slider" },
                      window.SP_REACT.createElement(SlowSliderField, { min: patch.args[0], max: patch.args[1], step: patch.args[2], showValue: true, value: selectedValue, layout: "inline", bottomSeparator: "none", onChangeEnd: updateSettingsValue, resetValue: Settings.getDefaultParam(Settings.getSettingsIndex(), paramName)?.paramValues[patchIndex] })),
                  window.SP_REACT.createElement("style", null,
                      //缩短滑动条
                      `#MangoPeel_Slider
              .gamepaddialog_Field_S-_La.gamepaddialog_ChildrenWidthFixed_1ugIU 
              .gamepaddialog_FieldChildrenWithIcon_2ZQ9w{
                min-width: 215px!important;
              } `,
                      //调整标签位置
                      `#MangoPeel_Slider 
              .gamepadslider_DescriptionValue_2oRwF {
                width: 43px;
                margin-left: 0;
                flex-direction: column;
              }`)));
          case ParamPatchType.notchSlider:
              return (window.SP_REACT.createElement(window.SP_REACT.Fragment, null,
                  window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, null,
                      window.SP_REACT.createElement(deckyFrontendLib.SliderField, { label: patch.label, min: 0, max: patch.args.length - 1, value: selectedIndex, bottomSeparator: "none", notchCount: patch.args.length, notchLabels: patch.args.map((x, i) => {
                              return { notchIndex: i, label: x, value: i };
                          }), onChange: (value) => {
                              setSelectedIndex(value);
                              updateSettingsValue(patch.args[value]);
                          }, resetValue: Settings.getDefaultParam(Settings.getSettingsIndex(), paramName)?.paramValues[patchIndex] }))));
          case ParamPatchType.dropdown:
              return (window.SP_REACT.createElement(window.SP_REACT.Fragment, null,
                  window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, null,
                      window.SP_REACT.createElement(deckyFrontendLib.Focusable, { style: { width: "100%", padding: 0, margin: 0, position: "relative" }, onSecondaryActionDescription: LocalizationManager.getString(localizeStrEnum.RESET_PARAM_DEFAULT), onSecondaryButton: resetParamDefault },
                          window.SP_REACT.createElement(deckyFrontendLib.DropdownItem, { label: patch.label, rgOptions: patch.args.map((x, i) => {
                                  return { data: i, label: x };
                              }), selectedOption: selectedIndex, bottomSeparator: "none", onChange: (index) => {
                                  setSelectedIndex(index.data);
                                  updateSettingsValue(index.label);
                              } })))));
          case ParamPatchType.textInput:
              return (window.SP_REACT.createElement(window.SP_REACT.Fragment, null,
                  window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, null,
                      window.SP_REACT.createElement(deckyFrontendLib.Focusable, { style: { width: "100%", padding: 0, margin: 0, position: "relative" }, onSecondaryActionDescription: LocalizationManager.getString(localizeStrEnum.RESET_PARAM_DEFAULT), onSecondaryButton: resetParamDefault },
                          window.SP_REACT.createElement(deckyFrontendLib.ButtonItem, { layout: "below", bottomSeparator: "none", onClick: () => {
                                  deckyFrontendLib.showModal(window.SP_REACT.createElement(TextInputModal, { strTitle: patch.args?.[0], strDescription: patch.args?.[1], defaultValue: selectedValue, OnConfirm: (text) => {
                                          updateSettingsValue(text);
                                      } }));
                              } }, selectedValue)))));
          case ParamPatchType.resortableList:
              switch (patch.args[0]) {
                  case (ResortType.paramOrder):
                      const [sortList, setsortList] = React.useState(Settings.getSortParamList(Settings.getSettingsIndex()));
                      React.useEffect(() => {
                          const updateEvent = () => {
                              setsortList(Settings.getSortParamList(Settings.getSettingsIndex()));
                          };
                          Settings.settingChangeEventBus.addEventListener(paramName, updateEvent);
                          return () => {
                              Settings.settingChangeEventBus.removeEventListener(paramName, updateEvent);
                          };
                      }, []);
                      return (window.SP_REACT.createElement(window.SP_REACT.Fragment, null,
                          window.SP_REACT.createElement(ResortableList, { initialArray: sortList.map((data) => {
                                  return { label: LocalizationManager.getString(data.toggle.label), value: data.name };
                              }), onArrayChange: (newArray) => {
                                  newArray.forEach((value, order) => {
                                      Settings.setParamOrder(Settings.getSettingsIndex(), value.value, order + 1);
                                  });
                              } })));
                  default:
                      return window.SP_REACT.createElement(window.SP_REACT.Fragment, null);
              }
          case ParamPatchType.colorPicker:
              /*
              return <PanelSectionRow>
              <ButtonItem
                onClick={() =>
                  showModal(
                    <ColorPickModal
                    defaultValue={selectedValue}
                    OnConfirm={(color)=>{
                      updateSettingsValue(color);
                    }}
                    />
                  )
                }
                layout={"below"}
              >
                <div style={{ display: "flex", alignItems: "center" }}>
                  <span>#{selectedValue}</span>
                  <div
                    style={{
                      marginLeft: "auto",
                      width: "24px",
                      height: "24px",
                      backgroundColor: "#000",
                      display: "flex",
                      alignItems: "center",
                      justifyContent: "center",
                    }}
                  >
                    <div
                      style={{
                        backgroundColor: `#${selectedValue}`,
                        width: "20px",
                        height: "20px",
                      }}
                    />
                  </div>
                </div>
              </ButtonItem>
            </PanelSectionRow>
            */
              return window.SP_REACT.createElement(ColorPickSlider, { value: selectedValue, resetValue: Settings.getDefaultParam(Settings.getSettingsIndex(), paramName)?.paramValues[patchIndex], OnConfirm: (color) => {
                      updateSettingsValue(color);
                  } });
          default:
              return null;
      }
  };
  const ParamItem = ({ paramData }) => {
      const [enable, setEnable] = React.useState(Settings.getParamEnable(Settings.getSettingsIndex(), paramData.name));
      const [visible, setVisible] = React.useState(Settings.getParamVisible(Settings.getSettingsIndex(), paramData.name));
      const [showPatch, setShowPatch] = React.useState(false);
      const [showArrawItem, setShowArrawItem] = React.useState(true);
      const updateEvent = () => {
          //console.log(`enable=${enable} new_enable=${new_enable}`);
          setEnable(Settings.getParamEnable(Settings.getSettingsIndex(), paramData.name));
          setVisible(Settings.getParamVisible(Settings.getSettingsIndex(), paramData.name));
          //当排序参数数量为0时需要隐藏箭头按钮
          if (paramData.name == ParamName.legacy_layout) {
              setShowArrawItem(Settings.getSortParamCount(Settings.getSettingsIndex()) > 0);
          }
      };
      React.useEffect(() => {
          updateEvent();
          Settings.settingChangeEventBus.addEventListener(paramData.name, updateEvent);
          return () => {
              Settings.settingChangeEventBus.removeEventListener(paramData.name, updateEvent);
          };
      }, []);
      return (visible ?
          window.SP_REACT.createElement(window.SP_REACT.Fragment, null,
              window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, null,
                  window.SP_REACT.createElement(deckyFrontendLib.ToggleField, { bottomSeparator: (paramData.toggle.isShowPatchWhenEnable ?? true) == enable && paramData.patchs?.length > 0 ? "none" : "standard", label: paramData.toggle.label ? LocalizationManager.getString((paramData.toggle.label)) : undefined, description: paramData.toggle.description ? LocalizationManager.getString((paramData.toggle.description)) : undefined, checked: enable, onChange: (enable) => {
                          setEnable(enable);
                          Settings.setParamEnable(Settings.getSettingsIndex(), paramData.name, enable);
                      } })),
              showPatch && (paramData.toggle.isShowPatchWhenEnable ?? true) == enable && paramData.patchs?.length > 0 ? (window.SP_REACT.createElement(window.SP_REACT.Fragment, null, paramData.patchs?.map((e, patchIndex) => (window.SP_REACT.createElement(ParamPatchItem, { paramName: paramData.name, patch: e, patchIndex: patchIndex }))))) : null,
              showArrawItem && (paramData.toggle.isShowPatchWhenEnable ?? true) == enable && paramData.patchs?.length > 0 &&
                  window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, null,
                      window.SP_REACT.createElement(deckyFrontendLib.ButtonItem, { layout: "below", style: {
                              height: 10,
                          }, onClick: () => setShowPatch(!showPatch) }, showPatch ? (window.SP_REACT.createElement(RiArrowUpSFill, { style: { transform: "translate(0, -13px)", fontSize: "1.5em" } })) : (window.SP_REACT.createElement(RiArrowDownSFill, { style: { transform: "translate(0, -12px)", fontSize: "1.5em" } }))))) : window.SP_REACT.createElement(window.SP_REACT.Fragment, null));
  };

  const L1Icon = React.createElement("img", {
      src: "/steaminputglyphs/sd_l1.svg"
  });
  const R1ICON = React.createElement("img", {
      src: "/steaminputglyphs/sd_r1.svg"
  });
  const Tab = (tab) => {
      const [activeIndex, setActiveIndex] = React.useState(0); // 当前选中的Tab索引
      const [activeTab, setActiveTab] = React.useState(tab.props?.[activeIndex]); // 当前选中的Tab
      const [buttonPress, setButtonPress] = React.useState(0); //记录L1R1是否按下
      const containerRef = React.useRef(null); //标签栏组件引用
      const tabNodeRef = React.useRef(); //页面组件引用
      const activeIndexRef = React.useRef(activeIndex); //当前激活的页面下标
      const L1StateRef = React.useRef(false); //l1状态
      const R1StateRef = React.useRef(false); //r1状态
      const tabRef = React.useRef(tab);
      const tabFocusedIndexRef = React.useRef([]); //页面内激活的组件下标
      const tabFocusableElements = React.useRef();
      const bTabNeedFocus = React.useRef(false);
      // 聚焦到当前分页的第index个可聚焦组件
      const focusTabElement = (index) => {
          if (tabFocusableElements?.current && tabFocusableElements?.current?.length <= index) {
              return;
          }
          tabFocusableElements.current?.[index]?.focus();
      };
      //激活第index分页
      const setActiveTabByIndex = (index) => {
          var vaildIndex = Math.max(0, Math.min(index, (tabRef.current.props?.length ?? 0) - 1));
          setActiveIndex(vaildIndex);
          setActiveTab(tabRef.current.props?.[vaildIndex]);
          activeIndexRef.current = vaildIndex;
          if (containerRef.current && index == vaildIndex) {
              const childrenArray = Array.from(containerRef.current.children);
              const targetElement = childrenArray[index];
              containerRef.current.scrollLeft = targetElement.offsetLeft - containerRef.current.offsetLeft - 25;
          }
      };
      React.useEffect(() => {
          //注册按键监听
          var handleButtonInput = async (val) => {
              /*
              R1 2 L1 3
              R2 0 L2 1
              Y  4 B  5 X  6 A  7
              UP 8 Right 9 Left 10 Down 11
              Select 12 Start 14
              Steam 13
              */
              for (const inputs of val) {
                  //按下标记
                  if (inputs.ulButtons && inputs.ulButtons & (1 << 2)) {
                      R1StateRef.current = true;
                      setButtonPress(2);
                      bTabNeedFocus.current = true;
                  }
                  else if (inputs.ulButtons && inputs.ulButtons & (1 << 3)) {
                      L1StateRef.current = true;
                      setButtonPress(1);
                      bTabNeedFocus.current = true;
                  }
                  //松开触发事件
                  if (R1StateRef.current && !(inputs.ulButtons & (1 << 2))) {
                      R1StateRef.current = false;
                      setActiveTabByIndex(activeIndexRef.current + 1);
                      setTimeout(() => {
                          setButtonPress(0);
                          bTabNeedFocus.current = false;
                      }, 100);
                  }
                  else if (L1StateRef.current && !(inputs.ulButtons & (1 << 3))) {
                      L1StateRef.current = false;
                      setActiveTabByIndex(activeIndexRef.current - 1);
                      setTimeout(() => {
                          setButtonPress(0);
                          bTabNeedFocus.current = false;
                      }, 100);
                  }
              }
          };
          let input_register = window.SteamClient.Input.RegisterForControllerStateChanges(handleButtonInput);
          return (() => {
              input_register.unregister();
          });
      }, []);
      React.useEffect(() => {
          tabRef.current = tab;
          //页数发生变化时重新定位索引位置
          if (tab?.props?.[activeIndexRef.current]?.id != activeTab?.id) {
              var isRefind = false;
              for (const [index, prop] of tab.props?.entries() ?? []) {
                  if (prop.id == activeTab?.id) {
                      isRefind = true;
                      setActiveTabByIndex(index);
                      break;
                  }
              }
              if (!isRefind) {
                  setActiveTabByIndex(0);
              }
          }
      }, [tab]);
      React.useEffect(() => {
          //页数切换时监听聚焦事件
          tabFocusableElements.current = tabNodeRef?.current?.querySelectorAll('button, [href], input, select, textarea, [tabindex]:not([tabindex="-1"])');
          const createFocusListener = (index) => {
              const focusListener = () => {
                  //聚焦时记录下标
                  tabFocusedIndexRef.current[activeIndexRef.current] = index;
              };
              return focusListener;
          };
          const listeners = []; // 用于保存添加的监听器
          tabFocusableElements?.current.forEach((element, key) => {
              var focusListener = createFocusListener(key);
              element.addEventListener('focus', focusListener);
              listeners.push({ element, focusListener }); // 保存添加的监听器
              //console.log("添加focus监听: element",element,"key:",key);
          });
          if (!tabFocusedIndexRef?.current?.[activeIndexRef.current]) {
              //console.log("无记录的聚焦组件,聚焦到第一个组件","当前页面为:",activeIndexRef.current);
              if (bTabNeedFocus.current) {
                  focusTabElement(0);
              }
          }
          else {
              //console.log("调用聚焦事件,组件下标为:",tabFocusedIndexRef?.current?.[activeIndexRef.current],"当前页面为:",activeIndexRef.current);
              //聚焦到记录的组件位置
              if (bTabNeedFocus.current) {
                  focusTabElement(tabFocusedIndexRef?.current?.[activeIndexRef.current]);
              }
          }
          tabRef?.current?.onTabChange && tabRef.current.onTabChange(activeIndexRef.current);
          return (() => {
              listeners.forEach(({ element, focusListener }) => {
                  element.removeEventListener('focus', focusListener);
                  //console.log("移除focus监听:",activeIndexRef.current);
              });
          });
      }, [activeIndexRef.current]);
      return (window.SP_REACT.createElement("div", null,
          window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, null,
              window.SP_REACT.createElement("div", { style: { display: 'flex', alignItems: 'center', justifyContent: 'center', position: 'relative', overflow: 'hidden' } },
                  window.SP_REACT.createElement("div", { style: { position: 'absolute', left: 0, zIndex: 1, opacity: buttonPress == 1 ? 1 : 0.5 } },
                      window.SP_REACT.createElement(deckyFrontendLib.Field, { icon: L1Icon, bottomSeparator: "none" })),
                  window.SP_REACT.createElement("div", { ref: containerRef, style: { display: '-webkit-inline-box', overflow: "scroll", width: 180 } }, tab.props?.map((prop) => (window.SP_REACT.createElement(deckyFrontendLib.Field, { key: prop.label, label: window.SP_REACT.createElement("div", { style: {
                              fontWeight: activeTab?.id === prop.id ? 'bold' : 'normal',
                              fontSize: activeTab?.id === prop.id ? '1.1em' : '0.9em',
                              color: activeTab?.id === prop.id ? '#ffffff' : '#3d4450',
                              padding: '10px',
                              textAlign: 'center',
                          } }, prop.label), bottomSeparator: "none", highlightOnFocus: false })))),
                  window.SP_REACT.createElement("div", { style: { position: 'absolute', right: -10, zIndex: 1, opacity: buttonPress == 2 ? 1 : 0.5 } },
                      window.SP_REACT.createElement(deckyFrontendLib.Field, { icon: R1ICON, bottomSeparator: "none" })))),
          window.SP_REACT.createElement(deckyFrontendLib.Focusable, { key: activeTab?.id, ref: (ref) => (tabNodeRef.current = ref) }, activeTab?.Node)));
  };

  const Content = ({}) => {
      const getNewProps = () => {
          return Object.values(ParamGroup).map((groupName) => {
              var groupItem = Object.values(Config.paramList).filter((paramData) => {
                  return paramData.group == groupName;
              });
              return { groupName, groupItem };
          }).filter(({ groupName, groupItem }) => {
              if (groupItem.length == 0)
                  return false;
              return Settings.getGroupVisible(Settings.getSettingsIndex(), groupName);
          }).map(({ groupName, groupItem }) => {
              return {
                  label: groupName, id: groupName, Node: window.SP_REACT.createElement("div", null, groupItem.map((paramData) => {
                      return (window.SP_REACT.createElement("div", null,
                          window.SP_REACT.createElement(ParamItem, { key: paramData.name, paramData: paramData })));
                  }))
              };
          });
      };
      const [props, setprops] = React.useState(getNewProps());
      React.useEffect(() => {
          const updateProps = () => {
              setprops(getNewProps());
          };
          Object.values(ParamGroup).map((groupName) => {
              Settings.settingChangeEventBus.addEventListener(groupName, updateProps);
          });
          return () => {
              Object.values(ParamGroup).map((groupName) => {
                  Settings.settingChangeEventBus.removeEventListener(groupName, updateProps);
              });
          };
      }, []);
      return (window.SP_REACT.createElement(window.SP_REACT.Fragment, null,
          window.SP_REACT.createElement(deckyFrontendLib.PanelSection, null,
              window.SP_REACT.createElement(MangoIndex, null),
              window.SP_REACT.createElement(window.SP_REACT.Fragment, null,
                  window.SP_REACT.createElement(Tab, { props: props }))),
          window.SP_REACT.createElement(deckyFrontendLib.PanelSection, null,
              window.SP_REACT.createElement(deckyFrontendLib.PanelSectionRow, null,
                  window.SP_REACT.createElement(deckyFrontendLib.ButtonItem, { layout: "below", onClick: () => {
                          Settings.resetAllParamDefault();
                      } }, LocalizationManager.getString(localizeStrEnum.RESET_PARAM_DEFAULT))))));
  };
  var index = deckyFrontendLib.definePlugin((serverApi) => {
      PluginManager.register(serverApi);
      return {
          title: window.SP_REACT.createElement("div", { className: deckyFrontendLib.staticClasses.Title }, "MangoPeel"),
          content: window.SP_REACT.createElement(Content, { serverAPI: serverApi }),
          icon: window.SP_REACT.createElement(FaBorderStyle, null),
          onDismount() {
              PluginManager.unregister(serverApi);
          },
      };
  });

  return index;

})(DFL, SP_REACT);
